package com.project.zcustom.domain.access;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 便捷出入对象 plat_access
 *
 * @author change
 * @date 2024-10-31
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_access")
public class PlatAccess extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 车证数量
     */
    private Long carLicenseNum;

    /**
     * 门禁卡数量
     */
    private Long guardCardNum;

    /**
     * 黑名单数量
     */
    private Long blackListsNum;

    /**
     * 前一天车数量
     */
    private Long beforeCarNum;

    /**
     * 前两天车数量
     */
    private Long twoDaysCarNum;

    /**
     * 前三天车数量
     */
    private Long threeDaysCarNum;

    /**
     * 前四天车数量
     */
    private Long fourDaysCarNum;

    /**
     * 前五天车数量
     */
    private Long fiveDaysCarNum;

    /**
     * 前六天车数量
     */
    private Long sixDaysCarNum;

    /**
     * 前七天车数量
     */
    private Long sevenDaysCarNum;

}
