package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_building_control")

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeBuildingControl {
    /**
     * id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 分类用电初始化数据json（楼宇本周用电量）
     */

    private String weekElectricity;

    /**
     * 机房总用电量二级分类json（楼宇本周用电量）
     */

    private String roomElectricity;

    /**
     * 楼宇今日用电量json
     */

    private String todayElectricity;

    /**
     * 楼宇每月用电量json (配电室1)
     */

    private String monthElectricityOne;

    /**
     * 楼宇每月用电量json (配电室2)
     */

    private String monthElectricityTwo;

    /**
     * 楼宇每月用电量json (配电室3)
     */

    private String monthElectricityThree;

    /**
     * 配电室重要回路负荷情况json (配电室1)
     */

    private String roomLoadOne;

    /**
     * 配电室重要回路负荷情况json (配电室2)
     */

    private String roomLoadTwo;

    /**
     * 配电室重要回路负荷情况json (配电室3)
     */

    private String roomLoadThree;

    /**
     * 楼宇中当前告警的设备json
     */

    private String warnDevice;

    /**
     * 空调水浸总数
     */

    private Long waterDeviceAirNum;

    /**
     * 中控水浸正常数
     */

    private Long waterControlNormalNum;

    /**
     * 中控水浸异常数
     */

    private Long waterControlAbnormalNum;

    /**
     * 告警事件的历史统计json
     */

    private String warnEventStatistics;

    /**
     * 水箱水位情况json（23层）
     */

    private String waterStateOne;

    /**
     * 水箱水位情况json（-2层）
     */

    private String waterStateTwo;

    /**
     * 异常点位查看  电表
     */
    private String abnormalPointOne;

    /**
     * 异常点位查看  水浸
     */
    private String abnormalPointTwo;

    /**
     * 异常点位查看  烟雾
     */
    private String abnormalPointThree;

    /**
     * 异常点位查看  液位
     */
    private String abnormalPointFour;


    public LargeBuildingControl() {
    }

    public LargeBuildingControl(String weekElectricity, String roomElectricity, String todayElectricity, String monthElectricityOne, String monthElectricityTwo, String monthElectricityThree, String roomLoadOne, String roomLoadTwo, String roomLoadThree, String warnDevice, Long waterControlNormalNum, Long waterControlAbnormalNum, String warnEventStatistics, String waterStateOne, String waterStateTwo) {
        this.weekElectricity = weekElectricity;
        this.roomElectricity = roomElectricity;
        this.todayElectricity = todayElectricity;
        this.monthElectricityOne = monthElectricityOne;
        this.monthElectricityTwo = monthElectricityTwo;
        this.monthElectricityThree = monthElectricityThree;
        this.roomLoadOne = roomLoadOne;
        this.roomLoadTwo = roomLoadTwo;
        this.roomLoadThree = roomLoadThree;
        this.warnDevice = warnDevice;
        this.waterControlNormalNum = waterControlNormalNum;
        this.waterControlAbnormalNum = waterControlAbnormalNum;
        this.warnEventStatistics = warnEventStatistics;
        this.waterStateOne = waterStateOne;
        this.waterStateTwo = waterStateTwo;
    }
}
