package com.project.zcustom.domain.addional;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;

import java.math.BigDecimal;

@Data
@TableName("large_plat_public_car")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeCar extends CustomBaseEntity {
    @JSONField(name = "ID")
    private Long id;

    /**
     * 所属单位
     */

    @JSONField(name = "orgCode")
    private String appEncode;

    private String orgName;

    /**
     * 公务车实有总数
     */

    @JSONField(name = "gwcNum")
    private Long totalCarNum;

    /**
     * 商务车数量
     */

    @JSONField(name = "swc")
    private Long carNumOne;

    /**
     * 越野车数量
     */

    @JSONField(name = "yyc")
    private Long carNumTwo;

    /**
     * 小轿车数量
     */

    @JSONField(name = "xjc")
    private Long carNumThree;

    /**
     * 小型客车数量
     */

    @JSONField(name = "xxkc")
    private Long carNumFour;

    /**
     * 大型客车数量
     */

    @JSONField(name = "dxkc")
    private Long carNumFive;

    /**
     * 企业用车数量
     */

    @JSONField(name = "qyyc")
    private Long enterpriseCarNum;

    /**
     * 企业负责人用车数量
     */

    @JSONField(name = "qyfzr")
    private Long headCarNum;

    /**
     * 燃油车数量
     */

    @JSONField(name = "ryc")
    private Long oilCarNum;

    /**
     * 新能源车数量
     */

    @JSONField(name = "xnyc")
    private Long newPowerCarNum;



    /**
     * 公务车编制数
     */

    @JSONField(name = "gwcBZS")
    private Long establishmentsCarNum;

    /**
     * 公务车年度增加数
     */

    @JSONField(name = "gwcZJS")
    private Long yearAddNum;

    /**
     * 公务车年度减少数
     */

    @JSONField(name = "gwcJSS")
    private Long yearReduceNum;

    /**
     * 公务车终端数
     */
    @JSONField(name = "terminalTotal")
    private Long terminalTotal;

    /**
     * 公务车终端安装数
     */
    @JSONField(name = "terminalInstall")
    private Long terminalInstall;

    /**
     * 公务车终端在线数
     */
    @JSONField(name = "online")
    private Long terminalOnline;

    /**
     * 处置未归档数量
     */

    @JSONField(name = "CZWGD")
    private Long notArchivedNum;

    /**
     * 未带工单数
     */

    @JSONField(name = "noPid")
    private Long noPidNum;

    /**
     * 超速预警数
     */

    @JSONField(name = "overSpeed")
    private Long overSpeedNum;

    /**
     * 节假日预警数
     */

    @JSONField(name = "Holiday")
    private Long holidayNum;

    /**
     * 派车单总数
     */

    @JSONField(name = "pcdNum")
    private Long pcdNum;

    /**
     * 均车派车单数
     */

    @JSONField(name = "gwcTotal")
    private Long avgPcdNum;

    /**
     * 公务车行驶总里程
     */

    @JSONField(name = "mileCount")
    private BigDecimal mileCount;

    /**
     * 均车里程
     */

    @JSONField(name = "avgMile")
    private BigDecimal avgMile;
}
