package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_housing_land")

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeHousingLand extends CustomBaseEntity {

    /**
     * id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 房产名称
     */


    private String housing;

    /**
     * 房产面积
     */


    private BigDecimal acreage;

    /**
     * 房产类型
     */


    private Long type;

    @TableField(exist = false)
    private String typeName;

    /**
     * 施工时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")


    private Date constructionTime;

    /**
     * 是否拥有所有权（0否；1是）
     */


    private Integer ownershipFlag;

    /**
     * 是否为投资计划（0否；1是）
     */


    private Integer investmentPlanFlag;

    @TableField(exist = false)
    private Long num;
}
