package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 上报问题对象 large_plat_issue
 *
 * @author change
 * @date 2024-12-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_issue")

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeIssue extends CustomBaseEntity {

    /**
     * 问题id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 问题标题
     */

    private String title;

    /**
     * 附件地址
     */

    private String imagePath;

    /**
     * 问题描述
     */


    private String description;

    /**
     * 要求
     */

    private String need;

    /**
     * 发起人
     */

    private String person;

    /**
     * 所属项目id
     */

    private Integer projectId;


    @TableField(exist = false)
    private String projectName;

    /**
     * 问题状态（0代表未解决  1代表已解决）
     */

    private String status;

    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;
}
