package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;

import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 工程计划对象 large_plat_plan
 *
 * @author change
 * @date 2024-12-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_plan")

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargePlan extends CustomBaseEntity {

    /**
     * 计划id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 所属项目id
     */


    private Long projectId;

    /**
     * 计划类型（0 检查   1施工）
     */


    private String type;

    /**
     * 负责人
     */


    private String head;

    /**
     * 具体内容
     */


    private String content;

    /**
     * 开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")


    private Date startTime;

    /**
     * 结束日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")


    private Date endTime;

    @TableField(exist = false)
    private String projectName;

}
