package com.project.zcustom.domain.addional;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 工程项目对象 large_plat_project
 *
 * @author change
 * @date 2024-12-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_project")

@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeProject extends CustomBaseEntity {

    /**
     * 项目id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 项目名称
     */


    private String projectName;

    private String constructionUnit;

    private String supervisionUnit;

    /**
     * 横坐标
     */

    private BigDecimal abscissa;

    /**
     * 纵坐标
     */

    private BigDecimal ordinate;

    /**
     * 所属单位编码
     */


    private String appOrg;

    /**
     * 所属单位的父单位编码
     */
    @TableField(exist = false)
    private String appParentOrg;

    /**
     * 项目类型
     */


    private String type;

    /**
     * 接入标志（0代表接入 2代表未接入）
     */


    private String connectFlag;

    @TableField(exist = false)
    private Long cameraNum;

    private Long subdivision;

    @TableField(exist = false)
    private Long num;

}
