package com.project.zcustom.domain.basics;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 地区编码对象 plat_app_org
 *
 * @author change
 * @date 2024-10-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_app_org")
public class PlatAppOrg extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 地区编码
     */

    private String appOrg;

    /**
     * 地区编码（后勤资产）
     */
    private String appCode;

    /**
     * 地区编码（公务用车）
     */
    private String appEncode;

    /**
     * 父地区编码
     */

    private String appParentOrg;

    /**
     * 地区名称
     */

    private String appName;

    /**
     * 接入标志
     */

    private String connectFlag;

    @TableField(exist = false)
    private Long projectNum;

    @TableField(exist = false)
    private Long cameraNum;

    @TableField(exist = false)
    private Long onlineCameraNum;

    @TableField(exist = false)
    private List<PlatAppOrg> children;

}
