package com.project.zcustom.domain.basics;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 系统运行峰值情况分析对象 plat_basics_system
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_basics_system")
public class PlatBasicsSystem extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 0cpu使用率 1内存使用率 2磁盘使用率 3网络流量
     */
    private Integer sysType;

    /**
     * 0点-6点使用率
     */
    private Long between6Num;

    /**
     * 6点-12点使用率
     */
    private Long between12Num;

    /**
     * 12点-18点使用率
     */
    private Long between18Num;

    /**
     * 18点-24点使用率
     */
    private Long between24Num;

}
