package com.project.zcustom.domain.build;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 楼宇数据对象 plat_build_params
 *
 * @author change
 * @date 2024-11-01
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_build_params")
public class PlatBuildParams extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 0 年度综合能耗 1 年度用电 2 年度累计水耗 3 年度累计非供暖能 4 月用电量信息 5 楼宇月用水电热信息 6 数据中心机房信息 7 供暖能耗信息 8 燃气用量信息 9 资源信息 10 可再生电力信息 11 办公碳排放情况 12 各单位年度累计办公碳排放量
     */
    private Integer type;

    /**
     * 参数名称
     */
    private String paramName;

    /**
     * 参数key
     */
    private String paramKey;

    /**
     * 参数值1
     */
    private BigDecimal paramsValue;

    /**
     * 参数值2
     */
    private BigDecimal paramsValue2;

    /**
     * 参数值3
     */
    private BigDecimal paramsValue3;

    /**
     * 参数值4
     */
    private BigDecimal paramsValue4;

}
