package com.project.zcustom.domain.build;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 年度趋势变化数据对象 plat_build_year_trend
 *
 * @author change
 * @date 2024-11-01
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_build_year_trend")
public class PlatBuildYearTrend extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 月份
     */
    private String monthString;

    /**
     * 当年值
     */
    private BigDecimal currentValue;

    /**
     * 去年值
     */
    private BigDecimal lastYearValue;

    /**
     * 当年年份
     */
    private String currentYear;

    /**
     * 去年年份
     */
    private String lastYear;

    /**
     * 0 碳排放量月度变化趋势1 年度综合能耗变化趋势图 2 年度电耗变化趋势图 3 年度水耗趋势接口 4 年度非供暖能耗趋势
     */
    private Integer type;

}
