package com.project.zcustom.domain.employee;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 员工健康对象 plat_employee_health
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_employee_health")
public class PlatEmployeeHealth extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 员工健康分布--健康人数
     */
    private Long healthyNum;

    /**
     * 员工健康分布--亚健康人数
     */
    private Long subHealthyNum;

    /**
     * 健康服务--应参检人数
     */
    private Long participateNum;

    /**
     * 健康服务--实际参检人数
     */
    private Long actualParticipateNum;

    /**
     * 健康服务--检查人数占比
     */
    private BigDecimal participateProportionRate;

}
