package com.project.zcustom.domain.employee;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 员工概况对象 plat_employee_type
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_employee_type")
public class PlatEmployeeType extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 员工类型--内部员工数量
     */
    private Long insideNum;

    /**
     * 员工类型--借调人员数量
     */
    private Long loanNum;

    /**
     * 员工类型--外协人员数量
     */
    private Long associationNum;

    /**
     * 员工类型--物业人员数量
     */
    private Long propertyNum;

    /**
     * 入楼情况--内部员工
     */
    private Long entryInternalNum;

    /**
     * 入楼情况--借调人员
     */
    private Long entryToLoanNum;

    /**
     * 入楼情况--外协人员
     */
    private Long entryAssistNum;

    /**
     * 入楼情况--物业人员
     */
    private Long entryPropertyNum;

    /**
     * 入楼情况--访客
     */
    private Long visitorNum;

    /**
     * 入楼情况--共计人员数量
     */
    private Long grossNum;

    /**
     * 员工年龄分布--20-30岁
     */
    private Long between2030Num;

    /**
     * 员工年龄分布--30-40岁
     */
    private Long between3040Num;

    /**
     * 员工年龄分布--40-50岁
     */
    private Long between4050Num;

    /**
     * 员工年龄分布--50岁以上
     */
    private Long exceed50Num;

    /**
     * 员工性别情况--男性数
     */
    private Long manNum;

    /**
     * 员工性别情况--女性数
     */
    private Long womenNum;

}
