package com.project.zcustom.domain.employee;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 近一周人流量统计对象 plat_employee_type_flow
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_employee_type_flow")
public class PlatEmployeeTypeFlow extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 员工类型--内部员工数量
     */
    private Long insideNum;

    /**
     * 员工类型--借调人员数量
     */
    private Long loanNum;

    /**
     * 员工类型--外协人员数量
     */
    private Long associationNum;

    /**
     * 员工类型--物业人员数量
     */
    private Long propertyNum;

    /**
     * 员工类型--物业人员数量
     */
    private Long visitNum;


    /**
     * 时间标识
     */
    private Integer timeSign;

}
