package com.project.zcustom.domain.post;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 物业服务对象 plat_post_station
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_post_station")

public class PlatPostStation extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 地区编码
     */


    private String appOrg;

    /**
     * 物业服务--故障保修订单数
     */


    private Long faultWarrantyNum;

    /**
     * 物业服务--派单数量
     */


    private Long dispatchedNum;

    /**
     * 物业服务--建议订单数量
     */


    private Long suggestedNum;

    /**
     * 物业服务--维修订单数量
     */


    private Long repairOrdersNum;

    /**
     * 物业服务--调查问卷数量
     */


    private Long questionnairesNum;

    /**
     * 近一个月报修分类占比--办公家具报修
     */


    private Long furniture;

    /**
     * 近一个月报修分类占比--冷热水故障
     */


    private Long hotColdWater;

    /**
     * 近一个月报修分类占比--门禁故障
     */


    private Long accessControl;

    /**
     * 近一个月报修分类占比--其他报修故障
     */


    private Long other;

    /**
     * 近一个月报修分类占比--墙类/地类报修
     */


    private Long wall;

    /**
     * 近一个月报修分类占比--电气故障报修
     */


    private Long electrical;

    /**
     * 近一个月报修分类占比--电梯故障
     */


    private Long elevator;

    /**
     * 近一个月报修分类占比--消防设施设备故障
     */


    private Long fireControl;

    /**
     * 近一个月报修分类占比--保洁服务
     */


    private Long cleaning;

    /**
     * 近一个月报修分类占比--空调故障
     */


    private Long airConditioning;

}
