package com.project.zcustom.domain.post;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 近六个月报修分类占比对象 plat_post_station_chart
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_post_station_chart")
public class PlatPostStationChart extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 近六个月报修分类占比 取值1-6
     */
    private Long appMonth;

    /**
     * 消防
     */
    private Long colNum;

    /**
     * 电梯
     */
    private Long elevatorNum;

    /**
     * 照明灯具
     */
    private Long laNum;

    /**
     * 安防
     */
    private Long seNum;

    /**
     * 卫生间
     */
    private Long toNum;

    /**
     * 公区
     */
    private Long arNum;

    /**
     * 空调
     */
    private Long diNum;

    /**
     * 其它维修
     */
    private Long otNum;

    /**
     * 会议保障
     */
    private Long meNum;

    /**
     * 办公室
     */
    private Long ofNum;

}
