package com.project.zcustom.domain.smart;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 绿智食堂对象 plat_green_smart
 *
 * @author change
 * @date 2024-10-31
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_green_smart")
public class PlatGreenSmart extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 食堂名称
     */
    private String canteenNum;

    /**
     * 食堂类型
     */
    private String canteenType;

    /**
     * 食堂面积 平方米
     */
    private Long areaNum;

    /**
     * 座位数量
     */
    private Long seatsNum;

    /**
     * 管理人员
     */
    private Long managementNum;

    /**
     * 厨师人数
     */
    private Long chefsNum;

    /**
     * 服务人员
     */
    private Long serviceNum;

    /**
     * 厨师服务员总数
     */
    @TableField(exist = false)
    private Long totalPersonNum;

    /**
     * 健康证数量
     */
    private Long healthNum;

    /**
     * 许可证数量
     */
    private Long licenceNum;

    /**
     * 菜品卫生 评分
     */
    private Integer dishHygieneScore;

    /**
     * 菜品口味 评分
     */
    private Integer tasteDishesScore;

    /**
     * 服务态度 评分
     */
    private Integer attitudeScore;

    /**
     * 餐具卫生 评分
     */
    private Integer tablewareScore;

    /**
     * 菜品种类 评分
     */
    private Integer typesDishesScore;

    /**
     * 就餐体验 评分
     */
    private Integer diningScore;

    /**
     * 其它人员
     */
    private Long personnelNum;

    /**
     * 服务就餐人数
     */
    private Long serviceDinersNum;

    /**
     * 平均分
     */
    @TableField(exist = false)
    private Long totalScore;

    /**
     * 食堂数量
     */
    @TableField(exist = false)
    private String canteenTotalNumber;

    /**
     * 食堂数量
     */
    @TableField(exist = false)
    private String selfCanteenNumber;

    /**
     * 食堂数量
     */
    @TableField(exist = false)
    private String outsourceCanteenNumber;
}
