package com.project.zcustom.domain.smart;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 食堂服务满意度对象 plat_green_smart_degree
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("plat_green_smart_degree")
public class PlatGreenSmartDegree extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 非常满意
     */
    private Long veryNum;

    /**
     * 满意
     */
    private Long satisfyNum;

    /**
     * 一般
     */
    private Long sameNum;

    /**
     * 不满意
     */
    private Long unsatisfiedNum;

    /**
     * 0菜品卫生 1菜品口味 2服务态度 3餐具卫生 4菜品种类 5就餐体验
     */
    private Integer type;

}
