package com.project.zcustom.domain.smart;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 绿智食堂 其他参数对象 plat_green_smart_other
 *
 * @author change
 * @date 2024-10-31
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_green_smart_other")
public class PlatGreenSmartOther extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 绿智食堂参评食堂情况--参评绿智食堂
     */
    private Long participateNum;

    /**
     * 绿智食堂参评食堂情况--已完成单位
     */
    private Long completedNum;

    /**
     * 就餐情况--早餐
     */
    private Long actualDiningNum;

    /**
     * 就餐情况--午餐
     */
    private Long lunchNum;

    /**
     * 就餐情况--晚餐
     */
    private Long dinnerNum;

    /**
     * 电子餐券--早
     */
    private Long morningNum;

    /**
     * 电子餐券--中
     */
    private Long noonNum;

    /**
     * 电子餐券--晚
     */
    private Long nightNum;

    /**
     * 菜品信息--每日菜谱
     */
    private Long dailyMenuNum;

    /**
     * 菜品信息--周菜食谱
     */
    private Long weeklyCuisineNum;

    /**
     * 其它数据信息--菜品投票参与人数
     */
    private Long foodVotingNum;

    /**
     * 其它数据信息--光盘行动参与人数
     */
    private Long clearPlateNum;

    /**
     * 其它数据信息--厨艺交流上传数量
     */
    private Long culinaryExchangeNum;

    /**
     * 智慧食堂--外卖
     */
    private Long takeOutFoodNum;

    /**
     * 智慧食堂--自选食品
     */
    private Long selfFoodNum;

    /**
     * 智慧食堂--节日特供
     */
    private Long holidaySpecialNum;

    /**
     * 员工服务--茶歇服务
     */
    private Long breakServiceNum;

    /**
     * 员工服务--洗衣服务
     */
    private Long laundryServiceNum;

    /**
     * 员工服务--理发服务
     */
    private Long barberServiceNum;

}
