package com.project.zcustom.domain.smart;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.zcustom.controller.core.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 食堂安全管理对象 plat_green_smart_safety
 *
 * @author change
 * @date 2024-10-31
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_green_smart_safety")
public class PlatGreenSmartSafety extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 食堂数量
     */
    @TableField(exist = false)
    private Long canteenCount;

    /**
     * 地区编码
     */
    private String appOrg;

    /**
     * 食堂名称
     */
    private String canteenName;

    /**
     * 食品留样数量
     */
    private Long sampleNum;

    /**
     * 食材抽检结果阳性
     */
    private Long positiveNum;

    /**
     * 食材抽检结果阴性
     */
    private Long negativeNum;

    /**
     * 食材抽检合格率
     */
    private BigDecimal ingredientsRate;

    /**
     * 食品留样合格率
     */
    private BigDecimal leaveSampleRate;

}
