package com.project.zcustom.logistics;


import com.project.zcustom.controller.core.AjaxResult;
import com.project.zcustom.controller.core.BaseController;
import com.project.zcustom.service.logistics.ILargeHousingLandService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/large/housing")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class PlatHousingLandController extends BaseController {

    @Autowired
    private ILargeHousingLandService largeHousingLandService;

    /**
     * 房产资源存量
     */
    @GetMapping("/stockOfEstateResources")
    public AjaxResult getStockOfEstateResources() {
        return AjaxResult.success("查询成功", largeHousingLandService.getStockOfEstateResources());
    }

    /**
     * 土地资源存量
     */
    @GetMapping("/stockOfLandResources")
    public AjaxResult getStockOfLandResources() {
        return AjaxResult.success("查询成功", largeHousingLandService.getStockOfLandResources());
    }

    /**
     * 2025年度投资房产完成情况
     */
    @GetMapping("/investFinishState")
    public AjaxResult getInvestFinishState() {
        return AjaxResult.success("查询成功", largeHousingLandService.getInvestFinishState());
    }

}
