package com.project.zcustom.mapper.access;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.access.PlatAccess;
import org.apache.ibatis.annotations.Param;


/**
 * 便捷出入Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatAccessMapper extends BaseMapper<PlatAccess>
{
    /**
     * 查询便捷出入
     * 
     * @param id 便捷出入主键
     * @return 便捷出入
     */
    public PlatAccess selectPlatAccessById(Long id);

    /**
     * 查询便捷出入列表
     * 
     * @param largePlatAccess 便捷出入
     * @return 便捷出入集合
     */
    public List<PlatAccess> selectPlatAccessList(PlatAccess largePlatAccess);

    /**
     * 新增便捷出入
     * 
     * @param largePlatAccess 便捷出入
     * @return 结果
     */
    public int insertPlatAccess(PlatAccess largePlatAccess);

    /**
     * 修改便捷出入
     * 
     * @param largePlatAccess 便捷出入
     * @return 结果
     */
    public int updatePlatAccess(PlatAccess largePlatAccess);

    /**
     * 删除便捷出入
     * 
     * @param id 便捷出入主键
     * @return 结果
     */
    public int deletePlatAccessById(Long id);

    /**
     * 批量删除便捷出入
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatAccessByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatAccess> deleteWrapper);
}
