package com.project.zcustom.mapper.basics;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.basics.PlatBasicsCompany;
import org.apache.ibatis.annotations.Param;


/**
 * 公司活跃人数Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatBasicsCompanyMapper extends BaseMapper<PlatBasicsCompany>
{
    /**
     * 查询公司活跃人数
     * 
     * @param id 公司活跃人数主键
     * @return 公司活跃人数
     */
    public PlatBasicsCompany selectPlatBasicsCompanyById(Long id);

    /**
     * 查询公司活跃人数列表
     * 
     * @param largePlatBasicsCompany 公司活跃人数
     * @return 公司活跃人数集合
     */
    public List<PlatBasicsCompany> selectPlatBasicsCompanyList(PlatBasicsCompany largePlatBasicsCompany);

    /**
     * 新增公司活跃人数
     * 
     * @param largePlatBasicsCompany 公司活跃人数
     * @return 结果
     */
    public int insertPlatBasicsCompany(PlatBasicsCompany largePlatBasicsCompany);

    /**
     * 修改公司活跃人数
     * 
     * @param largePlatBasicsCompany 公司活跃人数
     * @return 结果
     */
    public int updatePlatBasicsCompany(PlatBasicsCompany largePlatBasicsCompany);

    /**
     * 删除公司活跃人数
     * 
     * @param id 公司活跃人数主键
     * @return 结果
     */
    public int deletePlatBasicsCompanyById(Long id);

    /**
     * 批量删除公司活跃人数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatBasicsCompanyByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatBasicsCompany> deleteWrapper);
}
