package com.project.zcustom.mapper.basics;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.basics.PlatBasics;
import org.apache.ibatis.annotations.Param;


/**
 * 基础运行数据Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatBasicsMapper extends BaseMapper<PlatBasics>
{
    /**
     * 查询基础运行数据
     * 
     * @param id 基础运行数据主键
     * @return 基础运行数据
     */
    public PlatBasics selectPlatBasicsById(Long id);

    /**
     * 查询基础运行数据列表
     * 
     * @param largePlatBasics 基础运行数据
     * @return 基础运行数据集合
     */
    public List<PlatBasics> selectPlatBasicsList(PlatBasics largePlatBasics);

    /**
     * 新增基础运行数据
     * 
     * @param largePlatBasics 基础运行数据
     * @return 结果
     */
    public int insertPlatBasics(PlatBasics largePlatBasics);

    /**
     * 修改基础运行数据
     * 
     * @param largePlatBasics 基础运行数据
     * @return 结果
     */
    public int updatePlatBasics(PlatBasics largePlatBasics);

    /**
     * 删除基础运行数据
     * 
     * @param id 基础运行数据主键
     * @return 结果
     */
    public int deletePlatBasicsById(Long id);

    /**
     * 批量删除基础运行数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatBasicsByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatBasics> deleteWrapper);
}
