package com.project.zcustom.mapper.basics;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.basics.PlatBasicsServer;
import org.apache.ibatis.annotations.Param;


/**
 * 服务信息Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatBasicsServerMapper extends BaseMapper<PlatBasicsServer>
{
    /**
     * 查询服务信息
     * 
     * @param id 服务信息主键
     * @return 服务信息
     */
    public PlatBasicsServer selectPlatBasicsServerById(Long id);

    /**
     * 查询服务信息列表
     * 
     * @param largePlatBasicsServer 服务信息
     * @return 服务信息集合
     */
    public List<PlatBasicsServer> selectPlatBasicsServerList(PlatBasicsServer largePlatBasicsServer);

    /**
     * 新增服务信息
     * 
     * @param largePlatBasicsServer 服务信息
     * @return 结果
     */
    public int insertPlatBasicsServer(PlatBasicsServer largePlatBasicsServer);

    /**
     * 修改服务信息
     * 
     * @param largePlatBasicsServer 服务信息
     * @return 结果
     */
    public int updatePlatBasicsServer(PlatBasicsServer largePlatBasicsServer);

    /**
     * 删除服务信息
     * 
     * @param id 服务信息主键
     * @return 结果
     */
    public int deletePlatBasicsServerById(Long id);

    /**
     * 批量删除服务信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatBasicsServerByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatBasicsServer> deleteWrapper);
}
