package com.project.zcustom.mapper.basics;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.basics.PlatBasicsSystem;
import org.apache.ibatis.annotations.Param;


/**
 * 系统运行峰值情况分析Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatBasicsSystemMapper extends BaseMapper<PlatBasicsSystem>
{
    /**
     * 查询系统运行峰值情况分析
     * 
     * @param id 系统运行峰值情况分析主键
     * @return 系统运行峰值情况分析
     */
    public PlatBasicsSystem selectPlatBasicsSystemById(Long id);

    /**
     * 查询系统运行峰值情况分析列表
     * 
     * @param largePlatBasicsSystem 系统运行峰值情况分析
     * @return 系统运行峰值情况分析集合
     */
    public List<PlatBasicsSystem> selectPlatBasicsSystemList(PlatBasicsSystem largePlatBasicsSystem);

    /**
     * 新增系统运行峰值情况分析
     * 
     * @param largePlatBasicsSystem 系统运行峰值情况分析
     * @return 结果
     */
    public int insertPlatBasicsSystem(PlatBasicsSystem largePlatBasicsSystem);

    /**
     * 修改系统运行峰值情况分析
     * 
     * @param largePlatBasicsSystem 系统运行峰值情况分析
     * @return 结果
     */
    public int updatePlatBasicsSystem(PlatBasicsSystem largePlatBasicsSystem);

    /**
     * 删除系统运行峰值情况分析
     * 
     * @param id 系统运行峰值情况分析主键
     * @return 结果
     */
    public int deletePlatBasicsSystemById(Long id);

    /**
     * 批量删除系统运行峰值情况分析
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatBasicsSystemByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatBasicsSystem> deleteWrapper);
}
