package com.project.zcustom.mapper.build;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.build.PlatBuildParams;
import org.apache.ibatis.annotations.Param;


/**
 * 楼宇数据Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatBuildParamsMapper extends BaseMapper<PlatBuildParams>
{
    /**
     * 查询楼宇数据
     * 
     * @param id 楼宇数据主键
     * @return 楼宇数据
     */
    public PlatBuildParams selectPlatBuildParamsById(Long id);

    /**
     * 查询楼宇数据列表
     * 
     * @param largePlatBuildParams 楼宇数据
     * @return 楼宇数据集合
     */
    public List<PlatBuildParams> selectPlatBuildParamsList(PlatBuildParams largePlatBuildParams);

    /**
     * 新增楼宇数据
     * 
     * @param largePlatBuildParams 楼宇数据
     * @return 结果
     */
    public int insertPlatBuildParams(PlatBuildParams largePlatBuildParams);

    /**
     * 修改楼宇数据
     * 
     * @param largePlatBuildParams 楼宇数据
     * @return 结果
     */
    public int updatePlatBuildParams(PlatBuildParams largePlatBuildParams);

    /**
     * 删除楼宇数据
     * 
     * @param id 楼宇数据主键
     * @return 结果
     */
    public int deletePlatBuildParamsById(Long id);

    /**
     * 批量删除楼宇数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatBuildParamsByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatBuildParams> deleteWrapper);
}
