package com.project.zcustom.mapper.build;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.build.PlatBuildYearTrend;
import org.apache.ibatis.annotations.Param;


/**
 * 年度趋势变化数据Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatBuildYearTrendMapper extends BaseMapper<PlatBuildYearTrend>
{
    /**
     * 查询年度趋势变化数据
     * 
     * @param id 年度趋势变化数据主键
     * @return 年度趋势变化数据
     */
    public PlatBuildYearTrend selectPlatBuildYearTrendById(Long id);

    /**
     * 查询年度趋势变化数据列表
     * 
     * @param largePlatBuildYearTrend 年度趋势变化数据
     * @return 年度趋势变化数据集合
     */
    public List<PlatBuildYearTrend> selectPlatBuildYearTrendList(PlatBuildYearTrend largePlatBuildYearTrend);

    /**
     * 新增年度趋势变化数据
     * 
     * @param largePlatBuildYearTrend 年度趋势变化数据
     * @return 结果
     */
    public int insertPlatBuildYearTrend(PlatBuildYearTrend largePlatBuildYearTrend);

    /**
     * 修改年度趋势变化数据
     * 
     * @param largePlatBuildYearTrend 年度趋势变化数据
     * @return 结果
     */
    public int updatePlatBuildYearTrend(PlatBuildYearTrend largePlatBuildYearTrend);

    /**
     * 删除年度趋势变化数据
     * 
     * @param id 年度趋势变化数据主键
     * @return 结果
     */
    public int deletePlatBuildYearTrendById(Long id);

    /**
     * 批量删除年度趋势变化数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatBuildYearTrendByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatBuildYearTrend> deleteWrapper);
}
