package com.project.zcustom.mapper.employee;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.employee.PlatEmployeeHealthChart;
import org.apache.ibatis.annotations.Param;


/**
 * 员工健康图数据Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatEmployeeHealthChartMapper extends BaseMapper<PlatEmployeeHealthChart>
{
    /**
     * 查询员工健康图数据
     * 
     * @param id 员工健康图数据主键
     * @return 员工健康图数据
     */
    public PlatEmployeeHealthChart selectPlatEmployeeHealthChartById(Long id);

    /**
     * 查询员工健康图数据列表
     * 
     * @param largePlatEmployeeHealthChart 员工健康图数据
     * @return 员工健康图数据集合
     */
    public List<PlatEmployeeHealthChart> selectPlatEmployeeHealthChartList(PlatEmployeeHealthChart largePlatEmployeeHealthChart);

    /**
     * 新增员工健康图数据
     * 
     * @param largePlatEmployeeHealthChart 员工健康图数据
     * @return 结果
     */
    public int insertPlatEmployeeHealthChart(PlatEmployeeHealthChart largePlatEmployeeHealthChart);

    /**
     * 修改员工健康图数据
     * 
     * @param largePlatEmployeeHealthChart 员工健康图数据
     * @return 结果
     */
    public int updatePlatEmployeeHealthChart(PlatEmployeeHealthChart largePlatEmployeeHealthChart);

    /**
     * 删除员工健康图数据
     * 
     * @param id 员工健康图数据主键
     * @return 结果
     */
    public int deletePlatEmployeeHealthChartById(Long id);

    /**
     * 批量删除员工健康图数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatEmployeeHealthChartByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatEmployeeHealthChart> deleteWrapper);
}
