package com.project.zcustom.mapper.employee;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.employee.PlatEmployeeHealth;
import org.apache.ibatis.annotations.Param;


/**
 * 员工健康Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatEmployeeHealthMapper extends BaseMapper<PlatEmployeeHealth>
{
    /**
     * 查询员工健康
     * 
     * @param id 员工健康主键
     * @return 员工健康
     */
    public PlatEmployeeHealth selectPlatEmployeeHealthById(Long id);

    /**
     * 查询员工健康列表
     * 
     * @param largePlatEmployeeHealth 员工健康
     * @return 员工健康集合
     */
    public List<PlatEmployeeHealth> selectPlatEmployeeHealthList(PlatEmployeeHealth largePlatEmployeeHealth);

    /**
     * 新增员工健康
     * 
     * @param largePlatEmployeeHealth 员工健康
     * @return 结果
     */
    public int insertPlatEmployeeHealth(PlatEmployeeHealth largePlatEmployeeHealth);

    /**
     * 修改员工健康
     * 
     * @param largePlatEmployeeHealth 员工健康
     * @return 结果
     */
    public int updatePlatEmployeeHealth(PlatEmployeeHealth largePlatEmployeeHealth);

    /**
     * 删除员工健康
     * 
     * @param id 员工健康主键
     * @return 结果
     */
    public int deletePlatEmployeeHealthById(Long id);

    /**
     * 批量删除员工健康
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatEmployeeHealthByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatEmployeeHealth> deleteWrapper);
}
