package com.project.zcustom.mapper.employee;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.employee.PlatEmployeeTypeFlow;
import org.apache.ibatis.annotations.Param;


/**
 * 近一周人流量统计Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatEmployeeTypeFlowMapper extends BaseMapper<PlatEmployeeTypeFlow>
{
    /**
     * 查询近一周人流量统计
     * 
     * @param id 近一周人流量统计主键
     * @return 近一周人流量统计
     */
    public PlatEmployeeTypeFlow selectPlatEmployeeTypeFlowById(Long id);

    /**
     * 查询近一周人流量统计列表
     * 
     * @param largePlatEmployeeTypeFlow 近一周人流量统计
     * @return 近一周人流量统计集合
     */
    public List<PlatEmployeeTypeFlow> selectPlatEmployeeTypeFlowList(PlatEmployeeTypeFlow largePlatEmployeeTypeFlow);

    /**
     * 新增近一周人流量统计
     * 
     * @param largePlatEmployeeTypeFlow 近一周人流量统计
     * @return 结果
     */
    public int insertPlatEmployeeTypeFlow(PlatEmployeeTypeFlow largePlatEmployeeTypeFlow);

    /**
     * 修改近一周人流量统计
     * 
     * @param largePlatEmployeeTypeFlow 近一周人流量统计
     * @return 结果
     */
    public int updatePlatEmployeeTypeFlow(PlatEmployeeTypeFlow largePlatEmployeeTypeFlow);

    /**
     * 删除近一周人流量统计
     * 
     * @param id 近一周人流量统计主键
     * @return 结果
     */
    public int deletePlatEmployeeTypeFlowById(Long id);

    /**
     * 批量删除近一周人流量统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatEmployeeTypeFlowByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatEmployeeTypeFlow> deleteWrapper);
}
