package com.project.zcustom.mapper.plat;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.plat.PlatApiRecord;
import org.apache.ibatis.annotations.Param;


/**
 * 接口请求记录Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatApiRecordMapper extends BaseMapper<PlatApiRecord>
{
    /**
     * 查询接口请求记录
     * 
     * @param id 接口请求记录主键
     * @return 接口请求记录
     */
    public PlatApiRecord selectPlatApiRecordById(Long id);

    /**
     * 查询接口请求记录列表
     * 
     * @param largePlatApiRecord 接口请求记录
     * @return 接口请求记录集合
     */
    public List<PlatApiRecord> selectPlatApiRecordList(PlatApiRecord largePlatApiRecord);

    /**
     * 新增接口请求记录
     * 
     * @param largePlatApiRecord 接口请求记录
     * @return 结果
     */
    public int insertPlatApiRecord(PlatApiRecord largePlatApiRecord);

    /**
     * 修改接口请求记录
     * 
     * @param largePlatApiRecord 接口请求记录
     * @return 结果
     */
    public int updatePlatApiRecord(PlatApiRecord largePlatApiRecord);

    /**
     * 删除接口请求记录
     * 
     * @param id 接口请求记录主键
     * @return 结果
     */
    public int deletePlatApiRecordById(Long id);

    /**
     * 批量删除接口请求记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatApiRecordByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatApiRecord> deleteWrapper);
}
