package com.project.zcustom.mapper.post;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.post.PlatPostStationChart;
import org.apache.ibatis.annotations.Param;


/**
 * 近六个月报修分类占比Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatPostStationChartMapper extends BaseMapper<PlatPostStationChart>
{
    /**
     * 查询近六个月报修分类占比
     * 
     * @param id 近六个月报修分类占比主键
     * @return 近六个月报修分类占比
     */
    public PlatPostStationChart selectPlatPostStationChartById(Long id);

    /**
     * 查询近六个月报修分类占比列表
     * 
     * @param largePlatPostStationChart 近六个月报修分类占比
     * @return 近六个月报修分类占比集合
     */
    public List<PlatPostStationChart> selectPlatPostStationChartList(PlatPostStationChart largePlatPostStationChart);

    /**
     * 新增近六个月报修分类占比
     * 
     * @param largePlatPostStationChart 近六个月报修分类占比
     * @return 结果
     */
    public int insertPlatPostStationChart(PlatPostStationChart largePlatPostStationChart);

    /**
     * 修改近六个月报修分类占比
     * 
     * @param largePlatPostStationChart 近六个月报修分类占比
     * @return 结果
     */
    public int updatePlatPostStationChart(PlatPostStationChart largePlatPostStationChart);

    /**
     * 删除近六个月报修分类占比
     * 
     * @param id 近六个月报修分类占比主键
     * @return 结果
     */
    public int deletePlatPostStationChartById(Long id);

    /**
     * 批量删除近六个月报修分类占比
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatPostStationChartByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatPostStationChart> deleteWrapper);
}
