package com.project.zcustom.mapper.post;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.post.PlatPostStation;
import org.apache.ibatis.annotations.Param;


/**
 * 物业服务Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatPostStationMapper extends BaseMapper<PlatPostStation>
{
    /**
     * 查询物业服务
     * 
     * @param id 物业服务主键
     * @return 物业服务
     */
    public PlatPostStation selectPlatPostStationById(Long id);

    /**
     * 查询物业服务列表
     * 
     * @param largePlatPostStation 物业服务
     * @return 物业服务集合
     */
    public List<PlatPostStation> selectPlatPostStationList(PlatPostStation largePlatPostStation);

    /**
     * 新增物业服务
     * 
     * @param largePlatPostStation 物业服务
     * @return 结果
     */
    public int insertPlatPostStation(PlatPostStation largePlatPostStation);

    /**
     * 修改物业服务
     * 
     * @param largePlatPostStation 物业服务
     * @return 结果
     */
    public int updatePlatPostStation(PlatPostStation largePlatPostStation);

    /**
     * 删除物业服务
     * 
     * @param id 物业服务主键
     * @return 结果
     */
    public int deletePlatPostStationById(Long id);

    /**
     * 批量删除物业服务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatPostStationByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatPostStation> deleteWrapper);
}
