package com.project.zcustom.mapper.property;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.property.PlatPropertyList;
import org.apache.ibatis.annotations.Param;


/**
 * 驿站列Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatPropertyListMapper extends BaseMapper<PlatPropertyList>
{
    /**
     * 查询驿站列
     * 
     * @param id 驿站列主键
     * @return 驿站列
     */
    public PlatPropertyList selectPlatPropertyListById(Long id);

    /**
     * 查询驿站列列表
     * 
     * @param largePlatPropertyList 驿站列
     * @return 驿站列集合
     */
    public List<PlatPropertyList> selectPlatPropertyListList(PlatPropertyList largePlatPropertyList);

    /**
     * 新增驿站列
     * 
     * @param largePlatPropertyList 驿站列
     * @return 结果
     */
    public int insertPlatPropertyList(PlatPropertyList largePlatPropertyList);

    /**
     * 修改驿站列
     * 
     * @param largePlatPropertyList 驿站列
     * @return 结果
     */
    public int updatePlatPropertyList(PlatPropertyList largePlatPropertyList);

    /**
     * 删除驿站列
     * 
     * @param id 驿站列主键
     * @return 结果
     */
    public int deletePlatPropertyListById(Long id);

    /**
     * 批量删除驿站列
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatPropertyListByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatPropertyList> deleteWrapper);
}
