package com.project.zcustom.mapper.property;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.property.PlatProperty;
import org.apache.ibatis.annotations.Param;


/**
 * 共享驿站Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatPropertyMapper extends BaseMapper<PlatProperty>
{
    /**
     * 查询共享驿站
     * 
     * @param id 共享驿站主键
     * @return 共享驿站
     */
    public PlatProperty selectPlatPropertyById(Long id);

    /**
     * 查询共享驿站列表
     * 
     * @param largePlatProperty 共享驿站
     * @return 共享驿站集合
     */
    public List<PlatProperty> selectPlatPropertyList(PlatProperty largePlatProperty);

    /**
     * 新增共享驿站
     * 
     * @param largePlatProperty 共享驿站
     * @return 结果
     */
    public int insertPlatProperty(PlatProperty largePlatProperty);

    /**
     * 修改共享驿站
     * 
     * @param largePlatProperty 共享驿站
     * @return 结果
     */
    public int updatePlatProperty(PlatProperty largePlatProperty);

    /**
     * 删除共享驿站
     * 
     * @param id 共享驿站主键
     * @return 结果
     */
    public int deletePlatPropertyById(Long id);

    /**
     * 批量删除共享驿站
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatPropertyByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatProperty> deleteWrapper);
}
