package com.project.zcustom.mapper.property;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.property.PlatPropertyTools;
import org.apache.ibatis.annotations.Param;


/**
 * 工具列Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatPropertyToolsMapper extends BaseMapper<PlatPropertyTools>
{
    /**
     * 查询工具列
     * 
     * @param id 工具列主键
     * @return 工具列
     */
    public PlatPropertyTools selectPlatPropertyToolsById(Long id);

    /**
     * 查询工具列列表
     * 
     * @param largePlatPropertyTools 工具列
     * @return 工具列集合
     */
    public List<PlatPropertyTools> selectPlatPropertyToolsList(PlatPropertyTools largePlatPropertyTools);

    /**
     * 新增工具列
     * 
     * @param largePlatPropertyTools 工具列
     * @return 结果
     */
    public int insertPlatPropertyTools(PlatPropertyTools largePlatPropertyTools);

    /**
     * 修改工具列
     * 
     * @param largePlatPropertyTools 工具列
     * @return 结果
     */
    public int updatePlatPropertyTools(PlatPropertyTools largePlatPropertyTools);

    /**
     * 删除工具列
     * 
     * @param id 工具列主键
     * @return 结果
     */
    public int deletePlatPropertyToolsById(Long id);

    /**
     * 批量删除工具列
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatPropertyToolsByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatPropertyTools> deleteWrapper);
}
