package com.project.zcustom.mapper.smart;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.smart.PlatGreenFoods;
import org.apache.ibatis.annotations.Param;


/**
 * 菜谱数据Mapper接口
 *
 * @author change
 * @date 2024-11-12
 */
public interface PlatGreenFoodsMapper extends BaseMapper<PlatGreenFoods>
{
    /**
     * 查询菜谱数据
     *
     * @param id 菜谱数据主键
     * @return 菜谱数据
     */
    public PlatGreenFoods selectPlatGreenFoodsById(Long id);

    /**
     * 查询菜谱数据列表
     *
     * @param largePlatGreenFoods 菜谱数据
     * @return 菜谱数据集合
     */
    public List<PlatGreenFoods> selectPlatGreenFoodsList(PlatGreenFoods largePlatGreenFoods);

    /**
     * 新增菜谱数据
     *
     * @param largePlatGreenFoods 菜谱数据
     * @return 结果
     */
    public int insertPlatGreenFoods(PlatGreenFoods largePlatGreenFoods);

    /**
     * 修改菜谱数据
     *
     * @param largePlatGreenFoods 菜谱数据
     * @return 结果
     */
    public int updatePlatGreenFoods(PlatGreenFoods largePlatGreenFoods);

    /**
     * 删除菜谱数据
     *
     * @param id 菜谱数据主键
     * @return 结果
     */
    public int deletePlatGreenFoodsById(Long id);

    /**
     * 批量删除菜谱数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatGreenFoodsByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenFoods> deleteWrapper);

    public String getFoodsTypeNum(String appOrg);
}
