package com.project.zcustom.mapper.smart;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.smart.PlatGreenSmartEnergy;
import org.apache.ibatis.annotations.Param;


/**
 * 能耗信息Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatGreenSmartEnergyMapper extends BaseMapper<PlatGreenSmartEnergy>
{
    /**
     * 查询能耗信息
     * 
     * @param id 能耗信息主键
     * @return 能耗信息
     */
    public PlatGreenSmartEnergy selectPlatGreenSmartEnergyById(Long id);

    /**
     * 查询能耗信息列表
     * 
     * @param largePlatGreenSmartEnergy 能耗信息
     * @return 能耗信息集合
     */
    public List<PlatGreenSmartEnergy> selectPlatGreenSmartEnergyList(PlatGreenSmartEnergy largePlatGreenSmartEnergy);

    /**
     * 新增能耗信息
     * 
     * @param largePlatGreenSmartEnergy 能耗信息
     * @return 结果
     */
    public int insertPlatGreenSmartEnergy(PlatGreenSmartEnergy largePlatGreenSmartEnergy);

    /**
     * 修改能耗信息
     * 
     * @param largePlatGreenSmartEnergy 能耗信息
     * @return 结果
     */
    public int updatePlatGreenSmartEnergy(PlatGreenSmartEnergy largePlatGreenSmartEnergy);

    /**
     * 删除能耗信息
     * 
     * @param id 能耗信息主键
     * @return 结果
     */
    public int deletePlatGreenSmartEnergyById(Long id);

    /**
     * 批量删除能耗信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatGreenSmartEnergyByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenSmartEnergy> deleteWrapper);
}
