package com.project.zcustom.mapper.smart;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.smart.PlatGreenSmart;
import org.apache.ibatis.annotations.Param;


/**
 * 绿智食堂Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatGreenSmartMapper extends BaseMapper<PlatGreenSmart>
{
    /**
     * 查询绿智食堂
     * 
     * @param id 绿智食堂主键
     * @return 绿智食堂
     */
    public PlatGreenSmart selectPlatGreenSmartById(Long id);

    /**
     * 查询绿智食堂列表
     * 
     * @param largePlatGreenSmart 绿智食堂
     * @return 绿智食堂集合
     */
    public List<PlatGreenSmart> selectPlatGreenSmartList(PlatGreenSmart largePlatGreenSmart);

    /**
     * 新增绿智食堂
     * 
     * @param largePlatGreenSmart 绿智食堂
     * @return 结果
     */
    public int insertPlatGreenSmart(PlatGreenSmart largePlatGreenSmart);

    /**
     * 修改绿智食堂
     * 
     * @param largePlatGreenSmart 绿智食堂
     * @return 结果
     */
    public int updatePlatGreenSmart(PlatGreenSmart largePlatGreenSmart);

    /**
     * 删除绿智食堂
     * 
     * @param id 绿智食堂主键
     * @return 结果
     */
    public int deletePlatGreenSmartById(Long id);

    /**
     * 批量删除绿智食堂
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatGreenSmartByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenSmart> deleteWrapper);
}
