package com.project.zcustom.mapper.smart;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.smart.PlatGreenSmartOther;
import org.apache.ibatis.annotations.Param;


/**
 * 绿智食堂 其他参数Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatGreenSmartOtherMapper extends BaseMapper<PlatGreenSmartOther>
{
    /**
     * 查询绿智食堂 其他参数
     * 
     * @param id 绿智食堂 其他参数主键
     * @return 绿智食堂 其他参数
     */
    public PlatGreenSmartOther selectPlatGreenSmartOtherById(Long id);

    /**
     * 查询绿智食堂 其他参数列表
     * 
     * @param largePlatGreenSmartOther 绿智食堂 其他参数
     * @return 绿智食堂 其他参数集合
     */
    public List<PlatGreenSmartOther> selectPlatGreenSmartOtherList(PlatGreenSmartOther largePlatGreenSmartOther);

    /**
     * 新增绿智食堂 其他参数
     * 
     * @param largePlatGreenSmartOther 绿智食堂 其他参数
     * @return 结果
     */
    public int insertPlatGreenSmartOther(PlatGreenSmartOther largePlatGreenSmartOther);

    /**
     * 修改绿智食堂 其他参数
     * 
     * @param largePlatGreenSmartOther 绿智食堂 其他参数
     * @return 结果
     */
    public int updatePlatGreenSmartOther(PlatGreenSmartOther largePlatGreenSmartOther);

    /**
     * 删除绿智食堂 其他参数
     * 
     * @param id 绿智食堂 其他参数主键
     * @return 结果
     */
    public int deletePlatGreenSmartOtherById(Long id);

    /**
     * 批量删除绿智食堂 其他参数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatGreenSmartOtherByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenSmartOther> deleteWrapper);
}
