package com.project.zcustom.mapper.smart;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.smart.PlatGreenSmartRank;
import org.apache.ibatis.annotations.Param;


/**
 * 绿智食堂 排名Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatGreenSmartRankMapper extends BaseMapper<PlatGreenSmartRank>
{
    /**
     * 查询绿智食堂 排名
     * 
     * @param id 绿智食堂 排名主键
     * @return 绿智食堂 排名
     */
    public PlatGreenSmartRank selectPlatGreenSmartRankById(Long id);

    /**
     * 查询绿智食堂 排名列表
     * 
     * @param largePlatGreenSmartRank 绿智食堂 排名
     * @return 绿智食堂 排名集合
     */
    public List<PlatGreenSmartRank> selectPlatGreenSmartRankList(PlatGreenSmartRank largePlatGreenSmartRank);

    /**
     * 新增绿智食堂 排名
     * 
     * @param largePlatGreenSmartRank 绿智食堂 排名
     * @return 结果
     */
    public int insertPlatGreenSmartRank(PlatGreenSmartRank largePlatGreenSmartRank);

    /**
     * 修改绿智食堂 排名
     * 
     * @param largePlatGreenSmartRank 绿智食堂 排名
     * @return 结果
     */
    public int updatePlatGreenSmartRank(PlatGreenSmartRank largePlatGreenSmartRank);

    /**
     * 删除绿智食堂 排名
     * 
     * @param id 绿智食堂 排名主键
     * @return 结果
     */
    public int deletePlatGreenSmartRankById(Long id);

    /**
     * 批量删除绿智食堂 排名
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatGreenSmartRankByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenSmartRank> deleteWrapper);
}
