package com.project.zcustom.mapper.smart;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.project.zcustom.domain.smart.PlatGreenSmartSafety;
import org.apache.ibatis.annotations.Param;


/**
 * 食堂安全管理Mapper接口
 * 
 * @author change
 * @date 2024-11-12
 */
public interface PlatGreenSmartSafetyMapper extends BaseMapper<PlatGreenSmartSafety>
{
    /**
     * 查询食堂安全管理
     * 
     * @param id 食堂安全管理主键
     * @return 食堂安全管理
     */
    public PlatGreenSmartSafety selectPlatGreenSmartSafetyById(Long id);

    /**
     * 查询食堂安全管理列表
     * 
     * @param largePlatGreenSmartSafety 食堂安全管理
     * @return 食堂安全管理集合
     */
    public List<PlatGreenSmartSafety> selectPlatGreenSmartSafetyList(PlatGreenSmartSafety largePlatGreenSmartSafety);

    /**
     * 新增食堂安全管理
     * 
     * @param largePlatGreenSmartSafety 食堂安全管理
     * @return 结果
     */
    public int insertPlatGreenSmartSafety(PlatGreenSmartSafety largePlatGreenSmartSafety);

    /**
     * 修改食堂安全管理
     * 
     * @param largePlatGreenSmartSafety 食堂安全管理
     * @return 结果
     */
    public int updatePlatGreenSmartSafety(PlatGreenSmartSafety largePlatGreenSmartSafety);

    /**
     * 删除食堂安全管理
     * 
     * @param id 食堂安全管理主键
     * @return 结果
     */
    public int deletePlatGreenSmartSafetyById(Long id);

    /**
     * 批量删除食堂安全管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlatGreenSmartSafetyByIds(Long[] ids);

    /**
    * 真删接口
    */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenSmartSafety> deleteWrapper);
}
