package com.project.zcustom.service.build;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.project.zcustom.controller.core.PageParamVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.project.zcustom.domain.build.PlatBuildYearTrend;

import java.util.List;
import java.util.Map;

/**
 * 年度趋势变化数据Service接口
 *
 * @author change
 * @date 2024-11-01
 */
public interface IPlatBuildYearTrendService extends IService<PlatBuildYearTrend> {

    /**
     * 分页查询年度趋势变化数据列表
     *
     * @param platBuildYearTrend 年度趋势变化数据
     * @return 年度趋势变化数据集合
     */
    public IPage<PlatBuildYearTrend> pagingPlatBuildYearTrendList(PlatBuildYearTrend platBuildYearTrend);

    /**
     * 分页查询年度趋势变化数据列表
     *
     * @param lqw
     * @return 年度趋势变化数据集合
     */
    public IPage<PlatBuildYearTrend> pagingPlatBuildYearTrendList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatBuildYearTrend> lqw);

    /**
     * 查询年度趋势变化数据列表
     *
     * @param platBuildYearTrend 年度趋势变化数据
     * @return 年度趋势变化数据集合
     */
    public List<PlatBuildYearTrend> selectPlatBuildYearTrendList(PlatBuildYearTrend platBuildYearTrend);

    /**
     * 查询年度趋势变化数据列表
     *
     * @param platBuildYearTrend 年度趋势变化数据
     * @return 年度趋势变化数据集合
     */
    public List<PlatBuildYearTrend> selectPlatBuildYearTrendList(PlatBuildYearTrend platBuildYearTrend, Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 年度趋势变化数据
     */
    public PlatBuildYearTrend getPlatBuildYearTrendByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 年度趋势变化数据
     */
    public List<PlatBuildYearTrend> selectPlatBuildYearTrendListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 年度趋势变化数据
     */
    public List<PlatBuildYearTrend> selectPlatBuildYearTrendListByField(String field, String filedValue, Long limitNum);

    /**
     * 判断指定字段值是否存在
     *
     * @param field      字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue, String tips, Long id);

    /**
     * 真删接口
     */
    public void reallyDeletePlatBuildYearTrend(LambdaQueryWrapper<PlatBuildYearTrend> lqw);

    /**
     * 设置趋势数据
     */
    public void setBuildYearTrendData(PlatBuildYearTrend platBuildYearTrend,List<String> keyList, Map<String, Object> mapData,Integer type,String appOrg);

    /**
     * 添加趋势数据
     */
    public void addPlatBuildYearTrend(PlatBuildYearTrend platBuildYearTrend,String appOrg);

    /**
     * 获取趋势折线图图数据
     * @param type 0 碳排放量月度变化趋势1 年度综合能耗变化趋势图 2 年度电耗变化趋势图 3 年度水耗趋势接口 4 年度非供暖能耗趋势
     */
    public Map<String, Object> getLineStatisticsYearTrendData(Integer type);

}
