package com.project.zcustom.service.plat;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.project.zcustom.controller.core.PageParamVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.project.zcustom.domain.plat.PlatApiRecord;

import java.util.List;

/**
 * 接口请求记录Service接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface IPlatApiRecordService extends IService<PlatApiRecord> {

    /**
     * 分页查询接口请求记录列表
     *
     * @param platApiRecord 接口请求记录
     * @return 接口请求记录集合
     */
    public IPage<PlatApiRecord> pagingPlatApiRecordList(PlatApiRecord platApiRecord);

    /**
     * 分页查询接口请求记录列表
     *
     * @param lqw
     * @return 接口请求记录集合
     */
    public IPage<PlatApiRecord> pagingPlatApiRecordList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatApiRecord> lqw);

    /**
     * 查询接口请求记录列表
     *
     * @param platApiRecord 接口请求记录
     * @return 接口请求记录集合
     */
    public List<PlatApiRecord> selectPlatApiRecordList(PlatApiRecord platApiRecord);

    /**
     * 查询接口请求记录列表
     *
     * @param platApiRecord 接口请求记录
     * @return 接口请求记录集合
     */
    public List<PlatApiRecord> selectPlatApiRecordList(PlatApiRecord platApiRecord,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 接口请求记录
     */
    public PlatApiRecord getPlatApiRecordByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 接口请求记录
     */
    public List<PlatApiRecord> selectPlatApiRecordListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 接口请求记录
     */
    public List<PlatApiRecord> selectPlatApiRecordListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatApiRecord(LambdaQueryWrapper<PlatApiRecord> lqw);
}
