package com.project.zcustom.service.service.basics;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.basics.PlatBasicsCompany;

import java.util.List;
import java.util.Map;

/**
 * 公司活跃人数Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatBasicsCompanyService extends IService<PlatBasicsCompany> {

    /**
     * 分页查询公司活跃人数列表
     *
     * @param platBasicsCompany 公司活跃人数
     * @return 公司活跃人数集合
     */
    public IPage<PlatBasicsCompany> pagingPlatBasicsCompanyList(PlatBasicsCompany platBasicsCompany);

    /**
     * 分页查询公司活跃人数列表
     *
     * @param lqw
     * @return 公司活跃人数集合
     */
    public IPage<PlatBasicsCompany> pagingPlatBasicsCompanyList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatBasicsCompany> lqw);

    /**
     * 查询公司活跃人数列表
     *
     * @param platBasicsCompany 公司活跃人数
     * @return 公司活跃人数集合
     */
    public List<PlatBasicsCompany> selectPlatBasicsCompanyList(PlatBasicsCompany platBasicsCompany);

    /**
     * 查询公司活跃人数列表
     *
     * @param platBasicsCompany 公司活跃人数
     * @return 公司活跃人数集合
     */
    public List<PlatBasicsCompany> selectPlatBasicsCompanyList(PlatBasicsCompany platBasicsCompany,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公司活跃人数
     */
    public PlatBasicsCompany getPlatBasicsCompanyByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公司活跃人数
     */
    public List<PlatBasicsCompany> selectPlatBasicsCompanyListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公司活跃人数
     */
    public List<PlatBasicsCompany> selectPlatBasicsCompanyListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     * 获取活跃top10公司
     * @param appOrg
     * @return
     */
    public Map<String, Object> getTopTenCompany(String appOrg);
}
