package com.project.zcustom.service.service.basics;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.basics.PlatBasicsServer;

import java.util.List;
import java.util.Map;

/**
 * 服务信息Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatBasicsServerService extends IService<PlatBasicsServer> {

    /**
     * 分页查询服务信息列表
     *
     * @param platBasicsServer 服务信息
     * @return 服务信息集合
     */
    public IPage<PlatBasicsServer> pagingPlatBasicsServerList(PlatBasicsServer platBasicsServer);

    /**
     * 分页查询服务信息列表
     *
     * @param lqw
     * @return 服务信息集合
     */
    public IPage<PlatBasicsServer> pagingPlatBasicsServerList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatBasicsServer> lqw);

    /**
     * 查询服务信息列表
     *
     * @param platBasicsServer 服务信息
     * @return 服务信息集合
     */
    public List<PlatBasicsServer> selectPlatBasicsServerList(PlatBasicsServer platBasicsServer);

    /**
     * 查询服务信息列表
     *
     * @param platBasicsServer 服务信息
     * @return 服务信息集合
     */
    public List<PlatBasicsServer> selectPlatBasicsServerList(PlatBasicsServer platBasicsServer, Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 服务信息
     */
    public PlatBasicsServer getPlatBasicsServerByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 服务信息
     */
    public List<PlatBasicsServer> selectPlatBasicsServerListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 服务信息
     */
    public List<PlatBasicsServer> selectPlatBasicsServerListByField(String field, String filedValue, Long limitNum);

    /**
     * 判断指定字段值是否存在
     *
     * @param field      字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue, String tips, Long id);


    /**
     * 获取服务器列表
     *
     * @param appOrg 字段名称
     * @return 服务信息
     */
    public List<Map<String, Object>> selectServerListByAppOrg(String appOrg);

    /**
     * 真删接口
     */
    public void reallyDeletePlatBasicsServer(LambdaQueryWrapper<PlatBasicsServer> lqw);
}
