package com.project.zcustom.service.service.basics;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.basics.PlatBasics;

import java.util.List;
import java.util.Map;

/**
 * 基础运行数据Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatBasicsService extends IService<PlatBasics> {

    /**
     * 分页查询基础运行数据列表
     *
     * @param platBasics 基础运行数据
     * @return 基础运行数据集合
     */
    public IPage<PlatBasics> pagingPlatBasicsList(PlatBasics platBasics);

    /**
     * 分页查询基础运行数据列表
     *
     * @param lqw
     * @return 基础运行数据集合
     */
    public IPage<PlatBasics> pagingPlatBasicsList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatBasics> lqw);

    /**
     * 查询基础运行数据列表
     *
     * @param platBasics 基础运行数据
     * @return 基础运行数据集合
     */
    public List<PlatBasics> selectPlatBasicsList(PlatBasics platBasics);

    /**
     * 查询基础运行数据列表
     *
     * @param platBasics 基础运行数据
     * @return 基础运行数据集合
     */
    public List<PlatBasics> selectPlatBasicsList(PlatBasics platBasics,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 基础运行数据
     */
    public PlatBasics getPlatBasicsByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 基础运行数据
     */
    public PlatBasics getPlatBasicsByField(String field, String filedValue, String fieldString);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 基础运行数据
     */
    public List<PlatBasics> selectPlatBasicsListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 基础运行数据
     */
    public List<PlatBasics> selectPlatBasicsListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     * 添加基础服务
     */
    public void addPlatBasics(String appOrg,String appName,Map<String, Object> mapField);

    /**
     * 获取数据概况
     */
    public Map<String, Object> getOverviewData(String appOrg);

    /**
     * 系统运行报警信息
     */
    public Map<String, Object> getSystemRunErrData(String appOrg);
}
