package com.project.zcustom.service.service.basics;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.basics.PlatBasicsSystem;

import java.util.List;
import java.util.Map;

/**
 * 系统运行峰值情况分析Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatBasicsSystemService extends IService<PlatBasicsSystem> {

    /**
     * 分页查询系统运行峰值情况分析列表
     *
     * @param platBasicsSystem 系统运行峰值情况分析
     * @return 系统运行峰值情况分析集合
     */
    public IPage<PlatBasicsSystem> pagingPlatBasicsSystemList(PlatBasicsSystem platBasicsSystem);

    /**
     * 分页查询系统运行峰值情况分析列表
     *
     * @param lqw
     * @return 系统运行峰值情况分析集合
     */
    public IPage<PlatBasicsSystem> pagingPlatBasicsSystemList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatBasicsSystem> lqw);

    /**
     * 查询系统运行峰值情况分析列表
     *
     * @param platBasicsSystem 系统运行峰值情况分析
     * @return 系统运行峰值情况分析集合
     */
    public List<PlatBasicsSystem> selectPlatBasicsSystemList(PlatBasicsSystem platBasicsSystem);

    /**
     * 查询系统运行峰值情况分析列表
     *
     * @param platBasicsSystem 系统运行峰值情况分析
     * @return 系统运行峰值情况分析集合
     */
    public List<PlatBasicsSystem> selectPlatBasicsSystemList(PlatBasicsSystem platBasicsSystem,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 系统运行峰值情况分析
     */
    public PlatBasicsSystem getPlatBasicsSystemByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 系统运行峰值情况分析
     */
    public List<PlatBasicsSystem> selectPlatBasicsSystemListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 系统运行峰值情况分析
     */
    public List<PlatBasicsSystem> selectPlatBasicsSystemListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     * 系统运行峰值情况分析
     */
    public Map<String, Object> getSystemRunData(String appOrg);
}
