package com.project.zcustom.service.service.employee;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.employee.PlatEmployeeHealthChart;

import java.util.List;
import java.util.Map;

/**
 * 员工健康图数据Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatEmployeeHealthChartService extends IService<PlatEmployeeHealthChart> {

    /**
     * 分页查询员工健康图数据列表
     *
     * @param platEmployeeHealthChart 员工健康图数据
     * @return 员工健康图数据集合
     */
    public IPage<PlatEmployeeHealthChart> pagingPlatEmployeeHealthChartList(PlatEmployeeHealthChart platEmployeeHealthChart);

    /**
     * 分页查询员工健康图数据列表
     *
     * @param lqw
     * @return 员工健康图数据集合
     */
    public IPage<PlatEmployeeHealthChart> pagingPlatEmployeeHealthChartList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatEmployeeHealthChart> lqw);

    /**
     * 查询员工健康图数据列表
     *
     * @param platEmployeeHealthChart 员工健康图数据
     * @return 员工健康图数据集合
     */
    public List<PlatEmployeeHealthChart> selectPlatEmployeeHealthChartList(PlatEmployeeHealthChart platEmployeeHealthChart);

    /**
     * 查询员工健康图数据列表
     *
     * @param platEmployeeHealthChart 员工健康图数据
     * @return 员工健康图数据集合
     */
    public List<PlatEmployeeHealthChart> selectPlatEmployeeHealthChartList(PlatEmployeeHealthChart platEmployeeHealthChart,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工健康图数据
     */
    public PlatEmployeeHealthChart getPlatEmployeeHealthChartByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工健康图数据
     */
    public List<PlatEmployeeHealthChart> selectPlatEmployeeHealthChartListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工健康图数据
     */
    public List<PlatEmployeeHealthChart> selectPlatEmployeeHealthChartListByField(String field, String filedValue,Long limitNum);


    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     * 0健康指标趋势 and 1甲状腺结节发现及时率趋势
     * @param appOrg
     * @return
     */
    public Map<String, Object> getHealthBrokenData(String appOrg, int type);
}
