package com.project.zcustom.service.service.employee;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.employee.PlatEmployeeTypeFlow;

import java.util.List;
import java.util.Map;

/**
 * 近一周人流量统计Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatEmployeeTypeFlowService extends IService<PlatEmployeeTypeFlow> {

    /**
     * 分页查询近一周人流量统计列表
     *
     * @param platEmployeeTypeFlow 近一周人流量统计
     * @return 近一周人流量统计集合
     */
    public IPage<PlatEmployeeTypeFlow> pagingPlatEmployeeTypeFlowList(PlatEmployeeTypeFlow platEmployeeTypeFlow);

    /**
     * 分页查询近一周人流量统计列表
     *
     * @param lqw
     * @return 近一周人流量统计集合
     */
    public IPage<PlatEmployeeTypeFlow> pagingPlatEmployeeTypeFlowList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatEmployeeTypeFlow> lqw);

    /**
     * 查询近一周人流量统计列表
     *
     * @param platEmployeeTypeFlow 近一周人流量统计
     * @return 近一周人流量统计集合
     */
    public List<PlatEmployeeTypeFlow> selectPlatEmployeeTypeFlowList(PlatEmployeeTypeFlow platEmployeeTypeFlow);

    /**
     * 查询近一周人流量统计列表
     *
     * @param platEmployeeTypeFlow 近一周人流量统计
     * @return 近一周人流量统计集合
     */
    public List<PlatEmployeeTypeFlow> selectPlatEmployeeTypeFlowList(PlatEmployeeTypeFlow platEmployeeTypeFlow, Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 近一周人流量统计
     */
    public PlatEmployeeTypeFlow getPlatEmployeeTypeFlowByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 近一周人流量统计
     */
    public List<PlatEmployeeTypeFlow> selectPlatEmployeeTypeFlowListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 近一周人流量统计
     */
    public List<PlatEmployeeTypeFlow> selectPlatEmployeeTypeFlowListByField(String field, String filedValue, Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     * 处理人流量数据
     * @param appOrg
     * @param mapField
     */
    public void handleEmployeeFlow(String appOrg,Map<String, Object> mapField);


}
