package com.project.zcustom.service.service.employee.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.project.zcustom.controller.core.DateUtils;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.controller.core.StringUtils;
import com.project.zcustom.domain.employee.PlatEmployeeType;
import com.project.zcustom.domain.employee.PlatEmployeeTypeFlow;
import com.project.zcustom.mapper.employee.PlatEmployeeTypeMapper;
import com.project.zcustom.service.service.employee.IPlatEmployeeTypeFlowService;
import com.project.zcustom.service.service.employee.IPlatEmployeeTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
 * 员工概况Service业务层处理
 *
 * @author change
 * @date 2024-10-21
 */
@Service
public class PlatEmployeeTypeServiceImpl extends ServiceImpl<PlatEmployeeTypeMapper, PlatEmployeeType> implements IPlatEmployeeTypeService {

    @Autowired
    private PlatEmployeeTypeMapper platEmployeeTypeMapper;

    @Resource
    private IPlatEmployeeTypeFlowService iPlatEmployeeTypeFlowService;

    /**
     * 员工类型
     */
    @Override
    public List<Map<String, Object>> getEmployeePieData(String appOrg) {
        PlatEmployeeType employeeType = platEmployeeTypeMapper.getEmployeePieData(appOrg);
        List<Long> valueList = StringUtils.getDefaultListLong(4);
        if (StringUtils.isNotNull(employeeType)) {
            valueList = Arrays.asList(employeeType.getInsideNum(), employeeType.getLoanNum(), employeeType.getAssociationNum(), employeeType.getPropertyNum());
        }
        List<String> xList = Arrays.asList("内部员工", "借调人员", "外协人员", "物业人员");
        List<String> colorList = Arrays.asList("#fec72f", "#2f82fe", "#7565ef", "#00ffff");
        List<Map<String, Object>> tempList = new ArrayList<>();
        StringUtils.createdPieData(xList, colorList, valueList, tempList);
        return tempList;
    }

    /**
     * 获取入楼情况
     */
    @Override
    public Map<String, Object> getEnterBuildData(String appOrg) {
        platEmployeeTypeMapper.getEnterBuildData(appOrg);
    }


    /**
     * 近一周人流量统计
     */
    @Override
    public Map<String, Object> getChartsFlowData(String appOrg) {

    }

    /**
     * 员工年龄分布情况
     */
    @Override
    public List<Map<String, Object>> getAgePieData(String appOrg) {

    }

    /**
     * 员工性别情况
     */
    @Override
    public Map<String, Object> getSexChartData(String appOrg) {

    }


}
