package com.project.zcustom.service.service.post;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.post.PlatPostStationChart;

import java.util.List;
import java.util.Map;

/**
 * 近六个月报修分类占比Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatPostStationChartService extends IService<PlatPostStationChart> {

    /**
     * 分页查询近六个月报修分类占比列表
     *
     * @param platPostStationChart 近六个月报修分类占比
     * @return 近六个月报修分类占比集合
     */
    public IPage<PlatPostStationChart> pagingPlatPostStationChartList(PlatPostStationChart platPostStationChart);

    /**
     * 分页查询近六个月报修分类占比列表
     *
     * @param lqw
     * @return 近六个月报修分类占比集合
     */
    public IPage<PlatPostStationChart> pagingPlatPostStationChartList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatPostStationChart> lqw);

    /**
     * 查询近六个月报修分类占比列表
     *
     * @param platPostStationChart 近六个月报修分类占比
     * @return 近六个月报修分类占比集合
     */
    public List<PlatPostStationChart> selectPlatPostStationChartList(PlatPostStationChart platPostStationChart);

    /**
     * 查询近六个月报修分类占比列表
     *
     * @param platPostStationChart 近六个月报修分类占比
     * @return 近六个月报修分类占比集合
     */
    public List<PlatPostStationChart> selectPlatPostStationChartList(PlatPostStationChart platPostStationChart,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 近六个月报修分类占比
     */
    public PlatPostStationChart getPlatPostStationChartByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 近六个月报修分类占比
     */
    public List<PlatPostStationChart> selectPlatPostStationChartListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 近六个月报修分类占比
     */
    public List<PlatPostStationChart> selectPlatPostStationChartListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatPostStationChart(LambdaQueryWrapper<PlatPostStationChart> lqw);

    /**
     * 近六个月报修订单分类
     * @param appOrg
     * @return
     */
    public Map<String, Object> getPastSixMonthChartsData(String appOrg);
}
