package com.project.zcustom.service.service.post;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.post.PlatPostStation;

import java.util.List;
import java.util.Map;

/**
 * 物业服务Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatPostStationService extends IService<PlatPostStation> {

    /**
     * 分页查询物业服务列表
     *
     * @param platPostStation 物业服务
     * @return 物业服务集合
     */
    public IPage<PlatPostStation> pagingPlatPostStationList(PlatPostStation platPostStation);

    /**
     * 分页查询物业服务列表
     *
     * @param lqw
     * @return 物业服务集合
     */
    public IPage<PlatPostStation> pagingPlatPostStationList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatPostStation> lqw);

    /**
     * 查询物业服务列表
     *
     * @param platPostStation 物业服务
     * @return 物业服务集合
     */
    public List<PlatPostStation> selectPlatPostStationList(PlatPostStation platPostStation);

    /**
     * 查询物业服务列表
     *
     * @param platPostStation 物业服务
     * @return 物业服务集合
     */
    public List<PlatPostStation> selectPlatPostStationList(PlatPostStation platPostStation,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 物业服务
     */
    public PlatPostStation getPlatPostStationByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 物业服务
     */
    public PlatPostStation getPlatPostStationByField(String field, String filedValue,String fieldString);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 物业服务
     */
    public List<PlatPostStation> selectPlatPostStationListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 物业服务
     */
    public List<PlatPostStation> selectPlatPostStationListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     * 添加物业服务
     */
    public void addPlatPostStation(String appOrg,Map<String, Object> mapField);

    /**
     * 获取数据概况
     */
    public Map<String, Object> getOverviewData(String appOrg);

    /**
     * 近一个月报修分类占比
     */
    public List<Map<String, Object>> getPastMonthPieData(String appOrg);


}
