package com.project.zcustom.service.service.property;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.property.PlatPropertyList;

import java.util.List;
import java.util.Map;

/**
 * 驿站列Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatPropertyListService extends IService<PlatPropertyList> {

    /**
     * 分页查询驿站列列表
     *
     * @param platPropertyList 驿站列
     * @return 驿站列集合
     */
    public IPage<PlatPropertyList> pagingPlatPropertyListList(PlatPropertyList platPropertyList);

    /**
     * 分页查询驿站列列表
     *
     * @param lqw
     * @return 驿站列集合
     */
    public IPage<PlatPropertyList> pagingPlatPropertyListList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatPropertyList> lqw);

    /**
     * 查询驿站列列表
     *
     * @param platPropertyList 驿站列
     * @return 驿站列集合
     */
    public List<PlatPropertyList> selectPlatPropertyListList(PlatPropertyList platPropertyList);

    /**
     * 查询驿站列列表
     *
     * @param platPropertyList 驿站列
     * @return 驿站列集合
     */
    public List<PlatPropertyList> selectPlatPropertyListList(PlatPropertyList platPropertyList,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 驿站列
     */
    public PlatPropertyList getPlatPropertyListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 驿站列
     */
    public List<PlatPropertyList> selectPlatPropertyListListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 驿站列
     */
    public List<PlatPropertyList> selectPlatPropertyListListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatPropertyList(LambdaQueryWrapper<PlatPropertyList> lqw);

    /**
     * 单位列表
     *
     * @param appOrg 字段名称
     * @return 服务信息
     */
    public List<Map<String,Object>> selectServerListByAppOrg(String appOrg);
}
