package com.project.zcustom.service.service.property;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.property.PlatPropertyTools;

import java.util.List;
import java.util.Map;

/**
 * 工具列Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatPropertyToolsService extends IService<PlatPropertyTools> {

    /**
     * 分页查询工具列列表
     *
     * @param platPropertyTools 工具列
     * @return 工具列集合
     */
    public IPage<PlatPropertyTools> pagingPlatPropertyToolsList(PlatPropertyTools platPropertyTools);

    /**
     * 分页查询工具列列表
     *
     * @param lqw
     * @return 工具列集合
     */
    public IPage<PlatPropertyTools> pagingPlatPropertyToolsList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatPropertyTools> lqw);

    /**
     * 查询工具列列表
     *
     * @param platPropertyTools 工具列
     * @return 工具列集合
     */
    public List<PlatPropertyTools> selectPlatPropertyToolsList(PlatPropertyTools platPropertyTools);

    /**
     * 查询工具列列表
     *
     * @param platPropertyTools 工具列
     * @return 工具列集合
     */
    public List<PlatPropertyTools> selectPlatPropertyToolsList(PlatPropertyTools platPropertyTools, Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 工具列
     */
    public PlatPropertyTools getPlatPropertyToolsByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 工具列
     */
    public PlatPropertyTools getPlatPropertyToolsByField(String field, String filedValue,String fieldString);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 工具列
     */
    public List<PlatPropertyTools> selectPlatPropertyToolsListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 工具列
     */
    public List<PlatPropertyTools> selectPlatPropertyToolsListByField(String field, String filedValue, Long limitNum);

    /**
     * 判断指定字段值是否存在
     *
     * @param field      字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue, String tips, Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatPropertyTools(LambdaQueryWrapper<PlatPropertyTools> lqw);

    /**
     * 工具箱二具数量
     */
    public List<Map<String, Object>> getToolsChartsList(String appOrg);
}
