package com.project.zcustom.service.service.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.smart.PlatGreenFoods;

import java.util.List;
import java.util.Map;

/**
 * 菜谱数据Service接口
 *
 * @author change
 * @date 2024-11-01
 */
public interface IPlatGreenFoodsService extends IService<PlatGreenFoods> {

    /**
     * 分页查询菜谱数据列表
     *
     * @param platGreenFoods 菜谱数据
     * @return 菜谱数据集合
     */
    public IPage<PlatGreenFoods> pagingPlatGreenFoodsList(PlatGreenFoods platGreenFoods);

    /**
     * 分页查询菜谱数据列表
     *
     * @param lqw
     * @return 菜谱数据集合
     */
    public IPage<PlatGreenFoods> pagingPlatGreenFoodsList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatGreenFoods> lqw);

    /**
     * 查询菜谱数据列表
     *
     * @param platGreenFoods 菜谱数据
     * @return 菜谱数据集合
     */
    public List<PlatGreenFoods> selectPlatGreenFoodsList(PlatGreenFoods platGreenFoods);

    /**
     * 查询菜谱数据列表
     *
     * @param platGreenFoods 菜谱数据
     * @return 菜谱数据集合
     */
    public List<PlatGreenFoods> selectPlatGreenFoodsList(PlatGreenFoods platGreenFoods,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 菜谱数据
     */
    public PlatGreenFoods getPlatGreenFoodsByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 菜谱数据
     */
    public List<PlatGreenFoods> selectPlatGreenFoodsListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 菜谱数据
     */
    public List<PlatGreenFoods> selectPlatGreenFoodsListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatGreenFoods(LambdaQueryWrapper<PlatGreenFoods> lqw);

    /**
     * 添加单位每周菜谱
     * @param appOrg
     * @param mapField
     */
    public void addPlatGreenFoods(String appOrg, Map<String, Object> mapField);

    /**
     * 单位菜品种类数量
     * @param appOrg
     */
    public int getFoodsTypeNum(String appOrg);
}
