package com.project.zcustom.service.service.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.smart.PlatGreenSmartDegree;

import java.util.List;

/**
 * 食堂服务满意度Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatGreenSmartDegreeService extends IService<PlatGreenSmartDegree> {

    /**
     * 分页查询食堂服务满意度列表
     *
     * @param platGreenSmartDegree 食堂服务满意度
     * @return 食堂服务满意度集合
     */
    public IPage<PlatGreenSmartDegree> pagingPlatGreenSmartDegreeList(PlatGreenSmartDegree platGreenSmartDegree);

    /**
     * 分页查询食堂服务满意度列表
     *
     * @param lqw
     * @return 食堂服务满意度集合
     */
    public IPage<PlatGreenSmartDegree> pagingPlatGreenSmartDegreeList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatGreenSmartDegree> lqw);

    /**
     * 查询食堂服务满意度列表
     *
     * @param platGreenSmartDegree 食堂服务满意度
     * @return 食堂服务满意度集合
     */
    public List<PlatGreenSmartDegree> selectPlatGreenSmartDegreeList(PlatGreenSmartDegree platGreenSmartDegree);

    /**
     * 查询食堂服务满意度列表
     *
     * @param platGreenSmartDegree 食堂服务满意度
     * @return 食堂服务满意度集合
     */
    public List<PlatGreenSmartDegree> selectPlatGreenSmartDegreeList(PlatGreenSmartDegree platGreenSmartDegree,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 食堂服务满意度
     */
    public PlatGreenSmartDegree getPlatGreenSmartDegreeByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 食堂服务满意度
     */
    public List<PlatGreenSmartDegree> selectPlatGreenSmartDegreeListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 食堂服务满意度
     */
    public List<PlatGreenSmartDegree> selectPlatGreenSmartDegreeListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);
}
