package com.project.zcustom.service.service.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.smart.PlatGreenSmartEnergy;

import java.util.List;
import java.util.Map;

/**
 * 能耗信息Service接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface IPlatGreenSmartEnergyService extends IService<PlatGreenSmartEnergy> {

    /**
     * 分页查询能耗信息列表
     *
     * @param platGreenSmartEnergy 能耗信息
     * @return 能耗信息集合
     */
    public IPage<PlatGreenSmartEnergy> pagingPlatGreenSmartEnergyList(PlatGreenSmartEnergy platGreenSmartEnergy);

    /**
     * 分页查询能耗信息列表
     *
     * @param lqw
     * @return 能耗信息集合
     */
    public IPage<PlatGreenSmartEnergy> pagingPlatGreenSmartEnergyList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatGreenSmartEnergy> lqw);

    /**
     * 查询能耗信息列表
     *
     * @param platGreenSmartEnergy 能耗信息
     * @return 能耗信息集合
     */
    public List<PlatGreenSmartEnergy> selectPlatGreenSmartEnergyList(PlatGreenSmartEnergy platGreenSmartEnergy);

    /**
     * 查询能耗信息列表
     *
     * @param platGreenSmartEnergy 能耗信息
     * @return 能耗信息集合
     */
    public List<PlatGreenSmartEnergy> selectPlatGreenSmartEnergyList(PlatGreenSmartEnergy platGreenSmartEnergy,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 能耗信息
     */
    public PlatGreenSmartEnergy getPlatGreenSmartEnergyByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 能耗信息
     */
    public PlatGreenSmartEnergy getPlatGreenSmartEnergyByField(String field, String filedValue,String fieldString);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 能耗信息
     */
    public List<PlatGreenSmartEnergy> selectPlatGreenSmartEnergyListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 能耗信息
     */
    public List<PlatGreenSmartEnergy> selectPlatGreenSmartEnergyListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatGreenSmartEnergy(LambdaQueryWrapper<PlatGreenSmartEnergy> lqw);

    /**
     * 添加能耗数据
     */
    public void addEnergyData(String appOrg, Map<String, Object> mapField);

    /**
     * 获取能耗信息
     * @param appOrg
     * @return
     */
    public Map<String,Object> getPowerData(String appOrg);
}
