package com.project.zcustom.service.service.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.smart.PlatGreenSmartOther;

import java.util.List;
import java.util.Map;

/**
 * 绿智食堂 其他参数Service接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface IPlatGreenSmartOtherService extends IService<PlatGreenSmartOther> {

    /**
     * 分页查询绿智食堂 其他参数列表
     *
     * @param platGreenSmartOther 绿智食堂 其他参数
     * @return 绿智食堂 其他参数集合
     */
    public IPage<PlatGreenSmartOther> pagingPlatGreenSmartOtherList(PlatGreenSmartOther platGreenSmartOther);

    /**
     * 分页查询绿智食堂 其他参数列表
     *
     * @param lqw
     * @return 绿智食堂 其他参数集合
     */
    public IPage<PlatGreenSmartOther> pagingPlatGreenSmartOtherList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatGreenSmartOther> lqw);

    /**
     * 查询绿智食堂 其他参数列表
     *
     * @param platGreenSmartOther 绿智食堂 其他参数
     * @return 绿智食堂 其他参数集合
     */
    public List<PlatGreenSmartOther> selectPlatGreenSmartOtherList(PlatGreenSmartOther platGreenSmartOther);

    /**
     * 查询绿智食堂 其他参数列表
     *
     * @param platGreenSmartOther 绿智食堂 其他参数
     * @return 绿智食堂 其他参数集合
     */
    public List<PlatGreenSmartOther> selectPlatGreenSmartOtherList(PlatGreenSmartOther platGreenSmartOther,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 绿智食堂 其他参数
     */
    public PlatGreenSmartOther getPlatGreenSmartOtherByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 绿智食堂 其他参数
     */
    public PlatGreenSmartOther getPlatGreenSmartOtherByField(String field, String filedValue, String fieldString);
    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 绿智食堂 其他参数
     */
    public List<PlatGreenSmartOther> selectPlatGreenSmartOtherListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 绿智食堂 其他参数
     */
    public List<PlatGreenSmartOther> selectPlatGreenSmartOtherListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatGreenSmartOther(LambdaQueryWrapper<PlatGreenSmartOther> lqw);

    /**
     * 添加智慧食堂其他信息
     */
    public void addPlatGreenSmartOther(String appOrg, Map<String, Object> mapField);

    /**
     * 绿智食堂参评食堂情况
     * @param appOrg
     * @return
     */
    public Map<String, Object> geParticipateData(String appOrg);

    /**
     * 就餐情况
     * @param appOrg
     * @return
     */
    public List<Map<String, Object>> getDiningPieData(String appOrg);

    /**
     * 智慧食堂
     * @param appOrg
     * @return
     */
    public List<Map<String, Object>> getSmartCanteenPieData(String appOrg);

    /**
     * 员工服务
     * @param appOrg
     * @return
     */
    public List<Map<String, Object>> getEmployeePieData(String appOrg);

    /**
     * 获取菜品信息
     * @param appOrg
     * @return
     */
    public Map<String, Object> getFoodData(String appOrg);

    /**
     * 获取其他数据信息
     * @param appOrg
     * @return
     */
    public Map<String, Object> getOtherData(String appOrg);

    /**
     * 电子餐券
     * @param appOrg
     * @return
     */
    public Map<String, Object> getElectronicVouchersData(String appOrg);

}
