package com.project.zcustom.service.service.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.smart.PlatGreenSmartRank;

import java.util.List;
import java.util.Map;

/**
 * 绿智食堂 排名Service接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface IPlatGreenSmartRankService extends IService<PlatGreenSmartRank> {

    /**
     * 分页查询绿智食堂 排名列表
     *
     * @param platGreenSmartRank 绿智食堂 排名
     * @return 绿智食堂 排名集合
     */
    public IPage<PlatGreenSmartRank> pagingPlatGreenSmartRankList(PlatGreenSmartRank platGreenSmartRank);

    /**
     * 分页查询绿智食堂 排名列表
     *
     * @param lqw
     * @return 绿智食堂 排名集合
     */
    public IPage<PlatGreenSmartRank> pagingPlatGreenSmartRankList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatGreenSmartRank> lqw);

    /**
     * 查询绿智食堂 排名列表
     *
     * @param platGreenSmartRank 绿智食堂 排名
     * @return 绿智食堂 排名集合
     */
    public List<PlatGreenSmartRank> selectPlatGreenSmartRankList(PlatGreenSmartRank platGreenSmartRank);

    /**
     * 查询绿智食堂 排名列表
     *
     * @param platGreenSmartRank 绿智食堂 排名
     * @return 绿智食堂 排名集合
     */
    public List<PlatGreenSmartRank> selectPlatGreenSmartRankList(PlatGreenSmartRank platGreenSmartRank,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 绿智食堂 排名
     */
    public PlatGreenSmartRank getPlatGreenSmartRankByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 绿智食堂 排名
     */
    public List<PlatGreenSmartRank> selectPlatGreenSmartRankListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 绿智食堂 排名
     */
    public List<PlatGreenSmartRank> selectPlatGreenSmartRankListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatGreenSmartRank(LambdaQueryWrapper<PlatGreenSmartRank> lqw);

    /**
     *  添加热销菜品数据
     */
    public void addPlatGreenSmartRank(String appOrg, Map<String, Object> mapField);

    /**
     * 热销菜品排行
     * @param appOrg
     * @return
     */
    public Map<String,Object> getRankData(String appOrg);
}
