package com.project.zcustom.service.service.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.smart.PlatGreenSmartSafety;

import java.util.List;
import java.util.Map;

/**
 * 食堂安全管理Service接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface IPlatGreenSmartSafetyService extends IService<PlatGreenSmartSafety> {

    /**
     * 分页查询食堂安全管理列表
     *
     * @param platGreenSmartSafety 食堂安全管理
     * @return 食堂安全管理集合
     */
    public IPage<PlatGreenSmartSafety> pagingPlatGreenSmartSafetyList(PlatGreenSmartSafety platGreenSmartSafety);

    /**
     * 分页查询食堂安全管理列表
     *
     * @param lqw
     * @return 食堂安全管理集合
     */
    public IPage<PlatGreenSmartSafety> pagingPlatGreenSmartSafetyList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatGreenSmartSafety> lqw);

    /**
     * 查询食堂安全管理列表
     *
     * @param platGreenSmartSafety 食堂安全管理
     * @return 食堂安全管理集合
     */
    public List<PlatGreenSmartSafety> selectPlatGreenSmartSafetyList(PlatGreenSmartSafety platGreenSmartSafety);

    /**
     * 查询食堂安全管理列表
     *
     * @param platGreenSmartSafety 食堂安全管理
     * @return 食堂安全管理集合
     */
    public List<PlatGreenSmartSafety> selectPlatGreenSmartSafetyList(PlatGreenSmartSafety platGreenSmartSafety,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 食堂安全管理
     */
    public PlatGreenSmartSafety getPlatGreenSmartSafetyByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 食堂安全管理
     */
    public List<PlatGreenSmartSafety> selectPlatGreenSmartSafetyListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 食堂安全管理
     */
    public List<PlatGreenSmartSafety> selectPlatGreenSmartSafetyListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatGreenSmartSafety(LambdaQueryWrapper<PlatGreenSmartSafety> lqw);

    /**
     * 添加食堂安全管理
     */
    public void addPlatGreenSmartSafety(String appOrg, Map<String, Object> mapField);

    /**
     * 食堂安全管理
     */
    public Map<String, Object> getSafetyData(String appOrg);
}
