package com.project.zcustom.service.service.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.smart.PlatGreenSmart;

import java.util.List;
import java.util.Map;

/**
 * 绿智食堂Service接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface IPlatGreenSmartService extends IService<PlatGreenSmart> {


    /**
     * 获取食堂概览
     * @param appOrg
     * @return
     */
    public Map<String, Object> getCanteenData(String appOrg);

    /**
     * 食堂服务满意度
     * @param appOrg
     * @return
     */
    public Map<String, Object> getCanteenScoreData(String appOrg);

    /**
     * 食堂服务满意度排行
     * @param appOrg
     * @return
     */
    public Map<String, Object> getCanteenDegreeData(String appOrg);

    /**
     * 食堂服务人员情况
     * @param appOrg
     * @return
     */
    public List<Map<String, Object>> getCanteenStaff(String appOrg);

    /**
     * 各单位统计排行
     * @param appOrg
     * @return
     */
    public Map<String, Object> getCanteenTotalRank(String appOrg);

    /**
     * 资质证件
     */
    public Map<String, Object> getQualificationData(String appOrg,String canteenName);

    /**
     * 获取食堂名称
     * @param appOrg
     * @return
     */
    List<PlatGreenSmart> getgreenSmartName(String appOrg);
}
