package com.project.zcustom.service.unit;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.addional.LargeCarDetail;

import java.util.List;

public interface ILargeCarDetailService extends IService<LargeCarDetail> {

    /**
     * 分页查询公务用车年度增加减少列表
     *
     * @param largeCarDetail 公务用车年度增加减少
     * @return 公务用车年度增加减少集合
     */
    public IPage<LargeCarDetail> pagingLargeCarDetailList(LargeCarDetail largeCarDetail);

    /**
     * 分页查询公务用车年度增加减少列表
     *
     * @param lqw
     * @return 公务用车年度增加减少集合
     */
    public IPage<LargeCarDetail> pagingLargeCarDetailList(PageParamVo pageParamVo, LambdaQueryWrapper<LargeCarDetail> lqw);

    /**
     * 查询公务用车年度增加减少列表
     *
     * @param largeCarDetail 公务用车年度增加减少
     * @return 公务用车年度增加减少集合
     */
    public List<LargeCarDetail> selectLargeCarDetailList(LargeCarDetail largeCarDetail);

    /**
     * 查询公务用车年度增加减少列表
     *
     * @param largeCarDetail 公务用车年度增加减少
     * @return 公务用车年度增加减少集合
     */
    public List<LargeCarDetail> selectLargeCarDetailList(LargeCarDetail largeCarDetail,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车年度增加减少
     */
    public LargeCarDetail getLargeCarDetailByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车年度增加减少
     */
    public List<LargeCarDetail> selectLargeCarDetailListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车年度增加减少
     */
    public List<LargeCarDetail> selectLargeCarDetailListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

}
