package com.project.zcustom.service.unit;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.addional.LargeCar;

import java.util.List;
import java.util.Map;

public interface ILargePublicCarService extends IService<LargeCar> {

    /**
     * 分页查询公务用车列表
     *
     * @param largeCar 公务用车
     * @return 公务用车集合
     */
    public IPage<LargeCar> pagingLargeCarList(LargeCar largeCar);

    /**
     * 分页查询公务用车列表
     *
     * @param lqw
     * @return 公务用车集合
     */
    public IPage<LargeCar> pagingLargeCarList(PageParamVo pageParamVo, LambdaQueryWrapper<LargeCar> lqw);

    /**
     * 查询公务用车列表
     *
     * @param largeCar 公务用车
     * @return 公务用车集合
     */
    public List<LargeCar> selectLargeCarList(LargeCar largeCar);

    /**
     * 查询公务用车列表
     *
     * @param largeCar 公务用车
     * @return 公务用车集合
     */
    public List<LargeCar> selectLargeCarList(LargeCar largeCar,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车
     */
    public LargeCar getLargeCarByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车
     */
    public List<LargeCar> selectLargeCarListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车
     */
    public List<LargeCar> selectLargeCarListByField(String field, String filedValue,Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    int upload(String type, Map<String, Object> json);

}
