package com.project.zcustom.service.unit;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.addional.LargeUnitRank;

import java.util.List;

public interface ILargeUnitRankService extends IService<LargeUnitRank> {

    public List<LargeUnitRank> getList();

    /**
     * 分页查询公务用车列表
     *
     * @param largeUnitRank 公务用车
     * @return 公务用车集合
     */
    public IPage<LargeUnitRank> pagingLargeUnitRankList(LargeUnitRank largeUnitRank);

    /**
     * 分页查询公务用车列表
     *
     * @param lqw
     * @return 公务用车集合
     */
    public IPage<LargeUnitRank> pagingLargeUnitRankList(PageParamVo pageParamVo, LambdaQueryWrapper<LargeUnitRank> lqw);

    /**
     * 查询公务用车列表
     *
     * @param largeUnitRank 公务用车
     * @return 公务用车集合
     */
    public List<LargeUnitRank> selectLargeUnitRankList(LargeUnitRank largeUnitRank);

    /**
     * 查询公务用车列表
     *
     * @param largeUnitRank 公务用车
     * @return 公务用车集合
     */
    public List<LargeUnitRank> selectLargeUnitRankList(LargeUnitRank largeUnitRank,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车
     */
    public LargeUnitRank getLargeUnitRankByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车
     */
    public List<LargeUnitRank> selectLargeUnitRankListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 公务用车
     */
    public List<LargeUnitRank> selectLargeUnitRankListByField(String field, String filedValue, Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);
}
