package com.project.zcustom.service.unit;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.addional.LargeWarnDetail;

import java.util.List;

public interface ILargeWarnDetailService extends IService<LargeWarnDetail> {

    /**
     * 分页查询公务用车预警明细列表
     *
     * @param largeWarnDetail 公务用车预警明细
     * @return 公务用车预警明细集合
     */
    public IPage<LargeWarnDetail> pagingLargeWarnDetailList(LargeWarnDetail largeWarnDetail);

    /**
     * 分页查询公务用车预警明细列表
     *
     * @param lqw
     * @return 公务用车预警明细集合
     */
    public IPage<LargeWarnDetail> pagingLargeWarnDetailList(PageParamVo pageParamVo, LambdaQueryWrapper<LargeWarnDetail> lqw);

    /**
     * 查询公务用车预警明细列表
     *
     * @param largeWarnDetail 公务用车预警明细
     * @return 公务用车预警明细集合
     */
    public List<LargeWarnDetail> selectLargeWarnDetailList(LargeWarnDetail largeWarnDetail);

    /**
     * 查询公务用车预警明细列表
     *
     * @param largeWarnDetail 公务用车预警明细
     * @return 公务用车预警明细集合
     */
    public List<LargeWarnDetail> selectLargeWarnDetailList(LargeWarnDetail largeWarnDetail, Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 公务用车预警明细
     */
    public LargeWarnDetail getLargeWarnDetailByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 公务用车预警明细
     */
    public List<LargeWarnDetail> selectLargeWarnDetailListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 公务用车预警明细
     */
    public List<LargeWarnDetail> selectLargeWarnDetailListByField(String field, String filedValue, Long limitNum);

    /**
     * 判断指定字段值是否存在
     *
     * @param field      字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue, String tips, Long id);
}

