/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.1.200
 Source Server Type    : MySQL
 Source Server Version : 50724 (5.7.24)
 Source Host           : 192.168.1.200:3306
 Source Schema         : 24_sxgw

 Target Server Type    : MySQL
 Target Server Version : 50724 (5.7.24)
 File Encoding         : 65001

 Date: 22/11/2024 16:15:51
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for large_gen_table
-- ----------------------------
DROP TABLE IF EXISTS `large_gen_table`;
CREATE TABLE `large_gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 65 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_gen_table
-- ----------------------------
INSERT INTO `large_gen_table` VALUES (39, 'large_plat_access', '便捷出入', NULL, NULL, 'LargePlatAccess', 'crud', 'com.project.zcustom', 'zcustom', 'platAccess', '便捷出入', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (40, 'large_plat_api_record', '接口请求记录表', NULL, NULL, 'LargePlatApiRecord', 'crud', 'com.project.zcustom', 'zcustom', 'platApiRecord', '接口请求记录', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (41, 'large_plat_app_org', '地区编码', NULL, NULL, 'LargePlatAppOrg', 'crud', 'com.project.zcustom', 'zcustom', 'platAppOrg', '地区编码', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (42, 'large_plat_basics', '基础运行数据', NULL, NULL, 'LargePlatBasics', 'crud', 'com.project.zcustom', 'zcustom', 'platBasics', '基础运行数据', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (43, 'large_plat_basics_company', '公司活跃人数', NULL, NULL, 'LargePlatBasicsCompany', 'crud', 'com.project.zcustom', 'zcustom', 'platBasicsCompany', '公司活跃人数', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (44, 'large_plat_basics_server', '服务信息', NULL, NULL, 'LargePlatBasicsServer', 'crud', 'com.project.zcustom', 'zcustom', 'platBasicsServer', '服务信息', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (45, 'large_plat_basics_system', '系统运行峰值情况分析', NULL, NULL, 'LargePlatBasicsSystem', 'crud', 'com.project.zcustom', 'zcustom', 'platBasicsSystem', '系统运行峰值情况分析', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (46, 'large_plat_build_params', '楼宇数据', NULL, NULL, 'LargePlatBuildParams', 'crud', 'com.project.zcustom', 'zcustom', 'platBuildParams', '楼宇数据', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (47, 'large_plat_build_year_trend', '年度趋势变化数据', NULL, NULL, 'LargePlatBuildYearTrend', 'crud', 'com.project.zcustom', 'zcustom', 'platBuildYearTrend', '年度趋势变化数据', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (48, 'large_plat_employee_health', '员工健康', NULL, NULL, 'LargePlatEmployeeHealth', 'crud', 'com.project.zcustom', 'zcustom', 'platEmployeeHealth', '员工健康', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (49, 'large_plat_employee_health_chart', '员工健康图表数据', NULL, NULL, 'LargePlatEmployeeHealthChart', 'crud', 'com.project.zcustom', 'zcustom', 'platEmployeeHealthChart', '员工健康图数据', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (50, 'large_plat_employee_health_illness', '多发疾病排行', NULL, NULL, 'LargePlatEmployeeHealthIllness', 'crud', 'com.project.zcustom', 'zcustom', 'platEmployeeHealthIllness', '多发疾病排行', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (51, 'large_plat_employee_type', '员工概况', NULL, NULL, 'LargePlatEmployeeType', 'crud', 'com.project.zcustom', 'zcustom', 'platEmployeeType', '员工概况', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (52, 'large_plat_employee_type_flow', '近一周人流量统计', NULL, NULL, 'LargePlatEmployeeTypeFlow', 'crud', 'com.project.zcustom', 'zcustom', 'platEmployeeTypeFlow', '近一周人流量统计', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (53, 'large_plat_green_foods', '菜谱数据', NULL, NULL, 'LargePlatGreenFoods', 'crud', 'com.project.zcustom', 'zcustom', 'platGreenFoods', '菜谱数据', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (54, 'large_plat_green_smart', '绿智食堂', NULL, NULL, 'LargePlatGreenSmart', 'crud', 'com.project.zcustom', 'zcustom', 'platGreenSmart', '绿智食堂', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:04', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (55, 'large_plat_green_smart_energy', '能耗信息', NULL, NULL, 'LargePlatGreenSmartEnergy', 'crud', 'com.project.zcustom', 'zcustom', 'platGreenSmartEnergy', '能耗信息', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (56, 'large_plat_green_smart_other', '绿智食堂 其他参数', NULL, NULL, 'LargePlatGreenSmartOther', 'crud', 'com.project.zcustom', 'zcustom', 'platGreenSmartOther', '绿智食堂 其他参数', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (57, 'large_plat_green_smart_rank', '绿智食堂 排名', NULL, NULL, 'LargePlatGreenSmartRank', 'crud', 'com.project.zcustom', 'zcustom', 'platGreenSmartRank', '绿智食堂 排名', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (58, 'large_plat_green_smart_safety', '食堂安全管理', NULL, NULL, 'LargePlatGreenSmartSafety', 'crud', 'com.project.zcustom', 'zcustom', 'platGreenSmartSafety', '食堂安全管理', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (59, 'large_plat_post_station', '物业服务', NULL, NULL, 'LargePlatPostStation', 'crud', 'com.project.zcustom', 'zcustom', 'platPostStation', '物业服务', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (60, 'large_plat_post_station_chart', '近六个月报修分类占比', NULL, NULL, 'LargePlatPostStationChart', 'crud', 'com.project.zcustom', 'zcustom', 'platPostStationChart', '近六个月报修分类占比', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (61, 'large_plat_property', '共享驿站', NULL, NULL, 'LargePlatProperty', 'crud', 'com.project.zcustom', 'zcustom', 'platProperty', '共享驿站', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (62, 'large_plat_property_list', '驿站列表', NULL, NULL, 'LargePlatPropertyList', 'crud', 'com.project.zcustom', 'zcustom', 'platPropertyList', '驿站列', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (63, 'large_plat_property_tools', '工具表列表', NULL, NULL, 'LargePlatPropertyTools', 'crud', 'com.project.zcustom', 'zcustom', 'platPropertyTools', '工具列', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);
INSERT INTO `large_gen_table` VALUES (64, 'large_platform_config', '平台配置表', NULL, NULL, 'LargePlatformConfig', 'crud', 'com.project.zcustom', 'zcustom', 'platformConfig', '平台配置', 'change', '0', '/', NULL, 'deve', '2024-11-12 00:08:05', '', NULL, NULL);

-- ----------------------------
-- Table structure for large_gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `large_gen_table_column`;
CREATE TABLE `large_gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 921 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_gen_table_column
-- ----------------------------
INSERT INTO `large_gen_table_column` VALUES (554, '39', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (555, '39', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (556, '39', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (557, '39', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (558, '39', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (559, '39', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (560, '39', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (561, '39', 'car_license_num', '车证数量', 'bigint(20)', 'Long', 'carLicenseNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (562, '39', 'guard_card_num', '门禁卡数量', 'bigint(20)', 'Long', 'guardCardNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (563, '39', 'black_lists_num', '黑名单数量', 'bigint(20)', 'Long', 'blackListsNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (564, '39', 'before_car_num', '前一天车数量', 'bigint(20)', 'Long', 'beforeCarNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (565, '39', 'two_days_car_num', '前两天车数量', 'bigint(20)', 'Long', 'twoDaysCarNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (566, '39', 'three_days_car_num', '前三天车数量', 'bigint(20)', 'Long', 'threeDaysCarNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (567, '39', 'four_days_car_num', '前四天车数量', 'bigint(20)', 'Long', 'fourDaysCarNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (568, '39', 'five_days_car_num', '前五天车数量', 'bigint(20)', 'Long', 'fiveDaysCarNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (569, '39', 'six_days_car_num', '前六天车数量', 'bigint(20)', 'Long', 'sixDaysCarNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 16, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (570, '39', 'seven_days_car_num', '前七天车数量', 'bigint(20)', 'Long', 'sevenDaysCarNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 17, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (571, '40', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (572, '40', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (573, '40', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (574, '40', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (575, '40', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (576, '40', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (577, '40', 'api_url', '请求地址', 'varchar(100)', 'String', 'apiUrl', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (578, '40', 'api_result', '接口返回数据', 'longtext', 'String', 'apiResult', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'textarea', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (579, '40', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (580, '41', 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (581, '41', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (582, '41', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (583, '41', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (584, '41', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (585, '41', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (586, '41', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (587, '41', 'app_name', '地区名称', 'varchar(10)', 'String', 'appName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (588, '42', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (589, '42', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (590, '42', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (591, '42', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (592, '42', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (593, '42', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (594, '42', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (595, '42', 'register_num', '基础运行数据--注册用户数', 'bigint(20)', 'Long', 'registerNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (596, '42', 'online_num', '基础运行数据--在线用户数', 'bigint(20)', 'Long', 'onlineNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (597, '42', 'order_num', '基础运行数据--订单数量', 'bigint(20)', 'Long', 'orderNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (598, '42', 'online_rate', '基础运行数据--在线率', 'decimal(10,2)', 'BigDecimal', 'onlineRate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (599, '42', 'cpu_overload_num', '系统运行报警信息--cpu过载', 'bigint(20)', 'Long', 'cpuOverloadNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (600, '42', 'disk_overload_num', '系统运行报警信息--磁盘过载', 'bigint(20)', 'Long', 'diskOverloadNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (601, '42', 'memory_overload_num', '系统运行报警信息--内存过载', 'bigint(20)', 'Long', 'memoryOverloadNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (602, '42', 'insufficient_num', '系统运行报警信息--流量不足', 'bigint(20)', 'Long', 'insufficientNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (603, '43', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (604, '43', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (605, '43', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (606, '43', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (607, '43', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (608, '43', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (609, '43', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (610, '43', 'company_name', '公司名称', 'varchar(50)', 'String', 'companyName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (611, '43', 'active_user_num', '活跃人数', 'bigint(20)', 'Long', 'activeUserNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (612, '44', 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (613, '44', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (614, '44', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (615, '44', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (616, '44', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (617, '44', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (618, '44', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (619, '44', 'server_name', '服务器名称', 'varchar(30)', 'String', 'serverName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (620, '44', 'server_num', '服务器数量', 'bigint(20)', 'Long', 'serverNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (621, '45', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (622, '45', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (623, '45', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (624, '45', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (625, '45', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (626, '45', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (627, '45', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (628, '45', 'sys_type', '0cpu使用率 1内存使用率 2磁盘使用率 3网络流量', 'tinyint(4)', 'Integer', 'sysType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (629, '45', 'between6_num', '0点-6点使用率', 'bigint(20)', 'Long', 'between6Num', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (630, '45', 'between12_num', '6点-12点使用率', 'bigint(20)', 'Long', 'between12Num', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (631, '45', 'between18_num', '12点-18点使用率', 'bigint(20)', 'Long', 'between18Num', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (632, '45', 'between24_num', '18点-24点使用率', 'bigint(20)', 'Long', 'between24Num', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (633, '46', 'id', '主键id', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (634, '46', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (635, '46', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (636, '46', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (637, '46', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (638, '46', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (639, '46', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (640, '46', 'type', '0 年度综合能耗 \r\n1 年度用电 \r\n2 年度累计水耗\r\n3 年度累计非供暖能\r\n4 月用电量信息\r\n5 楼宇月用水电热信息\r\n6 数据中心机房信息\r\n7 供暖能耗信息\r\n8 燃气用量信息\r\n9 资源信息\r\n10 可再生电力信息\r\n11 办公碳排放情况\r\n12 各单位年度累计办公碳排放量', 'tinyint(4)', 'Integer', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (641, '46', 'param_name', '参数名称', 'varchar(100)', 'String', 'paramName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (642, '46', 'param_key', '参数key', 'varchar(100)', 'String', 'paramKey', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (643, '46', 'params_value', '参数值1', 'decimal(12,4)', 'BigDecimal', 'paramsValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (644, '46', 'params_value2', '参数值2', 'decimal(12,4)', 'BigDecimal', 'paramsValue2', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (645, '46', 'params_value3', '参数值3', 'decimal(12,4)', 'BigDecimal', 'paramsValue3', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (646, '46', 'params_value4', '参数值4', 'decimal(12,4)', 'BigDecimal', 'paramsValue4', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (647, '47', 'id', '主键id', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (648, '47', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (649, '47', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (650, '47', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (651, '47', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (652, '47', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (653, '47', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (654, '47', 'month_string', '月份', 'varchar(20)', 'String', 'monthString', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (655, '47', 'current_value', '当年值', 'decimal(12,4)', 'BigDecimal', 'currentValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (656, '47', 'last_year_value', '去年值', 'decimal(12,4)', 'BigDecimal', 'lastYearValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (657, '47', 'current_year', '当年年份', 'varchar(20)', 'String', 'currentYear', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (658, '47', 'last_year', '去年年份', 'varchar(20)', 'String', 'lastYear', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (659, '47', 'type', '0 碳排放量月度变化趋势 \r\n1 年度综合能耗变化趋势图\r\n2 年度电耗变化趋势图 \r\n3 年度水耗趋势接口 \r\n4 年度非供暖能耗趋势', 'int(11)', 'Long', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 13, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (660, '48', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (661, '48', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (662, '48', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (663, '48', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (664, '48', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (665, '48', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (666, '48', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (667, '48', 'healthy_num', '员工健康分布--健康人数', 'bigint(20)', 'Long', 'healthyNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (668, '48', 'sub_healthy_num', '员工健康分布--亚健康人数', 'bigint(20)', 'Long', 'subHealthyNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (669, '48', 'participate_num', '健康服务--应参检人数', 'bigint(20)', 'Long', 'participateNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (670, '48', 'actual_participate_num', '健康服务--实际参检人数', 'bigint(20)', 'Long', 'actualParticipateNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (671, '48', 'participate_proportion_rate', '健康服务--检查人数占比', 'decimal(10,2)', 'BigDecimal', 'participateProportionRate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (672, '49', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (673, '49', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (674, '49', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (675, '49', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (676, '49', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (677, '49', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (678, '49', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (679, '49', 'type', '0 健康指标趋势 1 甲状腺结节发现及时率趋势', 'tinyint(4)', 'Integer', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (680, '49', 'january_num', '一月', 'bigint(20)', 'Long', 'januaryNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (681, '49', 'february_num', '二月', 'bigint(20)', 'Long', 'februaryNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (682, '49', 'march_num', '三月', 'bigint(20)', 'Long', 'marchNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (683, '49', 'april_num', '四月', 'bigint(20)', 'Long', 'aprilNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (684, '49', 'may_num', '五月', 'bigint(20)', 'Long', 'mayNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (685, '49', 'june_num', '六月', 'bigint(20)', 'Long', 'juneNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (686, '49', 'july_num', '七月', 'bigint(20)', 'Long', 'julyNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (687, '49', 'august_num', '八月', 'bigint(20)', 'Long', 'augustNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 16, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (688, '49', 'september_num', '九月', 'bigint(20)', 'Long', 'septemberNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 17, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (689, '49', 'october_num', '十月', 'bigint(20)', 'Long', 'octoberNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 18, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (690, '49', 'november_num', '十一月', 'bigint(20)', 'Long', 'novemberNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 19, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (691, '49', 'december_num', '十二月', 'bigint(20)', 'Long', 'decemberNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 20, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (692, '50', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (693, '50', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (694, '50', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (695, '50', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (696, '50', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (697, '50', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (698, '50', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (699, '50', 'params_name', '参数名称', 'varchar(50)', 'String', 'paramsName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (700, '50', 'params_value', '参数值', 'bigint(20)', 'Long', 'paramsValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (701, '51', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (702, '51', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (703, '51', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (704, '51', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (705, '51', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (706, '51', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (707, '51', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (708, '51', 'inside_num', '员工类型--内部员工数量', 'bigint(20)', 'Long', 'insideNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (709, '51', 'loan_num', '员工类型--借调人员数量', 'bigint(20)', 'Long', 'loanNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (710, '51', 'association_num', '员工类型--外协人员数量', 'bigint(20)', 'Long', 'associationNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (711, '51', 'property_num', '员工类型--物业人员数量', 'bigint(20)', 'Long', 'propertyNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (712, '51', 'entry_internal_num', '入楼情况--内部员工', 'bigint(20)', 'Long', 'entryInternalNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (713, '51', 'entry_to_loan_num', '入楼情况--借调人员', 'bigint(20)', 'Long', 'entryToLoanNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (714, '51', 'entry_assist_num', '入楼情况--外协人员', 'bigint(20)', 'Long', 'entryAssistNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (715, '51', 'entry_property_num', '入楼情况--物业人员', 'bigint(20)', 'Long', 'entryPropertyNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (716, '51', 'visitor_num', '入楼情况--访客', 'bigint(20)', 'Long', 'visitorNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 16, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (717, '51', 'gross_num', '入楼情况--共计人员数量', 'bigint(20)', 'Long', 'grossNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 17, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (718, '51', 'between2030_num', '员工年龄分布--20-30岁', 'bigint(20)', 'Long', 'between2030Num', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 18, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (719, '51', 'between3040_num', '员工年龄分布--30-40岁', 'bigint(20)', 'Long', 'between3040Num', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 19, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (720, '51', 'between4050_num', '员工年龄分布--40-50岁', 'bigint(20)', 'Long', 'between4050Num', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 20, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (721, '51', 'exceed50_num', '员工年龄分布--50岁以上', 'bigint(20)', 'Long', 'exceed50Num', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 21, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (722, '51', 'man_num', '员工性别情况--男性数', 'bigint(20)', 'Long', 'manNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 22, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (723, '51', 'women_num', '员工性别情况--女性数', 'bigint(20)', 'Long', 'womenNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 23, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (724, '52', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (725, '52', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (726, '52', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (727, '52', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (728, '52', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (729, '52', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (730, '52', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (731, '52', 'inside_num', '员工类型--内部员工数量', 'bigint(20)', 'Long', 'insideNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (732, '52', 'loan_num', '员工类型--借调人员数量', 'bigint(20)', 'Long', 'loanNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (733, '52', 'association_num', '员工类型--外协人员数量', 'bigint(20)', 'Long', 'associationNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (734, '52', 'property_num', '员工类型--物业人员数量', 'bigint(20)', 'Long', 'propertyNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (735, '52', 'visit_num', '员工类型--访客数量', 'bigint(20)', 'Long', 'visitNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (736, '52', 'time_sign', '时间标识 1-7', 'bigint(20)', 'Long', 'timeSign', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (737, '53', 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (738, '53', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (739, '53', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (740, '53', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (741, '53', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (742, '53', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (743, '53', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (744, '53', 'app_name', '地区名称', 'varchar(20)', 'String', 'appName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (745, '53', 'food_info', '菜品信息', 'text', 'String', 'foodInfo', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'textarea', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (746, '54', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (747, '54', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (748, '54', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (749, '54', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (750, '54', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (751, '54', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (752, '54', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (753, '54', 'canteen_num', '食堂名称', 'varchar(50)', 'String', 'canteenNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (754, '54', 'canteen_type', '食堂类型', 'varchar(20)', 'String', 'canteenType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 9, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (755, '54', 'area_num', '食堂面积 平方米', 'bigint(20)', 'Long', 'areaNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (756, '54', 'seats_num', '座位数量', 'bigint(20)', 'Long', 'seatsNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (757, '54', 'management_num', '管理人员', 'bigint(20)', 'Long', 'managementNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (758, '54', 'chefs_num', '厨师人数', 'bigint(20)', 'Long', 'chefsNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (759, '54', 'service_num', '服务人员', 'bigint(20)', 'Long', 'serviceNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (760, '54', 'health_num', '健康证数量', 'bigint(20)', 'Long', 'healthNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (761, '54', 'licence_num', '许可证数量', 'bigint(20)', 'Long', 'licenceNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 16, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (762, '54', 'dish_hygiene_score', '菜品卫生 评分', 'int(11)', 'Long', 'dishHygieneScore', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 17, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (763, '54', 'taste_dishes_score', '菜品口味 评分', 'int(11)', 'Long', 'tasteDishesScore', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 18, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (764, '54', 'attitude_score', '服务态度 评分', 'int(11)', 'Long', 'attitudeScore', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 19, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (765, '54', 'tableware_score', '餐具卫生 评分', 'int(11)', 'Long', 'tablewareScore', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 20, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (766, '54', 'types_dishes_score', '菜品种类 评分', 'int(11)', 'Long', 'typesDishesScore', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 21, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (767, '54', 'dining_score', '就餐体验 评分', 'int(11)', 'Long', 'diningScore', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 22, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (768, '54', 'personnel_num', '其它人员', 'bigint(20)', 'Long', 'personnelNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 23, 'deve', '2024-11-12 00:08:04', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (769, '54', 'service_diners_num', '服务就餐人数', 'bigint(20)', 'Long', 'serviceDinersNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 24, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (770, '55', 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (771, '55', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (772, '55', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (773, '55', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (774, '55', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (775, '55', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (776, '55', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (777, '55', 'canteen_name', '食堂名称', 'varchar(50)', 'String', 'canteenName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (778, '55', 'water_consumption_num', '食堂用水量', 'bigint(20)', 'Long', 'waterConsumptionNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (779, '55', 'quantity_heat_num', '食堂用热量', 'bigint(20)', 'Long', 'quantityHeatNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (780, '55', 'gas_volume_num', '食堂用气量', 'bigint(20)', 'Long', 'gasVolumeNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (781, '56', 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (782, '56', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (783, '56', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (784, '56', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (785, '56', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (786, '56', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (787, '56', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (788, '56', 'participate_num', '绿智食堂参评食堂情况--参评绿智食堂', 'bigint(20)', 'Long', 'participateNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (789, '56', 'completed_num', '绿智食堂参评食堂情况--已完成单位', 'bigint(20)', 'Long', 'completedNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (790, '56', 'actual_dining_num', '就餐情况--早餐', 'bigint(20)', 'Long', 'actualDiningNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (791, '56', 'lunch_num', '就餐情况--午餐', 'bigint(20)', 'Long', 'lunchNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (792, '56', 'dinner_num', '就餐情况--晚餐', 'bigint(20)', 'Long', 'dinnerNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (793, '56', 'morning_num', '电子餐券--早', 'bigint(20)', 'Long', 'morningNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (794, '56', 'noon_num', '电子餐券--中', 'bigint(20)', 'Long', 'noonNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (795, '56', 'night_num', '电子餐券--晚', 'bigint(20)', 'Long', 'nightNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (796, '56', 'daily_menu_num', '菜品信息--每日菜谱', 'bigint(20)', 'Long', 'dailyMenuNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 16, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (797, '56', 'weekly_cuisine_num', '菜品信息--周菜食谱', 'bigint(20)', 'Long', 'weeklyCuisineNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 17, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (798, '56', 'food_voting_num', '其它数据信息--菜品投票参与人数', 'bigint(20)', 'Long', 'foodVotingNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 18, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (799, '56', 'clear_plate_num', '其它数据信息--光盘行动参与人数', 'bigint(20)', 'Long', 'clearPlateNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 19, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (800, '56', 'culinary_exchange_num', '其它数据信息--厨艺交流上传数量', 'bigint(20)', 'Long', 'culinaryExchangeNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 20, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (801, '56', 'take_out_food_num', '智慧食堂--外卖', 'bigint(20)', 'Long', 'takeOutFoodNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 21, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (802, '56', 'self_food_num', '智慧食堂--自选食品', 'bigint(20)', 'Long', 'selfFoodNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 22, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (803, '56', 'holiday_special_num', '智慧食堂--节日特供', 'bigint(20)', 'Long', 'holidaySpecialNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 23, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (804, '56', 'break_service_num', '员工服务--茶歇服务', 'bigint(20)', 'Long', 'breakServiceNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 24, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (805, '56', 'laundry_service_num', '员工服务--洗衣服务', 'bigint(20)', 'Long', 'laundryServiceNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 25, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (806, '56', 'barber_service_num', '员工服务--理发服务', 'bigint(20)', 'Long', 'barberServiceNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 26, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (807, '57', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (808, '57', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (809, '57', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (810, '57', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (811, '57', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (812, '57', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (813, '57', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (814, '57', 'type', '类型 0 热销菜品', 'tinyint(4)', 'Integer', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (815, '57', 'params_name', '参数名称', 'varchar(50)', 'String', 'paramsName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (816, '57', 'params_value', '参数值', 'bigint(20)', 'Long', 'paramsValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (817, '58', 'id', NULL, 'int(11)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (818, '58', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (819, '58', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (820, '58', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (821, '58', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (822, '58', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (823, '58', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (824, '58', 'canteen_name', '食堂名称', 'varchar(50)', 'String', 'canteenName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (825, '58', 'sample_num', '食品留样数量', 'bigint(20)', 'Long', 'sampleNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (826, '58', 'positive_num', '食材抽检结果阳性', 'bigint(20)', 'Long', 'positiveNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (827, '58', 'negative_num', '食材抽检结果阴性', 'bigint(20)', 'Long', 'negativeNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (828, '58', 'ingredients_rate', '食材抽检合格率', 'decimal(10,2)', 'BigDecimal', 'ingredientsRate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (829, '58', 'leave_sample_rate', '食品留样合格率', 'decimal(10,2)', 'BigDecimal', 'leaveSampleRate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (830, '59', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (831, '59', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (832, '59', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (833, '59', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (834, '59', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (835, '59', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (836, '59', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (837, '59', 'fault_warranty_num', '物业服务--故障保修订单数', 'bigint(20)', 'Long', 'faultWarrantyNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (838, '59', 'dispatched_num', '物业服务--派单数量', 'bigint(20)', 'Long', 'dispatchedNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (839, '59', 'suggested_num', '物业服务--建议订单数量', 'bigint(20)', 'Long', 'suggestedNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (840, '59', 'repair_orders_num', '物业服务--维修订单数量', 'bigint(20)', 'Long', 'repairOrdersNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (841, '59', 'questionnaires_num', '物业服务--调查问卷数量', 'bigint(20)', 'Long', 'questionnairesNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (842, '59', 'fire_control_num', '近一个月报修分类占比--消防', 'bigint(20)', 'Long', 'fireControlNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (843, '59', 'elevator_num', '近一个月报修分类占比--电梯', 'bigint(20)', 'Long', 'elevatorNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (844, '59', 'lamp_num', '近一个月报修分类占比--照明灯具', 'bigint(20)', 'Long', 'lampNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (845, '59', 'security_num', '近一个月报修分类占比--安防', 'bigint(20)', 'Long', 'securityNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 16, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (846, '59', 'toilet_num', '近一个月报修分类占比--卫生间', 'bigint(20)', 'Long', 'toiletNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 17, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (847, '59', 'area_num', '近一个月报修分类占比--公区', 'bigint(20)', 'Long', 'areaNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 18, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (848, '59', 'conditioner_num', '近一个月报修分类占比--空调', 'bigint(20)', 'Long', 'conditionerNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 19, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (849, '59', 'repairs_num', '近一个月报修分类占比--其它维修', 'bigint(20)', 'Long', 'repairsNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 20, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (850, '59', 'meeting_num', '近一个月报修分类占比--会议保障', 'bigint(20)', 'Long', 'meetingNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 21, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (851, '59', 'office_num', '近一个月报修分类占比--办公室', 'bigint(20)', 'Long', 'officeNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 22, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (852, '60', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (853, '60', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (854, '60', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (855, '60', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (856, '60', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (857, '60', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (858, '60', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (859, '60', 'app_month', '近六个月报修分类占比 取值1-6', 'bigint(20)', 'Long', 'appMonth', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (860, '60', 'col_num', '消防', 'bigint(20)', 'Long', 'colNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (861, '60', 'elevator_num', '电梯', 'bigint(20)', 'Long', 'elevatorNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (862, '60', 'la_num', '照明灯具', 'bigint(20)', 'Long', 'laNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (863, '60', 'se_num', '安防', 'bigint(20)', 'Long', 'seNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (864, '60', 'to_num', '卫生间', 'bigint(20)', 'Long', 'toNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (865, '60', 'ar_num', '公区', 'bigint(20)', 'Long', 'arNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (866, '60', 'di_num', '空调', 'bigint(20)', 'Long', 'diNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (867, '60', 'ot_num', '其它维修', 'bigint(20)', 'Long', 'otNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 16, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (868, '60', 'me_num', '会议保障', 'bigint(20)', 'Long', 'meNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 17, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (869, '60', 'of_num', '办公室', 'bigint(20)', 'Long', 'ofNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 18, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (870, '61', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (871, '61', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (872, '61', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (873, '61', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (874, '61', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (875, '61', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (876, '61', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (877, '61', 'construction_quantity_num', '计划建设数量', 'bigint(20)', 'Long', 'constructionQuantityNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (878, '61', 'completed_num', '已完成建设数量', 'bigint(20)', 'Long', 'completedNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (879, '61', 'participate_proportion_rate', '完成达标率', 'decimal(10,2)', 'BigDecimal', 'participateProportionRate', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (880, '62', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (881, '62', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (882, '62', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (883, '62', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (884, '62', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (885, '62', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (886, '62', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (887, '62', 'station_name', '驿站名称', 'varchar(50)', 'String', 'stationName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (888, '62', 'station_address', '驿站地址', 'varchar(100)', 'String', 'stationAddress', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (889, '62', 'station_num', '服务次数', 'bigint(20)', 'Long', 'stationNum', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (890, '63', 'id', NULL, 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (891, '63', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (892, '63', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (893, '63', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (894, '63', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (895, '63', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (896, '63', 'app_org', '地区编码', 'varchar(10)', 'String', 'appOrg', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (897, '63', 'tools_name_first', '工具名称', 'varchar(50)', 'String', 'toolsNameFirst', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (898, '63', 'tools_num_first', '工具数量', 'bigint(20)', 'Long', 'toolsNumFirst', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (899, '63', 'tools_name_two', '工具名称', 'varchar(50)', 'String', 'toolsNameTwo', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (900, '63', 'tools_num_two', '工具数量', 'bigint(20)', 'Long', 'toolsNumTwo', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (901, '63', 'tools_name_third', '工具名称', 'varchar(50)', 'String', 'toolsNameThird', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (902, '63', 'tools_num_third', '工具数量', 'bigint(20)', 'Long', 'toolsNumThird', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (903, '63', 'tools_name_four', '工具名称', 'varchar(50)', 'String', 'toolsNameFour', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 14, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (904, '63', 'tools_num_four', '工具数量', 'bigint(20)', 'Long', 'toolsNumFour', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (905, '64', 'id', '主键ID', 'int(11)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (906, '64', 'label', '提示信息，显示标题名称', 'varchar(255)', 'String', 'label', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (907, '64', 'item_key', '英文别名，作为form标签的name名称', 'varchar(80)', 'String', 'itemKey', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (908, '64', 'item_value', '存储的值', 'text', 'String', 'itemValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (909, '64', 'type', 'form表单项类型，radio,text,textarea,select,richText富文本框 timeDiff时间段(不包含日期)', 'varchar(10)', 'String', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (910, '64', 'item_group', '分组类型', 'varchar(20)', 'String', 'itemGroup', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (911, '64', 'item_group_name', '分组名称', 'varchar(255)', 'String', 'itemGroupName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 7, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (912, '64', 'group_index', '分组排序', 'int(11)', 'Long', 'groupIndex', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (913, '64', 'sort', '排序', 'tinyint(3) unsigned', 'Integer', 'sort', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 9, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (914, '64', 'tip', '提示信息', 'varchar(255)', 'String', 'tip', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (915, '64', 'prefix', 'input 前后缀 逗号隔开', 'varchar(255)', 'String', 'prefix', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 11, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (916, '64', 'del_flag', '删除标志（0代表存在 2代表删除）', 'char(1)', 'String', 'delFlag', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (917, '64', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (918, '64', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (919, '64', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 15, 'deve', '2024-11-12 00:08:05', '', NULL);
INSERT INTO `large_gen_table_column` VALUES (920, '64', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 16, 'deve', '2024-11-12 00:08:05', '', NULL);

-- ----------------------------
-- Table structure for large_plat_access
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_access`;
CREATE TABLE `large_plat_access`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `car_license_num` bigint(20) NULL DEFAULT 0 COMMENT '车证数量',
  `guard_card_num` bigint(20) NULL DEFAULT 0 COMMENT '门禁卡数量',
  `black_lists_num` bigint(20) NULL DEFAULT 0 COMMENT '黑名单数量',
  `before_car_num` bigint(20) NULL DEFAULT 0 COMMENT '前一天车数量',
  `two_days_car_num` bigint(20) NULL DEFAULT 0 COMMENT '前两天车数量',
  `three_days_car_num` bigint(20) NULL DEFAULT 0 COMMENT '前三天车数量',
  `four_days_car_num` bigint(20) NULL DEFAULT 0 COMMENT '前四天车数量',
  `five_days_car_num` bigint(20) NULL DEFAULT 0 COMMENT '前五天车数量',
  `six_days_car_num` bigint(20) NULL DEFAULT 0 COMMENT '前六天车数量',
  `seven_days_car_num` bigint(20) NULL DEFAULT 0 COMMENT '前七天车数量',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `app_org`(`app_org`, `del_flag`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 118 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '便捷出入' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_access
-- ----------------------------
INSERT INTO `large_plat_access` VALUES (1, '0', '', NULL, 'anonymous', '2024-11-18 16:41:19', '10001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (2, '0', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-11-18 16:41:35', '1E001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (3, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (4, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A002', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (5, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A003', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (6, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:21', '1A00301', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (7, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00302', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (8, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00303', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (9, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00304', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (10, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00305', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (11, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00306', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (12, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00307', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (13, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00308', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (14, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:24', '1M001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (15, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (16, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (17, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (18, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (19, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (20, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00106', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (21, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:26', '1M00107', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (22, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00108', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (23, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00109', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (24, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:27', '1M00110', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (25, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00111', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (26, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00112', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (27, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00113', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (28, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00114', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (29, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1L001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (30, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (31, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (32, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:31', '1L00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (33, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (34, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (35, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00106', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (36, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00107', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (37, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:32', '1L00108', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (38, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00109', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (39, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00110', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (40, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:33', '1L00111', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (41, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00112', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (42, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00113', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (43, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:34', '1L00114', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (44, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (45, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (46, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:36', '1E00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (47, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (48, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1E00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (49, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1D001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (50, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (51, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:38', '1D00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (52, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (53, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (54, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:39', '1D00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (55, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00106', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (56, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00107', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (57, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00108', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (58, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00109', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (59, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00110', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (60, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00111', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (61, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:41', '1D00112', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (62, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (63, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (64, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:42', '1J00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (65, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (66, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (67, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:43', '1J00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (68, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (69, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (70, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (71, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (72, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (73, '0', NULL, '2024-10-31 19:30:25', NULL, '2024-11-18 16:41:46', '1K00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (74, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00106', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (75, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00107', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (76, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:47', '1K00108', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (77, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00109', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (78, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00110', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (79, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:48', '1K00111', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (80, '0', NULL, '2024-10-31 19:30:28', NULL, '2024-11-18 16:41:48', '1H001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (81, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:48', '1H00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (82, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:49', '1H00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (83, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (84, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:50', '1H00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (85, '0', NULL, '2024-10-31 19:30:32', NULL, '2024-11-18 16:41:50', '1H00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (86, '0', NULL, '2024-10-31 19:30:33', NULL, '2024-11-18 16:41:50', '1H00106', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (87, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00107', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (88, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00108', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (89, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:51', '1H00109', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (90, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00110', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (91, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00111', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (92, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:52', '1H00112', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (93, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1H00113', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (94, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1B001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (95, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (96, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (97, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:55', '1B00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (98, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (99, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (100, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:56', '1B00106', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (101, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00107', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (102, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00108', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (103, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:57', '1B00109', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (104, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (105, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (106, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:58', '1F00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (107, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (108, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (109, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:59', '1F00105', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (110, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1F00106', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (111, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:42:00', '1C001', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (112, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00101', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (113, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:00', '1C00102', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (114, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00103', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (115, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00104', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (116, '0', '', NULL, '', NULL, '1A004', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);
INSERT INTO `large_plat_access` VALUES (117, '0', '', NULL, '', NULL, '1A005', 200, 600, 10, 160, 100, 120, 120, 100, 40, 40);

-- ----------------------------
-- Table structure for large_plat_api_record
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_api_record`;
CREATE TABLE `large_plat_api_record`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `api_url` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '请求地址',
  `api_result` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '接口返回数据',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1015 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '接口请求记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_api_record
-- ----------------------------
INSERT INTO `large_plat_api_record` VALUES (565, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '10001');
INSERT INTO `large_plat_api_record` VALUES (566, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A001');
INSERT INTO `large_plat_api_record` VALUES (567, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A002');
INSERT INTO `large_plat_api_record` VALUES (568, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A003');
INSERT INTO `large_plat_api_record` VALUES (569, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A00301');
INSERT INTO `large_plat_api_record` VALUES (570, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A00302');
INSERT INTO `large_plat_api_record` VALUES (571, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A00303');
INSERT INTO `large_plat_api_record` VALUES (572, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A00304');
INSERT INTO `large_plat_api_record` VALUES (573, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A00305');
INSERT INTO `large_plat_api_record` VALUES (574, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A00306');
INSERT INTO `large_plat_api_record` VALUES (575, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A00307');
INSERT INTO `large_plat_api_record` VALUES (576, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1A00308');
INSERT INTO `large_plat_api_record` VALUES (577, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M001');
INSERT INTO `large_plat_api_record` VALUES (578, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00101');
INSERT INTO `large_plat_api_record` VALUES (579, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00102');
INSERT INTO `large_plat_api_record` VALUES (580, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00103');
INSERT INTO `large_plat_api_record` VALUES (581, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00104');
INSERT INTO `large_plat_api_record` VALUES (582, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00105');
INSERT INTO `large_plat_api_record` VALUES (583, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00106');
INSERT INTO `large_plat_api_record` VALUES (584, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00107');
INSERT INTO `large_plat_api_record` VALUES (585, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00108');
INSERT INTO `large_plat_api_record` VALUES (586, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00109');
INSERT INTO `large_plat_api_record` VALUES (587, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00110');
INSERT INTO `large_plat_api_record` VALUES (588, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00111');
INSERT INTO `large_plat_api_record` VALUES (589, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00112');
INSERT INTO `large_plat_api_record` VALUES (590, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00113');
INSERT INTO `large_plat_api_record` VALUES (591, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1M00114');
INSERT INTO `large_plat_api_record` VALUES (592, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L001');
INSERT INTO `large_plat_api_record` VALUES (593, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00101');
INSERT INTO `large_plat_api_record` VALUES (594, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00102');
INSERT INTO `large_plat_api_record` VALUES (595, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00103');
INSERT INTO `large_plat_api_record` VALUES (596, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00104');
INSERT INTO `large_plat_api_record` VALUES (597, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00105');
INSERT INTO `large_plat_api_record` VALUES (598, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00106');
INSERT INTO `large_plat_api_record` VALUES (599, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00107');
INSERT INTO `large_plat_api_record` VALUES (600, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00108');
INSERT INTO `large_plat_api_record` VALUES (601, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00109');
INSERT INTO `large_plat_api_record` VALUES (602, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00110');
INSERT INTO `large_plat_api_record` VALUES (603, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00111');
INSERT INTO `large_plat_api_record` VALUES (604, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00112');
INSERT INTO `large_plat_api_record` VALUES (605, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00113');
INSERT INTO `large_plat_api_record` VALUES (606, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1L00114');
INSERT INTO `large_plat_api_record` VALUES (607, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1E001');
INSERT INTO `large_plat_api_record` VALUES (608, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1E00101');
INSERT INTO `large_plat_api_record` VALUES (609, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1E00102');
INSERT INTO `large_plat_api_record` VALUES (610, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1E00103');
INSERT INTO `large_plat_api_record` VALUES (611, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1E00104');
INSERT INTO `large_plat_api_record` VALUES (612, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1E00105');
INSERT INTO `large_plat_api_record` VALUES (613, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D001');
INSERT INTO `large_plat_api_record` VALUES (614, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00101');
INSERT INTO `large_plat_api_record` VALUES (615, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00102');
INSERT INTO `large_plat_api_record` VALUES (616, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00103');
INSERT INTO `large_plat_api_record` VALUES (617, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00104');
INSERT INTO `large_plat_api_record` VALUES (618, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00105');
INSERT INTO `large_plat_api_record` VALUES (619, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00106');
INSERT INTO `large_plat_api_record` VALUES (620, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00107');
INSERT INTO `large_plat_api_record` VALUES (621, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00108');
INSERT INTO `large_plat_api_record` VALUES (622, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00109');
INSERT INTO `large_plat_api_record` VALUES (623, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00110');
INSERT INTO `large_plat_api_record` VALUES (624, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00111');
INSERT INTO `large_plat_api_record` VALUES (625, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1D00112');
INSERT INTO `large_plat_api_record` VALUES (626, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1J001');
INSERT INTO `large_plat_api_record` VALUES (627, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1J00101');
INSERT INTO `large_plat_api_record` VALUES (628, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1J00102');
INSERT INTO `large_plat_api_record` VALUES (629, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1J00103');
INSERT INTO `large_plat_api_record` VALUES (630, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1J00104');
INSERT INTO `large_plat_api_record` VALUES (631, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1J00105');
INSERT INTO `large_plat_api_record` VALUES (632, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1K001');
INSERT INTO `large_plat_api_record` VALUES (633, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1K00101');
INSERT INTO `large_plat_api_record` VALUES (634, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"id\":1,\"appOrg\":\"1E001\",\"dataType\":\"employeeType\",\"dataResult\":\"{\\\"man\\\": \\\"400\\\", \\\"loan\\\": \\\"200\\\", \\\"gross\\\": 800, \\\"women\\\": \\\"400\\\", \\\"inside\\\": \\\"300\\\", \\\"visitor\\\": \\\"100\\\", \\\"exceed50\\\": \\\"100\\\", \\\"property\\\": \\\"10\\\", \\\"twoDaysIns\\\": \\\"50\\\", \\\"twoDaysPro\\\": \\\"50\\\", \\\"twoDaysVis\\\": \\\"50\\\", \\\"Between2030\\\": \\\"300\\\", \\\"Between3040\\\": \\\"200\\\", \\\"Between4050\\\": \\\"100\\\", \\\"association\\\": \\\"100\\\", \\\"entryAssist\\\": \\\"300\\\", \\\"entryToLoan\\\": \\\"200\\\", \\\"twoDaysAsso\\\": \\\"50\\\", \\\"twoDaysLoan\\\": \\\"50\\\", \\\"dayBeforeIns\\\": \\\"30\\\", \\\"dayBeforePro\\\": \\\"30\\\", \\\"dayBeforeVis\\\": \\\"30\\\", \\\"dayBeforeAsso\\\": \\\"30\\\", \\\"dayBeforeLoan\\\": \\\"30\\\", \\\"entryInternal\\\": \\\"100\\\", \\\"entryProperty\\\": \\\"100\\\", \\\"firstSixDaysIns\\\": \\\"50\\\", \\\"firstSixDaysPro\\\": \\\"50\\\", \\\"firstSixDaysVis\\\": \\\"50\\\", \\\"firstFiveDaysIns\\\": \\\"50\\\", \\\"firstFiveDaysPro\\\": \\\"50\\\", \\\"firstFiveDaysVis\\\": \\\"50\\\", \\\"firstFourDaysIns\\\": \\\"50\\\", \\\"firstFourDaysPro\\\": \\\"50\\\", \\\"firstFourDaysVis\\\": \\\"50\\\", \\\"firstSixDaysAsso\\\": \\\"50\\\", \\\"firstSixDaysLoan\\\": \\\"50\\\", \\\"firstFiveDaysAsso\\\": \\\"50\\\", \\\"firstFiveDaysLoan\\\": \\\"50\\\", \\\"firstFourDaysAsso\\\": \\\"50\\\", \\\"firstFourDaysLoan\\\": \\\"50\\\", \\\"firstSevenDaysIns\\\": \\\"50\\\", \\\"firstSevenDaysPro\\\": \\\"40\\\", \\\"firstSevenDaysVis\\\": \\\"40\\\", \\\"firstThreeDaysIns\\\": \\\"50\\\", \\\"firstThreeDaysPro\\\": \\\"50\\\", \\\"firstThreeDaysVis\\\": \\\"50\\\", \\\"firstSevenDaysAsso\\\": \\\"30\\\", \\\"firstSevenDaysLoan\\\": \\\"20\\\", \\\"firstThreeDaysAsso\\\": \\\"50\\\", \\\"firstThreeDaysLoan\\\": \\\"50\\\"}\",\"createTime\":\"2024-10-29 17:19:34\",\"updateTime\":\"2024-10-29 17:19:56\"},{\"id\":3,\"appOrg\":\"1E001\",\"dataType\":\"employeeHealth\",\"dataResult\":\"{\\\"participate\\\": \\\"300\\\", \\\"hypertension\\\": \\\"30\\\", \\\"hyperglycemia\\\": \\\"20\\\", \\\"hyperlipidemia\\\": \\\"30\\\", \\\"actualParticipate\\\": \\\"201\\\", \\\"participateProportion\\\": \\\"67.00\\\"}\",\"createTime\":\"2024-10-29 17:21:03\",\"updateTime\":\"2024-10-29 17:21:07\"},{\"id\":4,\"appOrg\":\"1E001\",\"dataType\":\"greenSmart\",\"dataResult\":\"{\\\"area\\\": \\\"300\\\", \\\"noon\\\": \\\"300\\\", \\\"chefs\\\": \\\"100\\\", \\\"lunch\\\": \\\"100\\\", \\\"night\\\": \\\"200\\\", \\\"seats\\\": \\\"200\\\", \\\"dinner\\\": \\\"100\\\", \\\"energy\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"gasVolume\\\": \\\"100300\\\", \\\"quantityHeat\\\": \\\"20000\\\", \\\"waterConsumption\\\": \\\"3000\\\"}], \\\"canList\\\": [{\\\"area\\\": \\\"\\\", \\\"chefs\\\": \\\"\\\", \\\"seats\\\": \\\"\\\", \\\"dining\\\": \\\"90\\\", \\\"service\\\": \\\"\\\", \\\"attitude\\\": \\\"90\\\", \\\"personnel\\\": \\\"\\\", \\\"tableware\\\": \\\"90\\\", \\\"management\\\": \\\"\\\", \\\"canntenName\\\": \\\"员工食堂\\\", \\\"canntenType\\\": \\\"\\\", \\\"dishHygiene\\\": \\\"80\\\", \\\"firstHealth\\\": \\\"100\\\", \\\"tasteDishes\\\": \\\"90\\\", \\\"typesDishes\\\": \\\"90\\\", \\\"firstLicence\\\": \\\"100\\\"}], \\\"morning\\\": \\\"300\\\", \\\"service\\\": \\\"100\\\", \\\"FirstNum\\\": \\\"90\\\", \\\"selfFood\\\": \\\"20\\\", \\\"thirdNum\\\": \\\"60\\\", \\\"FirstDish\\\": \\\"酸辣土豆丝\\\", \\\"breakfast\\\": \\\"200\\\", \\\"completed\\\": \\\"2\\\", \\\"dailyMenu\\\": \\\"10\\\", \\\"personnel\\\": \\\"20\\\", \\\"secondNum\\\": \\\"80\\\", \\\"thirdDish\\\": \\\"麻婆豆腐\\\", \\\"clearPlate\\\": \\\"200\\\", \\\"foodVoting\\\": \\\"300\\\", \\\"management\\\": \\\"10\\\", \\\"safetyList\\\": [{\\\"name\\\": \\\"员工食堂\\\", \\\"sample\\\": \\\"100\\\", \\\"negative\\\": \\\"80\\\", \\\"positive\\\": \\\"20\\\", \\\"Ingredients\\\": \\\"80\\\", \\\"LeaveSample\\\": \\\"21\\\"}], \\\"canntenType\\\": \\\"自建食堂\\\", \\\"participate\\\": \\\"3\\\", \\\"secondtDish\\\": \\\"红烧茄子\\\", \\\"takeOutFood\\\": \\\"30\\\", \\\"breakService\\\": \\\"100\\\", \\\"barberService\\\": \\\"100\\\", \\\"weeklyCuisine\\\": \\\"20\\\", \\\"holidaySpecial\\\": \\\"10\\\", \\\"laundryService\\\": \\\"200\\\", \\\"culinaryExchange\\\": \\\"100\\\", \\\"participateProportion\\\": \\\"0.00\\\"}\",\"createTime\":\"2024-10-29 17:26:48\",\"updateTime\":\"2024-10-29 17:27:13\"},{\"id\":5,\"appOrg\":\"1E001\",\"dataType\":\"property\",\"dataResult\":\"{\\\"fourTool\\\": \\\"螺丝刀\\\", \\\"twotTool\\\": \\\"铁锹\\\", \\\"unitList\\\": [{\\\"stationNum\\\": \\\"10\\\", \\\"stationName\\\": \\\"单位一\\\", \\\"stationAddress\\\": \\\"东门\\\"}, {\\\"stationNum\\\": \\\"12\\\", \\\"stationName\\\": \\\"单位二\\\", \\\"stationAddress\\\": \\\"西门\\\"}], \\\"completed\\\": \\\"10\\\", \\\"firstTool\\\": \\\"扳手\\\", \\\"thirdTool\\\": \\\"锤子\\\", \\\"twoToolNum\\\": \\\"200\\\", \\\"fourToolNum\\\": \\\"100\\\", \\\"firstToolNum\\\": \\\"200\\\", \\\"thirdToolNum\\\": \\\"100\\\", \\\"constructionQuantity\\\": \\\"30\\\", \\\"participateProportion\\\": \\\"33.33\\\"}\",\"createTime\":\"2024-10-29 17:27:45\",\"updateTime\":\"2024-10-29 17:28:05\"},{\"id\":6,\"appOrg\":\"1E001\",\"dataType\":\"postStation\",\"dataResult\":\"{\\\"area\\\": \\\"10\\\", \\\"lamp\\\": \\\"10\\\", \\\"arList\\\": [{\\\"arOne\\\": \\\"6\\\", \\\"arSix\\\": \\\"6\\\", \\\"arTwo\\\": \\\"5\\\", \\\"arFive\\\": \\\"7\\\", \\\"arFour\\\": \\\"5\\\", \\\"arThree\\\": \\\"7\\\"}], \\\"coList\\\": [{\\\"coOne\\\": \\\"12\\\", \\\"coSix\\\": \\\"10\\\", \\\"coTwo\\\": \\\"10\\\", \\\"coFive\\\": \\\"21\\\", \\\"coFour\\\": \\\"31\\\", \\\"coThree\\\": \\\"21\\\"}], \\\"diList\\\": [{\\\"diOne\\\": \\\"5\\\", \\\"diSix\\\": \\\"7\\\", \\\"diTwo\\\": \\\"7\\\", \\\"diFive\\\": \\\"5\\\", \\\"diFour\\\": \\\"7\\\", \\\"diThree\\\": \\\"5\\\"}], \\\"laList\\\": [{\\\"laOne\\\": \\\"12\\\", \\\"laSix\\\": \\\"22\\\", \\\"laTwo\\\": \\\"13\\\", \\\"laFive\\\": \\\"21\\\", \\\"laFour\\\": \\\"21\\\", \\\"laThree\\\": \\\"23\\\"}], \\\"meList\\\": [{\\\"meOne\\\": \\\"2\\\", \\\"meSix\\\": \\\"5\\\", \\\"meTwo\\\": \\\"1\\\", \\\"meFive\\\": \\\"4\\\", \\\"meFour\\\": \\\"3\\\", \\\"meThree\\\": \\\"1\\\"}], \\\"ofList\\\": [{\\\"ofOne\\\": \\\"2\\\", \\\"ofSix\\\": \\\"6\\\", \\\"ofTwo\\\": \\\"3\\\", \\\"ofFive\\\": \\\"5\\\", \\\"ofFour\\\": \\\"5\\\", \\\"ofThree\\\": \\\"4\\\"}], \\\"office\\\": \\\"10\\\", \\\"otList\\\": [{\\\"otOne\\\": \\\"5\\\", \\\"otSix\\\": \\\"5\\\", \\\"otTwo\\\": \\\"7\\\", \\\"otFive\\\": \\\"3\\\", \\\"otFour\\\": \\\"7\\\", \\\"otThree\\\": \\\"5\\\"}], \\\"seList\\\": [{\\\"seOne\\\": \\\"8\\\", \\\"seSix\\\": \\\"6\\\", \\\"seTwo\\\": \\\"9\\\", \\\"seFive\\\": \\\"7\\\", \\\"seFour\\\": \\\"6\\\", \\\"seThree\\\": \\\"7\\\"}], \\\"toList\\\": [{\\\"toOne\\\": \\\"6\\\", \\\"toSix\\\": \\\"6\\\", \\\"toTwo\\\": \\\"86\\\", \\\"toFive\\\": \\\"6\\\", \\\"toFour\\\": \\\"7\\\", \\\"toThree\\\": \\\"6\\\"}], \\\"toilet\\\": \\\"10\\\", \\\"meeting\\\": \\\"10\\\", \\\"repairs\\\": \\\"10\\\", \\\"elevator\\\": \\\"10\\\", \\\"security\\\": \\\"10\\\", \\\"suggested\\\": \\\"20\\\", \\\"dispatched\\\": \\\"20\\\", \\\"conditioner\\\": \\\"10\\\", \\\"fireControl\\\": \\\"10\\\", \\\"ElevatorList\\\": [{\\\"elOne\\\": \\\"10\\\", \\\"elSix\\\": \\\"134\\\", \\\"elTwo\\\": \\\"29\\\", \\\"elFive\\\": \\\"41\\\", \\\"elFour\\\": \\\"13\\\", \\\"elThree\\\": \\\"21\\\"}], \\\"repairOrders\\\": \\\"10\\\", \\\"faultWarranty\\\": \\\"20\\\", \\\"questionnaires\\\": \\\"30\\\"}\",\"createTime\":\"2024-10-29 17:30:35\",\"updateTime\":\"2024-10-29 17:30:40\"},{\"id\":7,\"appOrg\":\"1E001\",\"dataType\":\"basics\",\"dataResult\":\"{\\\"rate\\\": \\\"66.67\\\", \\\"onLine\\\": \\\"200\\\", \\\"register\\\": \\\"300\\\", \\\"activeUsers\\\": \\\"210\\\"}\",\"createTime\":\"2024-10-29 17:31:10\",\"updateTime\":\"2024-10-29 17:31:14\"},{\"id\":8,\"appOrg\":\"1E001\",\"dataType\":\"access\",\"dataResult\":\"{\\\"beforeCar\\\": \\\"30\\\", \\\"guardCard\\\": \\\"100\\\", \\\"sixDayCar\\\": \\\"20\\\", \\\"blackLists\\\": \\\"20\\\", \\\"carlicense\\\": \\\"100\\\", \\\"fiveDayCar\\\": \\\"10\\\", \\\"fourDayCar\\\": \\\"30\\\", \\\"twoDaysCar\\\": \\\"10\\\", \\\"sevenDayCar\\\": \\\"20\\\", \\\"threeDayCar\\\": \\\"20\\\"}\",\"createTime\":\"2024-10-29 17:32:17\",\"updateTime\":\"2024-10-29 17:32:19\"}]}', '1K00102');
INSERT INTO `large_plat_api_record` VALUES (635, '0', NULL, '2024-11-12 11:12:04', NULL, '2024-11-12 11:12:04', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":200,\\\"success\\\":true,\\\"data\\\":{\\\"key\\\":\\\"\\\",\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功。\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (636, '0', NULL, '2024-11-12 11:17:30', NULL, '2024-11-12 11:17:30', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":200,\\\"success\\\":true,\\\"data\\\":{\\\"key1\\\":\\\"\\\",\\\"name1\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功。\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (637, '0', NULL, '2024-11-12 11:21:11', NULL, '2024-11-12 11:21:11', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":200,\\\"success\\\":true,\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功。\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (638, '0', NULL, '2024-11-12 11:21:49', NULL, '2024-11-12 11:21:49', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":200}', '');
INSERT INTO `large_plat_api_record` VALUES (639, '0', NULL, '2024-11-12 11:24:05', NULL, '2024-11-12 11:24:05', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '');
INSERT INTO `large_plat_api_record` VALUES (640, '0', NULL, '2024-11-12 11:25:59', NULL, '2024-11-12 11:25:59', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '');
INSERT INTO `large_plat_api_record` VALUES (641, '0', NULL, '2024-11-12 11:26:45', NULL, '2024-11-12 11:26:45', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":200,\\\"success\\\":true,\\\"data\\\":{\\\"key\\\":\\\"\\\",\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功。\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (642, '0', NULL, '2024-11-12 11:32:56', NULL, '2024-11-12 11:32:56', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":200,\\\"success\\\":true,\\\"data\\\":{\\\"key\\\":\\\"\\\",\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功。\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (643, '0', NULL, '2024-11-12 11:51:34', NULL, '2024-11-12 11:51:34', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":200,\\\"success\\\":true,\\\"data\\\":{\\\"key\\\":\\\"\\\",\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功。\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (644, '0', NULL, '2024-11-12 11:52:35', NULL, '2024-11-12 11:52:35', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":\"200\",\\\"success\\\":true,\\\"data\\\":{\\\"key\\\":\\\"\\\",\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功。\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (645, '0', NULL, '2024-11-12 11:53:17', NULL, '2024-11-12 11:53:17', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":\\\"200\\\",\\\"success\\\":\\\"true\\\",\\\"data\\\":{\\\"key\\\":\\\"\\\",\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功。\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (646, '0', NULL, '2024-11-12 11:54:02', NULL, '2024-11-12 11:54:02', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '');
INSERT INTO `large_plat_api_record` VALUES (647, '0', NULL, '2024-11-12 11:54:24', NULL, '2024-11-12 11:54:24', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '');
INSERT INTO `large_plat_api_record` VALUES (648, '0', NULL, '2024-11-12 12:01:05', NULL, '2024-11-12 12:01:05', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '');
INSERT INTO `large_plat_api_record` VALUES (649, '0', NULL, '2024-11-12 12:01:25', NULL, '2024-11-12 12:01:25', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '');
INSERT INTO `large_plat_api_record` VALUES (650, '0', NULL, '2024-11-12 12:49:25', NULL, '2024-11-12 12:49:25', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\\\"code\\\":200,\\\"success\\\":true,\\\"data\\\":{\\\"key\\\":\\\"\\\",\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\\\"showColumns\\\":\\\"\\\",\\\"msg\\\":\\\"成功\\\"}', '');
INSERT INTO `large_plat_api_record` VALUES (651, '0', NULL, '2024-11-12 12:51:23', NULL, '2024-11-12 12:51:23', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"code\":200,\\\"success\\\":true,\\\"data\\\":{\\\"key\\\":\\\"\\\",\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"24047.1\\\",\\\"value1\\\":\\\"24047.1\\\",\\\"value2\\\":\\\"\\\",\\\"value3\\\":\\\"\\\",\\\"time\\\":\\\"\\\",\\\"title\\\":\\\"\\\",\\\"title1\\\":\\\"\\\",\\\"num\\\":-1},\"showColumns\":\"\",\"msg\":\"成功\"}', '');
INSERT INTO `large_plat_api_record` VALUES (652, '0', NULL, '2024-11-12 12:55:23', NULL, '2024-11-12 12:55:23', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"code\":200,\"success\":true,\"data\":{\"key\":\"\",\"name\":\"\",\"value\":\"24047.1\",\"value1\":\"24047.1\",\"value2\":\"\",\"value3\":\"\",\"time\":\"\",\"title\":\"\",\"title1\":\"\",\"num\":-1},\"showColumns\":\"\",\"msg\":\"成功。\"}', '');
INSERT INTO `large_plat_api_record` VALUES (653, '0', NULL, '2024-11-12 12:55:58', NULL, '2024-11-12 12:55:58', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"code\":200,\"success\":true,\"data\":{\"key\":\"\",\"name\":\"\",\"value\":\"24047.1\",\"value1\":\"24047.1\",\"value2\":\"\",\"value3\":\"\",\"time\":\"\",\"title\":\"\",\"title1\":\"\",\"num\":-1},\"showColumns\":\"\",\"msg\":\"成功\"}', '');
INSERT INTO `large_plat_api_record` VALUES (654, '0', NULL, '2024-11-12 12:58:55', NULL, '2024-11-12 12:58:55', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"code\":200,\"success\":true,\"data\":{\"key\":\"\",\"name\":\"\",\"value\":\"24047.1\",\"value1\":\"24047.1\",\"value2\":\"\",\"value3\":\"\",\"time\":\"\",\"title\":\"\",\"title1\":\"\",\"num\":-1},\"showColumns\":\"\",\"msg\":\"成功。\"}', '');
INSERT INTO `large_plat_api_record` VALUES (655, '0', NULL, '2024-11-18 11:41:02', NULL, '2024-11-18 11:41:02', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '10001');
INSERT INTO `large_plat_api_record` VALUES (656, '0', NULL, '2024-11-18 11:41:41', NULL, '2024-11-18 11:41:41', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"twotTool\\\":\\\"铁锹\\\",\\\"thirdTool\\\":\\\"锤子\\\",\\\"firstTool\\\":\\\"扳手\\\",\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\"\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"30\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '10001');
INSERT INTO `large_plat_api_record` VALUES (657, '0', NULL, '2024-11-18 11:42:18', NULL, '2024-11-18 11:42:18', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"twotTool\\\":\\\"铁锹\\\",\\\"thirdTool\\\":\\\"锤子\\\",\\\"firstTool\\\":\\\"扳手\\\",\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\"\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"30\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '10001');
INSERT INTO `large_plat_api_record` VALUES (658, '0', NULL, '2024-11-18 11:43:45', NULL, '2024-11-18 11:43:45', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\"\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"30\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '10001');
INSERT INTO `large_plat_api_record` VALUES (659, '0', NULL, '2024-11-18 11:44:55', NULL, '2024-11-18 11:44:55', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '10001');
INSERT INTO `large_plat_api_record` VALUES (660, '0', NULL, '2024-11-18 11:46:14', NULL, '2024-11-18 11:46:14', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '10001');
INSERT INTO `large_plat_api_record` VALUES (661, '0', NULL, '2024-11-18 11:46:15', NULL, '2024-11-18 11:46:15', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A001');
INSERT INTO `large_plat_api_record` VALUES (662, '0', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A002');
INSERT INTO `large_plat_api_record` VALUES (663, '0', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A003');
INSERT INTO `large_plat_api_record` VALUES (664, '0', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00301');
INSERT INTO `large_plat_api_record` VALUES (665, '0', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00302');
INSERT INTO `large_plat_api_record` VALUES (666, '0', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00303');
INSERT INTO `large_plat_api_record` VALUES (667, '0', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00304');
INSERT INTO `large_plat_api_record` VALUES (668, '0', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00305');
INSERT INTO `large_plat_api_record` VALUES (669, '0', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00306');
INSERT INTO `large_plat_api_record` VALUES (670, '0', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00307');
INSERT INTO `large_plat_api_record` VALUES (671, '0', NULL, '2024-11-18 11:46:20', NULL, '2024-11-18 11:46:20', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00308');
INSERT INTO `large_plat_api_record` VALUES (672, '0', NULL, '2024-11-18 11:46:21', NULL, '2024-11-18 11:46:21', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M001');
INSERT INTO `large_plat_api_record` VALUES (673, '0', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00101');
INSERT INTO `large_plat_api_record` VALUES (674, '0', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00102');
INSERT INTO `large_plat_api_record` VALUES (675, '0', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00103');
INSERT INTO `large_plat_api_record` VALUES (676, '0', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00104');
INSERT INTO `large_plat_api_record` VALUES (677, '0', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00105');
INSERT INTO `large_plat_api_record` VALUES (678, '0', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00106');
INSERT INTO `large_plat_api_record` VALUES (679, '0', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00107');
INSERT INTO `large_plat_api_record` VALUES (680, '0', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00108');
INSERT INTO `large_plat_api_record` VALUES (681, '0', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00109');
INSERT INTO `large_plat_api_record` VALUES (682, '0', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00110');
INSERT INTO `large_plat_api_record` VALUES (683, '0', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00111');
INSERT INTO `large_plat_api_record` VALUES (684, '0', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00112');
INSERT INTO `large_plat_api_record` VALUES (685, '0', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00113');
INSERT INTO `large_plat_api_record` VALUES (686, '0', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00114');
INSERT INTO `large_plat_api_record` VALUES (687, '0', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L001');
INSERT INTO `large_plat_api_record` VALUES (688, '0', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00101');
INSERT INTO `large_plat_api_record` VALUES (689, '0', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00102');
INSERT INTO `large_plat_api_record` VALUES (690, '0', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00103');
INSERT INTO `large_plat_api_record` VALUES (691, '0', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00104');
INSERT INTO `large_plat_api_record` VALUES (692, '0', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00105');
INSERT INTO `large_plat_api_record` VALUES (693, '0', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00106');
INSERT INTO `large_plat_api_record` VALUES (694, '0', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00107');
INSERT INTO `large_plat_api_record` VALUES (695, '0', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00108');
INSERT INTO `large_plat_api_record` VALUES (696, '0', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00109');
INSERT INTO `large_plat_api_record` VALUES (697, '0', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00110');
INSERT INTO `large_plat_api_record` VALUES (698, '0', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00111');
INSERT INTO `large_plat_api_record` VALUES (699, '0', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00112');
INSERT INTO `large_plat_api_record` VALUES (700, '0', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00113');
INSERT INTO `large_plat_api_record` VALUES (701, '0', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00114');
INSERT INTO `large_plat_api_record` VALUES (702, '0', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E001');
INSERT INTO `large_plat_api_record` VALUES (703, '0', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00101');
INSERT INTO `large_plat_api_record` VALUES (704, '0', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00102');
INSERT INTO `large_plat_api_record` VALUES (705, '0', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00103');
INSERT INTO `large_plat_api_record` VALUES (706, '0', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00104');
INSERT INTO `large_plat_api_record` VALUES (707, '0', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00105');
INSERT INTO `large_plat_api_record` VALUES (708, '0', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D001');
INSERT INTO `large_plat_api_record` VALUES (709, '0', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00101');
INSERT INTO `large_plat_api_record` VALUES (710, '0', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00102');
INSERT INTO `large_plat_api_record` VALUES (711, '0', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00103');
INSERT INTO `large_plat_api_record` VALUES (712, '0', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00104');
INSERT INTO `large_plat_api_record` VALUES (713, '0', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00105');
INSERT INTO `large_plat_api_record` VALUES (714, '0', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00106');
INSERT INTO `large_plat_api_record` VALUES (715, '0', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00107');
INSERT INTO `large_plat_api_record` VALUES (716, '0', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00108');
INSERT INTO `large_plat_api_record` VALUES (717, '0', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00109');
INSERT INTO `large_plat_api_record` VALUES (718, '0', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00110');
INSERT INTO `large_plat_api_record` VALUES (719, '0', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00111');
INSERT INTO `large_plat_api_record` VALUES (720, '0', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00112');
INSERT INTO `large_plat_api_record` VALUES (721, '0', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J001');
INSERT INTO `large_plat_api_record` VALUES (722, '0', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00101');
INSERT INTO `large_plat_api_record` VALUES (723, '0', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00102');
INSERT INTO `large_plat_api_record` VALUES (724, '0', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00103');
INSERT INTO `large_plat_api_record` VALUES (725, '0', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00104');
INSERT INTO `large_plat_api_record` VALUES (726, '0', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00105');
INSERT INTO `large_plat_api_record` VALUES (727, '0', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K001');
INSERT INTO `large_plat_api_record` VALUES (728, '0', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00101');
INSERT INTO `large_plat_api_record` VALUES (729, '0', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00102');
INSERT INTO `large_plat_api_record` VALUES (730, '0', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00103');
INSERT INTO `large_plat_api_record` VALUES (731, '0', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00104');
INSERT INTO `large_plat_api_record` VALUES (732, '0', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00105');
INSERT INTO `large_plat_api_record` VALUES (733, '0', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00106');
INSERT INTO `large_plat_api_record` VALUES (734, '0', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00107');
INSERT INTO `large_plat_api_record` VALUES (735, '0', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00108');
INSERT INTO `large_plat_api_record` VALUES (736, '0', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00109');
INSERT INTO `large_plat_api_record` VALUES (737, '0', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00110');
INSERT INTO `large_plat_api_record` VALUES (738, '0', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00111');
INSERT INTO `large_plat_api_record` VALUES (739, '0', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H001');
INSERT INTO `large_plat_api_record` VALUES (740, '0', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00101');
INSERT INTO `large_plat_api_record` VALUES (741, '0', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00102');
INSERT INTO `large_plat_api_record` VALUES (742, '0', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00103');
INSERT INTO `large_plat_api_record` VALUES (743, '0', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00104');
INSERT INTO `large_plat_api_record` VALUES (744, '0', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00105');
INSERT INTO `large_plat_api_record` VALUES (745, '0', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00106');
INSERT INTO `large_plat_api_record` VALUES (746, '0', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00107');
INSERT INTO `large_plat_api_record` VALUES (747, '0', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00108');
INSERT INTO `large_plat_api_record` VALUES (748, '0', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00109');
INSERT INTO `large_plat_api_record` VALUES (749, '0', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00110');
INSERT INTO `large_plat_api_record` VALUES (750, '0', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00111');
INSERT INTO `large_plat_api_record` VALUES (751, '0', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00112');
INSERT INTO `large_plat_api_record` VALUES (752, '0', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00113');
INSERT INTO `large_plat_api_record` VALUES (753, '0', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B001');
INSERT INTO `large_plat_api_record` VALUES (754, '0', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00101');
INSERT INTO `large_plat_api_record` VALUES (755, '0', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00102');
INSERT INTO `large_plat_api_record` VALUES (756, '0', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00103');
INSERT INTO `large_plat_api_record` VALUES (757, '0', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00104');
INSERT INTO `large_plat_api_record` VALUES (758, '0', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00105');
INSERT INTO `large_plat_api_record` VALUES (759, '0', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00106');
INSERT INTO `large_plat_api_record` VALUES (760, '0', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00107');
INSERT INTO `large_plat_api_record` VALUES (761, '0', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00108');
INSERT INTO `large_plat_api_record` VALUES (762, '0', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00109');
INSERT INTO `large_plat_api_record` VALUES (763, '0', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F001');
INSERT INTO `large_plat_api_record` VALUES (764, '0', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00101');
INSERT INTO `large_plat_api_record` VALUES (765, '0', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00102');
INSERT INTO `large_plat_api_record` VALUES (766, '0', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00103');
INSERT INTO `large_plat_api_record` VALUES (767, '0', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00104');
INSERT INTO `large_plat_api_record` VALUES (768, '0', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00105');
INSERT INTO `large_plat_api_record` VALUES (769, '0', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00106');
INSERT INTO `large_plat_api_record` VALUES (770, '0', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C001');
INSERT INTO `large_plat_api_record` VALUES (771, '0', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00101');
INSERT INTO `large_plat_api_record` VALUES (772, '0', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00102');
INSERT INTO `large_plat_api_record` VALUES (773, '0', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00103');
INSERT INTO `large_plat_api_record` VALUES (774, '0', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00104');
INSERT INTO `large_plat_api_record` VALUES (775, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '10001');
INSERT INTO `large_plat_api_record` VALUES (776, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '10001');
INSERT INTO `large_plat_api_record` VALUES (777, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '10001');
INSERT INTO `large_plat_api_record` VALUES (778, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '10001');
INSERT INTO `large_plat_api_record` VALUES (779, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '10001');
INSERT INTO `large_plat_api_record` VALUES (780, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '', '10001');
INSERT INTO `large_plat_api_record` VALUES (781, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '10001');
INSERT INTO `large_plat_api_record` VALUES (782, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A001');
INSERT INTO `large_plat_api_record` VALUES (783, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A002');
INSERT INTO `large_plat_api_record` VALUES (784, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A003');
INSERT INTO `large_plat_api_record` VALUES (785, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00301');
INSERT INTO `large_plat_api_record` VALUES (786, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00302');
INSERT INTO `large_plat_api_record` VALUES (787, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00303');
INSERT INTO `large_plat_api_record` VALUES (788, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00304');
INSERT INTO `large_plat_api_record` VALUES (789, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00305');
INSERT INTO `large_plat_api_record` VALUES (790, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00306');
INSERT INTO `large_plat_api_record` VALUES (791, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00307');
INSERT INTO `large_plat_api_record` VALUES (792, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00308');
INSERT INTO `large_plat_api_record` VALUES (793, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M001');
INSERT INTO `large_plat_api_record` VALUES (794, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00101');
INSERT INTO `large_plat_api_record` VALUES (795, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00102');
INSERT INTO `large_plat_api_record` VALUES (796, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00103');
INSERT INTO `large_plat_api_record` VALUES (797, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00104');
INSERT INTO `large_plat_api_record` VALUES (798, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00105');
INSERT INTO `large_plat_api_record` VALUES (799, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00106');
INSERT INTO `large_plat_api_record` VALUES (800, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00107');
INSERT INTO `large_plat_api_record` VALUES (801, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00108');
INSERT INTO `large_plat_api_record` VALUES (802, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00109');
INSERT INTO `large_plat_api_record` VALUES (803, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00110');
INSERT INTO `large_plat_api_record` VALUES (804, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00111');
INSERT INTO `large_plat_api_record` VALUES (805, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00112');
INSERT INTO `large_plat_api_record` VALUES (806, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00113');
INSERT INTO `large_plat_api_record` VALUES (807, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00114');
INSERT INTO `large_plat_api_record` VALUES (808, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L001');
INSERT INTO `large_plat_api_record` VALUES (809, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00101');
INSERT INTO `large_plat_api_record` VALUES (810, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00102');
INSERT INTO `large_plat_api_record` VALUES (811, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00103');
INSERT INTO `large_plat_api_record` VALUES (812, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00104');
INSERT INTO `large_plat_api_record` VALUES (813, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00105');
INSERT INTO `large_plat_api_record` VALUES (814, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00106');
INSERT INTO `large_plat_api_record` VALUES (815, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00107');
INSERT INTO `large_plat_api_record` VALUES (816, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00108');
INSERT INTO `large_plat_api_record` VALUES (817, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00109');
INSERT INTO `large_plat_api_record` VALUES (818, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00110');
INSERT INTO `large_plat_api_record` VALUES (819, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00111');
INSERT INTO `large_plat_api_record` VALUES (820, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00112');
INSERT INTO `large_plat_api_record` VALUES (821, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00113');
INSERT INTO `large_plat_api_record` VALUES (822, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00114');
INSERT INTO `large_plat_api_record` VALUES (823, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E001');
INSERT INTO `large_plat_api_record` VALUES (824, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00101');
INSERT INTO `large_plat_api_record` VALUES (825, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00102');
INSERT INTO `large_plat_api_record` VALUES (826, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00103');
INSERT INTO `large_plat_api_record` VALUES (827, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00104');
INSERT INTO `large_plat_api_record` VALUES (828, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00105');
INSERT INTO `large_plat_api_record` VALUES (829, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D001');
INSERT INTO `large_plat_api_record` VALUES (830, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00101');
INSERT INTO `large_plat_api_record` VALUES (831, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00102');
INSERT INTO `large_plat_api_record` VALUES (832, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00103');
INSERT INTO `large_plat_api_record` VALUES (833, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00104');
INSERT INTO `large_plat_api_record` VALUES (834, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00105');
INSERT INTO `large_plat_api_record` VALUES (835, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00106');
INSERT INTO `large_plat_api_record` VALUES (836, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00107');
INSERT INTO `large_plat_api_record` VALUES (837, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00108');
INSERT INTO `large_plat_api_record` VALUES (838, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00109');
INSERT INTO `large_plat_api_record` VALUES (839, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00110');
INSERT INTO `large_plat_api_record` VALUES (840, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00111');
INSERT INTO `large_plat_api_record` VALUES (841, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00112');
INSERT INTO `large_plat_api_record` VALUES (842, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J001');
INSERT INTO `large_plat_api_record` VALUES (843, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00101');
INSERT INTO `large_plat_api_record` VALUES (844, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00102');
INSERT INTO `large_plat_api_record` VALUES (845, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00103');
INSERT INTO `large_plat_api_record` VALUES (846, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00104');
INSERT INTO `large_plat_api_record` VALUES (847, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00105');
INSERT INTO `large_plat_api_record` VALUES (848, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K001');
INSERT INTO `large_plat_api_record` VALUES (849, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00101');
INSERT INTO `large_plat_api_record` VALUES (850, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00102');
INSERT INTO `large_plat_api_record` VALUES (851, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00103');
INSERT INTO `large_plat_api_record` VALUES (852, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00104');
INSERT INTO `large_plat_api_record` VALUES (853, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00105');
INSERT INTO `large_plat_api_record` VALUES (854, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00106');
INSERT INTO `large_plat_api_record` VALUES (855, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00107');
INSERT INTO `large_plat_api_record` VALUES (856, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00108');
INSERT INTO `large_plat_api_record` VALUES (857, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00109');
INSERT INTO `large_plat_api_record` VALUES (858, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00110');
INSERT INTO `large_plat_api_record` VALUES (859, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00111');
INSERT INTO `large_plat_api_record` VALUES (860, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H001');
INSERT INTO `large_plat_api_record` VALUES (861, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00101');
INSERT INTO `large_plat_api_record` VALUES (862, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00102');
INSERT INTO `large_plat_api_record` VALUES (863, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00103');
INSERT INTO `large_plat_api_record` VALUES (864, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00104');
INSERT INTO `large_plat_api_record` VALUES (865, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00105');
INSERT INTO `large_plat_api_record` VALUES (866, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00106');
INSERT INTO `large_plat_api_record` VALUES (867, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00107');
INSERT INTO `large_plat_api_record` VALUES (868, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00108');
INSERT INTO `large_plat_api_record` VALUES (869, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00109');
INSERT INTO `large_plat_api_record` VALUES (870, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00110');
INSERT INTO `large_plat_api_record` VALUES (871, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00111');
INSERT INTO `large_plat_api_record` VALUES (872, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00112');
INSERT INTO `large_plat_api_record` VALUES (873, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00113');
INSERT INTO `large_plat_api_record` VALUES (874, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B001');
INSERT INTO `large_plat_api_record` VALUES (875, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00101');
INSERT INTO `large_plat_api_record` VALUES (876, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00102');
INSERT INTO `large_plat_api_record` VALUES (877, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00103');
INSERT INTO `large_plat_api_record` VALUES (878, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00104');
INSERT INTO `large_plat_api_record` VALUES (879, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00105');
INSERT INTO `large_plat_api_record` VALUES (880, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00106');
INSERT INTO `large_plat_api_record` VALUES (881, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00107');
INSERT INTO `large_plat_api_record` VALUES (882, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00108');
INSERT INTO `large_plat_api_record` VALUES (883, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00109');
INSERT INTO `large_plat_api_record` VALUES (884, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F001');
INSERT INTO `large_plat_api_record` VALUES (885, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00101');
INSERT INTO `large_plat_api_record` VALUES (886, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00102');
INSERT INTO `large_plat_api_record` VALUES (887, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00103');
INSERT INTO `large_plat_api_record` VALUES (888, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00104');
INSERT INTO `large_plat_api_record` VALUES (889, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00105');
INSERT INTO `large_plat_api_record` VALUES (890, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00106');
INSERT INTO `large_plat_api_record` VALUES (891, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C001');
INSERT INTO `large_plat_api_record` VALUES (892, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00101');
INSERT INTO `large_plat_api_record` VALUES (893, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00102');
INSERT INTO `large_plat_api_record` VALUES (894, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00103');
INSERT INTO `large_plat_api_record` VALUES (895, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00104');
INSERT INTO `large_plat_api_record` VALUES (896, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A004');
INSERT INTO `large_plat_api_record` VALUES (897, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A005');
INSERT INTO `large_plat_api_record` VALUES (898, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '10001');
INSERT INTO `large_plat_api_record` VALUES (899, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A001');
INSERT INTO `large_plat_api_record` VALUES (900, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A002');
INSERT INTO `large_plat_api_record` VALUES (901, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A003');
INSERT INTO `large_plat_api_record` VALUES (902, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00301');
INSERT INTO `large_plat_api_record` VALUES (903, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00302');
INSERT INTO `large_plat_api_record` VALUES (904, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00303');
INSERT INTO `large_plat_api_record` VALUES (905, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00304');
INSERT INTO `large_plat_api_record` VALUES (906, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00305');
INSERT INTO `large_plat_api_record` VALUES (907, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00306');
INSERT INTO `large_plat_api_record` VALUES (908, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00307');
INSERT INTO `large_plat_api_record` VALUES (909, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A00308');
INSERT INTO `large_plat_api_record` VALUES (910, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M001');
INSERT INTO `large_plat_api_record` VALUES (911, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00101');
INSERT INTO `large_plat_api_record` VALUES (912, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00102');
INSERT INTO `large_plat_api_record` VALUES (913, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00103');
INSERT INTO `large_plat_api_record` VALUES (914, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00104');
INSERT INTO `large_plat_api_record` VALUES (915, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00105');
INSERT INTO `large_plat_api_record` VALUES (916, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00106');
INSERT INTO `large_plat_api_record` VALUES (917, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00107');
INSERT INTO `large_plat_api_record` VALUES (918, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00108');
INSERT INTO `large_plat_api_record` VALUES (919, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00109');
INSERT INTO `large_plat_api_record` VALUES (920, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00110');
INSERT INTO `large_plat_api_record` VALUES (921, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00111');
INSERT INTO `large_plat_api_record` VALUES (922, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00112');
INSERT INTO `large_plat_api_record` VALUES (923, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00113');
INSERT INTO `large_plat_api_record` VALUES (924, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1M00114');
INSERT INTO `large_plat_api_record` VALUES (925, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L001');
INSERT INTO `large_plat_api_record` VALUES (926, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00101');
INSERT INTO `large_plat_api_record` VALUES (927, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00102');
INSERT INTO `large_plat_api_record` VALUES (928, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00103');
INSERT INTO `large_plat_api_record` VALUES (929, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00104');
INSERT INTO `large_plat_api_record` VALUES (930, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00105');
INSERT INTO `large_plat_api_record` VALUES (931, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00106');
INSERT INTO `large_plat_api_record` VALUES (932, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00107');
INSERT INTO `large_plat_api_record` VALUES (933, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00108');
INSERT INTO `large_plat_api_record` VALUES (934, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00109');
INSERT INTO `large_plat_api_record` VALUES (935, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00110');
INSERT INTO `large_plat_api_record` VALUES (936, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00111');
INSERT INTO `large_plat_api_record` VALUES (937, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00112');
INSERT INTO `large_plat_api_record` VALUES (938, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00113');
INSERT INTO `large_plat_api_record` VALUES (939, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1L00114');
INSERT INTO `large_plat_api_record` VALUES (940, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E001');
INSERT INTO `large_plat_api_record` VALUES (941, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00101');
INSERT INTO `large_plat_api_record` VALUES (942, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00102');
INSERT INTO `large_plat_api_record` VALUES (943, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00103');
INSERT INTO `large_plat_api_record` VALUES (944, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00104');
INSERT INTO `large_plat_api_record` VALUES (945, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1E00105');
INSERT INTO `large_plat_api_record` VALUES (946, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D001');
INSERT INTO `large_plat_api_record` VALUES (947, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00101');
INSERT INTO `large_plat_api_record` VALUES (948, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00102');
INSERT INTO `large_plat_api_record` VALUES (949, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00103');
INSERT INTO `large_plat_api_record` VALUES (950, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00104');
INSERT INTO `large_plat_api_record` VALUES (951, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00105');
INSERT INTO `large_plat_api_record` VALUES (952, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00106');
INSERT INTO `large_plat_api_record` VALUES (953, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00107');
INSERT INTO `large_plat_api_record` VALUES (954, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00108');
INSERT INTO `large_plat_api_record` VALUES (955, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00109');
INSERT INTO `large_plat_api_record` VALUES (956, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00110');
INSERT INTO `large_plat_api_record` VALUES (957, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00111');
INSERT INTO `large_plat_api_record` VALUES (958, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1D00112');
INSERT INTO `large_plat_api_record` VALUES (959, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J001');
INSERT INTO `large_plat_api_record` VALUES (960, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00101');
INSERT INTO `large_plat_api_record` VALUES (961, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00102');
INSERT INTO `large_plat_api_record` VALUES (962, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00103');
INSERT INTO `large_plat_api_record` VALUES (963, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00104');
INSERT INTO `large_plat_api_record` VALUES (964, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1J00105');
INSERT INTO `large_plat_api_record` VALUES (965, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K001');
INSERT INTO `large_plat_api_record` VALUES (966, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00101');
INSERT INTO `large_plat_api_record` VALUES (967, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00102');
INSERT INTO `large_plat_api_record` VALUES (968, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00103');
INSERT INTO `large_plat_api_record` VALUES (969, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00104');
INSERT INTO `large_plat_api_record` VALUES (970, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00105');
INSERT INTO `large_plat_api_record` VALUES (971, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00106');
INSERT INTO `large_plat_api_record` VALUES (972, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00107');
INSERT INTO `large_plat_api_record` VALUES (973, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00108');
INSERT INTO `large_plat_api_record` VALUES (974, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00109');
INSERT INTO `large_plat_api_record` VALUES (975, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00110');
INSERT INTO `large_plat_api_record` VALUES (976, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1K00111');
INSERT INTO `large_plat_api_record` VALUES (977, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H001');
INSERT INTO `large_plat_api_record` VALUES (978, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00101');
INSERT INTO `large_plat_api_record` VALUES (979, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00102');
INSERT INTO `large_plat_api_record` VALUES (980, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00103');
INSERT INTO `large_plat_api_record` VALUES (981, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00104');
INSERT INTO `large_plat_api_record` VALUES (982, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00105');
INSERT INTO `large_plat_api_record` VALUES (983, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00106');
INSERT INTO `large_plat_api_record` VALUES (984, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00107');
INSERT INTO `large_plat_api_record` VALUES (985, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00108');
INSERT INTO `large_plat_api_record` VALUES (986, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00109');
INSERT INTO `large_plat_api_record` VALUES (987, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00110');
INSERT INTO `large_plat_api_record` VALUES (988, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00111');
INSERT INTO `large_plat_api_record` VALUES (989, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00112');
INSERT INTO `large_plat_api_record` VALUES (990, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1H00113');
INSERT INTO `large_plat_api_record` VALUES (991, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B001');
INSERT INTO `large_plat_api_record` VALUES (992, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00101');
INSERT INTO `large_plat_api_record` VALUES (993, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00102');
INSERT INTO `large_plat_api_record` VALUES (994, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00103');
INSERT INTO `large_plat_api_record` VALUES (995, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00104');
INSERT INTO `large_plat_api_record` VALUES (996, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00105');
INSERT INTO `large_plat_api_record` VALUES (997, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00106');
INSERT INTO `large_plat_api_record` VALUES (998, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00107');
INSERT INTO `large_plat_api_record` VALUES (999, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00108');
INSERT INTO `large_plat_api_record` VALUES (1000, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1B00109');
INSERT INTO `large_plat_api_record` VALUES (1001, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F001');
INSERT INTO `large_plat_api_record` VALUES (1002, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00101');
INSERT INTO `large_plat_api_record` VALUES (1003, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00102');
INSERT INTO `large_plat_api_record` VALUES (1004, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00103');
INSERT INTO `large_plat_api_record` VALUES (1005, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00104');
INSERT INTO `large_plat_api_record` VALUES (1006, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00105');
INSERT INTO `large_plat_api_record` VALUES (1007, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1F00106');
INSERT INTO `large_plat_api_record` VALUES (1008, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C001');
INSERT INTO `large_plat_api_record` VALUES (1009, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00101');
INSERT INTO `large_plat_api_record` VALUES (1010, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00102');
INSERT INTO `large_plat_api_record` VALUES (1011, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00103');
INSERT INTO `large_plat_api_record` VALUES (1012, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1C00104');
INSERT INTO `large_plat_api_record` VALUES (1013, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A004');
INSERT INTO `large_plat_api_record` VALUES (1014, '0', '', NULL, '', NULL, 'http://192.168.1.189/fxkj/php/public/home/Wechat/test', '{\"msg\":\"操作成功\",\"code\":200,\"entity\":[{\"appOrg\":\"10001\",\"createTime\":1730704180000,\"dataResult\":\"{\\\"firstSixDaysIns\\\":\\\"220\\\",\\\"firstFourDaysLoan\\\":\\\"100\\\",\\\"dayBeforeLoan\\\":\\\"100\\\",\\\"inside\\\":\\\"300\\\",\\\"Between4050\\\":\\\"50\\\",\\\"firstSixDaysLoan\\\":\\\"100\\\",\\\"property\\\":\\\"130\\\",\\\"twoDaysVis\\\":\\\"230\\\",\\\"firstThreeDaysVis\\\":\\\"240\\\",\\\"twoDaysAsso\\\":\\\"93\\\",\\\"firstThreeDaysLoan\\\":\\\"100\\\",\\\"dayBeforeAsso\\\":\\\"88\\\",\\\"entryAssist\\\":\\\"88\\\",\\\"twoDaysLoan\\\":\\\"100\\\",\\\"gross\\\":888,\\\"firstFiveDaysPro\\\":\\\"66\\\",\\\"firstSevenDaysIns\\\":\\\"260\\\",\\\"firstThreeDaysPro\\\":\\\"99\\\",\\\"dayBeforePro\\\":\\\"88\\\",\\\"twoDaysPro\\\":\\\"88\\\",\\\"firstFourDaysPro\\\":\\\"57\\\",\\\"firstFiveDaysVis\\\":\\\"180\\\",\\\"firstThreeDaysAsso\\\":\\\"55\\\",\\\"firstSixDaysAsso\\\":\\\"66\\\",\\\"entryProperty\\\":\\\"100\\\",\\\"visitor\\\":\\\"300\\\",\\\"dayBeforeVis\\\":\\\"200\\\",\\\"exceed50\\\":\\\"20\\\",\\\"women\\\":\\\"120\\\",\\\"entryInternal\\\":\\\"300\\\",\\\"firstSixDaysPro\\\":\\\"88\\\",\\\"loan\\\":\\\"100\\\",\\\"firstFourDaysVis\\\":\\\"340\\\",\\\"association\\\":\\\"200\\\",\\\"firstFiveDaysAsso\\\":\\\"88\\\",\\\"firstSevenDaysAsso\\\":\\\"88\\\",\\\"man\\\":\\\"180\\\",\\\"firstFourDaysAsso\\\":\\\"55\\\",\\\"entryToLoan\\\":\\\"100\\\",\\\"firstFiveDaysIns\\\":\\\"300\\\",\\\"firstSevenDaysLoan\\\":\\\"100\\\",\\\"dayBeforeIns\\\":\\\"300\\\",\\\"firstSevenDaysPro\\\":\\\"99\\\",\\\"firstThreeDaysIns\\\":\\\"300\\\",\\\"twoDaysIns\\\":\\\"300\\\",\\\"Between2030\\\":\\\"130\\\",\\\"firstSixDaysVis\\\":\\\"20\\\",\\\"Between3040\\\":\\\"100\\\",\\\"firstFourDaysIns\\\":\\\"280\\\",\\\"firstFiveDaysLoan\\\":\\\"66\\\",\\\"firstSevenDaysVis\\\":\\\"40\\\"}\",\"dataType\":\"employeeType\",\"id\":1,\"updateTime\":1730712330000},{\"appOrg\":\"10001\",\"createTime\":1730712361000,\"dataResult\":\"{\\\"hyperglycemia\\\":\\\"40\\\",\\\"hyperlipidemia\\\":\\\"40\\\",\\\"participate\\\":\\\"300\\\",\\\"participateProportion\\\":\\\"100.00\\\",\\\"hypertension\\\":\\\"40\\\",\\\"actualParticipate\\\":\\\"300\\\"}\",\"dataType\":\"employeeHealth\",\"id\":2,\"updateTime\":1730712361000},{\"appOrg\":\"10001\",\"createTime\":1730712715000,\"dataResult\":\"{\\\"lunch\\\":\\\"600\\\",\\\"FirstNum\\\":\\\"88\\\",\\\"fourNum\\\":\\\"87\\\",\\\"dailyMenu\\\":\\\"15\\\",\\\"selfFood\\\":\\\"700\\\",\\\"canList\\\":[{\\\"area\\\":\\\"300\\\",\\\"tableware\\\":\\\"100\\\",\\\"dining\\\":\\\"100\\\",\\\"canntenName\\\":\\\"省公司食堂\\\",\\\"firstHealth\\\":\\\"75\\\",\\\"tasteDishes\\\":\\\"100\\\",\\\"canntenType\\\":\\\"外包\\\",\\\"dishHygiene\\\":\\\"100\\\",\\\"seats\\\":\\\"900\\\",\\\"chefs\\\":\\\"15\\\",\\\"serviceDiners\\\":\\\"900\\\",\\\"typesDishes\\\":\\\"100\\\",\\\"management\\\":\\\"30\\\",\\\"service\\\":\\\"60\\\",\\\"firstLicence\\\":\\\"10\\\",\\\"personnel\\\":\\\"20\\\",\\\"attitude\\\":\\\"100\\\"}],\\\"culinaryExchange\\\":\\\"60\\\",\\\"FirstDish\\\":\\\"毛血旺\\\",\\\"noon\\\":\\\"20\\\",\\\"barberService\\\":\\\"600\\\",\\\"takeOutFood\\\":\\\"600\\\",\\\"laundryService\\\":\\\"400\\\",\\\"fiveDish\\\":\\\"麻婆豆腐\\\",\\\"weeklyCuisine\\\":\\\"75\\\",\\\"secondtDish\\\":\\\"清炒油麦菜\\\",\\\"energy\\\":[{\\\"quantityHeat\\\":\\\"400\\\",\\\"gasVolume\\\":\\\"400\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"waterConsumption\\\":\\\"400\\\"}],\\\"fiveNum\\\":\\\"96\\\",\\\"participate\\\":\\\"1\\\",\\\"night\\\":\\\"0\\\",\\\"safetyList\\\":[{\\\"negative\\\":\\\"20\\\",\\\"Ingredients\\\":\\\"100.00\\\",\\\"name\\\":\\\"省公司食堂\\\",\\\"LeaveSample\\\":\\\"100\\\",\\\"positive\\\":\\\"0\\\",\\\"sample\\\":\\\"20\\\"}],\\\"completed\\\":\\\"1\\\",\\\"breakService\\\":\\\"800\\\",\\\"thirdNum\\\":\\\"100\\\",\\\"dinner\\\":\\\"60\\\",\\\"morning\\\":\\\"0\\\",\\\"foodVoting\\\":\\\"200\\\",\\\"clearPlate\\\":\\\"200\\\",\\\"thirdDish\\\":\\\"凉拌莜面\\\",\\\"secondNum\\\":\\\"84\\\",\\\"holidaySpecial\\\":\\\"600\\\",\\\"fourDish\\\":\\\"土豆炖牛腩\\\",\\\"participateProportion\\\":\\\"0.00\\\",\\\"breakfast\\\":\\\"40\\\"}\",\"dataType\":\"greenSmart\",\"id\":3,\"updateTime\":1730712715000},{\"appOrg\":\"10001\",\"createTime\":1730712831000,\"dataResult\":\"{\\\"constructionQuantity\\\":\\\"2\\\",\\\"unitList\\\":[{\\\"stationNum\\\":\\\"200\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区新晋祠路东侧\\\"},{\\\"stationNum\\\":\\\"400\\\",\\\"stationName\\\":\\\"职工共享驿站\\\",\\\"stationAddress\\\":\\\"山西省晋源区谐园路东侧\\\"}],\\\"participateProportion\\\":\\\"100.00\\\",\\\"completed\\\":\\\"2\\\",\\\"selfTest\\\":\\\"30\\\",\\\"consultation\\\":\\\"10\\\"}\",\"dataType\":\"property\",\"id\":4,\"updateTime\":1730712831000},{\"appOrg\":\"10001\",\"createTime\":1730712997000,\"dataResult\":\"{\\\"conditioner\\\":\\\"10\\\",\\\"toList\\\":[{\\\"toSix\\\":\\\"1\\\",\\\"toFive\\\":\\\"1\\\",\\\"toTwo\\\":\\\"1\\\",\\\"toOne\\\":\\\"10\\\",\\\"toThree\\\":\\\"1\\\",\\\"toFour\\\":\\\"1\\\"}],\\\"office\\\":\\\"10\\\",\\\"security\\\":\\\"10\\\",\\\"diList\\\":[{\\\"diOne\\\":\\\"2\\\",\\\"diTwo\\\":\\\"2\\\",\\\"diThree\\\":\\\"2\\\",\\\"diFour\\\":\\\"2\\\",\\\"diFive\\\":\\\"7\\\",\\\"diSix\\\":\\\"10\\\"}],\\\"otList\\\":[{\\\"otOne\\\":\\\"10\\\",\\\"otTwo\\\":\\\"10\\\",\\\"otFour\\\":\\\"10\\\",\\\"otFive\\\":\\\"10\\\",\\\"otThree\\\":\\\"10\\\",\\\"otSix\\\":\\\"10\\\"}],\\\"elevator\\\":\\\"5\\\",\\\"ElevatorList\\\":[{\\\"elFour\\\":\\\"0\\\",\\\"elTwo\\\":\\\"1\\\",\\\"elFive\\\":\\\"0\\\",\\\"elThree\\\":\\\"1\\\",\\\"elSix\\\":\\\"0\\\",\\\"elOne\\\":\\\"10\\\"}],\\\"repairOrders\\\":\\\"40\\\",\\\"coList\\\":[{\\\"coSix\\\":\\\"10\\\",\\\"coThree\\\":\\\"15\\\",\\\"coFive\\\":\\\"4\\\",\\\"coTwo\\\":\\\"5\\\",\\\"coOne\\\":\\\"10\\\",\\\"coFour\\\":\\\"20\\\"}],\\\"meeting\\\":\\\"10\\\",\\\"arList\\\":[{\\\"arTwo\\\":\\\"10\\\",\\\"arThree\\\":\\\"10\\\",\\\"arFour\\\":\\\"10\\\",\\\"arSix\\\":\\\"10\\\",\\\"arOne\\\":\\\"5\\\",\\\"arFive\\\":\\\"10\\\"}],\\\"seList\\\":[{\\\"seSix\\\":\\\"1\\\",\\\"seFour\\\":\\\"2\\\",\\\"seOne\\\":\\\"1\\\",\\\"seTwo\\\":\\\"10\\\",\\\"seThree\\\":\\\"1\\\",\\\"seFive\\\":\\\"1\\\"}],\\\"area\\\":\\\"10\\\",\\\"dispatched\\\":\\\"80\\\",\\\"meList\\\":[{\\\"meOne\\\":\\\"20\\\",\\\"meSix\\\":\\\"30\\\",\\\"meThree\\\":\\\"10\\\",\\\"meFive\\\":\\\"10\\\",\\\"meTwo\\\":\\\"10\\\",\\\"meFour\\\":\\\"20\\\"}],\\\"lamp\\\":\\\"10\\\",\\\"questionnaires\\\":\\\"60\\\",\\\"repairs\\\":\\\"15\\\",\\\"suggested\\\":\\\"75\\\",\\\"toilet\\\":\\\"10\\\",\\\"laList\\\":[{\\\"laSix\\\":\\\"3\\\",\\\"laFive\\\":\\\"7\\\",\\\"laTwo\\\":\\\"5\\\",\\\"laFour\\\":\\\"1\\\",\\\"laOne\\\":\\\"0\\\",\\\"laThree\\\":\\\"8\\\"}],\\\"faultWarranty\\\":\\\"80\\\",\\\"fireControl\\\":\\\"10\\\",\\\"ofList\\\":[{\\\"ofSix\\\":\\\"10\\\",\\\"ofFive\\\":\\\"10\\\",\\\"ofOne\\\":\\\"10\\\",\\\"ofThree\\\":\\\"10\\\",\\\"ofFour\\\":\\\"10\\\",\\\"ofTwo\\\":\\\"10\\\"}]}\",\"dataType\":\"postStation\",\"id\":5,\"updateTime\":1730712997000},{\"appOrg\":\"10001\",\"createTime\":1730713020000,\"dataResult\":\"{\\\"rate\\\":\\\"83.33\\\",\\\"activeUsers\\\":\\\"800\\\",\\\"register\\\":\\\"1200\\\",\\\"onLine\\\":\\\"1000\\\"}\",\"dataType\":\"basics\",\"id\":6,\"updateTime\":1730713020000},{\"appOrg\":\"10001\",\"createTime\":1730713061000,\"dataResult\":\"{\\\"beforeCar\\\":\\\"160\\\",\\\"threeDayCar\\\":\\\"120\\\",\\\"twoDaysCar\\\":\\\"100\\\",\\\"carlicense\\\":\\\"200\\\",\\\"fiveDayCar\\\":\\\"100\\\",\\\"sixDayCar\\\":\\\"40\\\",\\\"sevenDayCar\\\":\\\"40\\\",\\\"blackLists\\\":\\\"10\\\",\\\"fourDayCar\\\":\\\"120\\\",\\\"guardCard\\\":\\\"600\\\"}\",\"dataType\":\"access\",\"id\":7,\"updateTime\":1730713061000}]}', '1A005');

-- ----------------------------
-- Table structure for large_plat_app_org
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_app_org`;
CREATE TABLE `large_plat_app_org`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `app_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区名称',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `app_org`(`app_org`) USING BTREE,
  INDEX `del_flag`(`del_flag`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 118 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '地区编码' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_app_org
-- ----------------------------
INSERT INTO `large_plat_app_org` VALUES (1, '0', '', NULL, '', NULL, '10001', '国网山西省公司（本部）');
INSERT INTO `large_plat_app_org` VALUES (2, '0', '', NULL, '', NULL, '1A001', '国网营销服务中心');
INSERT INTO `large_plat_app_org` VALUES (3, '0', '', NULL, '', NULL, '1A002', '国网超高压变电分公司');
INSERT INTO `large_plat_app_org` VALUES (4, '0', '', NULL, '', NULL, '1A003', '国网太原供电公司');
INSERT INTO `large_plat_app_org` VALUES (5, '0', '', NULL, '', NULL, '1A00301', '小店供电公司');
INSERT INTO `large_plat_app_org` VALUES (6, '0', '', NULL, '', NULL, '1A00302', '科创城供电公司');
INSERT INTO `large_plat_app_org` VALUES (7, '0', '', NULL, '', NULL, '1A00303', '滨河供电公司');
INSERT INTO `large_plat_app_org` VALUES (8, '0', '', NULL, '', NULL, '1A00304', '晋源供电公司');
INSERT INTO `large_plat_app_org` VALUES (9, '0', '', NULL, '', NULL, '1A00305', '清徐供电公司');
INSERT INTO `large_plat_app_org` VALUES (10, '0', '', NULL, '', NULL, '1A00306', '阳曲供电公司');
INSERT INTO `large_plat_app_org` VALUES (11, '0', '', NULL, '', NULL, '1A00307', '古交供电公司');
INSERT INTO `large_plat_app_org` VALUES (12, '0', '', NULL, '', NULL, '1A00308', '娄烦供电公司');
INSERT INTO `large_plat_app_org` VALUES (13, '0', '', NULL, '', NULL, '1M001', '国网运城供电公司');
INSERT INTO `large_plat_app_org` VALUES (14, '0', '', NULL, '', NULL, '1M00101', '永济供电公司');
INSERT INTO `large_plat_app_org` VALUES (15, '0', '', NULL, '', NULL, '1M00102', '盐湖供电公司');
INSERT INTO `large_plat_app_org` VALUES (16, '0', '', NULL, '', NULL, '1M00103', '开发区供电公司');
INSERT INTO `large_plat_app_org` VALUES (17, '0', '', NULL, '', NULL, '1M00104', '河津供电公司');
INSERT INTO `large_plat_app_org` VALUES (18, '0', '', NULL, '', NULL, '1M00105', '闻喜供电公司');
INSERT INTO `large_plat_app_org` VALUES (19, '0', '', NULL, '', NULL, '1M00106', '稷山供电公司');
INSERT INTO `large_plat_app_org` VALUES (20, '0', '', NULL, '', NULL, '1M00107', '临猗供电公司');
INSERT INTO `large_plat_app_org` VALUES (21, '0', '', NULL, '', NULL, '1M00108', '夏县供电公司');
INSERT INTO `large_plat_app_org` VALUES (22, '0', '', NULL, '', NULL, '1M00109', '万荣供电公司');
INSERT INTO `large_plat_app_org` VALUES (23, '0', '', NULL, '', NULL, '1M00110', '新绛供电公司');
INSERT INTO `large_plat_app_org` VALUES (24, '0', '', NULL, '', NULL, '1M00111', '绛县供电公司');
INSERT INTO `large_plat_app_org` VALUES (25, '0', '', NULL, '', NULL, '1M00112', '平陆供电公司');
INSERT INTO `large_plat_app_org` VALUES (26, '0', '', NULL, '', NULL, '1M00113', '芮城供电公司');
INSERT INTO `large_plat_app_org` VALUES (27, '0', '', NULL, '', NULL, '1M00114', '垣曲供电公司');
INSERT INTO `large_plat_app_org` VALUES (28, '0', '', NULL, '', NULL, '1L001', '国网临汾供电公司');
INSERT INTO `large_plat_app_org` VALUES (29, '0', '', NULL, '', NULL, '1L00101', '霍州供电公司');
INSERT INTO `large_plat_app_org` VALUES (30, '0', '', NULL, '', NULL, '1L00102', '永和供电公司');
INSERT INTO `large_plat_app_org` VALUES (31, '0', '', NULL, '', NULL, '1L00103', '大宁供电公司');
INSERT INTO `large_plat_app_org` VALUES (32, '0', '', NULL, '', NULL, '1L00104', '汾西供电公司');
INSERT INTO `large_plat_app_org` VALUES (33, '0', '', NULL, '', NULL, '1L00105', '古县供电公司');
INSERT INTO `large_plat_app_org` VALUES (34, '0', '', NULL, '', NULL, '1L00106', '曲沃供电公司');
INSERT INTO `large_plat_app_org` VALUES (35, '0', '', NULL, '', NULL, '1L00107', '洪洞供电公司');
INSERT INTO `large_plat_app_org` VALUES (36, '0', '', NULL, '', NULL, '1L00108', '侯马供电公司');
INSERT INTO `large_plat_app_org` VALUES (37, '0', '', NULL, '', NULL, '1L00109', '吉县供电公司');
INSERT INTO `large_plat_app_org` VALUES (38, '0', '', NULL, '', NULL, '1L00110', '隰县供电公司');
INSERT INTO `large_plat_app_org` VALUES (39, '0', '', NULL, '', NULL, '1L00111', '襄汾供电公司');
INSERT INTO `large_plat_app_org` VALUES (40, '0', '', NULL, '', NULL, '1L00112', '尧都供电公司');
INSERT INTO `large_plat_app_org` VALUES (41, '0', '', NULL, '', NULL, '1L00113', '浮山供电公司');
INSERT INTO `large_plat_app_org` VALUES (42, '0', '', NULL, '', NULL, '1L00114', '翼城供电公司');
INSERT INTO `large_plat_app_org` VALUES (43, '0', '', NULL, '', NULL, '1E001', '国网晋城供电公司');
INSERT INTO `large_plat_app_org` VALUES (44, '0', '', NULL, '', NULL, '1E00101', '陵川供电公司');
INSERT INTO `large_plat_app_org` VALUES (45, '0', '', NULL, '', NULL, '1E00102', '高平供电公司');
INSERT INTO `large_plat_app_org` VALUES (46, '0', '', NULL, '', NULL, '1E00103', '沁水供电公司');
INSERT INTO `large_plat_app_org` VALUES (47, '0', '', NULL, '', NULL, '1E00104', '泽州供电公司');
INSERT INTO `large_plat_app_org` VALUES (48, '0', '', NULL, '', NULL, '1E00105', '阳城供电公司');
INSERT INTO `large_plat_app_org` VALUES (49, '0', '', NULL, '', NULL, '1D001', '国网长治供电公司');
INSERT INTO `large_plat_app_org` VALUES (50, '0', '', NULL, '', NULL, '1D00101', '壶关供电公司');
INSERT INTO `large_plat_app_org` VALUES (51, '0', '', NULL, '', NULL, '1D00102', '武乡供电公司');
INSERT INTO `large_plat_app_org` VALUES (52, '0', '', NULL, '', NULL, '1D00103', '屯留供电公司');
INSERT INTO `large_plat_app_org` VALUES (53, '0', '', NULL, '', NULL, '1D00104', '黎城供电公司');
INSERT INTO `large_plat_app_org` VALUES (54, '0', '', NULL, '', NULL, '1D00105', '上党供电公司');
INSERT INTO `large_plat_app_org` VALUES (55, '0', '', NULL, '', NULL, '1D00106', '沁源供电公司');
INSERT INTO `large_plat_app_org` VALUES (56, '0', '', NULL, '', NULL, '1D00107', '襄垣供电公司');
INSERT INTO `large_plat_app_org` VALUES (57, '0', '', NULL, '', NULL, '1D00108', '长子供电公司');
INSERT INTO `large_plat_app_org` VALUES (58, '0', '', NULL, '', NULL, '1D00109', '潞州供电公司');
INSERT INTO `large_plat_app_org` VALUES (59, '0', '', NULL, '', NULL, '1D00110', '平顺供电公司');
INSERT INTO `large_plat_app_org` VALUES (60, '0', '', NULL, '', NULL, '1D00111', '潞城供电公司');
INSERT INTO `large_plat_app_org` VALUES (61, '0', '', NULL, '', NULL, '1D00112', '沁县供电公司');
INSERT INTO `large_plat_app_org` VALUES (62, '0', '', NULL, '', NULL, '1J001', '国网吕梁供电公司');
INSERT INTO `large_plat_app_org` VALUES (63, '0', '', NULL, '', NULL, '1J00101', '交城供电公司');
INSERT INTO `large_plat_app_org` VALUES (64, '0', '', NULL, '', NULL, '1J00102', '文水供电公司');
INSERT INTO `large_plat_app_org` VALUES (65, '0', '', NULL, '', NULL, '1J00103', '汾阳供电公司');
INSERT INTO `large_plat_app_org` VALUES (66, '0', '', NULL, '', NULL, '1J00104', '孝义供电公司');
INSERT INTO `large_plat_app_org` VALUES (67, '0', '', NULL, '', NULL, '1J00105', '岚县供电公司');
INSERT INTO `large_plat_app_org` VALUES (68, '0', '', NULL, '', NULL, '1K001', '国网晋中供电公司');
INSERT INTO `large_plat_app_org` VALUES (69, '0', '', NULL, '', NULL, '1K00101', '榆次供电公司');
INSERT INTO `large_plat_app_org` VALUES (70, '0', '', NULL, '', NULL, '1K00102', '祁县供电公司');
INSERT INTO `large_plat_app_org` VALUES (71, '0', '', NULL, '', NULL, '1K00103', '太谷供电公司');
INSERT INTO `large_plat_app_org` VALUES (72, '0', '', NULL, '', NULL, '1K00104', '榆社供电公司');
INSERT INTO `large_plat_app_org` VALUES (73, '0', '', NULL, '', NULL, '1K00105', '介休供电公司');
INSERT INTO `large_plat_app_org` VALUES (74, '0', '', NULL, '', NULL, '1K00106', '灵石供电公司');
INSERT INTO `large_plat_app_org` VALUES (75, '0', '', NULL, '', NULL, '1K00107', '左权供电公司');
INSERT INTO `large_plat_app_org` VALUES (76, '0', '', NULL, '', NULL, '1K00108', '和顺供电公司');
INSERT INTO `large_plat_app_org` VALUES (77, '0', '', NULL, '', NULL, '1K00109', '昔阳供电公司');
INSERT INTO `large_plat_app_org` VALUES (78, '0', '', NULL, '', NULL, '1K00110', '寿阳供电公司');
INSERT INTO `large_plat_app_org` VALUES (79, '0', '', NULL, '', NULL, '1K00111', '平遥供电公司');
INSERT INTO `large_plat_app_org` VALUES (80, '0', '', NULL, '', NULL, '1H001', '国网忻州供电公司');
INSERT INTO `large_plat_app_org` VALUES (81, '0', '', NULL, '', NULL, '1H00101', '河曲供电公司');
INSERT INTO `large_plat_app_org` VALUES (82, '0', '', NULL, '', NULL, '1H00102', '偏关供电公司');
INSERT INTO `large_plat_app_org` VALUES (83, '0', '', NULL, '', NULL, '1H00103', '原平供电公司');
INSERT INTO `large_plat_app_org` VALUES (84, '0', '', NULL, '', NULL, '1H00104', '代县供电公司');
INSERT INTO `large_plat_app_org` VALUES (85, '0', '', NULL, '', NULL, '1H00105', '忻府供电公司');
INSERT INTO `large_plat_app_org` VALUES (86, '0', '', NULL, '', NULL, '1H00106', '五寨供电公司');
INSERT INTO `large_plat_app_org` VALUES (87, '0', '', NULL, '', NULL, '1H00107', '五台供电公司');
INSERT INTO `large_plat_app_org` VALUES (88, '0', '', NULL, '', NULL, '1H00108', '神池供电公司');
INSERT INTO `large_plat_app_org` VALUES (89, '0', '', NULL, '', NULL, '1H00109', '宁武供电公司');
INSERT INTO `large_plat_app_org` VALUES (90, '0', '', NULL, '', NULL, '1H00110', '岢岚供电公司');
INSERT INTO `large_plat_app_org` VALUES (91, '0', '', NULL, '', NULL, '1H00111', '繁峙供电公司');
INSERT INTO `large_plat_app_org` VALUES (92, '0', '', NULL, '', NULL, '1H00112', '定襄供电公司');
INSERT INTO `large_plat_app_org` VALUES (93, '0', '', NULL, '', NULL, '1H00113', '保德供电公司');
INSERT INTO `large_plat_app_org` VALUES (94, '0', '', NULL, '', NULL, '1B001', '国网大同供电公司');
INSERT INTO `large_plat_app_org` VALUES (95, '0', '', NULL, '', NULL, '1B00101', '云冈供电公司');
INSERT INTO `large_plat_app_org` VALUES (96, '0', '', NULL, '', NULL, '1B00102', '新荣供电公司');
INSERT INTO `large_plat_app_org` VALUES (97, '0', '', NULL, '', NULL, '1B00103', '云州供电公司');
INSERT INTO `large_plat_app_org` VALUES (98, '0', '', NULL, '', NULL, '1B00104', '阳高供电公司');
INSERT INTO `large_plat_app_org` VALUES (99, '0', '', NULL, '', NULL, '1B00105', '天镇供电公司');
INSERT INTO `large_plat_app_org` VALUES (100, '0', '', NULL, '', NULL, '1B00106', '浑源供电公司');
INSERT INTO `large_plat_app_org` VALUES (101, '0', '', NULL, '', NULL, '1B00107', '灵丘供电公司');
INSERT INTO `large_plat_app_org` VALUES (102, '0', '', NULL, '', NULL, '1B00108', '广灵供电公司');
INSERT INTO `large_plat_app_org` VALUES (103, '0', '', NULL, '', NULL, '1B00109', '左云供电公司');
INSERT INTO `large_plat_app_org` VALUES (104, '0', '', NULL, '', NULL, '1F001', '国网朔州供电公司');
INSERT INTO `large_plat_app_org` VALUES (105, '0', '', NULL, '', NULL, '1F00101', '神头供电公司');
INSERT INTO `large_plat_app_org` VALUES (106, '0', '', NULL, '', NULL, '1F00102', '平鲁供电公司');
INSERT INTO `large_plat_app_org` VALUES (107, '0', '', NULL, '', NULL, '1F00103', '怀仁供电公司');
INSERT INTO `large_plat_app_org` VALUES (108, '0', '', NULL, '', NULL, '1F00104', '山阴供电公司');
INSERT INTO `large_plat_app_org` VALUES (109, '0', '', NULL, '', NULL, '1F00105', '应县供电公司');
INSERT INTO `large_plat_app_org` VALUES (110, '0', '', NULL, '', NULL, '1F00106', '右玉供电公司');
INSERT INTO `large_plat_app_org` VALUES (111, '0', '', NULL, '', NULL, '1C001', '国网阳泉供电公司');
INSERT INTO `large_plat_app_org` VALUES (112, '0', '', NULL, '', NULL, '1C00101', '平定供电公司');
INSERT INTO `large_plat_app_org` VALUES (113, '0', '', NULL, '', NULL, '1C00102', '盂县供电公司');
INSERT INTO `large_plat_app_org` VALUES (114, '0', '', NULL, '', NULL, '1C00103', '荫营供电公司');
INSERT INTO `large_plat_app_org` VALUES (115, '0', '', NULL, '', NULL, '1C00104', '平坦供电公司');
INSERT INTO `large_plat_app_org` VALUES (116, '0', '', NULL, '', NULL, '1A004', '国网电力科学技术研究院');
INSERT INTO `large_plat_app_org` VALUES (117, '0', '', NULL, '', NULL, '1A005', '国网山西省电力公司党校');

-- ----------------------------
-- Table structure for large_plat_basics
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_basics`;
CREATE TABLE `large_plat_basics`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `register_num` bigint(20) NULL DEFAULT 0 COMMENT '基础运行数据--注册用户数',
  `online_num` bigint(20) NULL DEFAULT 0 COMMENT '基础运行数据--在线用户数',
  `order_num` bigint(20) NULL DEFAULT 0 COMMENT '基础运行数据--订单数量',
  `online_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '基础运行数据--在线率',
  `cpu_overload_num` bigint(20) NULL DEFAULT 0 COMMENT '系统运行报警信息--cpu过载',
  `disk_overload_num` bigint(20) NULL DEFAULT 0 COMMENT '系统运行报警信息--磁盘过载',
  `memory_overload_num` bigint(20) NULL DEFAULT 0 COMMENT '系统运行报警信息--内存过载',
  `insufficient_num` bigint(20) NULL DEFAULT 0 COMMENT '系统运行报警信息--流量不足',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 118 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '基础运行数据' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_basics
-- ----------------------------
INSERT INTO `large_plat_basics` VALUES (1, '0', '', NULL, '', NULL, '10001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (2, '0', '', NULL, '', NULL, '1A001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (3, '0', '', NULL, '', NULL, '1A002', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (4, '0', '', NULL, '', NULL, '1A003', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (5, '0', '', NULL, '', NULL, '1A00301', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (6, '0', '', NULL, '', NULL, '1A00302', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (7, '0', '', NULL, '', NULL, '1A00303', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (8, '0', '', NULL, '', NULL, '1A00304', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (9, '0', '', NULL, '', NULL, '1A00305', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (10, '0', '', NULL, '', NULL, '1A00306', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (11, '0', '', NULL, '', NULL, '1A00307', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (12, '0', '', NULL, '', NULL, '1A00308', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (13, '0', '', NULL, '', NULL, '1M001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (14, '0', '', NULL, '', NULL, '1M00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (15, '0', '', NULL, '', NULL, '1M00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (16, '0', '', NULL, '', NULL, '1M00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (17, '0', '', NULL, '', NULL, '1M00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (18, '0', '', NULL, '', NULL, '1M00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (19, '0', '', NULL, '', NULL, '1M00106', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (20, '0', '', NULL, '', NULL, '1M00107', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (21, '0', '', NULL, '', NULL, '1M00108', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (22, '0', '', NULL, '', NULL, '1M00109', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (23, '0', '', NULL, '', NULL, '1M00110', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (24, '0', '', NULL, '', NULL, '1M00111', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (25, '0', '', NULL, '', NULL, '1M00112', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (26, '0', '', NULL, '', NULL, '1M00113', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (27, '0', '', NULL, '', NULL, '1M00114', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (28, '0', '', NULL, '', NULL, '1L001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (29, '0', '', NULL, '', NULL, '1L00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (30, '0', '', NULL, '', NULL, '1L00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (31, '0', '', NULL, '', NULL, '1L00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (32, '0', '', NULL, '', NULL, '1L00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (33, '0', '', NULL, '', NULL, '1L00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (34, '0', '', NULL, '', NULL, '1L00106', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (35, '0', '', NULL, '', NULL, '1L00107', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (36, '0', '', NULL, '', NULL, '1L00108', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (37, '0', '', NULL, '', NULL, '1L00109', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (38, '0', '', NULL, '', NULL, '1L00110', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (39, '0', '', NULL, '', NULL, '1L00111', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (40, '0', '', NULL, '', NULL, '1L00112', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (41, '0', '', NULL, '', NULL, '1L00113', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (42, '0', '', NULL, '', NULL, '1L00114', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (43, '0', '', NULL, '', NULL, '1E001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (44, '0', '', NULL, '', NULL, '1E00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (45, '0', '', NULL, '', NULL, '1E00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (46, '0', '', NULL, '', NULL, '1E00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (47, '0', '', NULL, '', NULL, '1E00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (48, '0', '', NULL, '', NULL, '1E00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (49, '0', '', NULL, '', NULL, '1D001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (50, '0', '', NULL, '', NULL, '1D00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (51, '0', '', NULL, '', NULL, '1D00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (52, '0', '', NULL, '', NULL, '1D00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (53, '0', '', NULL, '', NULL, '1D00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (54, '0', '', NULL, '', NULL, '1D00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (55, '0', '', NULL, '', NULL, '1D00106', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (56, '0', '', NULL, '', NULL, '1D00107', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (57, '0', '', NULL, '', NULL, '1D00108', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (58, '0', '', NULL, '', NULL, '1D00109', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (59, '0', '', NULL, '', NULL, '1D00110', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (60, '0', '', NULL, '', NULL, '1D00111', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (61, '0', '', NULL, '', NULL, '1D00112', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (62, '0', '', NULL, '', NULL, '1J001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (63, '0', '', NULL, '', NULL, '1J00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (64, '0', '', NULL, '', NULL, '1J00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (65, '0', '', NULL, '', NULL, '1J00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (66, '0', '', NULL, '', NULL, '1J00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (67, '0', '', NULL, '', NULL, '1J00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (68, '0', '', NULL, '', NULL, '1K001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (69, '0', '', NULL, '', NULL, '1K00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (70, '0', '', NULL, '', NULL, '1K00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (71, '0', '', NULL, '', NULL, '1K00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (72, '0', '', NULL, '', NULL, '1K00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (73, '0', '', NULL, '', NULL, '1K00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (74, '0', '', NULL, '', NULL, '1K00106', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (75, '0', '', NULL, '', NULL, '1K00107', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (76, '0', '', NULL, '', NULL, '1K00108', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (77, '0', '', NULL, '', NULL, '1K00109', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (78, '0', '', NULL, '', NULL, '1K00110', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (79, '0', '', NULL, '', NULL, '1K00111', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (80, '0', '', NULL, '', NULL, '1H001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (81, '0', '', NULL, '', NULL, '1H00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (82, '0', '', NULL, '', NULL, '1H00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (83, '0', '', NULL, '', NULL, '1H00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (84, '0', '', NULL, '', NULL, '1H00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (85, '0', '', NULL, '', NULL, '1H00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (86, '0', '', NULL, '', NULL, '1H00106', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (87, '0', '', NULL, '', NULL, '1H00107', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (88, '0', '', NULL, '', NULL, '1H00108', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (89, '0', '', NULL, '', NULL, '1H00109', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (90, '0', '', NULL, '', NULL, '1H00110', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (91, '0', '', NULL, '', NULL, '1H00111', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (92, '0', '', NULL, '', NULL, '1H00112', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (93, '0', '', NULL, '', NULL, '1H00113', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (94, '0', '', NULL, '', NULL, '1B001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (95, '0', '', NULL, '', NULL, '1B00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (96, '0', '', NULL, '', NULL, '1B00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (97, '0', '', NULL, '', NULL, '1B00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (98, '0', '', NULL, '', NULL, '1B00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (99, '0', '', NULL, '', NULL, '1B00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (100, '0', '', NULL, '', NULL, '1B00106', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (101, '0', '', NULL, '', NULL, '1B00107', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (102, '0', '', NULL, '', NULL, '1B00108', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (103, '0', '', NULL, '', NULL, '1B00109', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (104, '0', '', NULL, '', NULL, '1F001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (105, '0', '', NULL, '', NULL, '1F00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (106, '0', '', NULL, '', NULL, '1F00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (107, '0', '', NULL, '', NULL, '1F00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (108, '0', '', NULL, '', NULL, '1F00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (109, '0', '', NULL, '', NULL, '1F00105', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (110, '0', '', NULL, '', NULL, '1F00106', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (111, '0', '', NULL, '', NULL, '1C001', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (112, '0', '', NULL, '', NULL, '1C00101', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (113, '0', '', NULL, '', NULL, '1C00102', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (114, '0', '', NULL, '', NULL, '1C00103', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (115, '0', '', NULL, '', NULL, '1C00104', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (116, '0', '', NULL, '', NULL, '1A004', 1200, 1000, 800, 83.33, 0, 0, 0, 0);
INSERT INTO `large_plat_basics` VALUES (117, '0', '', NULL, '', NULL, '1A005', 1200, 1000, 800, 83.33, 0, 0, 0, 0);

-- ----------------------------
-- Table structure for large_plat_basics_company
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_basics_company`;
CREATE TABLE `large_plat_basics_company`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `company_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '公司名称',
  `active_user_num` bigint(20) NULL DEFAULT 0 COMMENT '活跃人数',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `app_org`(`app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 128 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '公司活跃人数' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_basics_company
-- ----------------------------
INSERT INTO `large_plat_basics_company` VALUES (1, '0', 'deve', '2024-10-21 10:18:53', 'anonymous', '2024-11-18 16:41:19', '10001', '公司名称', 800);
INSERT INTO `large_plat_basics_company` VALUES (2, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称1', 100);
INSERT INTO `large_plat_basics_company` VALUES (3, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称2', 70);
INSERT INTO `large_plat_basics_company` VALUES (4, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称3', 23);
INSERT INTO `large_plat_basics_company` VALUES (5, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称4', 34);
INSERT INTO `large_plat_basics_company` VALUES (6, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称5', 55);
INSERT INTO `large_plat_basics_company` VALUES (7, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称6', 80);
INSERT INTO `large_plat_basics_company` VALUES (8, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称7', 33);
INSERT INTO `large_plat_basics_company` VALUES (9, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称8', 35);
INSERT INTO `large_plat_basics_company` VALUES (10, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称9', 36);
INSERT INTO `large_plat_basics_company` VALUES (11, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', '公司名称10', 37);
INSERT INTO `large_plat_basics_company` VALUES (12, '0', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-11-18 16:41:35', '1E001', '国网晋城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (13, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A001', '国网营销服务中心', 800);
INSERT INTO `large_plat_basics_company` VALUES (14, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A002', '国网超高压公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (15, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A003', '国网太原供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (16, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:21', '1A00301', '小店供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (17, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00302', '科创城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (18, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00303', '滨河供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (19, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00304', '晋源供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (20, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00305', '清徐供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (21, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00306', '阳曲供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (22, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00307', '古交供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (23, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00308', '娄烦供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (24, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:24', '1M001', '国网运城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (25, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00101', '永济供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (26, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00102', '盐湖供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (27, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00103', '开发区供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (28, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00104', '河津供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (29, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00105', '闻喜供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (30, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00106', '稷山供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (31, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:26', '1M00107', '临猗供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (32, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00108', '夏县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (33, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00109', '万荣供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (34, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:27', '1M00110', '新绛供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (35, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00111', '绛县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (36, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00112', '平陆供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (37, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00113', '芮城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (38, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00114', '垣曲供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (39, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1L001', '国网临汾供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (40, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00101', '霍州供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (41, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00102', '永和供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (42, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:31', '1L00103', '大宁供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (43, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00104', '汾西供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (44, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00105', '古县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (45, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00106', '曲沃供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (46, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00107', '洪洞供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (47, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:32', '1L00108', '侯马供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (48, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00109', '吉县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (49, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00110', '隰县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (50, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:33', '1L00111', '襄汾供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (51, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00112', '尧都供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (52, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00113', '浮山供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (53, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:34', '1L00114', '翼城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (54, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00101', '陵川供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (55, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00102', '高平供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (56, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:36', '1E00103', '沁水供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (57, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00104', '泽州供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (58, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1E00105', '阳城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (59, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1D001', '国网长治供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (60, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00101', '壶关供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (61, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:38', '1D00102', '武乡供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (62, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00103', '屯留供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (63, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00104', '黎城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (64, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:39', '1D00105', '上党供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (65, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00106', '沁源供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (66, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00107', '襄垣供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (67, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00108', '长子供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (68, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00109', '潞州供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (69, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00110', '平顺供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (70, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00111', '潞城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (71, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:41', '1D00112', '沁县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (72, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J001', '国网吕梁供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (73, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00101', '交城供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (74, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:42', '1J00102', '文水供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (75, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00103', '汾阳供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (76, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00104', '孝义供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (77, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:43', '1J00105', '岚县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (78, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K001', '国网晋中供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (79, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K00101', '榆次供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (80, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00102', '祁县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (81, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00103', '太谷供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (82, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00104', '榆社供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (83, '0', NULL, '2024-10-31 19:30:25', NULL, '2024-11-18 16:41:46', '1K00105', '介休供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (84, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00106', '灵石供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (85, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00107', '左权供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (86, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:47', '1K00108', '和顺供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (87, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00109', '昔阳供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (88, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00110', '寿阳供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (89, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:48', '1K00111', '平遥供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (90, '0', NULL, '2024-10-31 19:30:28', NULL, '2024-11-18 16:41:48', '1H001', '国网忻州供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (91, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:48', '1H00101', '河曲供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (92, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:49', '1H00102', '偏关供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (93, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00103', '原平供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (94, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:50', '1H00104', '代县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (95, '0', NULL, '2024-10-31 19:30:32', NULL, '2024-11-18 16:41:50', '1H00105', '忻府供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (96, '0', NULL, '2024-10-31 19:30:33', NULL, '2024-11-18 16:41:50', '1H00106', '五寨供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (97, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00107', '五台供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (98, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00108', '神池供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (99, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00109', '宁武供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (100, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00110', '岢岚供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (101, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00111', '繁峙供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (102, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:52', '1H00112', '定襄供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (103, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1H00113', '保德供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (104, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1B001', '国网大同供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (105, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00101', '云冈供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (106, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00102', '新荣供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (107, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00103', '云州供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (108, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00104', '阳高供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (109, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00105', '天镇供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (110, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:56', '1B00106', '浑源供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (111, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00107', '灵丘供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (112, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00108', '广灵供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (113, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:57', '1B00109', '左云供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (114, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F001', '国网朔州供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (115, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F00101', '神头供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (116, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:58', '1F00102', '平鲁供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (117, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00103', '怀仁供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (118, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00104', '山阴供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (119, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:59', '1F00105', '应县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (120, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1F00106', '右玉供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (121, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:42:00', '1C001', '国网阳泉供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (122, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00101', '平定供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (123, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:00', '1C00102', '盂县供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (124, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00103', '荫营供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (125, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00104', '平坦供电公司', 800);
INSERT INTO `large_plat_basics_company` VALUES (126, '0', '', NULL, '', NULL, '1A004', '国网电力科学技术研究院', 800);
INSERT INTO `large_plat_basics_company` VALUES (127, '0', '', NULL, '', NULL, '1A005', '国网山西省电力公司党校', 800);

-- ----------------------------
-- Table structure for large_plat_basics_server
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_basics_server`;
CREATE TABLE `large_plat_basics_server`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `server_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '服务器名称',
  `server_num` bigint(20) NULL DEFAULT 0 COMMENT '服务器数量',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '服务信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_basics_server
-- ----------------------------
INSERT INTO `large_plat_basics_server` VALUES (4, '0', '', NULL, '', NULL, '10002', '服务器', 5);

-- ----------------------------
-- Table structure for large_plat_basics_system
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_basics_system`;
CREATE TABLE `large_plat_basics_system`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `sys_type` tinyint(4) NULL DEFAULT 0 COMMENT '0cpu使用率 1内存使用率 2磁盘使用率 3网络流量',
  `between6_num` bigint(20) NULL DEFAULT 0 COMMENT '0点-6点使用率',
  `between12_num` bigint(20) NULL DEFAULT 0 COMMENT '6点-12点使用率',
  `between18_num` bigint(20) NULL DEFAULT 0 COMMENT '12点-18点使用率',
  `between24_num` bigint(20) NULL DEFAULT 0 COMMENT '18点-24点使用率',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`, `sys_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统运行峰值情况分析' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_basics_system
-- ----------------------------
INSERT INTO `large_plat_basics_system` VALUES (1, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', 0, 20, 30, 40, 50);
INSERT INTO `large_plat_basics_system` VALUES (2, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', 1, 10, 20, 50, 40);
INSERT INTO `large_plat_basics_system` VALUES (3, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', 2, 5, 25, 35, 30);
INSERT INTO `large_plat_basics_system` VALUES (4, '0', 'deve', '2024-10-21 10:18:53', 'deve', '2024-10-21 10:18:53', '10001', 3, 4, 20, 18, 17);

-- ----------------------------
-- Table structure for large_plat_build_params
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_build_params`;
CREATE TABLE `large_plat_build_params`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `type` tinyint(4) NULL DEFAULT 0 COMMENT '0 年度综合能耗 \r\n1 年度用电 \r\n2 年度累计水耗\r\n3 年度累计非供暖能\r\n4 月用电量信息\r\n5 楼宇月用水电热信息\r\n6 数据中心机房信息\r\n7 供暖能耗信息\r\n8 燃气用量信息\r\n9 资源信息\r\n10 可再生电力信息\r\n11 办公碳排放情况\r\n12 各单位年度累计办公碳排放量',
  `param_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '参数名称',
  `param_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '参数key',
  `params_value` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '参数值1',
  `params_value2` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '参数值2',
  `params_value3` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '参数值3',
  `params_value4` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '参数值4',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`, `type`, `param_key`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 75 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '楼宇数据' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_build_params
-- ----------------------------
INSERT INTO `large_plat_build_params` VALUES (37, '0', NULL, '2024-11-12 10:56:37', NULL, '2024-11-12 23:13:39', '', 0, '', '', 0.0000, -1.0000, -1.0000, -1.0000);
INSERT INTO `large_plat_build_params` VALUES (38, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:12', '', 2, '', '', 0.0000, 4952.0000, 4952.0000, 4952.0000);
INSERT INTO `large_plat_build_params` VALUES (39, '0', NULL, '2024-11-12 15:38:56', NULL, '2024-11-12 23:13:26', '', 4, '其他', '10', 10.0000, 1973.5000, 1973.5000, 1973.5000);
INSERT INTO `large_plat_build_params` VALUES (40, '0', NULL, '2024-11-12 15:38:56', NULL, '2024-11-12 23:13:26', '', 4, '照明', '1', 1.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (41, '0', NULL, '2024-11-12 15:38:56', NULL, '2024-11-12 23:13:26', '', 4, '电梯', '3', 3.0000, 759.9000, 759.9000, 759.9000);
INSERT INTO `large_plat_build_params` VALUES (42, '0', NULL, '2024-11-12 15:38:56', NULL, '2024-11-12 23:13:26', '', 4, '办公', '4', 4.0000, 1056.0000, 1056.0000, 1056.0000);
INSERT INTO `large_plat_build_params` VALUES (43, '0', NULL, '2024-11-12 15:38:56', NULL, '2024-11-12 23:13:26', '', 4, '空调', '2', 2.0000, 1450.0000, 1450.0000, 1450.0000);
INSERT INTO `large_plat_build_params` VALUES (44, '0', NULL, '2024-11-12 15:38:56', NULL, '2024-11-12 23:13:26', '', 4, '食堂', '5', 5.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (45, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '八楼', '8', 8.0000, 1383.6410, 1383.6410, 1383.6410);
INSERT INTO `large_plat_build_params` VALUES (46, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '十三楼', '13', 13.0000, 312.1945, 312.1945, 312.1945);
INSERT INTO `large_plat_build_params` VALUES (47, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '二楼', '2', 2.0000, 155.7440, 155.7440, 155.7440);
INSERT INTO `large_plat_build_params` VALUES (48, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '六楼', '6', 6.0000, 138.4740, 138.4740, 138.4740);
INSERT INTO `large_plat_build_params` VALUES (49, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '九楼', '9', 9.0000, 121.9105, 121.9105, 121.9105);
INSERT INTO `large_plat_build_params` VALUES (50, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '一楼', '1', 1.0000, 106.6030, 106.6030, 106.6030);
INSERT INTO `large_plat_build_params` VALUES (51, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '负一楼', '-1', -1.0000, 96.8690, 96.8690, 96.8690);
INSERT INTO `large_plat_build_params` VALUES (52, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '十一楼', '11', 11.0000, 65.8615, 65.8615, 65.8615);
INSERT INTO `large_plat_build_params` VALUES (53, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '十楼', '10', 10.0000, 61.9365, 61.9365, 61.9365);
INSERT INTO `large_plat_build_params` VALUES (54, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '四楼', '4', 4.0000, 45.4515, 45.4515, 45.4515);
INSERT INTO `large_plat_build_params` VALUES (55, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '三楼', '3', 3.0000, 41.1340, 41.1340, 41.1340);
INSERT INTO `large_plat_build_params` VALUES (56, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '十二楼', '12', 12.0000, 39.7995, 39.7995, 39.7995);
INSERT INTO `large_plat_build_params` VALUES (57, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '十四楼', '14', 14.0000, 39.3285, 39.3285, 39.3285);
INSERT INTO `large_plat_build_params` VALUES (58, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '五楼', '5', 5.0000, 16.7990, 16.7990, 16.7990);
INSERT INTO `large_plat_build_params` VALUES (59, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '二十二楼', '22', 22.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (60, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '十七楼', '17', 17.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (61, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '二十三楼', '23', 23.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (62, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '十六楼', '16', 16.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (63, '0', NULL, '2024-11-12 15:38:59', NULL, '2024-11-12 23:13:30', '', 12, '负二楼', '-2', -2.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (64, '0', NULL, '2024-11-12 15:39:00', NULL, '2024-11-12 23:13:30', '', 12, '十九楼', '19', 19.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (65, '0', NULL, '2024-11-12 15:39:00', NULL, '2024-11-12 23:13:30', '', 12, '室外', '-4', -4.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (66, '0', NULL, '2024-11-12 15:39:00', NULL, '2024-11-12 23:13:30', '', 12, '二十一楼', '21', 21.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (67, '0', NULL, '2024-11-12 15:39:00', NULL, '2024-11-12 23:13:30', '', 12, '负三楼', '-3', -3.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (68, '0', NULL, '2024-11-12 15:39:00', NULL, '2024-11-12 23:13:30', '', 12, '十五楼', '15', 15.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (69, '0', NULL, '2024-11-12 15:39:00', NULL, '2024-11-12 23:13:30', '', 12, '二十楼', '20', 20.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (70, '0', NULL, '2024-11-12 15:39:00', NULL, '2024-11-12 23:13:30', '', 12, '七楼', '7', 7.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (71, '0', NULL, '2024-11-12 15:39:00', NULL, '2024-11-12 23:13:30', '', 12, '十八楼', '18', 18.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params` VALUES (72, '0', NULL, '2024-11-12 15:39:02', NULL, '2024-11-12 23:13:32', '', 5, '楼宇用水量', 'water', 0.0000, 65.0000, 65.0000, 65.0000);
INSERT INTO `large_plat_build_params` VALUES (73, '0', NULL, '2024-11-12 15:39:28', NULL, '2024-11-12 23:13:41', '', 10, '可再生电力发电量', 'green', 0.0000, 3762.4000, 3762.4000, 3762.4000);
INSERT INTO `large_plat_build_params` VALUES (74, '0', NULL, '2024-11-12 15:39:38', NULL, '2024-11-12 23:13:51', '', 11, '', '', 0.0000, 19389.3400, 19389.3400, 19389.3400);

-- ----------------------------
-- Table structure for large_plat_build_params_copy1
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_build_params_copy1`;
CREATE TABLE `large_plat_build_params_copy1`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `type` tinyint(4) NULL DEFAULT 0 COMMENT '0 年度综合能耗 \r\n1 年度用电 \r\n2 年度累计水耗\r\n3 年度累计非供暖能\r\n4 月用电量信息\r\n5 楼宇月用水电热信息\r\n6 数据中心机房信息\r\n7 供暖能耗信息\r\n8 燃气用量信息\r\n9 资源信息\r\n10 可再生电力信息\r\n11 办公碳排放情况\r\n12 各单位年度累计办公碳排放量',
  `param_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '参数名称',
  `param_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '参数key',
  `params_value` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '参数值1',
  `params_value2` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '参数值2',
  `params_value3` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '参数值3',
  `params_value4` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '参数值4',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`, `type`, `param_key`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 37 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '楼宇数据' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_build_params_copy1
-- ----------------------------
INSERT INTO `large_plat_build_params_copy1` VALUES (1, '0', '', NULL, '', NULL, NULL, 0, NULL, NULL, 10373.8300, 10373.8300, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (2, '0', '', NULL, '', '2024-11-12 12:58:55', NULL, 1, NULL, NULL, 0.0000, 24047.1000, 24047.1000, 24047.1000);
INSERT INTO `large_plat_build_params_copy1` VALUES (3, '0', '', NULL, '', NULL, NULL, 2, NULL, NULL, 3199.0000, 3199.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (4, '0', '', NULL, '', NULL, '10001', 3, '年度累计非供暖能耗', 'fgnnh', 62.5000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (5, '0', '', NULL, '', NULL, NULL, 4, '其他', '10', 600.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (6, '0', '', NULL, '', NULL, NULL, 4, '照明', '1', 300.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (7, '0', '', NULL, '', NULL, NULL, 4, '空调', '2', 2000.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (8, '0', '', NULL, '', NULL, NULL, 4, '电梯', '3', 800.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (9, '0', '', NULL, '', NULL, NULL, 4, '办公', '4', 1200.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (10, '0', '', NULL, '', NULL, NULL, 4, '食堂', '5', 1000.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (11, '0', '', NULL, '', NULL, NULL, 5, '楼宇用水量', 'water', 565656.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (12, '0', '', NULL, '', NULL, NULL, 5, '楼宇用热量', 're', 57000.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (13, '0', '', NULL, '', NULL, NULL, 5, '楼宇用气量', 'qi', 56.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (14, '0', '', NULL, '', NULL, '10001', 6, '建筑面积', 'jzmj', 5600.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (16, '0', '', NULL, '', NULL, '10001', 6, '用电量', 'ydl', 56000.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (17, '0', '', NULL, '', NULL, '10001', 7, '非供暖能耗', 'fgnnh', 56.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (18, '0', '', NULL, '', NULL, '10001', 7, '用能人数', 'ynrs', 90.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (19, '0', '', NULL, '', NULL, '10001', 7, '供暖能耗', 'gnnh', 56.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (20, '0', '', NULL, '', NULL, '10001', 8, '餐厨燃气用气量', 'caic', 56.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (21, '0', '', NULL, '', NULL, '10001', 8, '供冷热燃气用气量', 'gongl', 56.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (22, '0', '', NULL, '', NULL, '10001', 9, '汽油', 'qiy', 75.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (23, '0', '', NULL, '', NULL, '10001', 9, '液化石油气', 'yhsyq', 100.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (24, '0', '', NULL, '', NULL, '10001', 9, '煤油', 'meiy', 75.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (25, '0', '', NULL, '', NULL, '10001', 9, '柴油', 'caiy', 80.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (26, '0', '', NULL, '', NULL, '10001', 9, '煤', 'mei', 65.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (27, '0', '', NULL, '', NULL, '10001', 10, '可再生电力发电量', 'green', 1309.7700, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (28, '0', '', NULL, '', NULL, '10001', 10, '可再生电力送电量', 'sdl', 56.0000, 0.0000, 0.0000, 0.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (35, '0', '', NULL, '', NULL, NULL, 11, NULL, NULL, 66260.8300, 66260.8300, 66260.8300, 13568.0000);
INSERT INTO `large_plat_build_params_copy1` VALUES (36, '0', '', NULL, '', NULL, NULL, 12, '八楼', '8', 4138.8340, 4138.8340, 0.0000, 0.0000);

-- ----------------------------
-- Table structure for large_plat_build_year_trend
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_build_year_trend`;
CREATE TABLE `large_plat_build_year_trend`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `month_string` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '月份',
  `current_value` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '当年值',
  `last_year_value` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '去年值',
  `current_year` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '当年年份',
  `last_year` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '去年年份',
  `type` int(11) NULL DEFAULT 0 COMMENT '0 碳排放量月度变化趋势 \r\n1 年度综合能耗变化趋势图\r\n2 年度电耗变化趋势图 \r\n3 年度水耗趋势接口 \r\n4 年度非供暖能耗趋势',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`, `type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 109 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '年度趋势变化数据' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_build_year_trend
-- ----------------------------
INSERT INTO `large_plat_build_year_trend` VALUES (61, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '1月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (62, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '2月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (63, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '3月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (64, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '4月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (65, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '5月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (66, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '6月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (67, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '7月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (68, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '8月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (69, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '9月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (70, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '10月', 2001.7300, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (71, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '11月', 1033.8700, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (72, '0', NULL, '2024-11-12 10:56:45', NULL, '2024-11-12 23:13:03', '', '12月', 0.0000, 0.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend` VALUES (73, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '1月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (74, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '2月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (75, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '3月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (76, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '4月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (77, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '5月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (78, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '6月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (79, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '7月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (80, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '8月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (81, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '9月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (82, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '10月', 16287.5000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (83, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '11月', 8412.3000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (84, '0', NULL, '2024-11-12 10:56:52', NULL, '2024-11-12 23:13:11', '', '12月', 0.0000, 0.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend` VALUES (85, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:12', '', '1月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (86, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:12', '', '2月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (87, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:12', '', '3月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (88, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:12', '', '4月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (89, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:12', '', '5月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (90, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:13', '', '6月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (91, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:13', '', '7月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (92, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:13', '', '8月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (93, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:13', '', '9月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (94, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:13', '', '10月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (95, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:13', '', '11月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (96, '0', NULL, '2024-11-12 10:56:54', NULL, '2024-11-12 23:13:13', '', '12月', 0.0000, 0.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend` VALUES (97, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '1月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (98, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '2月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (99, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '3月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (100, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '4月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (101, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '5月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (102, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '6月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (103, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '7月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (104, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '8月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (105, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '9月', 0.0000, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (106, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '10月', 12785.6900, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (107, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '11月', 6603.6600, 0.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend` VALUES (108, '0', NULL, '2024-11-12 15:39:10', NULL, '2024-11-12 23:13:39', '', '12月', 0.0000, 0.0000, '2024年', '2023年', 0);

-- ----------------------------
-- Table structure for large_plat_build_year_trend_copy1
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_build_year_trend_copy1`;
CREATE TABLE `large_plat_build_year_trend_copy1`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `month_string` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '月份',
  `current_value` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '当年值',
  `last_year_value` decimal(12, 4) NULL DEFAULT 0.0000 COMMENT '去年值',
  `current_year` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '当年年份',
  `last_year` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '去年年份',
  `type` int(11) NULL DEFAULT 0 COMMENT '0 碳排放量月度变化趋势 \r\n1 年度综合能耗变化趋势图\r\n2 年度电耗变化趋势图 \r\n3 年度水耗趋势接口 \r\n4 年度非供暖能耗趋势',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`, `type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 61 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '年度趋势变化数据' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_build_year_trend_copy1
-- ----------------------------
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (1, '0', '', NULL, '', NULL, NULL, '1月', 1000.0000, 850.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (2, '0', '', NULL, '', NULL, NULL, '2月', 1100.0000, 950.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (3, '0', '', NULL, '', NULL, NULL, '3月', 800.0000, 650.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (4, '0', '', NULL, '', NULL, NULL, '4月', 700.0000, 550.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (5, '0', '', NULL, '', NULL, NULL, '5月', 600.0000, 450.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (6, '0', '', NULL, '', NULL, NULL, '6月', 850.0000, 700.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (7, '0', '', NULL, '', NULL, NULL, '7月', 1200.0000, 1050.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (8, '0', '', NULL, '', NULL, NULL, '8月', 750.0000, 600.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (9, '0', '', NULL, '', NULL, NULL, '9月', 600.0000, 450.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (10, '0', '', NULL, '', NULL, NULL, '10月', 500.0000, 350.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (11, '0', '', NULL, '', NULL, NULL, '11月', 800.0000, 650.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (12, '0', '', NULL, '', NULL, NULL, '12月', 700.0000, 550.0000, '2024年', '2023年', 0);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (13, '0', '', NULL, '', NULL, NULL, '1月', 1000.0000, 850.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (14, '0', '', NULL, '', NULL, NULL, '2月', 1100.0000, 950.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (15, '0', '', NULL, '', NULL, NULL, '3月', 800.0000, 650.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (16, '0', '', NULL, '', NULL, NULL, '4月', 700.0000, 550.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (17, '0', '', NULL, '', NULL, NULL, '5月', 600.0000, 450.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (18, '0', '', NULL, '', NULL, NULL, '6月', 850.0000, 700.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (19, '0', '', NULL, '', NULL, NULL, '7月', 1200.0000, 1050.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (20, '0', '', NULL, '', NULL, NULL, '8月', 750.0000, 600.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (21, '0', '', NULL, '', NULL, NULL, '9月', 600.0000, 450.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (22, '0', '', NULL, '', NULL, NULL, '10月', 500.0000, 350.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (23, '0', '', NULL, '', NULL, NULL, '11月', 800.0000, 650.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (24, '0', '', NULL, '', NULL, NULL, '12月', 700.0000, 550.0000, '2024年', '2023年', 1);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (25, '0', '', NULL, '', NULL, NULL, '1月', 1000.0000, 850.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (26, '0', '', NULL, '', NULL, NULL, '2月', 1100.0000, 950.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (27, '0', '', NULL, '', NULL, NULL, '3月', 800.0000, 650.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (28, '0', '', NULL, '', NULL, NULL, '4月', 700.0000, 550.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (29, '0', '', NULL, '', NULL, NULL, '5月', 600.0000, 450.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (30, '0', '', NULL, '', NULL, NULL, '6月', 850.0000, 700.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (31, '0', '', NULL, '', NULL, NULL, '7月', 1200.0000, 1050.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (32, '0', '', NULL, '', NULL, NULL, '8月', 750.0000, 600.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (33, '0', '', NULL, '', NULL, NULL, '9月', 600.0000, 450.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (34, '0', '', NULL, '', NULL, NULL, '10月', 500.0000, 350.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (35, '0', '', NULL, '', NULL, NULL, '11月', 800.0000, 650.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (36, '0', '', NULL, '', NULL, NULL, '12月', 700.0000, 550.0000, '2024年', '2023年', 2);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (37, '0', '', NULL, '', NULL, NULL, '1月', 1000.0000, 850.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (38, '0', '', NULL, '', NULL, NULL, '2月', 1100.0000, 950.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (39, '0', '', NULL, '', NULL, NULL, '3月', 800.0000, 650.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (40, '0', '', NULL, '', NULL, NULL, '4月', 700.0000, 550.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (41, '0', '', NULL, '', NULL, NULL, '5月', 600.0000, 450.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (42, '0', '', NULL, '', NULL, NULL, '6月', 850.0000, 700.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (43, '0', '', NULL, '', NULL, NULL, '7月', 1200.0000, 1050.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (44, '0', '', NULL, '', NULL, NULL, '8月', 750.0000, 600.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (45, '0', '', NULL, '', NULL, NULL, '9月', 600.0000, 450.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (46, '0', '', NULL, '', NULL, NULL, '10月', 500.0000, 350.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (47, '0', '', NULL, '', NULL, NULL, '11月', 800.0000, 650.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (48, '0', '', NULL, '', NULL, NULL, '12月', 700.0000, 550.0000, '2024年', '2023年', 3);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (49, '0', '', NULL, '', NULL, NULL, '1月', 1000.0000, 850.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (50, '0', '', NULL, '', NULL, NULL, '2月', 1100.0000, 950.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (51, '0', '', NULL, '', NULL, NULL, '3月', 800.0000, 650.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (52, '0', '', NULL, '', NULL, NULL, '4月', 700.0000, 550.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (53, '0', '', NULL, '', NULL, NULL, '5月', 600.0000, 450.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (54, '0', '', NULL, '', NULL, NULL, '6月', 850.0000, 700.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (55, '0', '', NULL, '', NULL, NULL, '7月', 1200.0000, 1050.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (56, '0', '', NULL, '', NULL, NULL, '8月', 750.0000, 600.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (57, '0', '', NULL, '', NULL, NULL, '9月', 600.0000, 450.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (58, '0', '', NULL, '', NULL, NULL, '10月', 500.0000, 350.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (59, '0', '', NULL, '', NULL, NULL, '11月', 800.0000, 650.0000, '2024年', '2023年', 4);
INSERT INTO `large_plat_build_year_trend_copy1` VALUES (60, '0', '', NULL, '', NULL, NULL, '12月', 700.0000, 550.0000, '2024年', '2023年', 4);

-- ----------------------------
-- Table structure for large_plat_employee_health
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_employee_health`;
CREATE TABLE `large_plat_employee_health`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `healthy_num` bigint(20) NULL DEFAULT 0 COMMENT '员工健康分布--健康人数',
  `sub_healthy_num` bigint(20) NULL DEFAULT 0 COMMENT '员工健康分布--亚健康人数',
  `participate_num` bigint(20) NULL DEFAULT 0 COMMENT '健康服务--应参检人数',
  `actual_participate_num` bigint(20) NULL DEFAULT 0 COMMENT '健康服务--实际参检人数',
  `participate_proportion_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '健康服务--检查人数占比',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 119 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '员工健康' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_employee_health
-- ----------------------------
INSERT INTO `large_plat_employee_health` VALUES (1, '0', '', NULL, 'anonymous', '2024-11-18 16:41:19', '10001', 100, 300, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (2, '0', '', NULL, '', NULL, '10002', 100, 500, 500, 401, 0.00);
INSERT INTO `large_plat_employee_health` VALUES (3, '0', 'anonymous', '2024-10-31 19:08:12', 'anonymous', '2024-11-18 16:41:35', '1E001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (4, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (5, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A002', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (6, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A003', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (7, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:21', '1A00301', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (8, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00302', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (9, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00303', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (10, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00304', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (11, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00305', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (12, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00306', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (13, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00307', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (14, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00308', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (15, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:24', '1M001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (16, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (17, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (18, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (19, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (20, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (21, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00106', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (22, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:26', '1M00107', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (23, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00108', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (24, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00109', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (25, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:27', '1M00110', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (26, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00111', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (27, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00112', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (28, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00113', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (29, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00114', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (30, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1L001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (31, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:30', '1L00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (32, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (33, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (34, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (35, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (36, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:31', '1L00106', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (37, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00107', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (38, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00108', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (39, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:32', '1L00109', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (40, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00110', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (41, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00111', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (42, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00112', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (43, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00113', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (44, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00114', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (45, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:35', '1E00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (46, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (47, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:36', '1E00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (48, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (49, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (50, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1D001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (51, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (52, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (53, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:38', '1D00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (54, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (55, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:39', '1D00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (56, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00106', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (57, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00107', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (58, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00108', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (59, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00109', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (60, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00110', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (61, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00111', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (62, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:41', '1D00112', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (63, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (64, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (65, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (66, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (67, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (68, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:43', '1J00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (69, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (70, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (71, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:44', '1K00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (72, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (73, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (74, '0', NULL, '2024-10-31 19:30:25', NULL, '2024-11-18 16:41:45', '1K00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (75, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00106', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (76, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00107', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (77, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:47', '1K00108', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (78, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00109', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (79, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00110', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (80, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:48', '1K00111', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (81, '0', NULL, '2024-10-31 19:30:28', NULL, '2024-11-18 16:41:48', '1H001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (82, '0', NULL, '2024-10-31 19:30:29', NULL, '2024-11-18 16:41:48', '1H00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (83, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:49', '1H00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (84, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (85, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (86, '0', NULL, '2024-10-31 19:30:32', NULL, '2024-11-18 16:41:50', '1H00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (87, '0', NULL, '2024-10-31 19:30:33', NULL, '2024-11-18 16:41:50', '1H00106', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (88, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00107', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (89, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00108', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (90, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00109', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (91, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00110', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (92, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00111', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (93, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00112', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (94, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1H00113', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (95, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1B001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (96, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:53', '1B00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (97, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (98, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (99, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (100, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (101, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00106', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (102, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00107', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (103, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00108', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (104, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:57', '1B00109', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (105, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (106, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (107, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:58', '1F00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (108, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (109, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (110, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:59', '1F00105', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (111, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1F00106', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (112, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1C001', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (113, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00101', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (114, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00102', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (115, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00103', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (116, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00104', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (117, '0', '', NULL, '', NULL, '1A004', 0, 0, 300, 300, 100.00);
INSERT INTO `large_plat_employee_health` VALUES (118, '0', '', NULL, '', NULL, '1A005', 0, 0, 300, 300, 100.00);

-- ----------------------------
-- Table structure for large_plat_employee_health_chart
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_employee_health_chart`;
CREATE TABLE `large_plat_employee_health_chart`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `type` tinyint(4) NULL DEFAULT 0 COMMENT '0 健康指标趋势 1 甲状腺结节发现及时率趋势',
  `january_num` bigint(20) NULL DEFAULT 0 COMMENT '一月',
  `february_num` bigint(20) NULL DEFAULT 0 COMMENT '二月',
  `march_num` bigint(20) NULL DEFAULT 0 COMMENT '三月',
  `april_num` bigint(20) NULL DEFAULT 0 COMMENT '四月',
  `may_num` bigint(20) NULL DEFAULT 0 COMMENT '五月',
  `june_num` bigint(20) NULL DEFAULT 0 COMMENT '六月',
  `july_num` bigint(20) NULL DEFAULT 0 COMMENT '七月',
  `august_num` bigint(20) NULL DEFAULT 0 COMMENT '八月',
  `september_num` bigint(20) NULL DEFAULT 0 COMMENT '九月',
  `october_num` bigint(20) NULL DEFAULT 0 COMMENT '十月',
  `november_num` bigint(20) NULL DEFAULT 0 COMMENT '十一月',
  `december_num` bigint(20) NULL DEFAULT 0 COMMENT '十二月',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`, `type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '员工健康图表数据' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_employee_health_chart
-- ----------------------------

-- ----------------------------
-- Table structure for large_plat_employee_health_illness
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_employee_health_illness`;
CREATE TABLE `large_plat_employee_health_illness`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `params_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '参数名称',
  `params_value` bigint(20) NULL DEFAULT 0 COMMENT '参数值',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3664 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '多发疾病排行' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_employee_health_illness
-- ----------------------------
INSERT INTO `large_plat_employee_health_illness` VALUES (4, '0', '', NULL, '', NULL, '10002', '高血糖', 20);
INSERT INTO `large_plat_employee_health_illness` VALUES (5, '0', '', NULL, '', NULL, '10002', '高血压', 30);
INSERT INTO `large_plat_employee_health_illness` VALUES (6, '0', '', NULL, '', NULL, '10002', '高血脂', 10);
INSERT INTO `large_plat_employee_health_illness` VALUES (3313, '0', '', NULL, '', NULL, '10001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3314, '0', '', NULL, '', NULL, '10001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3315, '0', '', NULL, '', NULL, '10001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3316, '0', '', NULL, '', NULL, '1A001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3317, '0', '', NULL, '', NULL, '1A001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3318, '0', '', NULL, '', NULL, '1A001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3319, '0', '', NULL, '', NULL, '1A002', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3320, '0', '', NULL, '', NULL, '1A002', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3321, '0', '', NULL, '', NULL, '1A002', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3322, '0', '', NULL, '', NULL, '1A003', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3323, '0', '', NULL, '', NULL, '1A003', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3324, '0', '', NULL, '', NULL, '1A003', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3325, '0', '', NULL, '', NULL, '1A00301', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3326, '0', '', NULL, '', NULL, '1A00301', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3327, '0', '', NULL, '', NULL, '1A00301', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3328, '0', '', NULL, '', NULL, '1A00302', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3329, '0', '', NULL, '', NULL, '1A00302', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3330, '0', '', NULL, '', NULL, '1A00302', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3331, '0', '', NULL, '', NULL, '1A00303', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3332, '0', '', NULL, '', NULL, '1A00303', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3333, '0', '', NULL, '', NULL, '1A00303', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3334, '0', '', NULL, '', NULL, '1A00304', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3335, '0', '', NULL, '', NULL, '1A00304', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3336, '0', '', NULL, '', NULL, '1A00304', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3337, '0', '', NULL, '', NULL, '1A00305', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3338, '0', '', NULL, '', NULL, '1A00305', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3339, '0', '', NULL, '', NULL, '1A00305', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3340, '0', '', NULL, '', NULL, '1A00306', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3341, '0', '', NULL, '', NULL, '1A00306', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3342, '0', '', NULL, '', NULL, '1A00306', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3343, '0', '', NULL, '', NULL, '1A00307', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3344, '0', '', NULL, '', NULL, '1A00307', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3345, '0', '', NULL, '', NULL, '1A00307', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3346, '0', '', NULL, '', NULL, '1A00308', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3347, '0', '', NULL, '', NULL, '1A00308', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3348, '0', '', NULL, '', NULL, '1A00308', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3349, '0', '', NULL, '', NULL, '1M001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3350, '0', '', NULL, '', NULL, '1M001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3351, '0', '', NULL, '', NULL, '1M001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3352, '0', '', NULL, '', NULL, '1M00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3353, '0', '', NULL, '', NULL, '1M00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3354, '0', '', NULL, '', NULL, '1M00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3355, '0', '', NULL, '', NULL, '1M00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3356, '0', '', NULL, '', NULL, '1M00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3357, '0', '', NULL, '', NULL, '1M00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3358, '0', '', NULL, '', NULL, '1M00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3359, '0', '', NULL, '', NULL, '1M00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3360, '0', '', NULL, '', NULL, '1M00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3361, '0', '', NULL, '', NULL, '1M00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3362, '0', '', NULL, '', NULL, '1M00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3363, '0', '', NULL, '', NULL, '1M00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3364, '0', '', NULL, '', NULL, '1M00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3365, '0', '', NULL, '', NULL, '1M00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3366, '0', '', NULL, '', NULL, '1M00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3367, '0', '', NULL, '', NULL, '1M00106', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3368, '0', '', NULL, '', NULL, '1M00106', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3369, '0', '', NULL, '', NULL, '1M00106', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3370, '0', '', NULL, '', NULL, '1M00107', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3371, '0', '', NULL, '', NULL, '1M00107', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3372, '0', '', NULL, '', NULL, '1M00107', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3373, '0', '', NULL, '', NULL, '1M00108', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3374, '0', '', NULL, '', NULL, '1M00108', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3375, '0', '', NULL, '', NULL, '1M00108', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3376, '0', '', NULL, '', NULL, '1M00109', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3377, '0', '', NULL, '', NULL, '1M00109', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3378, '0', '', NULL, '', NULL, '1M00109', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3379, '0', '', NULL, '', NULL, '1M00110', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3380, '0', '', NULL, '', NULL, '1M00110', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3381, '0', '', NULL, '', NULL, '1M00110', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3382, '0', '', NULL, '', NULL, '1M00111', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3383, '0', '', NULL, '', NULL, '1M00111', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3384, '0', '', NULL, '', NULL, '1M00111', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3385, '0', '', NULL, '', NULL, '1M00112', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3386, '0', '', NULL, '', NULL, '1M00112', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3387, '0', '', NULL, '', NULL, '1M00112', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3388, '0', '', NULL, '', NULL, '1M00113', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3389, '0', '', NULL, '', NULL, '1M00113', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3390, '0', '', NULL, '', NULL, '1M00113', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3391, '0', '', NULL, '', NULL, '1M00114', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3392, '0', '', NULL, '', NULL, '1M00114', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3393, '0', '', NULL, '', NULL, '1M00114', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3394, '0', '', NULL, '', NULL, '1L001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3395, '0', '', NULL, '', NULL, '1L001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3396, '0', '', NULL, '', NULL, '1L001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3397, '0', '', NULL, '', NULL, '1L00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3398, '0', '', NULL, '', NULL, '1L00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3399, '0', '', NULL, '', NULL, '1L00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3400, '0', '', NULL, '', NULL, '1L00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3401, '0', '', NULL, '', NULL, '1L00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3402, '0', '', NULL, '', NULL, '1L00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3403, '0', '', NULL, '', NULL, '1L00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3404, '0', '', NULL, '', NULL, '1L00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3405, '0', '', NULL, '', NULL, '1L00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3406, '0', '', NULL, '', NULL, '1L00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3407, '0', '', NULL, '', NULL, '1L00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3408, '0', '', NULL, '', NULL, '1L00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3409, '0', '', NULL, '', NULL, '1L00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3410, '0', '', NULL, '', NULL, '1L00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3411, '0', '', NULL, '', NULL, '1L00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3412, '0', '', NULL, '', NULL, '1L00106', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3413, '0', '', NULL, '', NULL, '1L00106', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3414, '0', '', NULL, '', NULL, '1L00106', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3415, '0', '', NULL, '', NULL, '1L00107', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3416, '0', '', NULL, '', NULL, '1L00107', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3417, '0', '', NULL, '', NULL, '1L00107', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3418, '0', '', NULL, '', NULL, '1L00108', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3419, '0', '', NULL, '', NULL, '1L00108', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3420, '0', '', NULL, '', NULL, '1L00108', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3421, '0', '', NULL, '', NULL, '1L00109', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3422, '0', '', NULL, '', NULL, '1L00109', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3423, '0', '', NULL, '', NULL, '1L00109', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3424, '0', '', NULL, '', NULL, '1L00110', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3425, '0', '', NULL, '', NULL, '1L00110', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3426, '0', '', NULL, '', NULL, '1L00110', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3427, '0', '', NULL, '', NULL, '1L00111', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3428, '0', '', NULL, '', NULL, '1L00111', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3429, '0', '', NULL, '', NULL, '1L00111', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3430, '0', '', NULL, '', NULL, '1L00112', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3431, '0', '', NULL, '', NULL, '1L00112', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3432, '0', '', NULL, '', NULL, '1L00112', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3433, '0', '', NULL, '', NULL, '1L00113', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3434, '0', '', NULL, '', NULL, '1L00113', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3435, '0', '', NULL, '', NULL, '1L00113', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3436, '0', '', NULL, '', NULL, '1L00114', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3437, '0', '', NULL, '', NULL, '1L00114', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3438, '0', '', NULL, '', NULL, '1L00114', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3439, '0', '', NULL, '', NULL, '1E001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3440, '0', '', NULL, '', NULL, '1E001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3441, '0', '', NULL, '', NULL, '1E001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3442, '0', '', NULL, '', NULL, '1E00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3443, '0', '', NULL, '', NULL, '1E00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3444, '0', '', NULL, '', NULL, '1E00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3445, '0', '', NULL, '', NULL, '1E00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3446, '0', '', NULL, '', NULL, '1E00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3447, '0', '', NULL, '', NULL, '1E00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3448, '0', '', NULL, '', NULL, '1E00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3449, '0', '', NULL, '', NULL, '1E00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3450, '0', '', NULL, '', NULL, '1E00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3451, '0', '', NULL, '', NULL, '1E00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3452, '0', '', NULL, '', NULL, '1E00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3453, '0', '', NULL, '', NULL, '1E00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3454, '0', '', NULL, '', NULL, '1E00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3455, '0', '', NULL, '', NULL, '1E00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3456, '0', '', NULL, '', NULL, '1E00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3457, '0', '', NULL, '', NULL, '1D001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3458, '0', '', NULL, '', NULL, '1D001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3459, '0', '', NULL, '', NULL, '1D001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3460, '0', '', NULL, '', NULL, '1D00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3461, '0', '', NULL, '', NULL, '1D00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3462, '0', '', NULL, '', NULL, '1D00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3463, '0', '', NULL, '', NULL, '1D00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3464, '0', '', NULL, '', NULL, '1D00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3465, '0', '', NULL, '', NULL, '1D00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3466, '0', '', NULL, '', NULL, '1D00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3467, '0', '', NULL, '', NULL, '1D00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3468, '0', '', NULL, '', NULL, '1D00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3469, '0', '', NULL, '', NULL, '1D00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3470, '0', '', NULL, '', NULL, '1D00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3471, '0', '', NULL, '', NULL, '1D00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3472, '0', '', NULL, '', NULL, '1D00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3473, '0', '', NULL, '', NULL, '1D00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3474, '0', '', NULL, '', NULL, '1D00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3475, '0', '', NULL, '', NULL, '1D00106', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3476, '0', '', NULL, '', NULL, '1D00106', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3477, '0', '', NULL, '', NULL, '1D00106', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3478, '0', '', NULL, '', NULL, '1D00107', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3479, '0', '', NULL, '', NULL, '1D00107', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3480, '0', '', NULL, '', NULL, '1D00107', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3481, '0', '', NULL, '', NULL, '1D00108', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3482, '0', '', NULL, '', NULL, '1D00108', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3483, '0', '', NULL, '', NULL, '1D00108', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3484, '0', '', NULL, '', NULL, '1D00109', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3485, '0', '', NULL, '', NULL, '1D00109', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3486, '0', '', NULL, '', NULL, '1D00109', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3487, '0', '', NULL, '', NULL, '1D00110', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3488, '0', '', NULL, '', NULL, '1D00110', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3489, '0', '', NULL, '', NULL, '1D00110', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3490, '0', '', NULL, '', NULL, '1D00111', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3491, '0', '', NULL, '', NULL, '1D00111', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3492, '0', '', NULL, '', NULL, '1D00111', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3493, '0', '', NULL, '', NULL, '1D00112', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3494, '0', '', NULL, '', NULL, '1D00112', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3495, '0', '', NULL, '', NULL, '1D00112', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3496, '0', '', NULL, '', NULL, '1J001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3497, '0', '', NULL, '', NULL, '1J001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3498, '0', '', NULL, '', NULL, '1J001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3499, '0', '', NULL, '', NULL, '1J00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3500, '0', '', NULL, '', NULL, '1J00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3501, '0', '', NULL, '', NULL, '1J00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3502, '0', '', NULL, '', NULL, '1J00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3503, '0', '', NULL, '', NULL, '1J00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3504, '0', '', NULL, '', NULL, '1J00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3505, '0', '', NULL, '', NULL, '1J00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3506, '0', '', NULL, '', NULL, '1J00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3507, '0', '', NULL, '', NULL, '1J00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3508, '0', '', NULL, '', NULL, '1J00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3509, '0', '', NULL, '', NULL, '1J00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3510, '0', '', NULL, '', NULL, '1J00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3511, '0', '', NULL, '', NULL, '1J00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3512, '0', '', NULL, '', NULL, '1J00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3513, '0', '', NULL, '', NULL, '1J00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3514, '0', '', NULL, '', NULL, '1K001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3515, '0', '', NULL, '', NULL, '1K001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3516, '0', '', NULL, '', NULL, '1K001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3517, '0', '', NULL, '', NULL, '1K00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3518, '0', '', NULL, '', NULL, '1K00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3519, '0', '', NULL, '', NULL, '1K00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3520, '0', '', NULL, '', NULL, '1K00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3521, '0', '', NULL, '', NULL, '1K00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3522, '0', '', NULL, '', NULL, '1K00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3523, '0', '', NULL, '', NULL, '1K00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3524, '0', '', NULL, '', NULL, '1K00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3525, '0', '', NULL, '', NULL, '1K00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3526, '0', '', NULL, '', NULL, '1K00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3527, '0', '', NULL, '', NULL, '1K00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3528, '0', '', NULL, '', NULL, '1K00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3529, '0', '', NULL, '', NULL, '1K00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3530, '0', '', NULL, '', NULL, '1K00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3531, '0', '', NULL, '', NULL, '1K00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3532, '0', '', NULL, '', NULL, '1K00106', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3533, '0', '', NULL, '', NULL, '1K00106', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3534, '0', '', NULL, '', NULL, '1K00106', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3535, '0', '', NULL, '', NULL, '1K00107', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3536, '0', '', NULL, '', NULL, '1K00107', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3537, '0', '', NULL, '', NULL, '1K00107', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3538, '0', '', NULL, '', NULL, '1K00108', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3539, '0', '', NULL, '', NULL, '1K00108', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3540, '0', '', NULL, '', NULL, '1K00108', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3541, '0', '', NULL, '', NULL, '1K00109', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3542, '0', '', NULL, '', NULL, '1K00109', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3543, '0', '', NULL, '', NULL, '1K00109', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3544, '0', '', NULL, '', NULL, '1K00110', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3545, '0', '', NULL, '', NULL, '1K00110', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3546, '0', '', NULL, '', NULL, '1K00110', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3547, '0', '', NULL, '', NULL, '1K00111', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3548, '0', '', NULL, '', NULL, '1K00111', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3549, '0', '', NULL, '', NULL, '1K00111', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3550, '0', '', NULL, '', NULL, '1H001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3551, '0', '', NULL, '', NULL, '1H001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3552, '0', '', NULL, '', NULL, '1H001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3553, '0', '', NULL, '', NULL, '1H00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3554, '0', '', NULL, '', NULL, '1H00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3555, '0', '', NULL, '', NULL, '1H00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3556, '0', '', NULL, '', NULL, '1H00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3557, '0', '', NULL, '', NULL, '1H00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3558, '0', '', NULL, '', NULL, '1H00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3559, '0', '', NULL, '', NULL, '1H00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3560, '0', '', NULL, '', NULL, '1H00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3561, '0', '', NULL, '', NULL, '1H00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3562, '0', '', NULL, '', NULL, '1H00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3563, '0', '', NULL, '', NULL, '1H00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3564, '0', '', NULL, '', NULL, '1H00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3565, '0', '', NULL, '', NULL, '1H00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3566, '0', '', NULL, '', NULL, '1H00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3567, '0', '', NULL, '', NULL, '1H00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3568, '0', '', NULL, '', NULL, '1H00106', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3569, '0', '', NULL, '', NULL, '1H00106', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3570, '0', '', NULL, '', NULL, '1H00106', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3571, '0', '', NULL, '', NULL, '1H00107', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3572, '0', '', NULL, '', NULL, '1H00107', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3573, '0', '', NULL, '', NULL, '1H00107', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3574, '0', '', NULL, '', NULL, '1H00108', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3575, '0', '', NULL, '', NULL, '1H00108', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3576, '0', '', NULL, '', NULL, '1H00108', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3577, '0', '', NULL, '', NULL, '1H00109', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3578, '0', '', NULL, '', NULL, '1H00109', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3579, '0', '', NULL, '', NULL, '1H00109', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3580, '0', '', NULL, '', NULL, '1H00110', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3581, '0', '', NULL, '', NULL, '1H00110', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3582, '0', '', NULL, '', NULL, '1H00110', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3583, '0', '', NULL, '', NULL, '1H00111', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3584, '0', '', NULL, '', NULL, '1H00111', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3585, '0', '', NULL, '', NULL, '1H00111', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3586, '0', '', NULL, '', NULL, '1H00112', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3587, '0', '', NULL, '', NULL, '1H00112', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3588, '0', '', NULL, '', NULL, '1H00112', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3589, '0', '', NULL, '', NULL, '1H00113', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3590, '0', '', NULL, '', NULL, '1H00113', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3591, '0', '', NULL, '', NULL, '1H00113', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3592, '0', '', NULL, '', NULL, '1B001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3593, '0', '', NULL, '', NULL, '1B001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3594, '0', '', NULL, '', NULL, '1B001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3595, '0', '', NULL, '', NULL, '1B00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3596, '0', '', NULL, '', NULL, '1B00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3597, '0', '', NULL, '', NULL, '1B00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3598, '0', '', NULL, '', NULL, '1B00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3599, '0', '', NULL, '', NULL, '1B00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3600, '0', '', NULL, '', NULL, '1B00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3601, '0', '', NULL, '', NULL, '1B00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3602, '0', '', NULL, '', NULL, '1B00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3603, '0', '', NULL, '', NULL, '1B00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3604, '0', '', NULL, '', NULL, '1B00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3605, '0', '', NULL, '', NULL, '1B00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3606, '0', '', NULL, '', NULL, '1B00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3607, '0', '', NULL, '', NULL, '1B00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3608, '0', '', NULL, '', NULL, '1B00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3609, '0', '', NULL, '', NULL, '1B00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3610, '0', '', NULL, '', NULL, '1B00106', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3611, '0', '', NULL, '', NULL, '1B00106', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3612, '0', '', NULL, '', NULL, '1B00106', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3613, '0', '', NULL, '', NULL, '1B00107', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3614, '0', '', NULL, '', NULL, '1B00107', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3615, '0', '', NULL, '', NULL, '1B00107', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3616, '0', '', NULL, '', NULL, '1B00108', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3617, '0', '', NULL, '', NULL, '1B00108', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3618, '0', '', NULL, '', NULL, '1B00108', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3619, '0', '', NULL, '', NULL, '1B00109', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3620, '0', '', NULL, '', NULL, '1B00109', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3621, '0', '', NULL, '', NULL, '1B00109', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3622, '0', '', NULL, '', NULL, '1F001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3623, '0', '', NULL, '', NULL, '1F001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3624, '0', '', NULL, '', NULL, '1F001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3625, '0', '', NULL, '', NULL, '1F00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3626, '0', '', NULL, '', NULL, '1F00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3627, '0', '', NULL, '', NULL, '1F00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3628, '0', '', NULL, '', NULL, '1F00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3629, '0', '', NULL, '', NULL, '1F00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3630, '0', '', NULL, '', NULL, '1F00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3631, '0', '', NULL, '', NULL, '1F00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3632, '0', '', NULL, '', NULL, '1F00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3633, '0', '', NULL, '', NULL, '1F00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3634, '0', '', NULL, '', NULL, '1F00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3635, '0', '', NULL, '', NULL, '1F00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3636, '0', '', NULL, '', NULL, '1F00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3637, '0', '', NULL, '', NULL, '1F00105', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3638, '0', '', NULL, '', NULL, '1F00105', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3639, '0', '', NULL, '', NULL, '1F00105', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3640, '0', '', NULL, '', NULL, '1F00106', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3641, '0', '', NULL, '', NULL, '1F00106', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3642, '0', '', NULL, '', NULL, '1F00106', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3643, '0', '', NULL, '', NULL, '1C001', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3644, '0', '', NULL, '', NULL, '1C001', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3645, '0', '', NULL, '', NULL, '1C001', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3646, '0', '', NULL, '', NULL, '1C00101', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3647, '0', '', NULL, '', NULL, '1C00101', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3648, '0', '', NULL, '', NULL, '1C00101', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3649, '0', '', NULL, '', NULL, '1C00102', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3650, '0', '', NULL, '', NULL, '1C00102', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3651, '0', '', NULL, '', NULL, '1C00102', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3652, '0', '', NULL, '', NULL, '1C00103', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3653, '0', '', NULL, '', NULL, '1C00103', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3654, '0', '', NULL, '', NULL, '1C00103', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3655, '0', '', NULL, '', NULL, '1C00104', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3656, '0', '', NULL, '', NULL, '1C00104', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3657, '0', '', NULL, '', NULL, '1C00104', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3658, '0', '', NULL, '', NULL, '1A004', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3659, '0', '', NULL, '', NULL, '1A004', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3660, '0', '', NULL, '', NULL, '1A004', '高血糖', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3661, '0', '', NULL, '', NULL, '1A005', '高血脂', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3662, '0', '', NULL, '', NULL, '1A005', '高血压', 40);
INSERT INTO `large_plat_employee_health_illness` VALUES (3663, '0', '', NULL, '', NULL, '1A005', '高血糖', 40);

-- ----------------------------
-- Table structure for large_plat_employee_type
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_employee_type`;
CREATE TABLE `large_plat_employee_type`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `inside_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--内部员工数量',
  `loan_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--借调人员数量',
  `association_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--外协人员数量',
  `property_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--物业人员数量',
  `entry_internal_num` bigint(20) NULL DEFAULT 0 COMMENT '入楼情况--内部员工',
  `entry_to_loan_num` bigint(20) NULL DEFAULT 0 COMMENT '入楼情况--借调人员',
  `entry_assist_num` bigint(20) NULL DEFAULT 0 COMMENT '入楼情况--外协人员',
  `entry_property_num` bigint(20) NULL DEFAULT 0 COMMENT '入楼情况--物业人员',
  `visitor_num` bigint(20) NULL DEFAULT 0 COMMENT '入楼情况--访客',
  `gross_num` bigint(20) NULL DEFAULT 0 COMMENT '入楼情况--共计人员数量',
  `between2030_num` bigint(20) NULL DEFAULT 0 COMMENT '员工年龄分布--20-30岁',
  `between3040_num` bigint(20) NULL DEFAULT 0 COMMENT '员工年龄分布--30-40岁',
  `between4050_num` bigint(20) NULL DEFAULT 0 COMMENT '员工年龄分布--40-50岁',
  `exceed50_num` bigint(20) NULL DEFAULT 0 COMMENT '员工年龄分布--50岁以上',
  `man_num` bigint(20) NULL DEFAULT 0 COMMENT '员工性别情况--男性数',
  `women_num` bigint(20) NULL DEFAULT 0 COMMENT '员工性别情况--女性数',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 118 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '员工概况' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_employee_type
-- ----------------------------
INSERT INTO `large_plat_employee_type` VALUES (1, '0', '', NULL, 'anonymous', '2024-11-18 16:41:19', '10001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (2, '0', 'anonymous', '2024-10-31 18:41:48', 'anonymous', '2024-11-18 16:41:35', '1E001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (3, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (4, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A002', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (5, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A003', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (6, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:21', '1A00301', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (7, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00302', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (8, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00303', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (9, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00304', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (10, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00305', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (11, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00306', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (12, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00307', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (13, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00308', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (14, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:24', '1M001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (15, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (16, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (17, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (18, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (19, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (20, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00106', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (21, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:26', '1M00107', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (22, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00108', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (23, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00109', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (24, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:27', '1M00110', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (25, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00111', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (26, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00112', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (27, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:29', '1M00113', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (28, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00114', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (29, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1L001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (30, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:30', '1L00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (31, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (32, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (33, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:31', '1L00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (34, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (35, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:31', '1L00106', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (36, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00107', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (37, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00108', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (38, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:32', '1L00109', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (39, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00110', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (40, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00111', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (41, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00112', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (42, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00113', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (43, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00114', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (44, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:35', '1E00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (45, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (46, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:36', '1E00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (47, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (48, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (49, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1D001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (50, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (51, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (52, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:38', '1D00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (53, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (54, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:39', '1D00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (55, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00106', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (56, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00107', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (57, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00108', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (58, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00109', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (59, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00110', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (60, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00111', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (61, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00112', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (62, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:41', '1J001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (63, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (64, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (65, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (66, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (67, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (68, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (69, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (70, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:44', '1K00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (71, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (72, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (73, '0', NULL, '2024-10-31 19:30:25', NULL, '2024-11-18 16:41:45', '1K00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (74, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00106', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (75, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00107', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (76, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00108', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (77, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00109', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (78, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00110', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (79, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:48', '1K00111', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (80, '0', NULL, '2024-10-31 19:30:28', NULL, '2024-11-18 16:41:48', '1H001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (81, '0', NULL, '2024-10-31 19:30:29', NULL, '2024-11-18 16:41:48', '1H00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (82, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:49', '1H00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (83, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (84, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (85, '0', NULL, '2024-10-31 19:30:32', NULL, '2024-11-18 16:41:50', '1H00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (86, '0', NULL, '2024-10-31 19:30:33', NULL, '2024-11-18 16:41:50', '1H00106', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (87, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00107', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (88, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00108', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (89, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00109', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (90, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00110', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (91, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00111', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (92, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00112', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (93, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1H00113', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (94, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1B001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (95, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:53', '1B00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (96, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (97, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (98, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (99, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (100, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00106', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (101, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00107', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (102, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00108', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (103, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:57', '1B00109', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (104, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (105, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (106, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:58', '1F00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (107, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (108, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (109, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:59', '1F00105', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (110, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1F00106', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (111, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1C001', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (112, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00101', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (113, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00102', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (114, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00103', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (115, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00104', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (116, '0', '', NULL, '', NULL, '1A004', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);
INSERT INTO `large_plat_employee_type` VALUES (117, '0', '', NULL, '', NULL, '1A005', 300, 100, 200, 130, 300, 100, 88, 100, 300, 888, 130, 100, 50, 20, 180, 120);

-- ----------------------------
-- Table structure for large_plat_employee_type_flow
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_employee_type_flow`;
CREATE TABLE `large_plat_employee_type_flow`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `inside_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--内部员工数量',
  `loan_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--借调人员数量',
  `association_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--外协人员数量',
  `property_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--物业人员数量',
  `visit_num` bigint(20) NULL DEFAULT 0 COMMENT '员工类型--访客数量',
  `time_sign` bigint(20) NULL DEFAULT 0 COMMENT '时间标识 1-7',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8562 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '近一周人流量统计' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_employee_type_flow
-- ----------------------------
INSERT INTO `large_plat_employee_type_flow` VALUES (7743, '0', '', NULL, '', NULL, '10001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7744, '0', '', NULL, '', NULL, '10001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7745, '0', '', NULL, '', NULL, '10001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7746, '0', '', NULL, '', NULL, '10001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7747, '0', '', NULL, '', NULL, '10001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7748, '0', '', NULL, '', NULL, '10001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7749, '0', '', NULL, '', NULL, '10001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7750, '0', '', NULL, '', NULL, '1A001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7751, '0', '', NULL, '', NULL, '1A001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7752, '0', '', NULL, '', NULL, '1A001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7753, '0', '', NULL, '', NULL, '1A001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7754, '0', '', NULL, '', NULL, '1A001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7755, '0', '', NULL, '', NULL, '1A001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7756, '0', '', NULL, '', NULL, '1A001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7757, '0', '', NULL, '', NULL, '1A002', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7758, '0', '', NULL, '', NULL, '1A002', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7759, '0', '', NULL, '', NULL, '1A002', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7760, '0', '', NULL, '', NULL, '1A002', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7761, '0', '', NULL, '', NULL, '1A002', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7762, '0', '', NULL, '', NULL, '1A002', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7763, '0', '', NULL, '', NULL, '1A002', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7764, '0', '', NULL, '', NULL, '1A003', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7765, '0', '', NULL, '', NULL, '1A003', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7766, '0', '', NULL, '', NULL, '1A003', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7767, '0', '', NULL, '', NULL, '1A003', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7768, '0', '', NULL, '', NULL, '1A003', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7769, '0', '', NULL, '', NULL, '1A003', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7770, '0', '', NULL, '', NULL, '1A003', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7771, '0', '', NULL, '', NULL, '1A00301', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7772, '0', '', NULL, '', NULL, '1A00301', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7773, '0', '', NULL, '', NULL, '1A00301', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7774, '0', '', NULL, '', NULL, '1A00301', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7775, '0', '', NULL, '', NULL, '1A00301', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7776, '0', '', NULL, '', NULL, '1A00301', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7777, '0', '', NULL, '', NULL, '1A00301', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7778, '0', '', NULL, '', NULL, '1A00302', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7779, '0', '', NULL, '', NULL, '1A00302', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7780, '0', '', NULL, '', NULL, '1A00302', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7781, '0', '', NULL, '', NULL, '1A00302', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7782, '0', '', NULL, '', NULL, '1A00302', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7783, '0', '', NULL, '', NULL, '1A00302', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7784, '0', '', NULL, '', NULL, '1A00302', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7785, '0', '', NULL, '', NULL, '1A00303', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7786, '0', '', NULL, '', NULL, '1A00303', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7787, '0', '', NULL, '', NULL, '1A00303', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7788, '0', '', NULL, '', NULL, '1A00303', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7789, '0', '', NULL, '', NULL, '1A00303', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7790, '0', '', NULL, '', NULL, '1A00303', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7791, '0', '', NULL, '', NULL, '1A00303', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7792, '0', '', NULL, '', NULL, '1A00304', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7793, '0', '', NULL, '', NULL, '1A00304', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7794, '0', '', NULL, '', NULL, '1A00304', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7795, '0', '', NULL, '', NULL, '1A00304', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7796, '0', '', NULL, '', NULL, '1A00304', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7797, '0', '', NULL, '', NULL, '1A00304', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7798, '0', '', NULL, '', NULL, '1A00304', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7799, '0', '', NULL, '', NULL, '1A00305', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7800, '0', '', NULL, '', NULL, '1A00305', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7801, '0', '', NULL, '', NULL, '1A00305', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7802, '0', '', NULL, '', NULL, '1A00305', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7803, '0', '', NULL, '', NULL, '1A00305', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7804, '0', '', NULL, '', NULL, '1A00305', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7805, '0', '', NULL, '', NULL, '1A00305', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7806, '0', '', NULL, '', NULL, '1A00306', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7807, '0', '', NULL, '', NULL, '1A00306', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7808, '0', '', NULL, '', NULL, '1A00306', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7809, '0', '', NULL, '', NULL, '1A00306', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7810, '0', '', NULL, '', NULL, '1A00306', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7811, '0', '', NULL, '', NULL, '1A00306', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7812, '0', '', NULL, '', NULL, '1A00306', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7813, '0', '', NULL, '', NULL, '1A00307', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7814, '0', '', NULL, '', NULL, '1A00307', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7815, '0', '', NULL, '', NULL, '1A00307', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7816, '0', '', NULL, '', NULL, '1A00307', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7817, '0', '', NULL, '', NULL, '1A00307', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7818, '0', '', NULL, '', NULL, '1A00307', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7819, '0', '', NULL, '', NULL, '1A00307', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7820, '0', '', NULL, '', NULL, '1A00308', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7821, '0', '', NULL, '', NULL, '1A00308', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7822, '0', '', NULL, '', NULL, '1A00308', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7823, '0', '', NULL, '', NULL, '1A00308', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7824, '0', '', NULL, '', NULL, '1A00308', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7825, '0', '', NULL, '', NULL, '1A00308', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7826, '0', '', NULL, '', NULL, '1A00308', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7827, '0', '', NULL, '', NULL, '1M001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7828, '0', '', NULL, '', NULL, '1M001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7829, '0', '', NULL, '', NULL, '1M001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7830, '0', '', NULL, '', NULL, '1M001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7831, '0', '', NULL, '', NULL, '1M001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7832, '0', '', NULL, '', NULL, '1M001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7833, '0', '', NULL, '', NULL, '1M001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7834, '0', '', NULL, '', NULL, '1M00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7835, '0', '', NULL, '', NULL, '1M00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7836, '0', '', NULL, '', NULL, '1M00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7837, '0', '', NULL, '', NULL, '1M00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7838, '0', '', NULL, '', NULL, '1M00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7839, '0', '', NULL, '', NULL, '1M00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7840, '0', '', NULL, '', NULL, '1M00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7841, '0', '', NULL, '', NULL, '1M00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7842, '0', '', NULL, '', NULL, '1M00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7843, '0', '', NULL, '', NULL, '1M00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7844, '0', '', NULL, '', NULL, '1M00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7845, '0', '', NULL, '', NULL, '1M00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7846, '0', '', NULL, '', NULL, '1M00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7847, '0', '', NULL, '', NULL, '1M00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7848, '0', '', NULL, '', NULL, '1M00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7849, '0', '', NULL, '', NULL, '1M00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7850, '0', '', NULL, '', NULL, '1M00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7851, '0', '', NULL, '', NULL, '1M00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7852, '0', '', NULL, '', NULL, '1M00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7853, '0', '', NULL, '', NULL, '1M00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7854, '0', '', NULL, '', NULL, '1M00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7855, '0', '', NULL, '', NULL, '1M00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7856, '0', '', NULL, '', NULL, '1M00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7857, '0', '', NULL, '', NULL, '1M00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7858, '0', '', NULL, '', NULL, '1M00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7859, '0', '', NULL, '', NULL, '1M00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7860, '0', '', NULL, '', NULL, '1M00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7861, '0', '', NULL, '', NULL, '1M00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7862, '0', '', NULL, '', NULL, '1M00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7863, '0', '', NULL, '', NULL, '1M00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7864, '0', '', NULL, '', NULL, '1M00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7865, '0', '', NULL, '', NULL, '1M00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7866, '0', '', NULL, '', NULL, '1M00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7867, '0', '', NULL, '', NULL, '1M00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7868, '0', '', NULL, '', NULL, '1M00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7869, '0', '', NULL, '', NULL, '1M00106', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7870, '0', '', NULL, '', NULL, '1M00106', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7871, '0', '', NULL, '', NULL, '1M00106', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7872, '0', '', NULL, '', NULL, '1M00106', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7873, '0', '', NULL, '', NULL, '1M00106', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7874, '0', '', NULL, '', NULL, '1M00106', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7875, '0', '', NULL, '', NULL, '1M00106', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7876, '0', '', NULL, '', NULL, '1M00107', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7877, '0', '', NULL, '', NULL, '1M00107', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7878, '0', '', NULL, '', NULL, '1M00107', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7879, '0', '', NULL, '', NULL, '1M00107', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7880, '0', '', NULL, '', NULL, '1M00107', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7881, '0', '', NULL, '', NULL, '1M00107', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7882, '0', '', NULL, '', NULL, '1M00107', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7883, '0', '', NULL, '', NULL, '1M00108', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7884, '0', '', NULL, '', NULL, '1M00108', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7885, '0', '', NULL, '', NULL, '1M00108', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7886, '0', '', NULL, '', NULL, '1M00108', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7887, '0', '', NULL, '', NULL, '1M00108', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7888, '0', '', NULL, '', NULL, '1M00108', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7889, '0', '', NULL, '', NULL, '1M00108', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7890, '0', '', NULL, '', NULL, '1M00109', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7891, '0', '', NULL, '', NULL, '1M00109', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7892, '0', '', NULL, '', NULL, '1M00109', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7893, '0', '', NULL, '', NULL, '1M00109', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7894, '0', '', NULL, '', NULL, '1M00109', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7895, '0', '', NULL, '', NULL, '1M00109', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7896, '0', '', NULL, '', NULL, '1M00109', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7897, '0', '', NULL, '', NULL, '1M00110', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7898, '0', '', NULL, '', NULL, '1M00110', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7899, '0', '', NULL, '', NULL, '1M00110', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7900, '0', '', NULL, '', NULL, '1M00110', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7901, '0', '', NULL, '', NULL, '1M00110', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7902, '0', '', NULL, '', NULL, '1M00110', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7903, '0', '', NULL, '', NULL, '1M00110', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7904, '0', '', NULL, '', NULL, '1M00111', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7905, '0', '', NULL, '', NULL, '1M00111', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7906, '0', '', NULL, '', NULL, '1M00111', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7907, '0', '', NULL, '', NULL, '1M00111', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7908, '0', '', NULL, '', NULL, '1M00111', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7909, '0', '', NULL, '', NULL, '1M00111', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7910, '0', '', NULL, '', NULL, '1M00111', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7911, '0', '', NULL, '', NULL, '1M00112', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7912, '0', '', NULL, '', NULL, '1M00112', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7913, '0', '', NULL, '', NULL, '1M00112', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7914, '0', '', NULL, '', NULL, '1M00112', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7915, '0', '', NULL, '', NULL, '1M00112', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7916, '0', '', NULL, '', NULL, '1M00112', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7917, '0', '', NULL, '', NULL, '1M00112', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7918, '0', '', NULL, '', NULL, '1M00113', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7919, '0', '', NULL, '', NULL, '1M00113', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7920, '0', '', NULL, '', NULL, '1M00113', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7921, '0', '', NULL, '', NULL, '1M00113', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7922, '0', '', NULL, '', NULL, '1M00113', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7923, '0', '', NULL, '', NULL, '1M00113', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7924, '0', '', NULL, '', NULL, '1M00113', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7925, '0', '', NULL, '', NULL, '1M00114', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7926, '0', '', NULL, '', NULL, '1M00114', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7927, '0', '', NULL, '', NULL, '1M00114', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7928, '0', '', NULL, '', NULL, '1M00114', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7929, '0', '', NULL, '', NULL, '1M00114', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7930, '0', '', NULL, '', NULL, '1M00114', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7931, '0', '', NULL, '', NULL, '1M00114', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7932, '0', '', NULL, '', NULL, '1L001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7933, '0', '', NULL, '', NULL, '1L001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7934, '0', '', NULL, '', NULL, '1L001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7935, '0', '', NULL, '', NULL, '1L001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7936, '0', '', NULL, '', NULL, '1L001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7937, '0', '', NULL, '', NULL, '1L001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7938, '0', '', NULL, '', NULL, '1L001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7939, '0', '', NULL, '', NULL, '1L00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7940, '0', '', NULL, '', NULL, '1L00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7941, '0', '', NULL, '', NULL, '1L00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7942, '0', '', NULL, '', NULL, '1L00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7943, '0', '', NULL, '', NULL, '1L00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7944, '0', '', NULL, '', NULL, '1L00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7945, '0', '', NULL, '', NULL, '1L00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7946, '0', '', NULL, '', NULL, '1L00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7947, '0', '', NULL, '', NULL, '1L00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7948, '0', '', NULL, '', NULL, '1L00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7949, '0', '', NULL, '', NULL, '1L00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7950, '0', '', NULL, '', NULL, '1L00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7951, '0', '', NULL, '', NULL, '1L00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7952, '0', '', NULL, '', NULL, '1L00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7953, '0', '', NULL, '', NULL, '1L00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7954, '0', '', NULL, '', NULL, '1L00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7955, '0', '', NULL, '', NULL, '1L00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7956, '0', '', NULL, '', NULL, '1L00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7957, '0', '', NULL, '', NULL, '1L00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7958, '0', '', NULL, '', NULL, '1L00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7959, '0', '', NULL, '', NULL, '1L00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7960, '0', '', NULL, '', NULL, '1L00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7961, '0', '', NULL, '', NULL, '1L00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7962, '0', '', NULL, '', NULL, '1L00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7963, '0', '', NULL, '', NULL, '1L00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7964, '0', '', NULL, '', NULL, '1L00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7965, '0', '', NULL, '', NULL, '1L00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7966, '0', '', NULL, '', NULL, '1L00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7967, '0', '', NULL, '', NULL, '1L00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7968, '0', '', NULL, '', NULL, '1L00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7969, '0', '', NULL, '', NULL, '1L00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7970, '0', '', NULL, '', NULL, '1L00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7971, '0', '', NULL, '', NULL, '1L00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7972, '0', '', NULL, '', NULL, '1L00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7973, '0', '', NULL, '', NULL, '1L00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7974, '0', '', NULL, '', NULL, '1L00106', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7975, '0', '', NULL, '', NULL, '1L00106', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7976, '0', '', NULL, '', NULL, '1L00106', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7977, '0', '', NULL, '', NULL, '1L00106', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7978, '0', '', NULL, '', NULL, '1L00106', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7979, '0', '', NULL, '', NULL, '1L00106', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7980, '0', '', NULL, '', NULL, '1L00106', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7981, '0', '', NULL, '', NULL, '1L00107', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7982, '0', '', NULL, '', NULL, '1L00107', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7983, '0', '', NULL, '', NULL, '1L00107', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7984, '0', '', NULL, '', NULL, '1L00107', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7985, '0', '', NULL, '', NULL, '1L00107', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7986, '0', '', NULL, '', NULL, '1L00107', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7987, '0', '', NULL, '', NULL, '1L00107', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7988, '0', '', NULL, '', NULL, '1L00108', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7989, '0', '', NULL, '', NULL, '1L00108', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7990, '0', '', NULL, '', NULL, '1L00108', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7991, '0', '', NULL, '', NULL, '1L00108', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7992, '0', '', NULL, '', NULL, '1L00108', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (7993, '0', '', NULL, '', NULL, '1L00108', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (7994, '0', '', NULL, '', NULL, '1L00108', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (7995, '0', '', NULL, '', NULL, '1L00109', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (7996, '0', '', NULL, '', NULL, '1L00109', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (7997, '0', '', NULL, '', NULL, '1L00109', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (7998, '0', '', NULL, '', NULL, '1L00109', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (7999, '0', '', NULL, '', NULL, '1L00109', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8000, '0', '', NULL, '', NULL, '1L00109', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8001, '0', '', NULL, '', NULL, '1L00109', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8002, '0', '', NULL, '', NULL, '1L00110', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8003, '0', '', NULL, '', NULL, '1L00110', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8004, '0', '', NULL, '', NULL, '1L00110', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8005, '0', '', NULL, '', NULL, '1L00110', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8006, '0', '', NULL, '', NULL, '1L00110', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8007, '0', '', NULL, '', NULL, '1L00110', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8008, '0', '', NULL, '', NULL, '1L00110', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8009, '0', '', NULL, '', NULL, '1L00111', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8010, '0', '', NULL, '', NULL, '1L00111', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8011, '0', '', NULL, '', NULL, '1L00111', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8012, '0', '', NULL, '', NULL, '1L00111', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8013, '0', '', NULL, '', NULL, '1L00111', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8014, '0', '', NULL, '', NULL, '1L00111', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8015, '0', '', NULL, '', NULL, '1L00111', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8016, '0', '', NULL, '', NULL, '1L00112', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8017, '0', '', NULL, '', NULL, '1L00112', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8018, '0', '', NULL, '', NULL, '1L00112', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8019, '0', '', NULL, '', NULL, '1L00112', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8020, '0', '', NULL, '', NULL, '1L00112', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8021, '0', '', NULL, '', NULL, '1L00112', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8022, '0', '', NULL, '', NULL, '1L00112', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8023, '0', '', NULL, '', NULL, '1L00113', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8024, '0', '', NULL, '', NULL, '1L00113', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8025, '0', '', NULL, '', NULL, '1L00113', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8026, '0', '', NULL, '', NULL, '1L00113', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8027, '0', '', NULL, '', NULL, '1L00113', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8028, '0', '', NULL, '', NULL, '1L00113', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8029, '0', '', NULL, '', NULL, '1L00113', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8030, '0', '', NULL, '', NULL, '1L00114', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8031, '0', '', NULL, '', NULL, '1L00114', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8032, '0', '', NULL, '', NULL, '1L00114', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8033, '0', '', NULL, '', NULL, '1L00114', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8034, '0', '', NULL, '', NULL, '1L00114', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8035, '0', '', NULL, '', NULL, '1L00114', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8036, '0', '', NULL, '', NULL, '1L00114', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8037, '0', '', NULL, '', NULL, '1E001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8038, '0', '', NULL, '', NULL, '1E001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8039, '0', '', NULL, '', NULL, '1E001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8040, '0', '', NULL, '', NULL, '1E001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8041, '0', '', NULL, '', NULL, '1E001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8042, '0', '', NULL, '', NULL, '1E001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8043, '0', '', NULL, '', NULL, '1E001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8044, '0', '', NULL, '', NULL, '1E00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8045, '0', '', NULL, '', NULL, '1E00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8046, '0', '', NULL, '', NULL, '1E00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8047, '0', '', NULL, '', NULL, '1E00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8048, '0', '', NULL, '', NULL, '1E00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8049, '0', '', NULL, '', NULL, '1E00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8050, '0', '', NULL, '', NULL, '1E00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8051, '0', '', NULL, '', NULL, '1E00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8052, '0', '', NULL, '', NULL, '1E00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8053, '0', '', NULL, '', NULL, '1E00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8054, '0', '', NULL, '', NULL, '1E00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8055, '0', '', NULL, '', NULL, '1E00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8056, '0', '', NULL, '', NULL, '1E00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8057, '0', '', NULL, '', NULL, '1E00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8058, '0', '', NULL, '', NULL, '1E00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8059, '0', '', NULL, '', NULL, '1E00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8060, '0', '', NULL, '', NULL, '1E00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8061, '0', '', NULL, '', NULL, '1E00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8062, '0', '', NULL, '', NULL, '1E00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8063, '0', '', NULL, '', NULL, '1E00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8064, '0', '', NULL, '', NULL, '1E00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8065, '0', '', NULL, '', NULL, '1E00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8066, '0', '', NULL, '', NULL, '1E00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8067, '0', '', NULL, '', NULL, '1E00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8068, '0', '', NULL, '', NULL, '1E00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8069, '0', '', NULL, '', NULL, '1E00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8070, '0', '', NULL, '', NULL, '1E00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8071, '0', '', NULL, '', NULL, '1E00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8072, '0', '', NULL, '', NULL, '1E00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8073, '0', '', NULL, '', NULL, '1E00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8074, '0', '', NULL, '', NULL, '1E00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8075, '0', '', NULL, '', NULL, '1E00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8076, '0', '', NULL, '', NULL, '1E00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8077, '0', '', NULL, '', NULL, '1E00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8078, '0', '', NULL, '', NULL, '1E00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8079, '0', '', NULL, '', NULL, '1D001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8080, '0', '', NULL, '', NULL, '1D001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8081, '0', '', NULL, '', NULL, '1D001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8082, '0', '', NULL, '', NULL, '1D001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8083, '0', '', NULL, '', NULL, '1D001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8084, '0', '', NULL, '', NULL, '1D001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8085, '0', '', NULL, '', NULL, '1D001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8086, '0', '', NULL, '', NULL, '1D00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8087, '0', '', NULL, '', NULL, '1D00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8088, '0', '', NULL, '', NULL, '1D00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8089, '0', '', NULL, '', NULL, '1D00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8090, '0', '', NULL, '', NULL, '1D00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8091, '0', '', NULL, '', NULL, '1D00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8092, '0', '', NULL, '', NULL, '1D00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8093, '0', '', NULL, '', NULL, '1D00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8094, '0', '', NULL, '', NULL, '1D00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8095, '0', '', NULL, '', NULL, '1D00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8096, '0', '', NULL, '', NULL, '1D00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8097, '0', '', NULL, '', NULL, '1D00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8098, '0', '', NULL, '', NULL, '1D00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8099, '0', '', NULL, '', NULL, '1D00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8100, '0', '', NULL, '', NULL, '1D00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8101, '0', '', NULL, '', NULL, '1D00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8102, '0', '', NULL, '', NULL, '1D00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8103, '0', '', NULL, '', NULL, '1D00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8104, '0', '', NULL, '', NULL, '1D00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8105, '0', '', NULL, '', NULL, '1D00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8106, '0', '', NULL, '', NULL, '1D00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8107, '0', '', NULL, '', NULL, '1D00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8108, '0', '', NULL, '', NULL, '1D00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8109, '0', '', NULL, '', NULL, '1D00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8110, '0', '', NULL, '', NULL, '1D00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8111, '0', '', NULL, '', NULL, '1D00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8112, '0', '', NULL, '', NULL, '1D00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8113, '0', '', NULL, '', NULL, '1D00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8114, '0', '', NULL, '', NULL, '1D00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8115, '0', '', NULL, '', NULL, '1D00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8116, '0', '', NULL, '', NULL, '1D00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8117, '0', '', NULL, '', NULL, '1D00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8118, '0', '', NULL, '', NULL, '1D00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8119, '0', '', NULL, '', NULL, '1D00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8120, '0', '', NULL, '', NULL, '1D00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8121, '0', '', NULL, '', NULL, '1D00106', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8122, '0', '', NULL, '', NULL, '1D00106', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8123, '0', '', NULL, '', NULL, '1D00106', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8124, '0', '', NULL, '', NULL, '1D00106', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8125, '0', '', NULL, '', NULL, '1D00106', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8126, '0', '', NULL, '', NULL, '1D00106', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8127, '0', '', NULL, '', NULL, '1D00106', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8128, '0', '', NULL, '', NULL, '1D00107', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8129, '0', '', NULL, '', NULL, '1D00107', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8130, '0', '', NULL, '', NULL, '1D00107', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8131, '0', '', NULL, '', NULL, '1D00107', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8132, '0', '', NULL, '', NULL, '1D00107', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8133, '0', '', NULL, '', NULL, '1D00107', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8134, '0', '', NULL, '', NULL, '1D00107', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8135, '0', '', NULL, '', NULL, '1D00108', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8136, '0', '', NULL, '', NULL, '1D00108', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8137, '0', '', NULL, '', NULL, '1D00108', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8138, '0', '', NULL, '', NULL, '1D00108', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8139, '0', '', NULL, '', NULL, '1D00108', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8140, '0', '', NULL, '', NULL, '1D00108', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8141, '0', '', NULL, '', NULL, '1D00108', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8142, '0', '', NULL, '', NULL, '1D00109', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8143, '0', '', NULL, '', NULL, '1D00109', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8144, '0', '', NULL, '', NULL, '1D00109', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8145, '0', '', NULL, '', NULL, '1D00109', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8146, '0', '', NULL, '', NULL, '1D00109', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8147, '0', '', NULL, '', NULL, '1D00109', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8148, '0', '', NULL, '', NULL, '1D00109', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8149, '0', '', NULL, '', NULL, '1D00110', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8150, '0', '', NULL, '', NULL, '1D00110', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8151, '0', '', NULL, '', NULL, '1D00110', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8152, '0', '', NULL, '', NULL, '1D00110', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8153, '0', '', NULL, '', NULL, '1D00110', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8154, '0', '', NULL, '', NULL, '1D00110', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8155, '0', '', NULL, '', NULL, '1D00110', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8156, '0', '', NULL, '', NULL, '1D00111', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8157, '0', '', NULL, '', NULL, '1D00111', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8158, '0', '', NULL, '', NULL, '1D00111', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8159, '0', '', NULL, '', NULL, '1D00111', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8160, '0', '', NULL, '', NULL, '1D00111', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8161, '0', '', NULL, '', NULL, '1D00111', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8162, '0', '', NULL, '', NULL, '1D00111', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8163, '0', '', NULL, '', NULL, '1D00112', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8164, '0', '', NULL, '', NULL, '1D00112', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8165, '0', '', NULL, '', NULL, '1D00112', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8166, '0', '', NULL, '', NULL, '1D00112', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8167, '0', '', NULL, '', NULL, '1D00112', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8168, '0', '', NULL, '', NULL, '1D00112', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8169, '0', '', NULL, '', NULL, '1D00112', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8170, '0', '', NULL, '', NULL, '1J001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8171, '0', '', NULL, '', NULL, '1J001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8172, '0', '', NULL, '', NULL, '1J001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8173, '0', '', NULL, '', NULL, '1J001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8174, '0', '', NULL, '', NULL, '1J001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8175, '0', '', NULL, '', NULL, '1J001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8176, '0', '', NULL, '', NULL, '1J001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8177, '0', '', NULL, '', NULL, '1J00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8178, '0', '', NULL, '', NULL, '1J00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8179, '0', '', NULL, '', NULL, '1J00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8180, '0', '', NULL, '', NULL, '1J00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8181, '0', '', NULL, '', NULL, '1J00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8182, '0', '', NULL, '', NULL, '1J00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8183, '0', '', NULL, '', NULL, '1J00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8184, '0', '', NULL, '', NULL, '1J00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8185, '0', '', NULL, '', NULL, '1J00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8186, '0', '', NULL, '', NULL, '1J00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8187, '0', '', NULL, '', NULL, '1J00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8188, '0', '', NULL, '', NULL, '1J00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8189, '0', '', NULL, '', NULL, '1J00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8190, '0', '', NULL, '', NULL, '1J00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8191, '0', '', NULL, '', NULL, '1J00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8192, '0', '', NULL, '', NULL, '1J00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8193, '0', '', NULL, '', NULL, '1J00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8194, '0', '', NULL, '', NULL, '1J00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8195, '0', '', NULL, '', NULL, '1J00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8196, '0', '', NULL, '', NULL, '1J00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8197, '0', '', NULL, '', NULL, '1J00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8198, '0', '', NULL, '', NULL, '1J00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8199, '0', '', NULL, '', NULL, '1J00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8200, '0', '', NULL, '', NULL, '1J00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8201, '0', '', NULL, '', NULL, '1J00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8202, '0', '', NULL, '', NULL, '1J00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8203, '0', '', NULL, '', NULL, '1J00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8204, '0', '', NULL, '', NULL, '1J00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8205, '0', '', NULL, '', NULL, '1J00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8206, '0', '', NULL, '', NULL, '1J00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8207, '0', '', NULL, '', NULL, '1J00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8208, '0', '', NULL, '', NULL, '1J00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8209, '0', '', NULL, '', NULL, '1J00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8210, '0', '', NULL, '', NULL, '1J00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8211, '0', '', NULL, '', NULL, '1J00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8212, '0', '', NULL, '', NULL, '1K001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8213, '0', '', NULL, '', NULL, '1K001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8214, '0', '', NULL, '', NULL, '1K001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8215, '0', '', NULL, '', NULL, '1K001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8216, '0', '', NULL, '', NULL, '1K001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8217, '0', '', NULL, '', NULL, '1K001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8218, '0', '', NULL, '', NULL, '1K001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8219, '0', '', NULL, '', NULL, '1K00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8220, '0', '', NULL, '', NULL, '1K00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8221, '0', '', NULL, '', NULL, '1K00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8222, '0', '', NULL, '', NULL, '1K00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8223, '0', '', NULL, '', NULL, '1K00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8224, '0', '', NULL, '', NULL, '1K00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8225, '0', '', NULL, '', NULL, '1K00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8226, '0', '', NULL, '', NULL, '1K00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8227, '0', '', NULL, '', NULL, '1K00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8228, '0', '', NULL, '', NULL, '1K00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8229, '0', '', NULL, '', NULL, '1K00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8230, '0', '', NULL, '', NULL, '1K00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8231, '0', '', NULL, '', NULL, '1K00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8232, '0', '', NULL, '', NULL, '1K00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8233, '0', '', NULL, '', NULL, '1K00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8234, '0', '', NULL, '', NULL, '1K00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8235, '0', '', NULL, '', NULL, '1K00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8236, '0', '', NULL, '', NULL, '1K00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8237, '0', '', NULL, '', NULL, '1K00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8238, '0', '', NULL, '', NULL, '1K00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8239, '0', '', NULL, '', NULL, '1K00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8240, '0', '', NULL, '', NULL, '1K00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8241, '0', '', NULL, '', NULL, '1K00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8242, '0', '', NULL, '', NULL, '1K00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8243, '0', '', NULL, '', NULL, '1K00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8244, '0', '', NULL, '', NULL, '1K00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8245, '0', '', NULL, '', NULL, '1K00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8246, '0', '', NULL, '', NULL, '1K00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8247, '0', '', NULL, '', NULL, '1K00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8248, '0', '', NULL, '', NULL, '1K00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8249, '0', '', NULL, '', NULL, '1K00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8250, '0', '', NULL, '', NULL, '1K00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8251, '0', '', NULL, '', NULL, '1K00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8252, '0', '', NULL, '', NULL, '1K00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8253, '0', '', NULL, '', NULL, '1K00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8254, '0', '', NULL, '', NULL, '1K00106', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8255, '0', '', NULL, '', NULL, '1K00106', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8256, '0', '', NULL, '', NULL, '1K00106', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8257, '0', '', NULL, '', NULL, '1K00106', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8258, '0', '', NULL, '', NULL, '1K00106', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8259, '0', '', NULL, '', NULL, '1K00106', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8260, '0', '', NULL, '', NULL, '1K00106', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8261, '0', '', NULL, '', NULL, '1K00107', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8262, '0', '', NULL, '', NULL, '1K00107', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8263, '0', '', NULL, '', NULL, '1K00107', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8264, '0', '', NULL, '', NULL, '1K00107', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8265, '0', '', NULL, '', NULL, '1K00107', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8266, '0', '', NULL, '', NULL, '1K00107', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8267, '0', '', NULL, '', NULL, '1K00107', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8268, '0', '', NULL, '', NULL, '1K00108', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8269, '0', '', NULL, '', NULL, '1K00108', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8270, '0', '', NULL, '', NULL, '1K00108', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8271, '0', '', NULL, '', NULL, '1K00108', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8272, '0', '', NULL, '', NULL, '1K00108', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8273, '0', '', NULL, '', NULL, '1K00108', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8274, '0', '', NULL, '', NULL, '1K00108', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8275, '0', '', NULL, '', NULL, '1K00109', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8276, '0', '', NULL, '', NULL, '1K00109', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8277, '0', '', NULL, '', NULL, '1K00109', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8278, '0', '', NULL, '', NULL, '1K00109', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8279, '0', '', NULL, '', NULL, '1K00109', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8280, '0', '', NULL, '', NULL, '1K00109', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8281, '0', '', NULL, '', NULL, '1K00109', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8282, '0', '', NULL, '', NULL, '1K00110', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8283, '0', '', NULL, '', NULL, '1K00110', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8284, '0', '', NULL, '', NULL, '1K00110', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8285, '0', '', NULL, '', NULL, '1K00110', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8286, '0', '', NULL, '', NULL, '1K00110', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8287, '0', '', NULL, '', NULL, '1K00110', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8288, '0', '', NULL, '', NULL, '1K00110', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8289, '0', '', NULL, '', NULL, '1K00111', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8290, '0', '', NULL, '', NULL, '1K00111', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8291, '0', '', NULL, '', NULL, '1K00111', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8292, '0', '', NULL, '', NULL, '1K00111', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8293, '0', '', NULL, '', NULL, '1K00111', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8294, '0', '', NULL, '', NULL, '1K00111', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8295, '0', '', NULL, '', NULL, '1K00111', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8296, '0', '', NULL, '', NULL, '1H001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8297, '0', '', NULL, '', NULL, '1H001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8298, '0', '', NULL, '', NULL, '1H001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8299, '0', '', NULL, '', NULL, '1H001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8300, '0', '', NULL, '', NULL, '1H001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8301, '0', '', NULL, '', NULL, '1H001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8302, '0', '', NULL, '', NULL, '1H001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8303, '0', '', NULL, '', NULL, '1H00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8304, '0', '', NULL, '', NULL, '1H00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8305, '0', '', NULL, '', NULL, '1H00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8306, '0', '', NULL, '', NULL, '1H00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8307, '0', '', NULL, '', NULL, '1H00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8308, '0', '', NULL, '', NULL, '1H00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8309, '0', '', NULL, '', NULL, '1H00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8310, '0', '', NULL, '', NULL, '1H00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8311, '0', '', NULL, '', NULL, '1H00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8312, '0', '', NULL, '', NULL, '1H00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8313, '0', '', NULL, '', NULL, '1H00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8314, '0', '', NULL, '', NULL, '1H00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8315, '0', '', NULL, '', NULL, '1H00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8316, '0', '', NULL, '', NULL, '1H00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8317, '0', '', NULL, '', NULL, '1H00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8318, '0', '', NULL, '', NULL, '1H00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8319, '0', '', NULL, '', NULL, '1H00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8320, '0', '', NULL, '', NULL, '1H00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8321, '0', '', NULL, '', NULL, '1H00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8322, '0', '', NULL, '', NULL, '1H00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8323, '0', '', NULL, '', NULL, '1H00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8324, '0', '', NULL, '', NULL, '1H00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8325, '0', '', NULL, '', NULL, '1H00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8326, '0', '', NULL, '', NULL, '1H00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8327, '0', '', NULL, '', NULL, '1H00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8328, '0', '', NULL, '', NULL, '1H00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8329, '0', '', NULL, '', NULL, '1H00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8330, '0', '', NULL, '', NULL, '1H00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8331, '0', '', NULL, '', NULL, '1H00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8332, '0', '', NULL, '', NULL, '1H00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8333, '0', '', NULL, '', NULL, '1H00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8334, '0', '', NULL, '', NULL, '1H00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8335, '0', '', NULL, '', NULL, '1H00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8336, '0', '', NULL, '', NULL, '1H00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8337, '0', '', NULL, '', NULL, '1H00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8338, '0', '', NULL, '', NULL, '1H00106', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8339, '0', '', NULL, '', NULL, '1H00106', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8340, '0', '', NULL, '', NULL, '1H00106', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8341, '0', '', NULL, '', NULL, '1H00106', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8342, '0', '', NULL, '', NULL, '1H00106', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8343, '0', '', NULL, '', NULL, '1H00106', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8344, '0', '', NULL, '', NULL, '1H00106', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8345, '0', '', NULL, '', NULL, '1H00107', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8346, '0', '', NULL, '', NULL, '1H00107', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8347, '0', '', NULL, '', NULL, '1H00107', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8348, '0', '', NULL, '', NULL, '1H00107', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8349, '0', '', NULL, '', NULL, '1H00107', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8350, '0', '', NULL, '', NULL, '1H00107', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8351, '0', '', NULL, '', NULL, '1H00107', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8352, '0', '', NULL, '', NULL, '1H00108', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8353, '0', '', NULL, '', NULL, '1H00108', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8354, '0', '', NULL, '', NULL, '1H00108', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8355, '0', '', NULL, '', NULL, '1H00108', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8356, '0', '', NULL, '', NULL, '1H00108', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8357, '0', '', NULL, '', NULL, '1H00108', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8358, '0', '', NULL, '', NULL, '1H00108', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8359, '0', '', NULL, '', NULL, '1H00109', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8360, '0', '', NULL, '', NULL, '1H00109', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8361, '0', '', NULL, '', NULL, '1H00109', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8362, '0', '', NULL, '', NULL, '1H00109', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8363, '0', '', NULL, '', NULL, '1H00109', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8364, '0', '', NULL, '', NULL, '1H00109', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8365, '0', '', NULL, '', NULL, '1H00109', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8366, '0', '', NULL, '', NULL, '1H00110', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8367, '0', '', NULL, '', NULL, '1H00110', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8368, '0', '', NULL, '', NULL, '1H00110', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8369, '0', '', NULL, '', NULL, '1H00110', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8370, '0', '', NULL, '', NULL, '1H00110', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8371, '0', '', NULL, '', NULL, '1H00110', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8372, '0', '', NULL, '', NULL, '1H00110', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8373, '0', '', NULL, '', NULL, '1H00111', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8374, '0', '', NULL, '', NULL, '1H00111', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8375, '0', '', NULL, '', NULL, '1H00111', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8376, '0', '', NULL, '', NULL, '1H00111', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8377, '0', '', NULL, '', NULL, '1H00111', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8378, '0', '', NULL, '', NULL, '1H00111', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8379, '0', '', NULL, '', NULL, '1H00111', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8380, '0', '', NULL, '', NULL, '1H00112', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8381, '0', '', NULL, '', NULL, '1H00112', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8382, '0', '', NULL, '', NULL, '1H00112', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8383, '0', '', NULL, '', NULL, '1H00112', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8384, '0', '', NULL, '', NULL, '1H00112', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8385, '0', '', NULL, '', NULL, '1H00112', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8386, '0', '', NULL, '', NULL, '1H00112', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8387, '0', '', NULL, '', NULL, '1H00113', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8388, '0', '', NULL, '', NULL, '1H00113', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8389, '0', '', NULL, '', NULL, '1H00113', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8390, '0', '', NULL, '', NULL, '1H00113', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8391, '0', '', NULL, '', NULL, '1H00113', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8392, '0', '', NULL, '', NULL, '1H00113', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8393, '0', '', NULL, '', NULL, '1H00113', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8394, '0', '', NULL, '', NULL, '1B001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8395, '0', '', NULL, '', NULL, '1B001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8396, '0', '', NULL, '', NULL, '1B001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8397, '0', '', NULL, '', NULL, '1B001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8398, '0', '', NULL, '', NULL, '1B001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8399, '0', '', NULL, '', NULL, '1B001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8400, '0', '', NULL, '', NULL, '1B001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8401, '0', '', NULL, '', NULL, '1B00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8402, '0', '', NULL, '', NULL, '1B00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8403, '0', '', NULL, '', NULL, '1B00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8404, '0', '', NULL, '', NULL, '1B00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8405, '0', '', NULL, '', NULL, '1B00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8406, '0', '', NULL, '', NULL, '1B00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8407, '0', '', NULL, '', NULL, '1B00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8408, '0', '', NULL, '', NULL, '1B00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8409, '0', '', NULL, '', NULL, '1B00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8410, '0', '', NULL, '', NULL, '1B00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8411, '0', '', NULL, '', NULL, '1B00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8412, '0', '', NULL, '', NULL, '1B00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8413, '0', '', NULL, '', NULL, '1B00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8414, '0', '', NULL, '', NULL, '1B00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8415, '0', '', NULL, '', NULL, '1B00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8416, '0', '', NULL, '', NULL, '1B00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8417, '0', '', NULL, '', NULL, '1B00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8418, '0', '', NULL, '', NULL, '1B00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8419, '0', '', NULL, '', NULL, '1B00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8420, '0', '', NULL, '', NULL, '1B00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8421, '0', '', NULL, '', NULL, '1B00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8422, '0', '', NULL, '', NULL, '1B00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8423, '0', '', NULL, '', NULL, '1B00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8424, '0', '', NULL, '', NULL, '1B00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8425, '0', '', NULL, '', NULL, '1B00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8426, '0', '', NULL, '', NULL, '1B00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8427, '0', '', NULL, '', NULL, '1B00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8428, '0', '', NULL, '', NULL, '1B00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8429, '0', '', NULL, '', NULL, '1B00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8430, '0', '', NULL, '', NULL, '1B00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8431, '0', '', NULL, '', NULL, '1B00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8432, '0', '', NULL, '', NULL, '1B00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8433, '0', '', NULL, '', NULL, '1B00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8434, '0', '', NULL, '', NULL, '1B00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8435, '0', '', NULL, '', NULL, '1B00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8436, '0', '', NULL, '', NULL, '1B00106', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8437, '0', '', NULL, '', NULL, '1B00106', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8438, '0', '', NULL, '', NULL, '1B00106', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8439, '0', '', NULL, '', NULL, '1B00106', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8440, '0', '', NULL, '', NULL, '1B00106', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8441, '0', '', NULL, '', NULL, '1B00106', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8442, '0', '', NULL, '', NULL, '1B00106', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8443, '0', '', NULL, '', NULL, '1B00107', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8444, '0', '', NULL, '', NULL, '1B00107', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8445, '0', '', NULL, '', NULL, '1B00107', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8446, '0', '', NULL, '', NULL, '1B00107', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8447, '0', '', NULL, '', NULL, '1B00107', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8448, '0', '', NULL, '', NULL, '1B00107', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8449, '0', '', NULL, '', NULL, '1B00107', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8450, '0', '', NULL, '', NULL, '1B00108', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8451, '0', '', NULL, '', NULL, '1B00108', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8452, '0', '', NULL, '', NULL, '1B00108', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8453, '0', '', NULL, '', NULL, '1B00108', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8454, '0', '', NULL, '', NULL, '1B00108', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8455, '0', '', NULL, '', NULL, '1B00108', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8456, '0', '', NULL, '', NULL, '1B00108', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8457, '0', '', NULL, '', NULL, '1B00109', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8458, '0', '', NULL, '', NULL, '1B00109', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8459, '0', '', NULL, '', NULL, '1B00109', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8460, '0', '', NULL, '', NULL, '1B00109', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8461, '0', '', NULL, '', NULL, '1B00109', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8462, '0', '', NULL, '', NULL, '1B00109', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8463, '0', '', NULL, '', NULL, '1B00109', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8464, '0', '', NULL, '', NULL, '1F001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8465, '0', '', NULL, '', NULL, '1F001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8466, '0', '', NULL, '', NULL, '1F001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8467, '0', '', NULL, '', NULL, '1F001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8468, '0', '', NULL, '', NULL, '1F001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8469, '0', '', NULL, '', NULL, '1F001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8470, '0', '', NULL, '', NULL, '1F001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8471, '0', '', NULL, '', NULL, '1F00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8472, '0', '', NULL, '', NULL, '1F00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8473, '0', '', NULL, '', NULL, '1F00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8474, '0', '', NULL, '', NULL, '1F00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8475, '0', '', NULL, '', NULL, '1F00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8476, '0', '', NULL, '', NULL, '1F00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8477, '0', '', NULL, '', NULL, '1F00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8478, '0', '', NULL, '', NULL, '1F00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8479, '0', '', NULL, '', NULL, '1F00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8480, '0', '', NULL, '', NULL, '1F00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8481, '0', '', NULL, '', NULL, '1F00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8482, '0', '', NULL, '', NULL, '1F00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8483, '0', '', NULL, '', NULL, '1F00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8484, '0', '', NULL, '', NULL, '1F00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8485, '0', '', NULL, '', NULL, '1F00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8486, '0', '', NULL, '', NULL, '1F00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8487, '0', '', NULL, '', NULL, '1F00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8488, '0', '', NULL, '', NULL, '1F00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8489, '0', '', NULL, '', NULL, '1F00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8490, '0', '', NULL, '', NULL, '1F00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8491, '0', '', NULL, '', NULL, '1F00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8492, '0', '', NULL, '', NULL, '1F00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8493, '0', '', NULL, '', NULL, '1F00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8494, '0', '', NULL, '', NULL, '1F00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8495, '0', '', NULL, '', NULL, '1F00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8496, '0', '', NULL, '', NULL, '1F00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8497, '0', '', NULL, '', NULL, '1F00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8498, '0', '', NULL, '', NULL, '1F00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8499, '0', '', NULL, '', NULL, '1F00105', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8500, '0', '', NULL, '', NULL, '1F00105', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8501, '0', '', NULL, '', NULL, '1F00105', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8502, '0', '', NULL, '', NULL, '1F00105', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8503, '0', '', NULL, '', NULL, '1F00105', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8504, '0', '', NULL, '', NULL, '1F00105', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8505, '0', '', NULL, '', NULL, '1F00105', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8506, '0', '', NULL, '', NULL, '1F00106', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8507, '0', '', NULL, '', NULL, '1F00106', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8508, '0', '', NULL, '', NULL, '1F00106', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8509, '0', '', NULL, '', NULL, '1F00106', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8510, '0', '', NULL, '', NULL, '1F00106', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8511, '0', '', NULL, '', NULL, '1F00106', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8512, '0', '', NULL, '', NULL, '1F00106', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8513, '0', '', NULL, '', NULL, '1C001', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8514, '0', '', NULL, '', NULL, '1C001', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8515, '0', '', NULL, '', NULL, '1C001', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8516, '0', '', NULL, '', NULL, '1C001', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8517, '0', '', NULL, '', NULL, '1C001', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8518, '0', '', NULL, '', NULL, '1C001', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8519, '0', '', NULL, '', NULL, '1C001', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8520, '0', '', NULL, '', NULL, '1C00101', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8521, '0', '', NULL, '', NULL, '1C00101', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8522, '0', '', NULL, '', NULL, '1C00101', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8523, '0', '', NULL, '', NULL, '1C00101', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8524, '0', '', NULL, '', NULL, '1C00101', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8525, '0', '', NULL, '', NULL, '1C00101', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8526, '0', '', NULL, '', NULL, '1C00101', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8527, '0', '', NULL, '', NULL, '1C00102', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8528, '0', '', NULL, '', NULL, '1C00102', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8529, '0', '', NULL, '', NULL, '1C00102', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8530, '0', '', NULL, '', NULL, '1C00102', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8531, '0', '', NULL, '', NULL, '1C00102', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8532, '0', '', NULL, '', NULL, '1C00102', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8533, '0', '', NULL, '', NULL, '1C00102', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8534, '0', '', NULL, '', NULL, '1C00103', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8535, '0', '', NULL, '', NULL, '1C00103', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8536, '0', '', NULL, '', NULL, '1C00103', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8537, '0', '', NULL, '', NULL, '1C00103', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8538, '0', '', NULL, '', NULL, '1C00103', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8539, '0', '', NULL, '', NULL, '1C00103', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8540, '0', '', NULL, '', NULL, '1C00103', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8541, '0', '', NULL, '', NULL, '1C00104', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8542, '0', '', NULL, '', NULL, '1C00104', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8543, '0', '', NULL, '', NULL, '1C00104', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8544, '0', '', NULL, '', NULL, '1C00104', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8545, '0', '', NULL, '', NULL, '1C00104', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8546, '0', '', NULL, '', NULL, '1C00104', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8547, '0', '', NULL, '', NULL, '1C00104', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8548, '0', '', NULL, '', NULL, '1A004', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8549, '0', '', NULL, '', NULL, '1A004', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8550, '0', '', NULL, '', NULL, '1A004', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8551, '0', '', NULL, '', NULL, '1A004', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8552, '0', '', NULL, '', NULL, '1A004', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8553, '0', '', NULL, '', NULL, '1A004', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8554, '0', '', NULL, '', NULL, '1A004', 260, 100, 88, 99, 40, 7);
INSERT INTO `large_plat_employee_type_flow` VALUES (8555, '0', '', NULL, '', NULL, '1A005', 300, 100, 88, 88, 200, 1);
INSERT INTO `large_plat_employee_type_flow` VALUES (8556, '0', '', NULL, '', NULL, '1A005', 300, 100, 93, 88, 230, 2);
INSERT INTO `large_plat_employee_type_flow` VALUES (8557, '0', '', NULL, '', NULL, '1A005', 300, 100, 55, 99, 240, 3);
INSERT INTO `large_plat_employee_type_flow` VALUES (8558, '0', '', NULL, '', NULL, '1A005', 280, 100, 55, 57, 340, 4);
INSERT INTO `large_plat_employee_type_flow` VALUES (8559, '0', '', NULL, '', NULL, '1A005', 300, 66, 88, 66, 180, 5);
INSERT INTO `large_plat_employee_type_flow` VALUES (8560, '0', '', NULL, '', NULL, '1A005', 220, 100, 66, 88, 20, 6);
INSERT INTO `large_plat_employee_type_flow` VALUES (8561, '0', '', NULL, '', NULL, '1A005', 260, 100, 88, 99, 40, 7);

-- ----------------------------
-- Table structure for large_plat_green_foods
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_green_foods`;
CREATE TABLE `large_plat_green_foods`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `app_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区名称',
  `food_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '菜品信息',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜谱数据' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_green_foods
-- ----------------------------
INSERT INTO `large_plat_green_foods` VALUES (1, '0', '', NULL, '', NULL, '10001', '省公司近一周菜谱', '{\"1\":[{\"name\":\"酱肉包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"葱花烙饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"杂酱\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒块垒\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"手擀面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"馄饨\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"炒河粉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蒸绿南瓜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒茄丁\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"大葱烧豆腐\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小炒茴子白\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆角小炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"红烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白灼生菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"干锅腊肉土豆片\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"小花卷过油肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"木耳娃娃菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"干炸小黄鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"鸿运大排\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"手撕包菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"尖椒香干\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"木耳小白菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"老虎菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西红柿鸡蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"酱肉包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆沙包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油糕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"肉丝土豆丝炒粉条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"手撕包菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"腐竹烧油菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"干锅虾\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"干豆角焖红烧肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"排骨烩菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白灼生菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"养生长山药\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"绿豆汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"糖醋黄瓜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"拌胡芹\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"拌猪头肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"洋葱拌木耳\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"沙拉大拌菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"酱肉包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"麻酱花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烙饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"南瓜小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"美龄粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"热干面\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"油糕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒土豆鱼鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"兰州牛肉面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"宫爆虾仁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"酱肉包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小葱花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烙饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"南瓜小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"美龄粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鸡汤馄饨\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"油糕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"湘味炒饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"菠菜手擀面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西葫芦炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"手撕包菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西芹香干\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"酱香大骨头\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"宫爆虾仁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"小花卷过油肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白灼生菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"红烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"农家一碗香\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"麻油土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"姜汁皮蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"天妇罗鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"红油拉皮\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"胡芹花生米\",\"weekName\":\"1\",\"type\":\"2\"}],\"2\":[{\"name\":\"莲菜小炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"素包子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"糖三角\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"白菜包子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"木耳西葫芦\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"茴子白炒粉条\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"热干面\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆豉油麦菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酱烧鱼块\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"红烧肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"毛血旺\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"清炒双花\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"海米冬瓜片\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"洋葱木耳\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"腊味有机菜花\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"大葱烧豆腐\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆豉油麦菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"皮冻\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炝拌双花\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"四宝菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"油饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"油酥饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"拌三丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"烧椒皮蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"皮冻\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"芝麻海带丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"胡芹花生米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆片炒肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"尖椒西红炒香干\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"葱烧豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"家常炒胡芹\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果虾仁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"大盘鸡\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"黄豆嘴肉丝炒粉条\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"酱烧冬瓜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"麻油土豆小白菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"外婆菜毛豆炒鸡蛋\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"白菜豆腐汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"白菜肉包\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"枣馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"发糕\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"土豆烙饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"山药小米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"黑米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"丸子汤方便面\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"烤南瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"烧麦\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"萝卜丝不烂子\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"刀拨面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"莲菜肉包\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"枣馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"发糕\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"油糕\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"山药小米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"拌汤\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"蒸南瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"馅儿饼\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"烤红薯\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"刀拨面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆片炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"大葱烧豆腐\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炒合菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"谭家烩菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"毛血旺\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"五彩鸡片\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆豉油麦菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"烧双菇\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"木耳小白菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"绿豆汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"家常拌莲菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"香椿苗拌腐竹\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"皮冻\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"干煸豆角\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炝拌双花\",\"weekName\":\"2\",\"type\":\"2\"}],\"3\":[{\"name\":\"辣炒白菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"烧三丁\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蔬菜粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒大米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"揪片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆浆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"发糕\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿炖豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"干锅炖豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香辣虾\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"浇汁生菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆角小炒肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"小馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"白菜包子\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"煮泡面\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"生炒菜花\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"谭家烩菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"葱花烙饼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆炖牛肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆角炒肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"木耳西葫芦\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"干炸带鱼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"尖椒炒鸡蛋\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"胡芹花生米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"花卷\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒块垒\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒸芋头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒸玉米\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"家常拌莲菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"黄豆菜心\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蛋卷\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"河东三丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"老虎菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西葫芦炒鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"肉炒大白菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒合菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"西芹炒木耳\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"五花肉烩菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水煮牛肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"肉松龙利鱼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"肉沫烧茄子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿炖豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"口蘑西葫芦\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"银耳雪梨汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"萝卜肉包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"油饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"杂粮馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"酱香饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"南瓜黄豆小米粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"和子饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒸南瓜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"馅儿饼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"河捞面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"萝卜肉包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"烤甜饼子\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"杂粮馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"酱香饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"南瓜黄豆小米粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"海鲜粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"和子饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"芹菜木耳拌香干\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"糖醋黄瓜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"烤南瓜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"小香酸炒小米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"饺子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆角炒肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"腊味菜花\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"家常茄丁\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"金鼓鱼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"梅菜蒸肘子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆泡小炒肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆芽炒灌肠\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"木耳菜心\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蜜汁长山药\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"银耳雪梨汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"红油耳丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"沙拉大拌菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"洋葱木耳\",\"weekName\":\"3\",\"type\":\"2\"}],\"4\":[{\"name\":\"白菜包子\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"韭菜虾皮饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黑米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"剔尖\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"肉卷\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆沙包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"炒小米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒸芋头\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西红柿卤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"粉丝娃娃菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"木耳长山药\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"豆豉油麦菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西芹虾仁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"一顿乱炒\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"土豆炖牛肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"炝拌水萝卜丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小葱拌豆腐\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒜薹木耳炒肉丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"红烧茄子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西芹木耳南瓜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"白菜豆腐汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蛋卷\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"黄瓜素鸡\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"菜心黄豆\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"油酥饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"糖三角\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"玉米鲜肉包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"槐花肉包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"酱香饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"白菜拌香干\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"爽口苦菊\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烧鸡\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"拌莜面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蘸酱菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"酸辣莲菜丁\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆角肉丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"清炒西葫芦\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蛋清莴笋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"青瓜芙蓉虾仁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"鸡叉骨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"冬瓜炖肘子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"生炒有机菜花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"苦瓜炒蛋\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"木耳菜心\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"麻麻花土豆小白菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"豆角肉包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"糖三角\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋烙饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花生小米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"红薯玉米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"胡辣汤\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"素包子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"剔尖\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西葫芦肉包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"糖三角\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋烙饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花生小米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"红薯玉米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡块河粉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"爽口苦菊\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"凉拌素鸡\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"素包子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"剔尖\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西红柿烧排骨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"油焖大虾\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"洋葱香芹炒肉丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"鲜蘑过油肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"木耳油菜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"萝卜丝炒鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黄豆酱烧冬瓜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒜苗凉粉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"香锅娃娃菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"养生豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烂糊白菜汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"寿阳猪头肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"拌海带丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"杏仁田七\",\"weekName\":\"4\",\"type\":\"2\"}],\"5\":[{\"name\":\"小馒头\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"玉米贴饼子\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"菜包子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炒莜面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒸绿南瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"手擀面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"花呷豆腐汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香干回锅肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炝锅腐竹\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香菇西葫芦\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西芹香干\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"莲菜小炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"莲菜小炒肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"土豆丝肉丝卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"白菜包子\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"丸子汤\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"香辣虾\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"茴子白炒粉条\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小白菜炒腐竹\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"冬瓜排骨汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"捞汁西葫芦\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"香椿苗拌腐竹\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"盐水鸭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烧茄子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"黄瓜拌小水萝卜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"醋溜土豆丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"三丁炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西红柿炒茄丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"白灼大虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香辣肥牛\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"锅巴肉片\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烧茄子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"干煸四季豆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香菇油菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"茄子肉包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"发面饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"南瓜小米粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蔬菜粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"老豆腐\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"抿尖\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炒馒头\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"刀削面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香菇豆皮包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"发面饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"南瓜小米粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蔬菜粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"老豆腐\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"抿尖\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"红面蒸饺\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"刀削面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西芹炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"腐竹小白菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西红柿土豆片\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"家常茄丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小酥肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香辣牛骨\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鸡蛋西蓝花木耳\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"酸辣藕条\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒜蓉菊花菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"沙棘汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炝拌水萝卜丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"香椿苗拌黑豆腐丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"口水鸡\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"黄瓜水萝卜拌桃仁\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"酸汁白菜\",\"weekName\":\"5\",\"type\":\"2\"}],\"6\":[],\"7\":[{\"name\":\"苹果\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"橘子\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"香蕉\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"尖椒土豆片\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"小炒茴子白\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"酱肉包\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"馅饼\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"油饼\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"黑米粥\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"炸枣糕\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"炒不烂子\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"手擀面\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"土豆丝肉丝卤\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"花生炖肘子\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"豆角小炒肉\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"清炒菊花菜\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"大葱烧豆腐\",\"weekName\":\"0\",\"type\":\"2\"}]}');
INSERT INTO `large_plat_green_foods` VALUES (2, '0', '', NULL, '', NULL, '1D001', '长治市近一周菜谱', '{\"1\":[],\"2\":[],\"3\":[],\"4\":[],\"5\":[],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods` VALUES (3, '0', '', NULL, '', NULL, '1K003', '近一周菜谱', '{\"1\":[{\"name\":\"豆芽炒粉条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"黄瓜拌鸡蛋干\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"煎枣糕\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"凉拌莜面\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"素炒西葫芦\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白菜粉条肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"耗油双菇\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"辣炒花蛤\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"清炖羊排\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"山药炖肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"辣呛莴笋\",\"weekName\":\"1\",\"type\":\"3\"}],\"2\":[{\"name\":\"茄子烧豆角\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"素炒西兰花\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"蒜台葱头炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"娃娃菜拌云丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"大葱拌头肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"芥蓝桃仁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"清炒菜心\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒜香鸡中翅\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"莜面鱼鱼拌土豆丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"白萝卜炖牛肉\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"干锅菜花\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"尖椒炒腐竹\",\"weekName\":\"2\",\"type\":\"3\"}],\"3\":[{\"name\":\"山西过油肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"土豆焖排骨\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"大蒜烧豆角\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋炒擦擦\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"麻辣豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香酥鸡米花\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"椒叶油饼\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"韭菜炒胡萝卜丝\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"捞汁莜面\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"清炒荷兰豆\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"葱头炒肉片\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"大丰收\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"汾阳小酥肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"红烧肉焖土豆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"辣炒土豆片\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"葱头蒜台炒肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"葱油水萝卜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"鸡蛋炒莜面鱼鱼\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"主食（馒头、包子）\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"芹菜花生\",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"西葫芦炒杂菌\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"酱香排骨\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"麻辣豆腐串串\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒜汁胡萝卜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"莴笋木耳\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香菇西葫芦\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"红烧肉片\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"酱油豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"老虎菜拌花生\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"牛肉饼\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"小白菜炒腐竹\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"油糊茄子\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[{\"name\":\"芥蓝桃仁\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"老虎菜\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"凉拌小黄瓜\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"清炒菜心\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"蒜香鸡中翅\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"干锅菜花\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"椒盐大虾\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"珊瑚蒸鲈鱼\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"土豆焖翅根\",\"weekName\":\"6\",\"type\":\"3\"}],\"7\":[]}');
INSERT INTO `large_plat_green_foods` VALUES (4, '0', '', NULL, '', NULL, '1J001', '吕梁市近一周菜谱', '{\"1\":[{\"name\":\"豆芽炒粉条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"黄瓜拌鸡蛋干\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"煎枣糕\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"凉拌莜面\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"素炒西葫芦\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"白菜粉条肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"耗油双菇\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"辣炒花蛤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"清炖羊排\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"山药炖肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"辣呛莴笋\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"茄子烧豆角\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"素炒西兰花\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"蒜台葱头炒肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"娃娃菜拌云丝\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"白菜粉条炒肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"蒜茸生菜\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"黑椒西葫芦\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"芽子炒莜面 \",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"辣炒菜花\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"辣炒菜花\",\"weekName\":\"1\",\"type\":\"1\"}],\"2\":[{\"name\":\"大葱拌头肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"芥蓝桃仁\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"清炒菜心\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"蒜香鸡中翅\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"莜面鱼鱼拌土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"白萝卜炖牛肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"干锅菜花\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"尖椒炒腐竹\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"山西过油肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆焖排骨\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"大蒜烧豆角\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"鸡蛋炒擦擦\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"麻辣豆腐\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"香酥鸡米花\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"小白菜炖豆腐\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"蒜薹炒肉\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"土豆片\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"鸡蛋炒栲栳\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"白菜粉条炒肉\",\"weekName\":\"2\",\"type\":\"2\"}],\"3\":[{\"name\":\"椒叶油饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"韭菜炒胡萝卜丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"捞汁莜面\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"清炒荷兰豆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"香芹肉丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"葱头炒肉片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"大丰收\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"汾阳小酥肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"红烧肉焖土豆\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"辣炒土豆片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"葱头蒜台炒肉\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"葱油水萝卜\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"鸡蛋炒莜面鱼鱼\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"主食（馒头、包子）\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"西红柿手握握\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"辣炒菜花\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"白菜炒肉\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"蒜茸生菜\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"黑椒西葫芦\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"芹菜花生\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"西葫芦炒杂菌\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"西兰花炒菜花\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"咸菜四样\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"冬瓜炖牛肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"虎皮凤爪\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"酱香排骨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"麻辣豆腐串串\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒜汁胡萝卜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"莴笋木耳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"香菇西葫芦\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"红烧肉片\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"酱油豆腐\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"老虎菜拌花生\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"牛肉饼\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"小白菜炒腐竹\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"油糊茄子\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"老干妈炒恶\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"汾阳茴子白\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"西葫芦炒鸡蛋 \",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"芥蓝桃仁\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"老虎菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌小黄瓜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"清炒菜心\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒜香鸡中翅\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"干锅菜花\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"椒盐大虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"珊瑚蒸鲈鱼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"土豆焖翅根\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香芹黄豆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"葱头蒜台炒肉\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"鸡蛋炒莜面鱼鱼\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"芥味螺头\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"双色腐竹\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"合楞子\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"辣炒小白菜\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"黄豆芽炒肉\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"大蒜烧豆角\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods` VALUES (5, '0', '', NULL, '', NULL, '1E001', '晋城市近一周菜谱', '{\"1\":[{\"name\":\"牛肉盖饭\",\"weekName\":\"1\",\"type\":\"2\"}],\"2\":[],\"3\":[],\"4\":[],\"5\":[],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods` VALUES (6, '0', '', NULL, '', NULL, '1J003', '岚县近一周菜谱', '{\"1\":[{\"name\":\"蒜肠\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"胡萝卜丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"发面饼子\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"土豆牛肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烩菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蛋卷茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西芹花生\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"稀饭\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"包子\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"炒豆腐\",\"weekName\":\"1\",\"type\":\"3\"}],\"2\":[{\"name\":\"稀饭\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"馅饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"卜烂子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炒土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"肘花肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"宫保鸡丁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆角木耳莲菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"馅饼\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"粉条白菜\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"稀饭\",\"weekName\":\"2\",\"type\":\"3\"}],\"3\":[{\"name\":\"馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒土豆丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"油茶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鱼块\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"猪头肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"青椒肉丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香菇油菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆干\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"包子\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"炒豆腐\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"凉拌豆干\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"油茶\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"油条\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"炒土豆丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烩菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"豆鼓油麦菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西蓝花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"油堆堆\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"炒土豆丝\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"稀饭\",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"馅饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炒土豆丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"木须肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"午餐肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"青椒豆干\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"粉丝生菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"包子\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods` VALUES (7, '0', '', NULL, '', NULL, '1K002', '近一周菜谱', '{\"1\":[{\"name\":\"凉拌土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"松花蛋拌豆腐\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"海带丝绿豆芽\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鲮鱼油麦菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"炒豆角\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"猪肉大葱包子\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"凉拌耳丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"尖椒豆腐皮\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西芹花生米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"芝麻海带丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"酥梨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"过油肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"清炒西兰花\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"青椒鸡丁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"土豆红烧肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"木耳长山药\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"甩袖蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"八宝甜油茶\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"韭菜鸡蛋饺子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"茄子浇面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"大米饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"豆沙包\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"玉米红枣发糕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"熏肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"蛋卷\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"洋葱木耳\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"香菜金针菇\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"茄子烧豆角\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"大米粥\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"小米红枣粥\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"扬州炒饭\",\"weekName\":\"1\",\"type\":\"3\"}],\"2\":[{\"name\":\"黄瓜丝拌米线\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"胡芹花生米\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"煮五香鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"韭花炖豆腐\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"酸菜肉陷包子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"葱花饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"绿豆汤\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"猪头肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"凉粉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"凉拌葱花菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"胡芹黄豆\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"香蕉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"回锅肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炒黄瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒜蓉粉丝娃娃菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酸菜炒羊血\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"玉米糊\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"南瓜汁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"杂酱面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炒馒头\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿炒面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酸汤混沌\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酸辣牛排\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"青椒炒洋葱\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"小米椒炒凉粉\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"清炒芦笋\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"小米粥\",\"weekName\":\"2\",\"type\":\"3\"}],\"3\":[{\"name\":\"凉拌绿豆芽\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"水蒸蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒜泥黄瓜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"五香茶叶蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"香菇油菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"家常豆腐\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒜蓉油麦菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒸山药\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"凉拌腐竹\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"小茴香拌豆筋\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"五香猪蹄\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"苹果\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"青椒杏鲍菇\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"清炒油菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒜带过油肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"玉米萝卜汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"青椒炒葱头\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"炒饼丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"饺子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"莜面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香菇肉丝刀削面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"小花卷\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"醪糟汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"凉拌菠菜\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"清炒扁豆\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"秋葵炒木耳\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"青椒炒肉\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"小米红枣粥\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"杂粮馒头\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"玉米发糕\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"白水煮鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"芝麻豆角\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小米椒炒莲菜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"肉炒黄豆芽\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"虾酱豆腐\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"地皮菜素包子\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"大米红枣粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"卤猪手\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"洋葱木耳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"大帮菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"红提\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"红烧排骨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"干锅有机菜花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒜泥西兰花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"毛血旺\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"狼牙土豆条\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"山药玉米汁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"脂油饼\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"热干面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"羊肉饺子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒜泥皮冻\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"凉拌紫甘蓝\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"麻麻花拌碗秃\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"火腿炒香干\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"尖椒肉丝\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"溜肥肠\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"鸡蛋西红柿汤面\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"黑米粥\",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"凉拌生菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"香菜长寿菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"茄子烧豆角\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"白菜炒豆筋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"肉夹馍\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"韭菜鸡蛋包子\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"黑米粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"红糖发糕\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小葱拌豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"油炸花生米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒜蓉豆角\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"红烧肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"沙糖桔\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"排骨炖土豆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大盘鸡\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"糖醋白菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"麻辣烫\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"尖椒肉丝\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大米粥\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大葱油饼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"猪肉饺子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"杂粮馒头\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"豆角焖面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"洋葱拌杏仁\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"苦瓜炒鸡蛋\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"青椒炒豆腐干\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"黄豆大米粥\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"鸡肉卷\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"杂粮馒头\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"蒸米饭\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[{\"name\":\"咸鸭蛋\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"鸡汁香干\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"腊八蒜杏鲍菇\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"尖椒炒香干\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"木耳长山药\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"手抓饼\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"胡辣汤\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"西芹拌木耳\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"土豆丝粉条\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"凉拌粉皮\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"飘香鸡脆骨\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"水煮肉片\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"红烧带鱼\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"鲮鱼油麦菜\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"沙棘果味汤\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"紫菜蛋花汤\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"炒饼丝\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"番茄炒莜面卷\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"肉丝炒面\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"芹菜猪肉饺子\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"自治肉蛋卷\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"香菇西葫芦\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"炒拔烂子\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"绿豆粥\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"黑米馒头\",\"weekName\":\"6\",\"type\":\"3\"}],\"7\":[{\"name\":\"白水鸡蛋\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"凉拌苦菊\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"海米炒冬瓜\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"辣椒炒肉丝\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"蛋炒饭\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"凉拌黄豆芽\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"五香鸡蛋干\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"凉拌莴笋\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"干炸红薯条\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"孜然肉片\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"红烧鱼\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"烩菜\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"西芹拌木耳\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"紫菜鸡蛋汤\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"烤干馍\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"小米粥\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"素包子\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"鸡蛋拌汤\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"凉拌菠菜杏仁\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"卤水鸡胗\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"清炒冬瓜\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"红枣黑米粥\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"杂粮粥\",\"weekName\":\"0\",\"type\":\"3\"}]}');
INSERT INTO `large_plat_green_foods` VALUES (8, '0', '', NULL, '', NULL, '1J002', '交城县近一周菜谱', '{\"1\":[{\"name\":\"凉拌绿豆芽\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"五香花生米\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"午餐肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"青椒炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"拌汤\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒸南瓜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"猪头肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"长山药拌莴笋\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"杏仁菠菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"凉拌莲藕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"排骨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"豆角烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"葱爆肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"香菇油菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"山蘑菇炖土鸡\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"刀削面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"玉米粳汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蒜肠\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"凉拌西蓝花\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"西葫芦炒肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"茴子白炒粉皮\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"海米冬瓜\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"南瓜粥\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"蛋汤\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"包子\",\"weekName\":\"1\",\"type\":\"3\"}],\"2\":[{\"name\":\"火腿\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"黄豆芽细粉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"拌三丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"过油肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"韭菜香干\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"辣子白\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"丸子汤\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"烙饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"压头肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"拌莜面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"荷兰豆拌海鲜菇\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"凉拌苦瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"红烧肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"羊排\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"新疆爆肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"大烩菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆豉鱼油麦菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"手擀面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"紫菜蛋汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"黄瓜拌猪耳\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"凉拌海带丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"凉拌豆角\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"肉沫茄子\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"豆角炒肉\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"黑米粥\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"片汤\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"花卷\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"炒不烂子\",\"weekName\":\"2\",\"type\":\"3\"}],\"3\":[{\"name\":\"熏肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"葱头木耳\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"黄瓜拌腐竹\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"木须肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒜苗炒蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒菜花\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"粉汤\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"油糕\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"肘子肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"凉拌金针菇\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"粉丝娃娃菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"酸辣蕨根粉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆牛肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"油焖大虾\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水煮肉片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"熬年菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒜蓉菠菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"羊杂\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"包子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"三鲜汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香肠\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"拌茴子白\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"拌香干\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"西辣豆腐\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"蒜苗炒肉\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"炝锅腐竹\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"绿豆稀饭\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"炒大米\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"馅饼\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"西芹拌黄豆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拍黄瓜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"凉拌猪耳\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"杏鲍菇炒肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"西芹木耳\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"炒腊肠\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"夹肉饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"汤面\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拌牛肚\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"小葱拌豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"凉拌粉丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西芹腰果\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"梅菜扣肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"辣子鸡丁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蚝油生菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"莜面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"抿尖\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"鳕鱼豆腐汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"火腿肠\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"凉拌面藕\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"凉拌豆角\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"干锅菜花\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"宫爆鸡丁\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"小米粥\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"扬州炒饭\",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"蒜蓉香肠\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"绿豆芽拌黄瓜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西芹腐竹\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西芹炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"土豆片炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炒青菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"馄饨\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"手抓饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西芹虾仁\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"老醋花生米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"心灵美拌黄瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"油炸鸡腿\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"土豆炖牛腩\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"黄瓜炒鸡蛋\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"家常豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"绿豆汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"洋葱木耳\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"绿豆芽\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"炒莜面\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"红烧茄子\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"豆角炒肉\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"拌汤\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods` VALUES (9, '0', '', NULL, '', NULL, '1K001', '晋中市近一周菜谱', '{\"1\":[{\"name\":\"海带丝绿豆芽\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烙饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"干炸带鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"清炒西兰花\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西芹花生米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"过油肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"豆角烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"1\",\"type\":\"2\"}],\"2\":[{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"韭菜鸡蛋包子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"拌海带丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"家常豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"小炒肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"宫保鸡丁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"桃花面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"小葱拌豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"拍黄瓜\",\"weekName\":\"2\",\"type\":\"2\"}],\"3\":[{\"name\":\"煮鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"凉拌豆皮\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"过油肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆烧牛肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"炒豆角\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"猪肉大葱水饺\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"炒蘑菇\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"凉拌皮蛋\",\"weekName\":\"3\",\"type\":\"2\"}],\"4\":[{\"name\":\"丸子汤\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"水煎包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拍黄瓜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋火腿炒饭\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"干锅土豆片\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"尖椒肉丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"卤鸡腿\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"家常茄子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"炸酱面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"凉拌木耳\",\"weekName\":\"4\",\"type\":\"2\"}],\"5\":[{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"馄饨\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小笼包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"海带丝绿豆芽\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炒不烂子\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"米饭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"拍黄瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"卤鸡腿\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"家常豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"凉拌豆腐皮\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"地三鲜\",\"weekName\":\"5\",\"type\":\"2\"}],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods` VALUES (10, '0', '', NULL, '', NULL, '1A001', '营销服务中心近一周菜谱', '{\"1\":[{\"name\":\"拌三丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"担担面\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"炒菠菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒灌肠\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"茴子白炒粉皮\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"春卷\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"茄子卤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"糙米饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒大米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"馒头片\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"羊汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"青椒炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"麻辣豆腐\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"家常土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒜茸菠菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白灼虾\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"宫保鸡丁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"土豆炖排骨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蒜茸双色花\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炝锅腐竹嫩豆腐\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"香辣栲栳栳\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"水煮油麦菜海鲜菇\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"紫菜蛋花汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"拍黄瓜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"尖椒榨菜花生米\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"辣子白\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"猪头肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"拉皮\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"发糕\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"炒饭\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蔬菜粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"大米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"河捞\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"馒头\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"南瓜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"莜面条\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"醋卤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"肉打卤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西葫芦炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"家常土豆片\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"辣子白\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒜茸油麦菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"土豆炖牛肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"香辣锅巴大虾\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"青椒肉丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"苜蓿肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"菠菜炖豆腐粉条\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"水煮小白菜木耳金针菇\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"土豆片栲栳栳\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"红烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"捞汁豆腐\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"素拌羊肚丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"麻辣翅尖\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"拌三丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"打卤灌肠\",\"weekName\":\"1\",\"type\":\"2\"}],\"2\":[{\"name\":\"豆腐皮豆芽\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆芽豆腐干\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"地三鲜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"粉丝娃娃菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"韭香豆皮\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"辣炒藕丁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果醪糟汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋酱\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炒二米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"胡萝卜河捞\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西葫芦炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"清炒生菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"辣炒双丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小葱豆腐\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"拌心里美\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"皮蛋火腿\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆腐丝\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蔬菜沙拉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"麻生卷\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"糊塌塌\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炒拨烂\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炸馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"红豆粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"方便面\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"大米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"红薯\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"发面饼\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆面条\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"茄子卤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"臊子卤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"茴香苗片片鱼\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"香酥鸡米花\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆炖去骨肘子\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"香酥茄盒\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"韭菜炒鸭血\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"小白菜炖豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酸菜黄豆芽炒粉条\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水煮西芹木耳腐竹\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果醪糟汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"青椒炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"酸辣土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"蒜茸双色花\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"西红柿茄丁\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"酸菜鱼片\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆肉勾鸡\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"咕咾肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"梅菜扣肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水煮香菇油菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"白菜炖豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"香煎灌肠\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒜醋凉粉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"红枣南瓜汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"孜然香干\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炝拌茴子白\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"皮冻\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炸串串\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"葫芹花生米\",\"weekName\":\"2\",\"type\":\"2\"}],\"3\":[{\"name\":\"海带结\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"葫芹豆豆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"老醋茄子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"青椒炒肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"清炒生菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"糖溜红薯\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿蛋汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"黄金饼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"揪片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆芽炒肉丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"木耳油菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"辣子白\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"西红柿炖豆腐\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"黄瓜灌肠\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炝拌紫甘蓝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"泡椒凤爪\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"葫芹豆豆\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"拌面皮\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"油条\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒饼丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"葱油饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"和子饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"老豆腐\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"玉米面糊\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"大米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"河捞\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"馒头\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒸萝卜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"桃花面卤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆酸菜卤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"大烩菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香酥鸡腿\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"红烧鱼块\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"冬瓜肉片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"老醋茄子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香芹白香干\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"过桥豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水煮生菜蟹柳杏鲍菇\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"酸菜豆腐汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"葫芹炒肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"麻辣豆腐\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"木耳油菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"大烩菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆豉鸡腿\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"剁椒鱼块\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"莴笋鸡丁\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水煮油麦菜蟹柳腐竹\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"鱼香茄条\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"地瓜丸\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"韭菜鸡蛋炒莜面鱼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"发菜三丝羹\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"糖拌心里美\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"拌豆制品\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"泡椒鱼皮\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"冰粉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"担担面\",\"weekName\":\"3\",\"type\":\"2\"}],\"4\":[{\"name\":\"黄瓜牛肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"开花肠\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"水煮生菜金针菇\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"酸辣藕丁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"土豆片栲栳栳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"土豆小白菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水果醪糟汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"杂酱\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烤饼子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烙饼\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"葫芹炒肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"酸辣土豆丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黄豆酱千页豆腐\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小白菜土豆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拌双竹\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒜泥茄子\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拌海带丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"炸虾片\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"拌牛肉丁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"豆包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烤饼子\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黄金饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"酱油炒饭\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拌汤\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"大米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"红薯\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"肉饼\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蔬菜面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"三丁卤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"白菜卤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"大骨头\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"香肉窝窝头\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"金甲鸡柳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"小酥肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"茴子白炖粉条\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"东北地三鲜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"白菜炖豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水煮蘑菇油菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"沙棘玉米羹\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"黄豆嘴小炒肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"茴子白炒粉条\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒜茸菠菜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"炒三丁\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"大骨头\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"浓汤核桃肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"香辣花蛤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"黄豆海带豆腐小炒肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水煮西芹木耳海鲜菇\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"绿豆捞南瓜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"芝麻球\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"东北地三鲜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"小白菜豆腐汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"拌白萝卜丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黑豆腐丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"爆米花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水萝卜黄瓜木耳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"松花蛋火腿\",\"weekName\":\"4\",\"type\":\"2\"}],\"5\":[{\"name\":\"凉拌黄瓜片\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌茴子白丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌芋头粉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"莴笋莲菜片\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"土豆炖牛肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"油焖大虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"小米土豆丝\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿蛋汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"茄子卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"剔尖\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"南瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"麻生卷\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"尖椒洋葱炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西芹腐竹木耳\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"辣炒茄丁\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆芽炒碗托\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"玉米沙拉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炝拌娃娃菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"麻辣炸串\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"拌芋头粉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"杏仁芥菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"糖包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"千层饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"咸油饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炒馒头\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鸡蛋\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"馄饨\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"馒头\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"南瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"揪片\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"肉包子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"杂酱\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烩菜卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"尖叫鸡排腿\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香辣锅巴河虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"农家小炒肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"四豆一肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"老干妈土豆条\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"上汤娃娃菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"芝麻球\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"水煮菠菜豆结木耳\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"枸杞萝卜丝汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"茴子白炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西芹木耳长山药\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"辣炒双丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小白菜炖豆腐\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"麻辣拌\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"小麻花河虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西葫芦腐竹炒肉片\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"萝卜焖老鸭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"水煮娃娃菜木耳\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炸汤圆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"吕梁沾豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"弯尖椒炒素鸡\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"银耳水果汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"麻辣油皮\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒜茸西蓝花\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豌豆糕\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大拌菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鸭爪\",\"weekName\":\"5\",\"type\":\"2\"}],\"6\":[],\"7\":[]}');

-- ----------------------------
-- Table structure for large_plat_green_foods_copy1
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_green_foods_copy1`;
CREATE TABLE `large_plat_green_foods_copy1`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `app_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区名称',
  `food_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '菜品信息',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜谱数据' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_green_foods_copy1
-- ----------------------------
INSERT INTO `large_plat_green_foods_copy1` VALUES (1, '0', '', NULL, '', NULL, '10001', '省公司近一周菜谱', '{\"1\":[{\"name\":\"酱肉包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"葱花烙饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"杂酱\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒块垒\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"手擀面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"馄饨\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"炒河粉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蒸绿南瓜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒茄丁\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"大葱烧豆腐\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小炒茴子白\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆角小炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"红烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白灼生菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"干锅腊肉土豆片\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"小花卷过油肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"木耳娃娃菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"干炸小黄鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"鸿运大排\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"手撕包菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"尖椒香干\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"木耳小白菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"老虎菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西红柿鸡蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"酱肉包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆沙包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油糕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"肉丝土豆丝炒粉条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"手撕包菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"腐竹烧油菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"干锅虾\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"干豆角焖红烧肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"排骨烩菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白灼生菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"养生长山药\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"绿豆汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"糖醋黄瓜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"拌胡芹\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"拌猪头肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"洋葱拌木耳\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"沙拉大拌菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"酱肉包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"麻酱花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烙饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"南瓜小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"美龄粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"热干面\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"油糕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒土豆鱼鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"兰州牛肉面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"宫爆虾仁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"酱肉包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小葱花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烙饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"南瓜小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"美龄粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鸡汤馄饨\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"油糕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"湘味炒饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"菠菜手擀面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西葫芦炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"手撕包菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西芹香干\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"酱香大骨头\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"宫爆虾仁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"小花卷过油肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白灼生菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"红烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"农家一碗香\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"麻油土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"姜汁皮蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"天妇罗鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"红油拉皮\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"胡芹花生米\",\"weekName\":\"1\",\"type\":\"2\"}],\"2\":[{\"name\":\"莲菜小炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"素包子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"糖三角\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"白菜包子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"木耳西葫芦\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"茴子白炒粉条\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"热干面\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆豉油麦菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酱烧鱼块\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"红烧肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"毛血旺\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"清炒双花\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"海米冬瓜片\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"洋葱木耳\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"腊味有机菜花\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"大葱烧豆腐\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆豉油麦菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"皮冻\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炝拌双花\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"四宝菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"油饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"油酥饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"拌三丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"烧椒皮蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"皮冻\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"芝麻海带丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"胡芹花生米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆片炒肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"尖椒西红炒香干\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"葱烧豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"家常炒胡芹\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果虾仁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"大盘鸡\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"黄豆嘴肉丝炒粉条\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"酱烧冬瓜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"麻油土豆小白菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"外婆菜毛豆炒鸡蛋\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"白菜豆腐汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"白菜肉包\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"枣馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"发糕\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"土豆烙饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"山药小米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"黑米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"丸子汤方便面\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"烤南瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"烧麦\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"萝卜丝不烂子\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"刀拨面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"莲菜肉包\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"枣馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"发糕\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"油糕\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"山药小米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"拌汤\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"蒸南瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"馅儿饼\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"烤红薯\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"刀拨面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆片炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"大葱烧豆腐\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炒合菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"谭家烩菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"毛血旺\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"五彩鸡片\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆豉油麦菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"烧双菇\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"木耳小白菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"绿豆汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"家常拌莲菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"香椿苗拌腐竹\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"皮冻\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"干煸豆角\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炝拌双花\",\"weekName\":\"2\",\"type\":\"2\"}],\"3\":[{\"name\":\"辣炒白菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"烧三丁\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蔬菜粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒大米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"揪片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆浆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"发糕\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿炖豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"干锅炖豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香辣虾\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"浇汁生菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆角小炒肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"小馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"白菜包子\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"煮泡面\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"生炒菜花\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"谭家烩菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"葱花烙饼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆炖牛肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆角炒肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"木耳西葫芦\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"干炸带鱼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"尖椒炒鸡蛋\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"胡芹花生米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"花卷\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒块垒\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒸芋头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒸玉米\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"家常拌莲菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"黄豆菜心\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蛋卷\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"河东三丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"老虎菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西葫芦炒鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"肉炒大白菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒合菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"西芹炒木耳\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"五花肉烩菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水煮牛肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"肉松龙利鱼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"肉沫烧茄子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿炖豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"口蘑西葫芦\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"银耳雪梨汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"萝卜肉包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"油饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"杂粮馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"酱香饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"南瓜黄豆小米粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"和子饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒸南瓜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"馅儿饼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"河捞面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"萝卜肉包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"烤甜饼子\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"杂粮馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"酱香饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"南瓜黄豆小米粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"海鲜粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"和子饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"芹菜木耳拌香干\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"糖醋黄瓜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"烤南瓜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"小香酸炒小米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"饺子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆角炒肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"腊味菜花\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"家常茄丁\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"金鼓鱼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"梅菜蒸肘子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆泡小炒肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆芽炒灌肠\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"木耳菜心\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蜜汁长山药\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"银耳雪梨汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"红油耳丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"沙拉大拌菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"洋葱木耳\",\"weekName\":\"3\",\"type\":\"2\"}],\"4\":[{\"name\":\"白菜包子\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"韭菜虾皮饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黑米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"剔尖\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"肉卷\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆沙包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"炒小米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒸芋头\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西红柿卤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"粉丝娃娃菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"木耳长山药\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"豆豉油麦菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西芹虾仁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"一顿乱炒\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"土豆炖牛肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"炝拌水萝卜丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小葱拌豆腐\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒜薹木耳炒肉丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"红烧茄子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西芹木耳南瓜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"白菜豆腐汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蛋卷\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"黄瓜素鸡\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"菜心黄豆\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"油酥饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"糖三角\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"玉米鲜肉包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"槐花肉包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"酱香饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"白菜拌香干\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"爽口苦菊\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烧鸡\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"拌莜面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蘸酱菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"酸辣莲菜丁\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆角肉丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"清炒西葫芦\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蛋清莴笋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"青瓜芙蓉虾仁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"鸡叉骨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"冬瓜炖肘子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"生炒有机菜花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"苦瓜炒蛋\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"木耳菜心\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"麻麻花土豆小白菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"豆角肉包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"糖三角\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋烙饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花生小米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"红薯玉米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"胡辣汤\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"素包子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"剔尖\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西葫芦肉包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"糖三角\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋烙饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花生小米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"红薯玉米粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡块河粉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"爽口苦菊\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"凉拌素鸡\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"素包子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"剔尖\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西红柿烧排骨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"油焖大虾\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"洋葱香芹炒肉丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"鲜蘑过油肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"木耳油菜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"萝卜丝炒鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黄豆酱烧冬瓜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒜苗凉粉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"香锅娃娃菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"养生豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烂糊白菜汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"寿阳猪头肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"拌海带丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"杏仁田七\",\"weekName\":\"4\",\"type\":\"2\"}],\"5\":[{\"name\":\"小馒头\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"玉米贴饼子\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"菜包子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炒莜面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒸绿南瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"手擀面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"花呷豆腐汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香干回锅肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炝锅腐竹\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香菇西葫芦\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西芹香干\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"莲菜小炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"莲菜小炒肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"土豆丝肉丝卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"白菜包子\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"丸子汤\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"香辣虾\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"茴子白炒粉条\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小白菜炒腐竹\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"冬瓜排骨汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"捞汁西葫芦\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"香椿苗拌腐竹\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"盐水鸭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烧茄子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"黄瓜拌小水萝卜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"醋溜土豆丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"三丁炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西红柿炒茄丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"白灼大虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香辣肥牛\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"锅巴肉片\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烧茄子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"干煸四季豆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香菇油菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"茄子肉包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"发面饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"南瓜小米粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蔬菜粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"老豆腐\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"抿尖\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炒馒头\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"刀削面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香菇豆皮包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"发面饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"南瓜小米粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蔬菜粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"老豆腐\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"抿尖\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烤梨\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"红面蒸饺\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"刀削面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西芹炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"腐竹小白菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西红柿土豆片\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"家常茄丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小酥肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香辣牛骨\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鸡蛋西蓝花木耳\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"酸辣藕条\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒜蓉菊花菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"沙棘汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炝拌水萝卜丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"香椿苗拌黑豆腐丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"口水鸡\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"黄瓜水萝卜拌桃仁\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"酸汁白菜\",\"weekName\":\"5\",\"type\":\"2\"}],\"6\":[],\"7\":[{\"name\":\"苹果\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"橘子\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"香蕉\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"尖椒土豆片\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"小炒茴子白\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"酱肉包\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"馅饼\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"油饼\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"黑米粥\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"烤红薯\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"炸枣糕\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"炒不烂子\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"蒸玉米\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"手擀面\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"土豆丝肉丝卤\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"花生炖肘子\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"豆角小炒肉\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"清炒菊花菜\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"大葱烧豆腐\",\"weekName\":\"0\",\"type\":\"2\"}]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (2, '0', '', NULL, '', NULL, '1D001', '长治市近一周菜谱', '{\"1\":[],\"2\":[],\"3\":[],\"4\":[],\"5\":[],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (3, '0', '', NULL, '', NULL, '1K003', '近一周菜谱', '{\"1\":[{\"name\":\"豆芽炒粉条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"黄瓜拌鸡蛋干\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"煎枣糕\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"凉拌莜面\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"素炒西葫芦\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白菜粉条肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"耗油双菇\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"辣炒花蛤\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"清炖羊排\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"山药炖肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"辣呛莴笋\",\"weekName\":\"1\",\"type\":\"3\"}],\"2\":[{\"name\":\"茄子烧豆角\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"素炒西兰花\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"蒜台葱头炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"娃娃菜拌云丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"大葱拌头肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"芥蓝桃仁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"清炒菜心\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒜香鸡中翅\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"莜面鱼鱼拌土豆丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"白萝卜炖牛肉\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"干锅菜花\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"尖椒炒腐竹\",\"weekName\":\"2\",\"type\":\"3\"}],\"3\":[{\"name\":\"山西过油肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"土豆焖排骨\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"大蒜烧豆角\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋炒擦擦\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"麻辣豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香酥鸡米花\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"椒叶油饼\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"韭菜炒胡萝卜丝\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"捞汁莜面\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"清炒荷兰豆\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"葱头炒肉片\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"大丰收\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"汾阳小酥肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"红烧肉焖土豆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"辣炒土豆片\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"葱头蒜台炒肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"葱油水萝卜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"鸡蛋炒莜面鱼鱼\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"主食（馒头、包子）\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"芹菜花生\",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"西葫芦炒杂菌\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"酱香排骨\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"麻辣豆腐串串\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒜汁胡萝卜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"莴笋木耳\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香菇西葫芦\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"红烧肉片\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"酱油豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"老虎菜拌花生\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"牛肉饼\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"小白菜炒腐竹\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"油糊茄子\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[{\"name\":\"芥蓝桃仁\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"老虎菜\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"凉拌小黄瓜\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"清炒菜心\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"蒜香鸡中翅\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"干锅菜花\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"椒盐大虾\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"珊瑚蒸鲈鱼\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"土豆焖翅根\",\"weekName\":\"6\",\"type\":\"3\"}],\"7\":[]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (4, '0', '', NULL, '', NULL, '1J001', '吕梁市近一周菜谱', '{\"1\":[{\"name\":\"豆芽炒粉条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"黄瓜拌鸡蛋干\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"煎枣糕\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"凉拌莜面\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"素炒西葫芦\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"白菜粉条肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"耗油双菇\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"辣炒花蛤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"清炖羊排\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"山药炖肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"辣呛莴笋\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"茄子烧豆角\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"素炒西兰花\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"蒜台葱头炒肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"娃娃菜拌云丝\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"白菜粉条炒肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"蒜茸生菜\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"黑椒西葫芦\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"芽子炒莜面 \",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"辣炒菜花\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"辣炒菜花\",\"weekName\":\"1\",\"type\":\"1\"}],\"2\":[{\"name\":\"大葱拌头肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"芥蓝桃仁\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"清炒菜心\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"蒜香鸡中翅\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"莜面鱼鱼拌土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"白萝卜炖牛肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"干锅菜花\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"尖椒炒腐竹\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"山西过油肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆焖排骨\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"大蒜烧豆角\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"鸡蛋炒擦擦\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"麻辣豆腐\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"香酥鸡米花\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"小白菜炖豆腐\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"蒜薹炒肉\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"土豆片\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"鸡蛋炒栲栳\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"白菜粉条炒肉\",\"weekName\":\"2\",\"type\":\"2\"}],\"3\":[{\"name\":\"椒叶油饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"韭菜炒胡萝卜丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"捞汁莜面\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"清炒荷兰豆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"香芹肉丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"葱头炒肉片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"大丰收\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"汾阳小酥肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"红烧肉焖土豆\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"辣炒土豆片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"葱头蒜台炒肉\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"葱油水萝卜\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"鸡蛋炒莜面鱼鱼\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"主食（馒头、包子）\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"西红柿手握握\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"辣炒菜花\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"白菜炒肉\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"蒜茸生菜\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"黑椒西葫芦\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"芹菜花生\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"西葫芦炒杂菌\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"西兰花炒菜花\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"咸菜四样\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"冬瓜炖牛肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"虎皮凤爪\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"酱香排骨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"麻辣豆腐串串\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒜汁胡萝卜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"莴笋木耳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"香菇西葫芦\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"红烧肉片\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"酱油豆腐\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"老虎菜拌花生\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"牛肉饼\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"小白菜炒腐竹\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"油糊茄子\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"老干妈炒恶\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"汾阳茴子白\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"西葫芦炒鸡蛋 \",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"芥蓝桃仁\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"老虎菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌小黄瓜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"清炒菜心\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒜香鸡中翅\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"干锅菜花\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"椒盐大虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"辣子白\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"珊瑚蒸鲈鱼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"土豆焖翅根\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香芹黄豆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"葱头蒜台炒肉\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"鸡蛋炒莜面鱼鱼\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"芥味螺头\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"双色腐竹\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"合楞子\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"辣炒小白菜\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"黄豆芽炒肉\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"大蒜烧豆角\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (5, '0', '', NULL, '', NULL, '1E001', '晋城市近一周菜谱', '{\"1\":[{\"name\":\"牛肉盖饭\",\"weekName\":\"1\",\"type\":\"2\"}],\"2\":[],\"3\":[],\"4\":[],\"5\":[],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (6, '0', '', NULL, '', NULL, '1J003', '岚县近一周菜谱', '{\"1\":[{\"name\":\"蒜肠\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"胡萝卜丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"发面饼子\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"土豆牛肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烩菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蛋卷茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西芹花生\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"稀饭\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"包子\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"炒豆腐\",\"weekName\":\"1\",\"type\":\"3\"}],\"2\":[{\"name\":\"稀饭\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"馅饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"卜烂子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炒土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"肘花肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"宫保鸡丁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆角木耳莲菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"馅饼\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"粉条白菜\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"稀饭\",\"weekName\":\"2\",\"type\":\"3\"}],\"3\":[{\"name\":\"馒头\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒土豆丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"油茶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鱼块\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"猪头肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"青椒肉丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香菇油菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆干\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"包子\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"炒豆腐\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"凉拌豆干\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"油茶\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"油条\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"炒土豆丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烩菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"豆鼓油麦菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西蓝花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"油堆堆\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"炒土豆丝\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"稀饭\",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"馅饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炒土豆丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"木须肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"午餐肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"青椒豆干\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"粉丝生菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"沙棘汁\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"包子\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (7, '0', '', NULL, '', NULL, '1K002', '近一周菜谱', '{\"1\":[{\"name\":\"凉拌土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"松花蛋拌豆腐\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"海带丝绿豆芽\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鲮鱼油麦菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"炒豆角\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"猪肉大葱包子\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"凉拌耳丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"尖椒豆腐皮\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西芹花生米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"芝麻海带丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"酥梨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"过油肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"清炒西兰花\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"青椒鸡丁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"土豆红烧肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"木耳长山药\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"甩袖蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"八宝甜油茶\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"韭菜鸡蛋饺子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"茄子浇面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"烤红薯\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"大米饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"豆沙包\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"玉米红枣发糕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"熏肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"蛋卷\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"洋葱木耳\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"香菜金针菇\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"茄子烧豆角\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"大米粥\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"小米红枣粥\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"扬州炒饭\",\"weekName\":\"1\",\"type\":\"3\"}],\"2\":[{\"name\":\"黄瓜丝拌米线\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"胡芹花生米\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"煮五香鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"韭花炖豆腐\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"酸菜肉陷包子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"葱花饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"绿豆汤\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"猪头肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"凉粉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"凉拌葱花菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"胡芹黄豆\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"香蕉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"回锅肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炒黄瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒜蓉粉丝娃娃菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酸菜炒羊血\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"玉米糊\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"南瓜汁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"杂酱面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炒馒头\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿炒面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酸汤混沌\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酸辣牛排\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"青椒炒洋葱\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"小米椒炒凉粉\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"清炒芦笋\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"小米粥\",\"weekName\":\"2\",\"type\":\"3\"}],\"3\":[{\"name\":\"凉拌绿豆芽\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"水蒸蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒜泥黄瓜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"五香茶叶蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"香菇油菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"家常豆腐\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒜蓉油麦菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒸山药\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"凉拌腐竹\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"小茴香拌豆筋\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"五香猪蹄\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"苹果\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"青椒杏鲍菇\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"清炒油菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒜带过油肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"玉米萝卜汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"青椒炒葱头\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"炒饼丝\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"饺子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"莜面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香菇肉丝刀削面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"小花卷\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"醪糟汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"凉拌菠菜\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"清炒扁豆\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"秋葵炒木耳\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"青椒炒肉\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"小米红枣粥\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"杂粮馒头\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"玉米发糕\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"白水煮鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"芝麻豆角\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小米椒炒莲菜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"肉炒黄豆芽\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"虾酱豆腐\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"地皮菜素包子\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"大米红枣粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"卤猪手\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"洋葱木耳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"大帮菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"红提\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"红烧排骨\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"干锅有机菜花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒜泥西兰花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"毛血旺\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"狼牙土豆条\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"山药玉米汁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"脂油饼\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"热干面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"羊肉饺子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蒜泥皮冻\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"凉拌紫甘蓝\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"麻麻花拌碗秃\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"火腿炒香干\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"尖椒肉丝\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"溜肥肠\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"鸡蛋西红柿汤面\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"黑米粥\",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"凉拌生菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"香菜长寿菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"茄子烧豆角\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"白菜炒豆筋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"肉夹馍\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"韭菜鸡蛋包子\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"黑米粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"红糖发糕\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小葱拌豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"油炸花生米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"蒜蓉豆角\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"红烧肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"沙糖桔\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"排骨炖土豆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大盘鸡\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"糖醋白菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"麻辣烫\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"尖椒肉丝\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大米粥\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大葱油饼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"猪肉饺子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"杂粮馒头\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"豆角焖面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"洋葱拌杏仁\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"苦瓜炒鸡蛋\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"青椒炒豆腐干\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"黄豆大米粥\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"鸡肉卷\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"杂粮馒头\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"蒸米饭\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[{\"name\":\"咸鸭蛋\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"鸡汁香干\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"腊八蒜杏鲍菇\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"尖椒炒香干\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"木耳长山药\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"手抓饼\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"胡辣汤\",\"weekName\":\"6\",\"type\":\"1\"},{\"name\":\"西芹拌木耳\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"土豆丝粉条\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"凉拌粉皮\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"飘香鸡脆骨\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"水煮肉片\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"红烧带鱼\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"鲮鱼油麦菜\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"沙棘果味汤\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"紫菜蛋花汤\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"炒饼丝\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"番茄炒莜面卷\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"肉丝炒面\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"芹菜猪肉饺子\",\"weekName\":\"6\",\"type\":\"2\"},{\"name\":\"自治肉蛋卷\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"香菇西葫芦\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"炒拔烂子\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"绿豆粥\",\"weekName\":\"6\",\"type\":\"3\"},{\"name\":\"黑米馒头\",\"weekName\":\"6\",\"type\":\"3\"}],\"7\":[{\"name\":\"白水鸡蛋\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"凉拌苦菊\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"海米炒冬瓜\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"辣椒炒肉丝\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"蛋炒饭\",\"weekName\":\"0\",\"type\":\"1\"},{\"name\":\"凉拌黄豆芽\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"五香鸡蛋干\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"凉拌莴笋\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"干炸红薯条\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"橙子\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"孜然肉片\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"红烧鱼\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"烩菜\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"西芹拌木耳\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"紫菜鸡蛋汤\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"烤干馍\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"小米粥\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"素包子\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"鸡蛋拌汤\",\"weekName\":\"0\",\"type\":\"2\"},{\"name\":\"凉拌菠菜杏仁\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"卤水鸡胗\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"清炒冬瓜\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"红枣黑米粥\",\"weekName\":\"0\",\"type\":\"3\"},{\"name\":\"杂粮粥\",\"weekName\":\"0\",\"type\":\"3\"}]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (8, '0', '', NULL, '', NULL, '1J002', '交城县近一周菜谱', '{\"1\":[{\"name\":\"凉拌绿豆芽\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"五香花生米\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"午餐肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"青椒炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"西红柿炒蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"拌汤\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒸南瓜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒸红薯\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"猪头肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"长山药拌莴笋\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"杏仁菠菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"凉拌莲藕\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"排骨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"豆角烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"葱爆肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"香菇油菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"山蘑菇炖土鸡\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"刀削面\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"玉米粳汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蒜肠\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"凉拌西蓝花\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"西葫芦炒肉\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"茴子白炒粉皮\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"海米冬瓜\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"南瓜粥\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"蛋汤\",\"weekName\":\"1\",\"type\":\"3\"},{\"name\":\"包子\",\"weekName\":\"1\",\"type\":\"3\"}],\"2\":[{\"name\":\"火腿\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"黄豆芽细粉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"拌三丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"过油肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"韭菜香干\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"辣子白\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"丸子汤\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"烙饼\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"压头肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"拌莜面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"荷兰豆拌海鲜菇\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"凉拌苦瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"红烧肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"羊排\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"新疆爆肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"大烩菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆豉鱼油麦菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"手擀面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"紫菜蛋汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"黄瓜拌猪耳\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"凉拌海带丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"凉拌豆角\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"肉沫茄子\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"豆角炒肉\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"尖椒土豆丝\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"黑米粥\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"片汤\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"花卷\",\"weekName\":\"2\",\"type\":\"3\"},{\"name\":\"炒不烂子\",\"weekName\":\"2\",\"type\":\"3\"}],\"3\":[{\"name\":\"熏肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"葱头木耳\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"黄瓜拌腐竹\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"木须肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"蒜苗炒蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒菜花\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"粉汤\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"油糕\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"肘子肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"凉拌金针菇\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"粉丝娃娃菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"酸辣蕨根粉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆牛肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"油焖大虾\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水煮肉片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"熬年菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒜蓉菠菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"羊杂\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"包子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"三鲜汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香肠\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"拌茴子白\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"拌香干\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"西辣豆腐\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"蒜苗炒肉\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"炝锅腐竹\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"绿豆稀饭\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"炒大米\",\"weekName\":\"3\",\"type\":\"3\"},{\"name\":\"馅饼\",\"weekName\":\"3\",\"type\":\"3\"}],\"4\":[{\"name\":\"西芹拌黄豆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拍黄瓜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"凉拌猪耳\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"杏鲍菇炒肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"西芹木耳\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"炒腊肠\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"夹肉饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"汤面\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拌牛肚\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"小葱拌豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"凉拌粉丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西芹腰果\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"梅菜扣肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"辣子鸡丁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蚝油生菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"莜面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"抿尖\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"鳕鱼豆腐汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"火腿肠\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"凉拌面藕\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"凉拌豆角\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"干锅菜花\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"宫爆鸡丁\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"小米粥\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"馒头\",\"weekName\":\"4\",\"type\":\"3\"},{\"name\":\"扬州炒饭\",\"weekName\":\"4\",\"type\":\"3\"}],\"5\":[{\"name\":\"蒜蓉香肠\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"绿豆芽拌黄瓜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西芹腐竹\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西芹炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"土豆片炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炒青菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"馄饨\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"手抓饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西芹虾仁\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"老醋花生米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"心灵美拌黄瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"油炸鸡腿\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"土豆炖牛腩\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"黄瓜炒鸡蛋\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"家常豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"绿豆汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"水果\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"洋葱木耳\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"绿豆芽\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"凉拌胡萝卜丝\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"炒莜面\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"红烧茄子\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"豆角炒肉\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"拌汤\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"3\"},{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"3\"}],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (9, '0', '', NULL, '', NULL, '1K001', '晋中市近一周菜谱', '{\"1\":[{\"name\":\"海带丝绿豆芽\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油条\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"烙饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"干炸带鱼\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"清炒西兰花\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西芹花生米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"过油肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"豆角烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"面条\",\"weekName\":\"1\",\"type\":\"2\"}],\"2\":[{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小米粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"韭菜鸡蛋包子\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"拌海带丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"家常豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"小炒肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"宫保鸡丁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"桃花面\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"小葱拌豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"拍黄瓜\",\"weekName\":\"2\",\"type\":\"2\"}],\"3\":[{\"name\":\"煮鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"凉拌豆皮\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"过油肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆烧牛肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"炒豆角\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"猪肉大葱水饺\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"炒蘑菇\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"凉拌皮蛋\",\"weekName\":\"3\",\"type\":\"2\"}],\"4\":[{\"name\":\"丸子汤\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"水煎包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拍黄瓜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋火腿炒饭\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"干锅土豆片\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"米饭\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"麻婆豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"尖椒肉丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"卤鸡腿\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"家常茄子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"炸酱面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"凉拌木耳\",\"weekName\":\"4\",\"type\":\"2\"}],\"5\":[{\"name\":\"花卷\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"馄饨\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小笼包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌土豆丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"海带丝绿豆芽\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"煮鸡蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炒不烂子\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"米饭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"干炸带鱼\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"拍黄瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"卤鸡腿\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"家常豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"凉拌豆腐皮\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"地三鲜\",\"weekName\":\"5\",\"type\":\"2\"}],\"6\":[],\"7\":[]}');
INSERT INTO `large_plat_green_foods_copy1` VALUES (10, '0', '', NULL, '', NULL, '1A001', '营销服务中心近一周菜谱', '{\"1\":[{\"name\":\"拌三丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"担担面\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"炒菠菜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒灌肠\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"茴子白炒粉皮\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"春卷\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"茄子卤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"糙米饭\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炒大米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"馒头片\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"羊汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"青椒炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"麻辣豆腐\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"家常土豆丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒜茸菠菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鱼香肉丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"白灼虾\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"宫保鸡丁\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"土豆炖排骨\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"蒜茸双色花\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"炝锅腐竹嫩豆腐\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"香辣栲栳栳\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"水煮油麦菜海鲜菇\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"紫菜蛋花汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"拍黄瓜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"尖椒榨菜花生米\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"辣子白\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"猪头肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"拉皮\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"发糕\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"油饼\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"花卷\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"炒饭\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"稀饭\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蔬菜粥\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"大米\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"河捞\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"馒头\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"南瓜\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"莜面条\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"醋卤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"肉打卤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西葫芦炒肉\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"家常土豆片\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"辣子白\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"蒜茸油麦菜\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"土豆炖牛肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"香辣锅巴大虾\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"青椒肉丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"苜蓿肉\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"菠菜炖豆腐粉条\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"水煮小白菜木耳金针菇\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"土豆片栲栳栳\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"红烧茄子\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"西红柿蛋汤\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"捞汁豆腐\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"素拌羊肚丝\",\"weekName\":\"1\",\"type\":\"1\"},{\"name\":\"麻辣翅尖\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"拌三丝\",\"weekName\":\"1\",\"type\":\"2\"},{\"name\":\"打卤灌肠\",\"weekName\":\"1\",\"type\":\"2\"}],\"2\":[{\"name\":\"豆腐皮豆芽\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆芽豆腐干\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"地三鲜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"粉丝娃娃菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"韭香豆皮\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"辣炒藕丁\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果醪糟汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋酱\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炒二米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"胡萝卜河捞\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西葫芦炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"清炒生菜\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"辣炒双丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"小葱豆腐\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"拌心里美\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"皮蛋火腿\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆腐丝\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蔬菜沙拉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"麻生卷\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"糊塌塌\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炒拨烂\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炸馒头\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"红豆粥\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"方便面\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"大米\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"馒头\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"红薯\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"发面饼\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"豆面条\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"茄子卤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"臊子卤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"茴香苗片片鱼\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"香酥鸡米花\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆炖去骨肘子\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"香酥茄盒\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"韭菜炒鸭血\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"小白菜炖豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"酸菜黄豆芽炒粉条\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水煮西芹木耳腐竹\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水果醪糟汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"青椒炒肉\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"酸辣土豆丝\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"蒜茸双色花\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"西红柿茄丁\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"酸菜鱼片\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"土豆肉勾鸡\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"咕咾肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"梅菜扣肉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"水煮香菇油菜\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"白菜炖豆腐\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"香煎灌肠\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"蒜醋凉粉\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"红枣南瓜汤\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"孜然香干\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"炝拌茴子白\",\"weekName\":\"2\",\"type\":\"1\"},{\"name\":\"皮冻\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"炸串串\",\"weekName\":\"2\",\"type\":\"2\"},{\"name\":\"葫芹花生米\",\"weekName\":\"2\",\"type\":\"2\"}],\"3\":[{\"name\":\"海带结\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"葫芹豆豆\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"老醋茄子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"青椒炒肉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"清炒生菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"糖溜红薯\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿蛋汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"黄金饼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"揪片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆芽炒肉丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"木耳油菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"辣子白\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"西红柿炖豆腐\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"黄瓜灌肠\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炝拌紫甘蓝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"泡椒凤爪\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"葫芹豆豆\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"拌面皮\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"油条\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"豆包\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"炒饼丝\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"葱油饼\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"和子饭\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"老豆腐\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"玉米面糊\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"大米\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"河捞\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"馒头\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"焖面\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"蒸萝卜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"桃花面卤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"土豆酸菜卤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"大烩菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香酥鸡腿\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"红烧鱼块\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"冬瓜肉片\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"老醋茄子\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"香芹白香干\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"过桥豆腐\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水煮生菜蟹柳杏鲍菇\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"酸菜豆腐汤\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"葫芹炒肉\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"麻辣豆腐\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"木耳油菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"醋溜白菜\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"大烩菜\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"豆豉鸡腿\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"剁椒鱼块\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"莴笋鸡丁\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"水煮油麦菜蟹柳腐竹\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"鱼香茄条\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"地瓜丸\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"韭菜鸡蛋炒莜面鱼\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"发菜三丝羹\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"糖拌心里美\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"拌豆制品\",\"weekName\":\"3\",\"type\":\"1\"},{\"name\":\"泡椒鱼皮\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"冰粉\",\"weekName\":\"3\",\"type\":\"2\"},{\"name\":\"担担面\",\"weekName\":\"3\",\"type\":\"2\"}],\"4\":[{\"name\":\"黄瓜牛肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"开花肠\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"水煮生菜金针菇\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"酸辣藕丁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"土豆片栲栳栳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"土豆小白菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水果醪糟汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"杂酱\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烤饼子\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"烙饼\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"葫芹炒肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"酸辣土豆丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黄豆酱千页豆腐\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"小白菜土豆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拌双竹\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒜泥茄子\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拌海带丝\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"炸虾片\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"拌牛肉丁\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"豆包\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"烤饼子\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黄金饼\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"酱油炒饭\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"豆浆\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"鸡蛋\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"拌汤\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"大米\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"花卷\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"红薯\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"肉饼\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"蔬菜面\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"三丁卤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"白菜卤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"大骨头\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"香肉窝窝头\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"金甲鸡柳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"小酥肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"茴子白炖粉条\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"东北地三鲜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"白菜炖豆腐\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水煮蘑菇油菜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"沙棘玉米羹\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"黄豆嘴小炒肉\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"茴子白炒粉条\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"蒜茸菠菜\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"炒三丁\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"大骨头\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"浓汤核桃肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"香辣花蛤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"黄豆海带豆腐小炒肉\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水煮西芹木耳海鲜菇\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"绿豆捞南瓜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"芝麻球\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"东北地三鲜\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"小白菜豆腐汤\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"拌白萝卜丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"黑豆腐丝\",\"weekName\":\"4\",\"type\":\"1\"},{\"name\":\"爆米花\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"水萝卜黄瓜木耳\",\"weekName\":\"4\",\"type\":\"2\"},{\"name\":\"松花蛋火腿\",\"weekName\":\"4\",\"type\":\"2\"}],\"5\":[{\"name\":\"凉拌黄瓜片\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌茴子白丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"凉拌芋头粉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"莴笋莲菜片\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"土豆炖牛肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿炒鸡蛋\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"油焖大虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"小米土豆丝\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"水果沙拉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿蛋汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"茄子卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"茶叶蛋\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"八宝粥\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"剔尖\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"南瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"麻生卷\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"尖椒洋葱炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西芹腐竹木耳\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"辣炒茄丁\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豆芽炒碗托\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"玉米沙拉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炝拌娃娃菜\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"麻辣炸串\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"拌芋头粉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"杏仁芥菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"糖包\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"千层饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"咸油饼\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"炒馒头\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"牛奶\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"豆浆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鸡蛋\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"稀饭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"馄饨\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大米\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"馒头\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"南瓜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"揪片\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"肉包子\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"杂酱\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"烩菜卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西红柿鸡蛋卤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"尖叫鸡排腿\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"香辣锅巴河虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"农家小炒肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"四豆一肉\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"老干妈土豆条\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"上汤娃娃菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"芝麻球\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"水煮菠菜豆结木耳\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"枸杞萝卜丝汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"茴子白炒肉\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"西芹木耳长山药\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"辣炒双丝\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"小白菜炖豆腐\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"麻辣拌\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"小麻花河虾\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"西葫芦腐竹炒肉片\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"萝卜焖老鸭\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"水煮娃娃菜木耳\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"炸汤圆\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"吕梁沾豆腐\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"弯尖椒炒素鸡\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"银耳水果汤\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"麻辣油皮\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"蒜茸西蓝花\",\"weekName\":\"5\",\"type\":\"1\"},{\"name\":\"豌豆糕\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"大拌菜\",\"weekName\":\"5\",\"type\":\"2\"},{\"name\":\"鸭爪\",\"weekName\":\"5\",\"type\":\"2\"}],\"6\":[],\"7\":[]}');

-- ----------------------------
-- Table structure for large_plat_green_smart
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_green_smart`;
CREATE TABLE `large_plat_green_smart`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `canteen_num` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '食堂名称',
  `canteen_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '食堂类型',
  `area_num` bigint(20) NULL DEFAULT 0 COMMENT '食堂面积 平方米',
  `seats_num` bigint(20) NULL DEFAULT 0 COMMENT '座位数量',
  `management_num` bigint(20) NULL DEFAULT 0 COMMENT '管理人员',
  `chefs_num` bigint(20) NULL DEFAULT 0 COMMENT '厨师人数',
  `service_num` bigint(20) NULL DEFAULT 0 COMMENT '服务人员',
  `health_num` bigint(20) NULL DEFAULT 0 COMMENT '健康证数量',
  `licence_num` bigint(20) NULL DEFAULT 0 COMMENT '许可证数量',
  `dish_hygiene_score` int(11) NULL DEFAULT 0 COMMENT '菜品卫生 评分',
  `taste_dishes_score` int(11) NULL DEFAULT 0 COMMENT '菜品口味 评分',
  `attitude_score` int(11) NULL DEFAULT 0 COMMENT '服务态度 评分',
  `tableware_score` int(11) NULL DEFAULT 0 COMMENT '餐具卫生 评分',
  `types_dishes_score` int(11) NULL DEFAULT 0 COMMENT '菜品种类 评分',
  `dining_score` int(11) NULL DEFAULT 0 COMMENT '就餐体验 评分',
  `personnel_num` bigint(20) NULL DEFAULT 0 COMMENT '其它人员',
  `service_diners_num` bigint(20) NULL DEFAULT 0 COMMENT '服务就餐人数',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1221 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '绿智食堂' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_green_smart
-- ----------------------------
INSERT INTO `large_plat_green_smart` VALUES (1104, '0', '', NULL, '', NULL, '10001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1105, '0', '', NULL, '', NULL, '1A001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1106, '0', '', NULL, '', NULL, '1A002', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1107, '0', '', NULL, '', NULL, '1A003', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1108, '0', '', NULL, '', NULL, '1A00301', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1109, '0', '', NULL, '', NULL, '1A00302', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1110, '0', '', NULL, '', NULL, '1A00303', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1111, '0', '', NULL, '', NULL, '1A00304', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1112, '0', '', NULL, '', NULL, '1A00305', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1113, '0', '', NULL, '', NULL, '1A00306', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1114, '0', '', NULL, '', NULL, '1A00307', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1115, '0', '', NULL, '', NULL, '1A00308', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1116, '0', '', NULL, '', NULL, '1M001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1117, '0', '', NULL, '', NULL, '1M00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1118, '0', '', NULL, '', NULL, '1M00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1119, '0', '', NULL, '', NULL, '1M00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1120, '0', '', NULL, '', NULL, '1M00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1121, '0', '', NULL, '', NULL, '1M00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1122, '0', '', NULL, '', NULL, '1M00106', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1123, '0', '', NULL, '', NULL, '1M00107', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1124, '0', '', NULL, '', NULL, '1M00108', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1125, '0', '', NULL, '', NULL, '1M00109', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1126, '0', '', NULL, '', NULL, '1M00110', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1127, '0', '', NULL, '', NULL, '1M00111', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1128, '0', '', NULL, '', NULL, '1M00112', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1129, '0', '', NULL, '', NULL, '1M00113', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1130, '0', '', NULL, '', NULL, '1M00114', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1131, '0', '', NULL, '', NULL, '1L001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1132, '0', '', NULL, '', NULL, '1L00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1133, '0', '', NULL, '', NULL, '1L00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1134, '0', '', NULL, '', NULL, '1L00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1135, '0', '', NULL, '', NULL, '1L00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1136, '0', '', NULL, '', NULL, '1L00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1137, '0', '', NULL, '', NULL, '1L00106', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1138, '0', '', NULL, '', NULL, '1L00107', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1139, '0', '', NULL, '', NULL, '1L00108', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1140, '0', '', NULL, '', NULL, '1L00109', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1141, '0', '', NULL, '', NULL, '1L00110', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1142, '0', '', NULL, '', NULL, '1L00111', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1143, '0', '', NULL, '', NULL, '1L00112', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1144, '0', '', NULL, '', NULL, '1L00113', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1145, '0', '', NULL, '', NULL, '1L00114', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1146, '0', '', NULL, '', NULL, '1E001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1147, '0', '', NULL, '', NULL, '1E00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1148, '0', '', NULL, '', NULL, '1E00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1149, '0', '', NULL, '', NULL, '1E00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1150, '0', '', NULL, '', NULL, '1E00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1151, '0', '', NULL, '', NULL, '1E00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1152, '0', '', NULL, '', NULL, '1D001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1153, '0', '', NULL, '', NULL, '1D00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1154, '0', '', NULL, '', NULL, '1D00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1155, '0', '', NULL, '', NULL, '1D00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1156, '0', '', NULL, '', NULL, '1D00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1157, '0', '', NULL, '', NULL, '1D00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1158, '0', '', NULL, '', NULL, '1D00106', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1159, '0', '', NULL, '', NULL, '1D00107', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1160, '0', '', NULL, '', NULL, '1D00108', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1161, '0', '', NULL, '', NULL, '1D00109', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1162, '0', '', NULL, '', NULL, '1D00110', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1163, '0', '', NULL, '', NULL, '1D00111', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1164, '0', '', NULL, '', NULL, '1D00112', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1165, '0', '', NULL, '', NULL, '1J001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1166, '0', '', NULL, '', NULL, '1J00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1167, '0', '', NULL, '', NULL, '1J00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1168, '0', '', NULL, '', NULL, '1J00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1169, '0', '', NULL, '', NULL, '1J00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1170, '0', '', NULL, '', NULL, '1J00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1171, '0', '', NULL, '', NULL, '1K001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1172, '0', '', NULL, '', NULL, '1K00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1173, '0', '', NULL, '', NULL, '1K00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1174, '0', '', NULL, '', NULL, '1K00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1175, '0', '', NULL, '', NULL, '1K00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1176, '0', '', NULL, '', NULL, '1K00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1177, '0', '', NULL, '', NULL, '1K00106', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1178, '0', '', NULL, '', NULL, '1K00107', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1179, '0', '', NULL, '', NULL, '1K00108', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1180, '0', '', NULL, '', NULL, '1K00109', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1181, '0', '', NULL, '', NULL, '1K00110', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1182, '0', '', NULL, '', NULL, '1K00111', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1183, '0', '', NULL, '', NULL, '1H001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1184, '0', '', NULL, '', NULL, '1H00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1185, '0', '', NULL, '', NULL, '1H00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1186, '0', '', NULL, '', NULL, '1H00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1187, '0', '', NULL, '', NULL, '1H00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1188, '0', '', NULL, '', NULL, '1H00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1189, '0', '', NULL, '', NULL, '1H00106', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1190, '0', '', NULL, '', NULL, '1H00107', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1191, '0', '', NULL, '', NULL, '1H00108', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1192, '0', '', NULL, '', NULL, '1H00109', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1193, '0', '', NULL, '', NULL, '1H00110', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1194, '0', '', NULL, '', NULL, '1H00111', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1195, '0', '', NULL, '', NULL, '1H00112', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1196, '0', '', NULL, '', NULL, '1H00113', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1197, '0', '', NULL, '', NULL, '1B001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1198, '0', '', NULL, '', NULL, '1B00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1199, '0', '', NULL, '', NULL, '1B00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1200, '0', '', NULL, '', NULL, '1B00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1201, '0', '', NULL, '', NULL, '1B00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1202, '0', '', NULL, '', NULL, '1B00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1203, '0', '', NULL, '', NULL, '1B00106', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1204, '0', '', NULL, '', NULL, '1B00107', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1205, '0', '', NULL, '', NULL, '1B00108', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1206, '0', '', NULL, '', NULL, '1B00109', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1207, '0', '', NULL, '', NULL, '1F001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1208, '0', '', NULL, '', NULL, '1F00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1209, '0', '', NULL, '', NULL, '1F00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1210, '0', '', NULL, '', NULL, '1F00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1211, '0', '', NULL, '', NULL, '1F00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1212, '0', '', NULL, '', NULL, '1F00105', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1213, '0', '', NULL, '', NULL, '1F00106', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1214, '0', '', NULL, '', NULL, '1C001', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1215, '0', '', NULL, '', NULL, '1C00101', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1216, '0', '', NULL, '', NULL, '1C00102', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1217, '0', '', NULL, '', NULL, '1C00103', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1218, '0', '', NULL, '', NULL, '1C00104', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1219, '0', '', NULL, '', NULL, '1A004', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);
INSERT INTO `large_plat_green_smart` VALUES (1220, '0', '', NULL, '', NULL, '1A005', '省公司食堂', '外包', 300, 900, 30, 15, 60, 75, 10, 100, 100, 100, 100, 100, 100, 20, 900);

-- ----------------------------
-- Table structure for large_plat_green_smart_energy
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_green_smart_energy`;
CREATE TABLE `large_plat_green_smart_energy`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `canteen_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '食堂名称',
  `water_consumption_num` bigint(20) NULL DEFAULT 0 COMMENT '食堂用水量',
  `quantity_heat_num` bigint(20) NULL DEFAULT 0 COMMENT '食堂用热量',
  `gas_volume_num` bigint(20) NULL DEFAULT 0 COMMENT '食堂用气量',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1218 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '能耗信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_green_smart_energy
-- ----------------------------
INSERT INTO `large_plat_green_smart_energy` VALUES (1101, '0', '', NULL, '', NULL, '10001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1102, '0', '', NULL, '', NULL, '1A001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1103, '0', '', NULL, '', NULL, '1A002', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1104, '0', '', NULL, '', NULL, '1A003', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1105, '0', '', NULL, '', NULL, '1A00301', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1106, '0', '', NULL, '', NULL, '1A00302', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1107, '0', '', NULL, '', NULL, '1A00303', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1108, '0', '', NULL, '', NULL, '1A00304', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1109, '0', '', NULL, '', NULL, '1A00305', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1110, '0', '', NULL, '', NULL, '1A00306', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1111, '0', '', NULL, '', NULL, '1A00307', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1112, '0', '', NULL, '', NULL, '1A00308', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1113, '0', '', NULL, '', NULL, '1M001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1114, '0', '', NULL, '', NULL, '1M00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1115, '0', '', NULL, '', NULL, '1M00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1116, '0', '', NULL, '', NULL, '1M00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1117, '0', '', NULL, '', NULL, '1M00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1118, '0', '', NULL, '', NULL, '1M00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1119, '0', '', NULL, '', NULL, '1M00106', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1120, '0', '', NULL, '', NULL, '1M00107', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1121, '0', '', NULL, '', NULL, '1M00108', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1122, '0', '', NULL, '', NULL, '1M00109', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1123, '0', '', NULL, '', NULL, '1M00110', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1124, '0', '', NULL, '', NULL, '1M00111', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1125, '0', '', NULL, '', NULL, '1M00112', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1126, '0', '', NULL, '', NULL, '1M00113', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1127, '0', '', NULL, '', NULL, '1M00114', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1128, '0', '', NULL, '', NULL, '1L001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1129, '0', '', NULL, '', NULL, '1L00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1130, '0', '', NULL, '', NULL, '1L00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1131, '0', '', NULL, '', NULL, '1L00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1132, '0', '', NULL, '', NULL, '1L00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1133, '0', '', NULL, '', NULL, '1L00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1134, '0', '', NULL, '', NULL, '1L00106', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1135, '0', '', NULL, '', NULL, '1L00107', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1136, '0', '', NULL, '', NULL, '1L00108', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1137, '0', '', NULL, '', NULL, '1L00109', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1138, '0', '', NULL, '', NULL, '1L00110', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1139, '0', '', NULL, '', NULL, '1L00111', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1140, '0', '', NULL, '', NULL, '1L00112', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1141, '0', '', NULL, '', NULL, '1L00113', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1142, '0', '', NULL, '', NULL, '1L00114', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1143, '0', '', NULL, '', NULL, '1E001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1144, '0', '', NULL, '', NULL, '1E00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1145, '0', '', NULL, '', NULL, '1E00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1146, '0', '', NULL, '', NULL, '1E00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1147, '0', '', NULL, '', NULL, '1E00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1148, '0', '', NULL, '', NULL, '1E00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1149, '0', '', NULL, '', NULL, '1D001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1150, '0', '', NULL, '', NULL, '1D00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1151, '0', '', NULL, '', NULL, '1D00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1152, '0', '', NULL, '', NULL, '1D00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1153, '0', '', NULL, '', NULL, '1D00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1154, '0', '', NULL, '', NULL, '1D00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1155, '0', '', NULL, '', NULL, '1D00106', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1156, '0', '', NULL, '', NULL, '1D00107', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1157, '0', '', NULL, '', NULL, '1D00108', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1158, '0', '', NULL, '', NULL, '1D00109', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1159, '0', '', NULL, '', NULL, '1D00110', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1160, '0', '', NULL, '', NULL, '1D00111', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1161, '0', '', NULL, '', NULL, '1D00112', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1162, '0', '', NULL, '', NULL, '1J001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1163, '0', '', NULL, '', NULL, '1J00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1164, '0', '', NULL, '', NULL, '1J00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1165, '0', '', NULL, '', NULL, '1J00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1166, '0', '', NULL, '', NULL, '1J00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1167, '0', '', NULL, '', NULL, '1J00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1168, '0', '', NULL, '', NULL, '1K001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1169, '0', '', NULL, '', NULL, '1K00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1170, '0', '', NULL, '', NULL, '1K00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1171, '0', '', NULL, '', NULL, '1K00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1172, '0', '', NULL, '', NULL, '1K00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1173, '0', '', NULL, '', NULL, '1K00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1174, '0', '', NULL, '', NULL, '1K00106', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1175, '0', '', NULL, '', NULL, '1K00107', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1176, '0', '', NULL, '', NULL, '1K00108', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1177, '0', '', NULL, '', NULL, '1K00109', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1178, '0', '', NULL, '', NULL, '1K00110', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1179, '0', '', NULL, '', NULL, '1K00111', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1180, '0', '', NULL, '', NULL, '1H001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1181, '0', '', NULL, '', NULL, '1H00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1182, '0', '', NULL, '', NULL, '1H00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1183, '0', '', NULL, '', NULL, '1H00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1184, '0', '', NULL, '', NULL, '1H00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1185, '0', '', NULL, '', NULL, '1H00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1186, '0', '', NULL, '', NULL, '1H00106', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1187, '0', '', NULL, '', NULL, '1H00107', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1188, '0', '', NULL, '', NULL, '1H00108', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1189, '0', '', NULL, '', NULL, '1H00109', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1190, '0', '', NULL, '', NULL, '1H00110', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1191, '0', '', NULL, '', NULL, '1H00111', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1192, '0', '', NULL, '', NULL, '1H00112', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1193, '0', '', NULL, '', NULL, '1H00113', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1194, '0', '', NULL, '', NULL, '1B001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1195, '0', '', NULL, '', NULL, '1B00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1196, '0', '', NULL, '', NULL, '1B00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1197, '0', '', NULL, '', NULL, '1B00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1198, '0', '', NULL, '', NULL, '1B00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1199, '0', '', NULL, '', NULL, '1B00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1200, '0', '', NULL, '', NULL, '1B00106', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1201, '0', '', NULL, '', NULL, '1B00107', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1202, '0', '', NULL, '', NULL, '1B00108', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1203, '0', '', NULL, '', NULL, '1B00109', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1204, '0', '', NULL, '', NULL, '1F001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1205, '0', '', NULL, '', NULL, '1F00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1206, '0', '', NULL, '', NULL, '1F00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1207, '0', '', NULL, '', NULL, '1F00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1208, '0', '', NULL, '', NULL, '1F00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1209, '0', '', NULL, '', NULL, '1F00105', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1210, '0', '', NULL, '', NULL, '1F00106', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1211, '0', '', NULL, '', NULL, '1C001', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1212, '0', '', NULL, '', NULL, '1C00101', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1213, '0', '', NULL, '', NULL, '1C00102', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1214, '0', '', NULL, '', NULL, '1C00103', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1215, '0', '', NULL, '', NULL, '1C00104', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1216, '0', '', NULL, '', NULL, '1A004', '省公司食堂', 400, 400, 400);
INSERT INTO `large_plat_green_smart_energy` VALUES (1217, '0', '', NULL, '', NULL, '1A005', '省公司食堂', 400, 400, 400);

-- ----------------------------
-- Table structure for large_plat_green_smart_other
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_green_smart_other`;
CREATE TABLE `large_plat_green_smart_other`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `participate_num` bigint(20) NULL DEFAULT 0 COMMENT '绿智食堂参评食堂情况--参评绿智食堂',
  `completed_num` bigint(20) NULL DEFAULT 0 COMMENT '绿智食堂参评食堂情况--已完成单位',
  `actual_dining_num` bigint(20) NULL DEFAULT 0 COMMENT '就餐情况--早餐',
  `lunch_num` bigint(20) NULL DEFAULT 0 COMMENT '就餐情况--午餐',
  `dinner_num` bigint(20) NULL DEFAULT 0 COMMENT '就餐情况--晚餐',
  `morning_num` bigint(20) NULL DEFAULT 0 COMMENT '电子餐券--早',
  `noon_num` bigint(20) NULL DEFAULT 0 COMMENT '电子餐券--中',
  `night_num` bigint(20) NULL DEFAULT 0 COMMENT '电子餐券--晚',
  `daily_menu_num` bigint(20) NULL DEFAULT 0 COMMENT '菜品信息--每日菜谱',
  `weekly_cuisine_num` bigint(20) NULL DEFAULT 0 COMMENT '菜品信息--周菜食谱',
  `food_voting_num` bigint(20) NULL DEFAULT 0 COMMENT '其它数据信息--菜品投票参与人数',
  `clear_plate_num` bigint(20) NULL DEFAULT 0 COMMENT '其它数据信息--光盘行动参与人数',
  `culinary_exchange_num` bigint(20) NULL DEFAULT 0 COMMENT '其它数据信息--厨艺交流上传数量',
  `take_out_food_num` bigint(20) NULL DEFAULT 0 COMMENT '智慧食堂--外卖',
  `self_food_num` bigint(20) NULL DEFAULT 0 COMMENT '智慧食堂--自选食品',
  `holiday_special_num` bigint(20) NULL DEFAULT 0 COMMENT '智慧食堂--节日特供',
  `break_service_num` bigint(20) NULL DEFAULT 0 COMMENT '员工服务--茶歇服务',
  `laundry_service_num` bigint(20) NULL DEFAULT 0 COMMENT '员工服务--洗衣服务',
  `barber_service_num` bigint(20) NULL DEFAULT 0 COMMENT '员工服务--理发服务',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 118 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '绿智食堂 其他参数' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_green_smart_other
-- ----------------------------
INSERT INTO `large_plat_green_smart_other` VALUES (1, '0', '', NULL, 'anonymous', '2024-11-18 16:41:19', '10001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (2, '0', 'anonymous', '2024-10-31 19:08:13', 'anonymous', '2024-11-18 16:41:35', '1E001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (3, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (4, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A002', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (5, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A003', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (6, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:21', '1A00301', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (7, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00302', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (8, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00303', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (9, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00304', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (10, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00305', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (11, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00306', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (12, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00307', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (13, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00308', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (14, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:24', '1M001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (15, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (16, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (17, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (18, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (19, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (20, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00106', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (21, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:26', '1M00107', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (22, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00108', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (23, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00109', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (24, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:27', '1M00110', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (25, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00111', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (26, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00112', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (27, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00113', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (28, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00114', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (29, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1L001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (30, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:30', '1L00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (31, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (32, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (33, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (34, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (35, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:31', '1L00106', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (36, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00107', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (37, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00108', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (38, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:32', '1L00109', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (39, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00110', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (40, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00111', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (41, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00112', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (42, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00113', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (43, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:34', '1L00114', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (44, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:35', '1E00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (45, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (46, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:36', '1E00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (47, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (48, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (49, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1D001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (50, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (51, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (52, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:38', '1D00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (53, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (54, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:39', '1D00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (55, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00106', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (56, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00107', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (57, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00108', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (58, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00109', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (59, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00110', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (60, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00111', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (61, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:41', '1D00112', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (62, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (63, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (64, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (65, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (66, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (67, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:43', '1J00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (68, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (69, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (70, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:44', '1K00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (71, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (72, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (73, '0', NULL, '2024-10-31 19:30:25', NULL, '2024-11-18 16:41:45', '1K00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (74, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00106', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (75, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00107', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (76, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:47', '1K00108', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (77, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00109', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (78, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00110', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (79, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:48', '1K00111', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (80, '0', NULL, '2024-10-31 19:30:28', NULL, '2024-11-18 16:41:48', '1H001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (81, '0', NULL, '2024-10-31 19:30:29', NULL, '2024-11-18 16:41:48', '1H00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (82, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:49', '1H00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (83, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (84, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:50', '1H00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (85, '0', NULL, '2024-10-31 19:30:32', NULL, '2024-11-18 16:41:50', '1H00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (86, '0', NULL, '2024-10-31 19:30:33', NULL, '2024-11-18 16:41:50', '1H00106', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (87, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00107', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (88, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00108', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (89, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00109', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (90, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00110', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (91, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00111', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (92, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00112', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (93, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1H00113', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (94, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1B001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (95, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:53', '1B00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (96, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (97, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (98, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (99, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (100, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00106', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (101, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00107', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (102, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00108', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (103, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:57', '1B00109', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (104, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (105, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (106, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:58', '1F00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (107, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (108, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (109, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:59', '1F00105', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (110, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1F00106', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (111, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:42:00', '1C001', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (112, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00101', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (113, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00102', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (114, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00103', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (115, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00104', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (116, '0', '', NULL, '', NULL, '1A004', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);
INSERT INTO `large_plat_green_smart_other` VALUES (117, '0', '', NULL, '', NULL, '1A005', 1, 1, 40, 600, 60, 0, 20, 0, 15, 75, 200, 200, 60, 600, 700, 600, 800, 400, 600);

-- ----------------------------
-- Table structure for large_plat_green_smart_rank
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_green_smart_rank`;
CREATE TABLE `large_plat_green_smart_rank`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `type` tinyint(4) NULL DEFAULT 0 COMMENT '类型 0 热销菜品',
  `params_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '参数名称',
  `params_value` bigint(20) NULL DEFAULT 0 COMMENT '参数值',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`, `type`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 6086 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '绿智食堂 排名' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_green_smart_rank
-- ----------------------------
INSERT INTO `large_plat_green_smart_rank` VALUES (5714, '0', '', NULL, '', NULL, '1E001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5715, '0', '', NULL, '', NULL, '1E001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5507, '0', '', NULL, '', NULL, '1A001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5713, '0', '', NULL, '', NULL, '1E001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5509, '0', '', NULL, '', NULL, '1A001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5510, '0', '', NULL, '', NULL, '1A001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5514, '0', '', NULL, '', NULL, '1A002', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5515, '0', '', NULL, '', NULL, '1A002', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5519, '0', '', NULL, '', NULL, '1A003', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5520, '0', '', NULL, '', NULL, '1A003', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5525, '0', '', NULL, '', NULL, '1A00301', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5524, '0', '', NULL, '', NULL, '1A00301', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5523, '0', '', NULL, '', NULL, '1A00301', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5530, '0', '', NULL, '', NULL, '1A00302', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5529, '0', '', NULL, '', NULL, '1A00302', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5528, '0', '', NULL, '', NULL, '1A00302', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5535, '0', '', NULL, '', NULL, '1A00303', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5534, '0', '', NULL, '', NULL, '1A00303', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5533, '0', '', NULL, '', NULL, '1A00303', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5540, '0', '', NULL, '', NULL, '1A00304', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5539, '0', '', NULL, '', NULL, '1A00304', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5538, '0', '', NULL, '', NULL, '1A00304', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5545, '0', '', NULL, '', NULL, '1A00305', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5544, '0', '', NULL, '', NULL, '1A00305', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5543, '0', '', NULL, '', NULL, '1A00305', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5550, '0', '', NULL, '', NULL, '1A00306', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5549, '0', '', NULL, '', NULL, '1A00306', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5548, '0', '', NULL, '', NULL, '1A00306', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5555, '0', '', NULL, '', NULL, '1A00307', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5554, '0', '', NULL, '', NULL, '1A00307', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5553, '0', '', NULL, '', NULL, '1A00307', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5560, '0', '', NULL, '', NULL, '1A00308', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5559, '0', '', NULL, '', NULL, '1A00308', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5558, '0', '', NULL, '', NULL, '1A00308', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5564, '0', '', NULL, '', NULL, '1M001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5565, '0', '', NULL, '', NULL, '1M001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5570, '0', '', NULL, '', NULL, '1M00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5569, '0', '', NULL, '', NULL, '1M00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5568, '0', '', NULL, '', NULL, '1M00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5575, '0', '', NULL, '', NULL, '1M00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5574, '0', '', NULL, '', NULL, '1M00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5573, '0', '', NULL, '', NULL, '1M00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5580, '0', '', NULL, '', NULL, '1M00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5579, '0', '', NULL, '', NULL, '1M00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5578, '0', '', NULL, '', NULL, '1M00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5585, '0', '', NULL, '', NULL, '1M00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5584, '0', '', NULL, '', NULL, '1M00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5583, '0', '', NULL, '', NULL, '1M00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5590, '0', '', NULL, '', NULL, '1M00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5589, '0', '', NULL, '', NULL, '1M00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5588, '0', '', NULL, '', NULL, '1M00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5595, '0', '', NULL, '', NULL, '1M00106', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5640, '0', '', NULL, '', NULL, '1L001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5600, '0', '', NULL, '', NULL, '1M00107', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5605, '0', '', NULL, '', NULL, '1M00108', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5610, '0', '', NULL, '', NULL, '1M00109', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5609, '0', '', NULL, '', NULL, '1M00109', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5615, '0', '', NULL, '', NULL, '1M00110', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5614, '0', '', NULL, '', NULL, '1M00110', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5620, '0', '', NULL, '', NULL, '1M00111', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5619, '0', '', NULL, '', NULL, '1M00111', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5625, '0', '', NULL, '', NULL, '1M00112', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5624, '0', '', NULL, '', NULL, '1M00112', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5630, '0', '', NULL, '', NULL, '1M00113', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5629, '0', '', NULL, '', NULL, '1M00113', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5635, '0', '', NULL, '', NULL, '1M00114', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5634, '0', '', NULL, '', NULL, '1M00114', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5638, '0', '', NULL, '', NULL, '1L001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5645, '0', '', NULL, '', NULL, '1L00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5644, '0', '', NULL, '', NULL, '1L00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5650, '0', '', NULL, '', NULL, '1L00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5649, '0', '', NULL, '', NULL, '1L00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5655, '0', '', NULL, '', NULL, '1L00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5654, '0', '', NULL, '', NULL, '1L00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5660, '0', '', NULL, '', NULL, '1L00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5659, '0', '', NULL, '', NULL, '1L00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5665, '0', '', NULL, '', NULL, '1L00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5664, '0', '', NULL, '', NULL, '1L00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5670, '0', '', NULL, '', NULL, '1L00106', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5669, '0', '', NULL, '', NULL, '1L00106', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5675, '0', '', NULL, '', NULL, '1L00107', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5674, '0', '', NULL, '', NULL, '1L00107', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5680, '0', '', NULL, '', NULL, '1L00108', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5679, '0', '', NULL, '', NULL, '1L00108', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5685, '0', '', NULL, '', NULL, '1L00109', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5684, '0', '', NULL, '', NULL, '1L00109', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5690, '0', '', NULL, '', NULL, '1L00110', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5689, '0', '', NULL, '', NULL, '1L00110', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5695, '0', '', NULL, '', NULL, '1L00111', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5694, '0', '', NULL, '', NULL, '1L00111', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5700, '0', '', NULL, '', NULL, '1L00112', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5699, '0', '', NULL, '', NULL, '1L00112', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5705, '0', '', NULL, '', NULL, '1L00113', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5704, '0', '', NULL, '', NULL, '1L00113', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5710, '0', '', NULL, '', NULL, '1L00114', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5709, '0', '', NULL, '', NULL, '1L00114', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5708, '0', '', NULL, '', NULL, '1L00114', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5720, '0', '', NULL, '', NULL, '1E00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5719, '0', '', NULL, '', NULL, '1E00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5725, '0', '', NULL, '', NULL, '1E00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5724, '0', '', NULL, '', NULL, '1E00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5730, '0', '', NULL, '', NULL, '1E00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5729, '0', '', NULL, '', NULL, '1E00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5735, '0', '', NULL, '', NULL, '1E00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5734, '0', '', NULL, '', NULL, '1E00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5740, '0', '', NULL, '', NULL, '1E00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5739, '0', '', NULL, '', NULL, '1E00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5743, '0', '', NULL, '', NULL, '1D001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5750, '0', '', NULL, '', NULL, '1D00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5749, '0', '', NULL, '', NULL, '1D00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5755, '0', '', NULL, '', NULL, '1D00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5754, '0', '', NULL, '', NULL, '1D00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5760, '0', '', NULL, '', NULL, '1D00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5759, '0', '', NULL, '', NULL, '1D00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5765, '0', '', NULL, '', NULL, '1D00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5764, '0', '', NULL, '', NULL, '1D00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5770, '0', '', NULL, '', NULL, '1D00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5769, '0', '', NULL, '', NULL, '1D00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5775, '0', '', NULL, '', NULL, '1D00106', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5774, '0', '', NULL, '', NULL, '1D00106', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5780, '0', '', NULL, '', NULL, '1D00107', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5779, '0', '', NULL, '', NULL, '1D00107', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5785, '0', '', NULL, '', NULL, '1D00108', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5784, '0', '', NULL, '', NULL, '1D00108', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5790, '0', '', NULL, '', NULL, '1D00109', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5789, '0', '', NULL, '', NULL, '1D00109', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5795, '0', '', NULL, '', NULL, '1D00110', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5794, '0', '', NULL, '', NULL, '1D00110', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5800, '0', '', NULL, '', NULL, '1D00111', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5799, '0', '', NULL, '', NULL, '1D00111', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5805, '0', '', NULL, '', NULL, '1D00112', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5804, '0', '', NULL, '', NULL, '1D00112', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5810, '0', '', NULL, '', NULL, '1J001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5809, '0', '', NULL, '', NULL, '1J001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5815, '0', '', NULL, '', NULL, '1J00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5814, '0', '', NULL, '', NULL, '1J00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5820, '0', '', NULL, '', NULL, '1J00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5819, '0', '', NULL, '', NULL, '1J00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5825, '0', '', NULL, '', NULL, '1J00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5824, '0', '', NULL, '', NULL, '1J00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5830, '0', '', NULL, '', NULL, '1J00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5829, '0', '', NULL, '', NULL, '1J00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5835, '0', '', NULL, '', NULL, '1J00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5834, '0', '', NULL, '', NULL, '1J00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5840, '0', '', NULL, '', NULL, '1K001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5839, '0', '', NULL, '', NULL, '1K001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5845, '0', '', NULL, '', NULL, '1K00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5844, '0', '', NULL, '', NULL, '1K00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5850, '0', '', NULL, '', NULL, '1K00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5849, '0', '', NULL, '', NULL, '1K00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5855, '0', '', NULL, '', NULL, '1K00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5860, '0', '', NULL, '', NULL, '1K00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5865, '0', '', NULL, '', NULL, '1K00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5870, '0', '', NULL, '', NULL, '1K00106', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5875, '0', '', NULL, '', NULL, '1K00107', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5880, '0', '', NULL, '', NULL, '1K00108', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5885, '0', '', NULL, '', NULL, '1K00109', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5890, '0', '', NULL, '', NULL, '1K00110', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6075, '0', '', NULL, '', NULL, '1C00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5895, '0', '', NULL, '', NULL, '1K00111', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5900, '0', '', NULL, '', NULL, '1H001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5905, '0', '', NULL, '', NULL, '1H00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5910, '0', '', NULL, '', NULL, '1H00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5915, '0', '', NULL, '', NULL, '1H00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5920, '0', '', NULL, '', NULL, '1H00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5925, '0', '', NULL, '', NULL, '1H00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5930, '0', '', NULL, '', NULL, '1H00106', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5935, '0', '', NULL, '', NULL, '1H00107', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5940, '0', '', NULL, '', NULL, '1H00108', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5945, '0', '', NULL, '', NULL, '1H00109', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5950, '0', '', NULL, '', NULL, '1H00110', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5955, '0', '', NULL, '', NULL, '1H00111', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5960, '0', '', NULL, '', NULL, '1H00112', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5965, '0', '', NULL, '', NULL, '1H00113', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5970, '0', '', NULL, '', NULL, '1B001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5975, '0', '', NULL, '', NULL, '1B00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5980, '0', '', NULL, '', NULL, '1B00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5985, '0', '', NULL, '', NULL, '1B00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5990, '0', '', NULL, '', NULL, '1B00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5995, '0', '', NULL, '', NULL, '1B00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6000, '0', '', NULL, '', NULL, '1B00106', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6005, '0', '', NULL, '', NULL, '1B00107', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6010, '0', '', NULL, '', NULL, '1B00108', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6015, '0', '', NULL, '', NULL, '1B00109', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6020, '0', '', NULL, '', NULL, '1F001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6025, '0', '', NULL, '', NULL, '1F00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6030, '0', '', NULL, '', NULL, '1F00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6035, '0', '', NULL, '', NULL, '1F00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6040, '0', '', NULL, '', NULL, '1F00104', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6045, '0', '', NULL, '', NULL, '1F00105', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6050, '0', '', NULL, '', NULL, '1F00106', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6055, '0', '', NULL, '', NULL, '1C001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6060, '0', '', NULL, '', NULL, '1C00101', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6065, '0', '', NULL, '', NULL, '1C00102', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6070, '0', '', NULL, '', NULL, '1C00103', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6074, '0', '', NULL, '', NULL, '1C00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5504, '0', '', NULL, '', NULL, '10001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5637, '0', '', NULL, '', NULL, '1L001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5742, '0', '', NULL, '', NULL, '1D001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5854, '0', '', NULL, '', NULL, '1K00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5859, '0', '', NULL, '', NULL, '1K00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5864, '0', '', NULL, '', NULL, '1K00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5869, '0', '', NULL, '', NULL, '1K00106', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5874, '0', '', NULL, '', NULL, '1K00107', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5879, '0', '', NULL, '', NULL, '1K00108', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5884, '0', '', NULL, '', NULL, '1K00109', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5889, '0', '', NULL, '', NULL, '1K00110', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5894, '0', '', NULL, '', NULL, '1K00111', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5904, '0', '', NULL, '', NULL, '1H00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5909, '0', '', NULL, '', NULL, '1H00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5914, '0', '', NULL, '', NULL, '1H00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5919, '0', '', NULL, '', NULL, '1H00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5924, '0', '', NULL, '', NULL, '1H00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5929, '0', '', NULL, '', NULL, '1H00106', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5934, '0', '', NULL, '', NULL, '1H00107', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5939, '0', '', NULL, '', NULL, '1H00108', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5944, '0', '', NULL, '', NULL, '1H00109', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5949, '0', '', NULL, '', NULL, '1H00110', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5954, '0', '', NULL, '', NULL, '1H00111', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5959, '0', '', NULL, '', NULL, '1H00112', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5964, '0', '', NULL, '', NULL, '1H00113', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5974, '0', '', NULL, '', NULL, '1B00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5979, '0', '', NULL, '', NULL, '1B00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5984, '0', '', NULL, '', NULL, '1B00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5989, '0', '', NULL, '', NULL, '1B00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5994, '0', '', NULL, '', NULL, '1B00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5999, '0', '', NULL, '', NULL, '1B00106', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6004, '0', '', NULL, '', NULL, '1B00107', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6009, '0', '', NULL, '', NULL, '1B00108', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6014, '0', '', NULL, '', NULL, '1B00109', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6024, '0', '', NULL, '', NULL, '1F00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6029, '0', '', NULL, '', NULL, '1F00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6034, '0', '', NULL, '', NULL, '1F00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6039, '0', '', NULL, '', NULL, '1F00104', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6044, '0', '', NULL, '', NULL, '1F00105', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6049, '0', '', NULL, '', NULL, '1F00106', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6059, '0', '', NULL, '', NULL, '1C00101', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6064, '0', '', NULL, '', NULL, '1C00102', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6069, '0', '', NULL, '', NULL, '1C00103', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5505, '0', '', NULL, '', NULL, '10001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5593, '0', '', NULL, '', NULL, '1M00106', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5598, '0', '', NULL, '', NULL, '1M00107', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5603, '0', '', NULL, '', NULL, '1M00108', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5503, '0', '', NULL, '', NULL, '10001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5508, '0', '', NULL, '', NULL, '1A001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5513, '0', '', NULL, '', NULL, '1A002', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5518, '0', '', NULL, '', NULL, '1A003', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5522, '0', '', NULL, '', NULL, '1A00301', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5527, '0', '', NULL, '', NULL, '1A00302', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5532, '0', '', NULL, '', NULL, '1A00303', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5537, '0', '', NULL, '', NULL, '1A00304', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5542, '0', '', NULL, '', NULL, '1A00305', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5547, '0', '', NULL, '', NULL, '1A00306', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5552, '0', '', NULL, '', NULL, '1A00307', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5557, '0', '', NULL, '', NULL, '1A00308', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5563, '0', '', NULL, '', NULL, '1M001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5567, '0', '', NULL, '', NULL, '1M00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5572, '0', '', NULL, '', NULL, '1M00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5577, '0', '', NULL, '', NULL, '1M00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5582, '0', '', NULL, '', NULL, '1M00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5587, '0', '', NULL, '', NULL, '1M00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5592, '0', '', NULL, '', NULL, '1M00106', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5597, '0', '', NULL, '', NULL, '1M00107', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5602, '0', '', NULL, '', NULL, '1M00108', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5608, '0', '', NULL, '', NULL, '1M00109', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5613, '0', '', NULL, '', NULL, '1M00110', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5618, '0', '', NULL, '', NULL, '1M00111', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5623, '0', '', NULL, '', NULL, '1M00112', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5628, '0', '', NULL, '', NULL, '1M00113', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5633, '0', '', NULL, '', NULL, '1M00114', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5639, '0', '', NULL, '', NULL, '1L001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5643, '0', '', NULL, '', NULL, '1L00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5648, '0', '', NULL, '', NULL, '1L00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5653, '0', '', NULL, '', NULL, '1L00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5658, '0', '', NULL, '', NULL, '1L00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5663, '0', '', NULL, '', NULL, '1L00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5668, '0', '', NULL, '', NULL, '1L00106', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5673, '0', '', NULL, '', NULL, '1L00107', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5678, '0', '', NULL, '', NULL, '1L00108', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5683, '0', '', NULL, '', NULL, '1L00109', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5688, '0', '', NULL, '', NULL, '1L00110', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5693, '0', '', NULL, '', NULL, '1L00111', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5698, '0', '', NULL, '', NULL, '1L00112', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5703, '0', '', NULL, '', NULL, '1L00113', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5707, '0', '', NULL, '', NULL, '1L00114', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5718, '0', '', NULL, '', NULL, '1E00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5723, '0', '', NULL, '', NULL, '1E00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5728, '0', '', NULL, '', NULL, '1E00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5733, '0', '', NULL, '', NULL, '1E00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5738, '0', '', NULL, '', NULL, '1E00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5744, '0', '', NULL, '', NULL, '1D001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5748, '0', '', NULL, '', NULL, '1D00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5753, '0', '', NULL, '', NULL, '1D00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5758, '0', '', NULL, '', NULL, '1D00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5763, '0', '', NULL, '', NULL, '1D00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5768, '0', '', NULL, '', NULL, '1D00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5773, '0', '', NULL, '', NULL, '1D00106', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5778, '0', '', NULL, '', NULL, '1D00107', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5783, '0', '', NULL, '', NULL, '1D00108', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5788, '0', '', NULL, '', NULL, '1D00109', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5793, '0', '', NULL, '', NULL, '1D00110', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5798, '0', '', NULL, '', NULL, '1D00111', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5803, '0', '', NULL, '', NULL, '1D00112', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5813, '0', '', NULL, '', NULL, '1J00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5818, '0', '', NULL, '', NULL, '1J00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5823, '0', '', NULL, '', NULL, '1J00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5828, '0', '', NULL, '', NULL, '1J00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5833, '0', '', NULL, '', NULL, '1J00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5843, '0', '', NULL, '', NULL, '1K00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5848, '0', '', NULL, '', NULL, '1K00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5853, '0', '', NULL, '', NULL, '1K00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5858, '0', '', NULL, '', NULL, '1K00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5863, '0', '', NULL, '', NULL, '1K00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5868, '0', '', NULL, '', NULL, '1K00106', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5873, '0', '', NULL, '', NULL, '1K00107', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5878, '0', '', NULL, '', NULL, '1K00108', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5883, '0', '', NULL, '', NULL, '1K00109', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5888, '0', '', NULL, '', NULL, '1K00110', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5893, '0', '', NULL, '', NULL, '1K00111', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5899, '0', '', NULL, '', NULL, '1H001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5903, '0', '', NULL, '', NULL, '1H00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5908, '0', '', NULL, '', NULL, '1H00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5913, '0', '', NULL, '', NULL, '1H00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5918, '0', '', NULL, '', NULL, '1H00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5923, '0', '', NULL, '', NULL, '1H00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5928, '0', '', NULL, '', NULL, '1H00106', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5933, '0', '', NULL, '', NULL, '1H00107', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5938, '0', '', NULL, '', NULL, '1H00108', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5943, '0', '', NULL, '', NULL, '1H00109', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5948, '0', '', NULL, '', NULL, '1H00110', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5953, '0', '', NULL, '', NULL, '1H00111', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5958, '0', '', NULL, '', NULL, '1H00112', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5963, '0', '', NULL, '', NULL, '1H00113', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5969, '0', '', NULL, '', NULL, '1B001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5973, '0', '', NULL, '', NULL, '1B00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5978, '0', '', NULL, '', NULL, '1B00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5983, '0', '', NULL, '', NULL, '1B00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5988, '0', '', NULL, '', NULL, '1B00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5993, '0', '', NULL, '', NULL, '1B00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5998, '0', '', NULL, '', NULL, '1B00106', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6003, '0', '', NULL, '', NULL, '1B00107', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6008, '0', '', NULL, '', NULL, '1B00108', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6013, '0', '', NULL, '', NULL, '1B00109', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6019, '0', '', NULL, '', NULL, '1F001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6023, '0', '', NULL, '', NULL, '1F00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6028, '0', '', NULL, '', NULL, '1F00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6033, '0', '', NULL, '', NULL, '1F00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6038, '0', '', NULL, '', NULL, '1F00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6043, '0', '', NULL, '', NULL, '1F00105', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6048, '0', '', NULL, '', NULL, '1F00106', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6054, '0', '', NULL, '', NULL, '1C001', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6058, '0', '', NULL, '', NULL, '1C00101', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6063, '0', '', NULL, '', NULL, '1C00102', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6068, '0', '', NULL, '', NULL, '1C00103', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6073, '0', '', NULL, '', NULL, '1C00104', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5607, '0', '', NULL, '', NULL, '1M00109', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5612, '0', '', NULL, '', NULL, '1M00110', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5617, '0', '', NULL, '', NULL, '1M00111', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5622, '0', '', NULL, '', NULL, '1M00112', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5627, '0', '', NULL, '', NULL, '1M00113', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5632, '0', '', NULL, '', NULL, '1M00114', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5642, '0', '', NULL, '', NULL, '1L00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5647, '0', '', NULL, '', NULL, '1L00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5652, '0', '', NULL, '', NULL, '1L00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5657, '0', '', NULL, '', NULL, '1L00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5662, '0', '', NULL, '', NULL, '1L00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5667, '0', '', NULL, '', NULL, '1L00106', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5672, '0', '', NULL, '', NULL, '1L00107', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5677, '0', '', NULL, '', NULL, '1L00108', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5682, '0', '', NULL, '', NULL, '1L00109', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5687, '0', '', NULL, '', NULL, '1L00110', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5692, '0', '', NULL, '', NULL, '1L00111', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5697, '0', '', NULL, '', NULL, '1L00112', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5702, '0', '', NULL, '', NULL, '1L00113', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5717, '0', '', NULL, '', NULL, '1E00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5722, '0', '', NULL, '', NULL, '1E00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5727, '0', '', NULL, '', NULL, '1E00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5732, '0', '', NULL, '', NULL, '1E00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5737, '0', '', NULL, '', NULL, '1E00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5747, '0', '', NULL, '', NULL, '1D00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5752, '0', '', NULL, '', NULL, '1D00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5757, '0', '', NULL, '', NULL, '1D00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5762, '0', '', NULL, '', NULL, '1D00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5767, '0', '', NULL, '', NULL, '1D00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5772, '0', '', NULL, '', NULL, '1D00106', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5777, '0', '', NULL, '', NULL, '1D00107', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5782, '0', '', NULL, '', NULL, '1D00108', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5787, '0', '', NULL, '', NULL, '1D00109', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5792, '0', '', NULL, '', NULL, '1D00110', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5797, '0', '', NULL, '', NULL, '1D00111', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5802, '0', '', NULL, '', NULL, '1D00112', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5808, '0', '', NULL, '', NULL, '1J001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5812, '0', '', NULL, '', NULL, '1J00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5817, '0', '', NULL, '', NULL, '1J00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5822, '0', '', NULL, '', NULL, '1J00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5827, '0', '', NULL, '', NULL, '1J00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5832, '0', '', NULL, '', NULL, '1J00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5838, '0', '', NULL, '', NULL, '1K001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5842, '0', '', NULL, '', NULL, '1K00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5847, '0', '', NULL, '', NULL, '1K00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5852, '0', '', NULL, '', NULL, '1K00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5857, '0', '', NULL, '', NULL, '1K00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5862, '0', '', NULL, '', NULL, '1K00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5867, '0', '', NULL, '', NULL, '1K00106', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5872, '0', '', NULL, '', NULL, '1K00107', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5877, '0', '', NULL, '', NULL, '1K00108', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5882, '0', '', NULL, '', NULL, '1K00109', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5887, '0', '', NULL, '', NULL, '1K00110', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5892, '0', '', NULL, '', NULL, '1K00111', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5898, '0', '', NULL, '', NULL, '1H001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5902, '0', '', NULL, '', NULL, '1H00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5907, '0', '', NULL, '', NULL, '1H00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5912, '0', '', NULL, '', NULL, '1H00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5917, '0', '', NULL, '', NULL, '1H00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5922, '0', '', NULL, '', NULL, '1H00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5927, '0', '', NULL, '', NULL, '1H00106', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5932, '0', '', NULL, '', NULL, '1H00107', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5937, '0', '', NULL, '', NULL, '1H00108', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5942, '0', '', NULL, '', NULL, '1H00109', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5947, '0', '', NULL, '', NULL, '1H00110', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5952, '0', '', NULL, '', NULL, '1H00111', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5957, '0', '', NULL, '', NULL, '1H00112', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5962, '0', '', NULL, '', NULL, '1H00113', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5968, '0', '', NULL, '', NULL, '1B001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (5972, '0', '', NULL, '', NULL, '1B00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5977, '0', '', NULL, '', NULL, '1B00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5982, '0', '', NULL, '', NULL, '1B00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5987, '0', '', NULL, '', NULL, '1B00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5992, '0', '', NULL, '', NULL, '1B00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5997, '0', '', NULL, '', NULL, '1B00106', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6002, '0', '', NULL, '', NULL, '1B00107', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6007, '0', '', NULL, '', NULL, '1B00108', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6012, '0', '', NULL, '', NULL, '1B00109', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6018, '0', '', NULL, '', NULL, '1F001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6022, '0', '', NULL, '', NULL, '1F00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6027, '0', '', NULL, '', NULL, '1F00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6032, '0', '', NULL, '', NULL, '1F00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6037, '0', '', NULL, '', NULL, '1F00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6042, '0', '', NULL, '', NULL, '1F00105', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6047, '0', '', NULL, '', NULL, '1F00106', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6053, '0', '', NULL, '', NULL, '1C001', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6057, '0', '', NULL, '', NULL, '1C00101', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6062, '0', '', NULL, '', NULL, '1C00102', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6067, '0', '', NULL, '', NULL, '1C00103', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6072, '0', '', NULL, '', NULL, '1C00104', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5502, '0', '', NULL, '', NULL, '10001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5501, '0', '', NULL, '', NULL, '10001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5506, '0', '', NULL, '', NULL, '1A001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5512, '0', '', NULL, '', NULL, '1A002', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5511, '0', '', NULL, '', NULL, '1A002', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5517, '0', '', NULL, '', NULL, '1A003', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5516, '0', '', NULL, '', NULL, '1A003', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5521, '0', '', NULL, '', NULL, '1A00301', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5526, '0', '', NULL, '', NULL, '1A00302', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5531, '0', '', NULL, '', NULL, '1A00303', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5536, '0', '', NULL, '', NULL, '1A00304', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5541, '0', '', NULL, '', NULL, '1A00305', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5546, '0', '', NULL, '', NULL, '1A00306', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5551, '0', '', NULL, '', NULL, '1A00307', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5556, '0', '', NULL, '', NULL, '1A00308', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5562, '0', '', NULL, '', NULL, '1M001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5561, '0', '', NULL, '', NULL, '1M001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5566, '0', '', NULL, '', NULL, '1M00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5571, '0', '', NULL, '', NULL, '1M00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5576, '0', '', NULL, '', NULL, '1M00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5581, '0', '', NULL, '', NULL, '1M00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5586, '0', '', NULL, '', NULL, '1M00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5594, '0', '', NULL, '', NULL, '1M00106', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5591, '0', '', NULL, '', NULL, '1M00106', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5599, '0', '', NULL, '', NULL, '1M00107', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5596, '0', '', NULL, '', NULL, '1M00107', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5604, '0', '', NULL, '', NULL, '1M00108', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (5601, '0', '', NULL, '', NULL, '1M00108', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5606, '0', '', NULL, '', NULL, '1M00109', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5611, '0', '', NULL, '', NULL, '1M00110', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5616, '0', '', NULL, '', NULL, '1M00111', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5621, '0', '', NULL, '', NULL, '1M00112', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5626, '0', '', NULL, '', NULL, '1M00113', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5631, '0', '', NULL, '', NULL, '1M00114', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5636, '0', '', NULL, '', NULL, '1L001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5641, '0', '', NULL, '', NULL, '1L00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5646, '0', '', NULL, '', NULL, '1L00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5651, '0', '', NULL, '', NULL, '1L00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5656, '0', '', NULL, '', NULL, '1L00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5661, '0', '', NULL, '', NULL, '1L00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5666, '0', '', NULL, '', NULL, '1L00106', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5671, '0', '', NULL, '', NULL, '1L00107', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5676, '0', '', NULL, '', NULL, '1L00108', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5681, '0', '', NULL, '', NULL, '1L00109', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5686, '0', '', NULL, '', NULL, '1L00110', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5691, '0', '', NULL, '', NULL, '1L00111', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5696, '0', '', NULL, '', NULL, '1L00112', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5701, '0', '', NULL, '', NULL, '1L00113', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5706, '0', '', NULL, '', NULL, '1L00114', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5712, '0', '', NULL, '', NULL, '1E001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5711, '0', '', NULL, '', NULL, '1E001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5716, '0', '', NULL, '', NULL, '1E00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5721, '0', '', NULL, '', NULL, '1E00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5726, '0', '', NULL, '', NULL, '1E00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5731, '0', '', NULL, '', NULL, '1E00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5736, '0', '', NULL, '', NULL, '1E00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5741, '0', '', NULL, '', NULL, '1D001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5746, '0', '', NULL, '', NULL, '1D00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5751, '0', '', NULL, '', NULL, '1D00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5756, '0', '', NULL, '', NULL, '1D00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5761, '0', '', NULL, '', NULL, '1D00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5766, '0', '', NULL, '', NULL, '1D00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5771, '0', '', NULL, '', NULL, '1D00106', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5776, '0', '', NULL, '', NULL, '1D00107', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5781, '0', '', NULL, '', NULL, '1D00108', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5786, '0', '', NULL, '', NULL, '1D00109', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5791, '0', '', NULL, '', NULL, '1D00110', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5796, '0', '', NULL, '', NULL, '1D00111', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5801, '0', '', NULL, '', NULL, '1D00112', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5807, '0', '', NULL, '', NULL, '1J001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5811, '0', '', NULL, '', NULL, '1J00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5816, '0', '', NULL, '', NULL, '1J00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5821, '0', '', NULL, '', NULL, '1J00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5826, '0', '', NULL, '', NULL, '1J00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5831, '0', '', NULL, '', NULL, '1J00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5837, '0', '', NULL, '', NULL, '1K001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5841, '0', '', NULL, '', NULL, '1K00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5846, '0', '', NULL, '', NULL, '1K00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5851, '0', '', NULL, '', NULL, '1K00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5856, '0', '', NULL, '', NULL, '1K00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5861, '0', '', NULL, '', NULL, '1K00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5866, '0', '', NULL, '', NULL, '1K00106', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5871, '0', '', NULL, '', NULL, '1K00107', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5876, '0', '', NULL, '', NULL, '1K00108', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5881, '0', '', NULL, '', NULL, '1K00109', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5886, '0', '', NULL, '', NULL, '1K00110', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5891, '0', '', NULL, '', NULL, '1K00111', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5897, '0', '', NULL, '', NULL, '1H001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5896, '0', '', NULL, '', NULL, '1H001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5901, '0', '', NULL, '', NULL, '1H00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5906, '0', '', NULL, '', NULL, '1H00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5911, '0', '', NULL, '', NULL, '1H00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5916, '0', '', NULL, '', NULL, '1H00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5921, '0', '', NULL, '', NULL, '1H00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5926, '0', '', NULL, '', NULL, '1H00106', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5931, '0', '', NULL, '', NULL, '1H00107', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5936, '0', '', NULL, '', NULL, '1H00108', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5941, '0', '', NULL, '', NULL, '1H00109', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5946, '0', '', NULL, '', NULL, '1H00110', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5951, '0', '', NULL, '', NULL, '1H00111', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5956, '0', '', NULL, '', NULL, '1H00112', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5961, '0', '', NULL, '', NULL, '1H00113', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5967, '0', '', NULL, '', NULL, '1B001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (5966, '0', '', NULL, '', NULL, '1B001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5971, '0', '', NULL, '', NULL, '1B00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5976, '0', '', NULL, '', NULL, '1B00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5981, '0', '', NULL, '', NULL, '1B00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5986, '0', '', NULL, '', NULL, '1B00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5991, '0', '', NULL, '', NULL, '1B00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5996, '0', '', NULL, '', NULL, '1B00106', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6001, '0', '', NULL, '', NULL, '1B00107', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6006, '0', '', NULL, '', NULL, '1B00108', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6011, '0', '', NULL, '', NULL, '1B00109', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6017, '0', '', NULL, '', NULL, '1F001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6016, '0', '', NULL, '', NULL, '1F001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6021, '0', '', NULL, '', NULL, '1F00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6026, '0', '', NULL, '', NULL, '1F00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6031, '0', '', NULL, '', NULL, '1F00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6036, '0', '', NULL, '', NULL, '1F00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6041, '0', '', NULL, '', NULL, '1F00105', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6046, '0', '', NULL, '', NULL, '1F00106', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6052, '0', '', NULL, '', NULL, '1C001', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6051, '0', '', NULL, '', NULL, '1C001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6056, '0', '', NULL, '', NULL, '1C00101', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6061, '0', '', NULL, '', NULL, '1C00102', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6066, '0', '', NULL, '', NULL, '1C00103', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6071, '0', '', NULL, '', NULL, '1C00104', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5745, '0', '', NULL, '', NULL, '1D001', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (5806, '0', '', NULL, '', NULL, '1J001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (5836, '0', '', NULL, '', NULL, '1K001', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6080, '0', '', NULL, '', NULL, '1A004', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6079, '0', '', NULL, '', NULL, '1A004', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6078, '0', '', NULL, '', NULL, '1A004', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6077, '0', '', NULL, '', NULL, '1A004', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6076, '0', '', NULL, '', NULL, '1A004', 0, '毛血旺', 88);
INSERT INTO `large_plat_green_smart_rank` VALUES (6085, '0', '', NULL, '', NULL, '1A005', 0, '麻婆豆腐', 96);
INSERT INTO `large_plat_green_smart_rank` VALUES (6084, '0', '', NULL, '', NULL, '1A005', 0, '土豆炖牛腩', 87);
INSERT INTO `large_plat_green_smart_rank` VALUES (6083, '0', '', NULL, '', NULL, '1A005', 0, '凉拌莜面', 100);
INSERT INTO `large_plat_green_smart_rank` VALUES (6082, '0', '', NULL, '', NULL, '1A005', 0, '清炒油麦菜', 84);
INSERT INTO `large_plat_green_smart_rank` VALUES (6081, '0', '', NULL, '', NULL, '1A005', 0, '毛血旺', 88);

-- ----------------------------
-- Table structure for large_plat_green_smart_safety
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_green_smart_safety`;
CREATE TABLE `large_plat_green_smart_safety`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `canteen_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '食堂名称',
  `sample_num` bigint(20) NULL DEFAULT 0 COMMENT '食品留样数量',
  `positive_num` bigint(20) NULL DEFAULT 0 COMMENT '食材抽检结果阳性',
  `negative_num` bigint(20) NULL DEFAULT 0 COMMENT '食材抽检结果阴性',
  `ingredients_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '食材抽检合格率',
  `leave_sample_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '食品留样合格率',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1219 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '食堂安全管理' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_green_smart_safety
-- ----------------------------
INSERT INTO `large_plat_green_smart_safety` VALUES (1102, '0', '', NULL, '', NULL, '10001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1103, '0', '', NULL, '', NULL, '1A001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1104, '0', '', NULL, '', NULL, '1A002', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1105, '0', '', NULL, '', NULL, '1A003', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1106, '0', '', NULL, '', NULL, '1A00301', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1107, '0', '', NULL, '', NULL, '1A00302', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1108, '0', '', NULL, '', NULL, '1A00303', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1109, '0', '', NULL, '', NULL, '1A00304', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1110, '0', '', NULL, '', NULL, '1A00305', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1111, '0', '', NULL, '', NULL, '1A00306', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1112, '0', '', NULL, '', NULL, '1A00307', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1113, '0', '', NULL, '', NULL, '1A00308', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1114, '0', '', NULL, '', NULL, '1M001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1115, '0', '', NULL, '', NULL, '1M00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1116, '0', '', NULL, '', NULL, '1M00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1117, '0', '', NULL, '', NULL, '1M00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1118, '0', '', NULL, '', NULL, '1M00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1119, '0', '', NULL, '', NULL, '1M00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1120, '0', '', NULL, '', NULL, '1M00106', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1121, '0', '', NULL, '', NULL, '1M00107', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1122, '0', '', NULL, '', NULL, '1M00108', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1123, '0', '', NULL, '', NULL, '1M00109', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1124, '0', '', NULL, '', NULL, '1M00110', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1125, '0', '', NULL, '', NULL, '1M00111', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1126, '0', '', NULL, '', NULL, '1M00112', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1127, '0', '', NULL, '', NULL, '1M00113', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1128, '0', '', NULL, '', NULL, '1M00114', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1129, '0', '', NULL, '', NULL, '1L001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1130, '0', '', NULL, '', NULL, '1L00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1131, '0', '', NULL, '', NULL, '1L00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1132, '0', '', NULL, '', NULL, '1L00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1133, '0', '', NULL, '', NULL, '1L00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1134, '0', '', NULL, '', NULL, '1L00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1135, '0', '', NULL, '', NULL, '1L00106', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1136, '0', '', NULL, '', NULL, '1L00107', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1137, '0', '', NULL, '', NULL, '1L00108', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1138, '0', '', NULL, '', NULL, '1L00109', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1139, '0', '', NULL, '', NULL, '1L00110', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1140, '0', '', NULL, '', NULL, '1L00111', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1141, '0', '', NULL, '', NULL, '1L00112', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1142, '0', '', NULL, '', NULL, '1L00113', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1143, '0', '', NULL, '', NULL, '1L00114', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1144, '0', '', NULL, '', NULL, '1E001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1145, '0', '', NULL, '', NULL, '1E00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1146, '0', '', NULL, '', NULL, '1E00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1147, '0', '', NULL, '', NULL, '1E00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1148, '0', '', NULL, '', NULL, '1E00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1149, '0', '', NULL, '', NULL, '1E00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1150, '0', '', NULL, '', NULL, '1D001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1151, '0', '', NULL, '', NULL, '1D00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1152, '0', '', NULL, '', NULL, '1D00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1153, '0', '', NULL, '', NULL, '1D00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1154, '0', '', NULL, '', NULL, '1D00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1155, '0', '', NULL, '', NULL, '1D00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1156, '0', '', NULL, '', NULL, '1D00106', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1157, '0', '', NULL, '', NULL, '1D00107', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1158, '0', '', NULL, '', NULL, '1D00108', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1159, '0', '', NULL, '', NULL, '1D00109', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1160, '0', '', NULL, '', NULL, '1D00110', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1161, '0', '', NULL, '', NULL, '1D00111', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1162, '0', '', NULL, '', NULL, '1D00112', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1163, '0', '', NULL, '', NULL, '1J001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1164, '0', '', NULL, '', NULL, '1J00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1165, '0', '', NULL, '', NULL, '1J00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1166, '0', '', NULL, '', NULL, '1J00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1167, '0', '', NULL, '', NULL, '1J00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1168, '0', '', NULL, '', NULL, '1J00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1169, '0', '', NULL, '', NULL, '1K001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1170, '0', '', NULL, '', NULL, '1K00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1171, '0', '', NULL, '', NULL, '1K00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1172, '0', '', NULL, '', NULL, '1K00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1173, '0', '', NULL, '', NULL, '1K00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1174, '0', '', NULL, '', NULL, '1K00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1175, '0', '', NULL, '', NULL, '1K00106', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1176, '0', '', NULL, '', NULL, '1K00107', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1177, '0', '', NULL, '', NULL, '1K00108', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1178, '0', '', NULL, '', NULL, '1K00109', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1179, '0', '', NULL, '', NULL, '1K00110', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1180, '0', '', NULL, '', NULL, '1K00111', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1181, '0', '', NULL, '', NULL, '1H001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1182, '0', '', NULL, '', NULL, '1H00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1183, '0', '', NULL, '', NULL, '1H00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1184, '0', '', NULL, '', NULL, '1H00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1185, '0', '', NULL, '', NULL, '1H00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1186, '0', '', NULL, '', NULL, '1H00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1187, '0', '', NULL, '', NULL, '1H00106', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1188, '0', '', NULL, '', NULL, '1H00107', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1189, '0', '', NULL, '', NULL, '1H00108', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1190, '0', '', NULL, '', NULL, '1H00109', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1191, '0', '', NULL, '', NULL, '1H00110', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1192, '0', '', NULL, '', NULL, '1H00111', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1193, '0', '', NULL, '', NULL, '1H00112', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1194, '0', '', NULL, '', NULL, '1H00113', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1195, '0', '', NULL, '', NULL, '1B001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1196, '0', '', NULL, '', NULL, '1B00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1197, '0', '', NULL, '', NULL, '1B00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1198, '0', '', NULL, '', NULL, '1B00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1199, '0', '', NULL, '', NULL, '1B00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1200, '0', '', NULL, '', NULL, '1B00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1201, '0', '', NULL, '', NULL, '1B00106', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1202, '0', '', NULL, '', NULL, '1B00107', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1203, '0', '', NULL, '', NULL, '1B00108', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1204, '0', '', NULL, '', NULL, '1B00109', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1205, '0', '', NULL, '', NULL, '1F001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1206, '0', '', NULL, '', NULL, '1F00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1207, '0', '', NULL, '', NULL, '1F00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1208, '0', '', NULL, '', NULL, '1F00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1209, '0', '', NULL, '', NULL, '1F00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1210, '0', '', NULL, '', NULL, '1F00105', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1211, '0', '', NULL, '', NULL, '1F00106', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1212, '0', '', NULL, '', NULL, '1C001', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1213, '0', '', NULL, '', NULL, '1C00101', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1214, '0', '', NULL, '', NULL, '1C00102', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1215, '0', '', NULL, '', NULL, '1C00103', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1216, '0', '', NULL, '', NULL, '1C00104', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1217, '0', '', NULL, '', NULL, '1A004', '省公司食堂', 20, 0, 20, 100.00, 100.00);
INSERT INTO `large_plat_green_smart_safety` VALUES (1218, '0', '', NULL, '', NULL, '1A005', '省公司食堂', 20, 0, 20, 100.00, 100.00);

-- ----------------------------
-- Table structure for large_plat_post_station
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_post_station`;
CREATE TABLE `large_plat_post_station`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `fault_warranty_num` bigint(20) NULL DEFAULT 0 COMMENT '物业服务--故障保修订单数',
  `dispatched_num` bigint(20) NULL DEFAULT 0 COMMENT '物业服务--派单数量',
  `suggested_num` bigint(20) NULL DEFAULT 0 COMMENT '物业服务--建议订单数量',
  `repair_orders_num` bigint(20) NULL DEFAULT 0 COMMENT '物业服务--维修订单数量',
  `questionnaires_num` bigint(20) NULL DEFAULT 0 COMMENT '物业服务--调查问卷数量',
  `fire_control_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--消防',
  `elevator_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--电梯',
  `lamp_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--照明灯具',
  `security_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--安防',
  `toilet_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--卫生间',
  `area_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--公区',
  `conditioner_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--空调',
  `repairs_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--其它维修',
  `meeting_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--会议保障',
  `office_num` bigint(20) NULL DEFAULT 0 COMMENT '近一个月报修分类占比--办公室',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 119 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '物业服务' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_post_station
-- ----------------------------
INSERT INTO `large_plat_post_station` VALUES (1, '0', '', NULL, 'anonymous', '2024-11-18 16:41:19', '10001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (2, '0', '', NULL, '', NULL, '10002', 10, 20, 30, 40, 50, 100, 260, 101, 201, 300, 400, 260, 310, 140, 150);
INSERT INTO `large_plat_post_station` VALUES (3, '0', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-11-18 16:41:35', '1E001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (4, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (5, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A002', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (6, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A003', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (7, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:21', '1A00301', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (8, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00302', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (9, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00303', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (10, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00304', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (11, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00305', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (12, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00306', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (13, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00307', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (14, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00308', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (15, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:24', '1M001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (16, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (17, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (18, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (19, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (20, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (21, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00106', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (22, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:26', '1M00107', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (23, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00108', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (24, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00109', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (25, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:27', '1M00110', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (26, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00111', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (27, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00112', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (28, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00113', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (29, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00114', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (30, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1L001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (31, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (32, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (33, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (34, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (35, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (36, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00106', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (37, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00107', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (38, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:32', '1L00108', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (39, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00109', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (40, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00110', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (41, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:33', '1L00111', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (42, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00112', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (43, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00113', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (44, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:34', '1L00114', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (45, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:35', '1E00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (46, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (47, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:36', '1E00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (48, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (49, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (50, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1D001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (51, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (52, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:38', '1D00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (53, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (54, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (55, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:39', '1D00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (56, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00106', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (57, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00107', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (58, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00108', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (59, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00109', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (60, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00110', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (61, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00111', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (62, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:41', '1D00112', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (63, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (64, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (65, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:42', '1J00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (66, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (67, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (68, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:43', '1J00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (69, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (70, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (71, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (72, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (73, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (74, '0', NULL, '2024-10-31 19:30:25', NULL, '2024-11-18 16:41:46', '1K00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (75, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00106', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (76, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00107', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (77, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:47', '1K00108', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (78, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00109', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (79, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00110', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (80, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:48', '1K00111', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (81, '0', NULL, '2024-10-31 19:30:28', NULL, '2024-11-18 16:41:48', '1H001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (82, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:48', '1H00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (83, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:49', '1H00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (84, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (85, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:50', '1H00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (86, '0', NULL, '2024-10-31 19:30:32', NULL, '2024-11-18 16:41:50', '1H00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (87, '0', NULL, '2024-10-31 19:30:33', NULL, '2024-11-18 16:41:50', '1H00106', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (88, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00107', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (89, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00108', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (90, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00109', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (91, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00110', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (92, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00111', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (93, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:52', '1H00112', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (94, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1H00113', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (95, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1B001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (96, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:53', '1B00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (97, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (98, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (99, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (100, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (101, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:56', '1B00106', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (102, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00107', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (103, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00108', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (104, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:57', '1B00109', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (105, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (106, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (107, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:58', '1F00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (108, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (109, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (110, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:59', '1F00105', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (111, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1F00106', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (112, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:42:00', '1C001', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (113, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00101', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (114, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:00', '1C00102', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (115, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00103', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (116, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00104', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (117, '0', '', NULL, '', NULL, '1A004', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);
INSERT INTO `large_plat_post_station` VALUES (118, '0', '', NULL, '', NULL, '1A005', 80, 80, 75, 40, 60, 10, 5, 10, 10, 10, 10, 10, 15, 10, 10);

-- ----------------------------
-- Table structure for large_plat_post_station_chart
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_post_station_chart`;
CREATE TABLE `large_plat_post_station_chart`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `app_month` bigint(20) NULL DEFAULT 0 COMMENT '近六个月报修分类占比 取值1-6',
  `col_num` bigint(20) NULL DEFAULT 0 COMMENT '消防',
  `elevator_num` bigint(20) NULL DEFAULT 0 COMMENT '电梯',
  `la_num` bigint(20) NULL DEFAULT 0 COMMENT '照明灯具',
  `se_num` bigint(20) NULL DEFAULT 0 COMMENT '安防',
  `to_num` bigint(20) NULL DEFAULT 0 COMMENT '卫生间',
  `ar_num` bigint(20) NULL DEFAULT 0 COMMENT '公区',
  `di_num` bigint(20) NULL DEFAULT 0 COMMENT '空调',
  `ot_num` bigint(20) NULL DEFAULT 0 COMMENT '其它维修',
  `me_num` bigint(20) NULL DEFAULT 0 COMMENT '会议保障',
  `of_num` bigint(20) NULL DEFAULT 0 COMMENT '办公室',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7292 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '近六个月报修分类占比' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_post_station_chart
-- ----------------------------
INSERT INTO `large_plat_post_station_chart` VALUES (1, '1', '', NULL, '', NULL, '10001', 1, 10, 20, 30, 40, 56, 20, 15, 36, 25, 60);
INSERT INTO `large_plat_post_station_chart` VALUES (2, '1', '', NULL, '', NULL, '10001', 2, 60, 40, 25, 32, 28, 42, 50, 31, 65, 52);
INSERT INTO `large_plat_post_station_chart` VALUES (3, '1', '', NULL, '', NULL, '10001', 3, 20, 50, 30, 20, 10, 50, 60, 20, 50, 50);
INSERT INTO `large_plat_post_station_chart` VALUES (4, '1', '', NULL, '', NULL, '10001', 4, 30, 40, 10, 20, 10, 20, 20, 20, 30, 30);
INSERT INTO `large_plat_post_station_chart` VALUES (5, '1', '', NULL, '', NULL, '10001', 5, 11, 40, 30, 30, 20, 20, 20, 10, 55, 55);
INSERT INTO `large_plat_post_station_chart` VALUES (6, '1', '', NULL, '', NULL, '10001', 6, 25, 30, 40, 20, 30, 10, 50, 10, 20, 30);
INSERT INTO `large_plat_post_station_chart` VALUES (7, '0', '', NULL, '', NULL, '10002', 1, 10, 20, 30, 40, 56, 20, 15, 36, 25, 60);
INSERT INTO `large_plat_post_station_chart` VALUES (8, '1', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-10-31 19:11:22', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (9, '1', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-10-31 19:11:22', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (10, '1', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-10-31 19:11:22', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (11, '1', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-10-31 19:11:22', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (12, '1', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-10-31 19:11:22', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (13, '1', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-10-31 19:11:22', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (14, '1', 'anonymous', '2024-10-31 19:15:30', 'anonymous', '2024-10-31 19:15:30', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (15, '1', 'anonymous', '2024-10-31 19:15:30', 'anonymous', '2024-10-31 19:15:30', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (16, '1', 'anonymous', '2024-10-31 19:15:30', 'anonymous', '2024-10-31 19:15:30', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (17, '1', 'anonymous', '2024-10-31 19:15:30', 'anonymous', '2024-10-31 19:15:30', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (18, '1', 'anonymous', '2024-10-31 19:15:30', 'anonymous', '2024-10-31 19:15:30', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (19, '1', 'anonymous', '2024-10-31 19:15:30', 'anonymous', '2024-10-31 19:15:30', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (20, '1', 'anonymous', '2024-10-31 19:18:20', 'anonymous', '2024-10-31 19:18:20', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (21, '1', 'anonymous', '2024-10-31 19:18:20', 'anonymous', '2024-10-31 19:18:20', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (22, '1', 'anonymous', '2024-10-31 19:18:20', 'anonymous', '2024-10-31 19:18:20', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (23, '1', 'anonymous', '2024-10-31 19:18:20', 'anonymous', '2024-10-31 19:18:20', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (24, '1', 'anonymous', '2024-10-31 19:18:20', 'anonymous', '2024-10-31 19:18:20', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (25, '1', 'anonymous', '2024-10-31 19:18:20', 'anonymous', '2024-10-31 19:18:20', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (26, '1', 'anonymous', '2024-10-31 19:18:31', 'anonymous', '2024-10-31 19:18:31', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (27, '1', 'anonymous', '2024-10-31 19:18:31', 'anonymous', '2024-10-31 19:18:31', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (28, '1', 'anonymous', '2024-10-31 19:18:31', 'anonymous', '2024-10-31 19:18:31', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (29, '1', 'anonymous', '2024-10-31 19:18:31', 'anonymous', '2024-10-31 19:18:31', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (30, '1', 'anonymous', '2024-10-31 19:18:31', 'anonymous', '2024-10-31 19:18:31', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (31, '1', 'anonymous', '2024-10-31 19:18:31', 'anonymous', '2024-10-31 19:18:31', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (32, '1', 'anonymous', '2024-10-31 19:26:26', 'anonymous', '2024-10-31 19:26:26', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (33, '1', 'anonymous', '2024-10-31 19:26:26', 'anonymous', '2024-10-31 19:26:26', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (34, '1', 'anonymous', '2024-10-31 19:26:26', 'anonymous', '2024-10-31 19:26:26', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (35, '1', 'anonymous', '2024-10-31 19:26:26', 'anonymous', '2024-10-31 19:26:26', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (36, '1', 'anonymous', '2024-10-31 19:26:26', 'anonymous', '2024-10-31 19:26:26', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (37, '1', 'anonymous', '2024-10-31 19:26:26', 'anonymous', '2024-10-31 19:26:26', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (38, '1', 'anonymous', '2024-10-31 19:27:05', 'anonymous', '2024-10-31 19:27:05', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (39, '1', 'anonymous', '2024-10-31 19:27:05', 'anonymous', '2024-10-31 19:27:05', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (40, '1', 'anonymous', '2024-10-31 19:27:05', 'anonymous', '2024-10-31 19:27:05', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (41, '1', 'anonymous', '2024-10-31 19:27:05', 'anonymous', '2024-10-31 19:27:05', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (42, '1', 'anonymous', '2024-10-31 19:27:05', 'anonymous', '2024-10-31 19:27:05', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (43, '1', 'anonymous', '2024-10-31 19:27:05', 'anonymous', '2024-10-31 19:27:05', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (44, '1', 'anonymous', '2024-10-31 19:27:09', 'anonymous', '2024-10-31 19:27:09', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (45, '1', 'anonymous', '2024-10-31 19:27:09', 'anonymous', '2024-10-31 19:27:09', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (46, '1', 'anonymous', '2024-10-31 19:27:09', 'anonymous', '2024-10-31 19:27:09', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (47, '1', 'anonymous', '2024-10-31 19:27:09', 'anonymous', '2024-10-31 19:27:09', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (48, '1', 'anonymous', '2024-10-31 19:27:09', 'anonymous', '2024-10-31 19:27:09', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (49, '1', 'anonymous', '2024-10-31 19:27:09', 'anonymous', '2024-10-31 19:27:09', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (50, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (51, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (52, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (53, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (54, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (55, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (56, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (57, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (58, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (59, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (60, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (61, '1', NULL, '2024-10-31 19:29:59', NULL, '2024-10-31 19:29:59', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (62, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (63, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (64, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (65, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (66, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (67, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (68, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (69, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (70, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (71, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (72, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (73, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (74, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (75, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (76, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (77, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (78, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (79, '1', NULL, '2024-10-31 19:30:00', NULL, '2024-10-31 19:30:00', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (80, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (81, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (82, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (83, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (84, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (85, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (86, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (87, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (88, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (89, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (90, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (91, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (92, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (93, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (94, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (95, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (96, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (97, '1', NULL, '2024-10-31 19:30:01', NULL, '2024-10-31 19:30:01', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (98, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (99, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (100, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (101, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (102, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (103, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (104, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (105, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (106, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (107, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (108, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (109, '1', NULL, '2024-10-31 19:30:02', NULL, '2024-10-31 19:30:02', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (110, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (111, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (112, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (113, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (114, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (115, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (116, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (117, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (118, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (119, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (120, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (121, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (122, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (123, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (124, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (125, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (126, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (127, '1', NULL, '2024-10-31 19:30:03', NULL, '2024-10-31 19:30:03', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (128, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (129, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (130, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (131, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (132, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (133, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (134, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (135, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (136, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (137, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (138, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (139, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (140, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (141, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (142, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (143, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (144, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (145, '1', NULL, '2024-10-31 19:30:04', NULL, '2024-10-31 19:30:04', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (146, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (147, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (148, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (149, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (150, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (151, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (152, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (153, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (154, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (155, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (156, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (157, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (158, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (159, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (160, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (161, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (162, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (163, '1', NULL, '2024-10-31 19:30:05', NULL, '2024-10-31 19:30:05', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (164, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (165, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (166, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (167, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (168, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (169, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (170, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (171, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (172, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (173, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (174, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (175, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (176, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (177, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (178, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (179, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (180, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (181, '1', NULL, '2024-10-31 19:30:06', NULL, '2024-10-31 19:30:06', '1M00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (182, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (183, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (184, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (185, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (186, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (187, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (188, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (189, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (190, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (191, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (192, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (193, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (194, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (195, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (196, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (197, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (198, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (199, '1', NULL, '2024-10-31 19:30:07', NULL, '2024-10-31 19:30:07', '1M00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (200, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (201, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (202, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (203, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (204, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (205, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (206, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (207, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (208, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (209, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (210, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (211, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1M00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (212, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1L001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (213, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1L001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (214, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1L001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (215, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1L001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (216, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1L001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (217, '1', NULL, '2024-10-31 19:30:08', NULL, '2024-10-31 19:30:08', '1L001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (218, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (219, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (220, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (221, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (222, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (223, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (224, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (225, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (226, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (227, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (228, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (229, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (230, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (231, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (232, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (233, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (234, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (235, '1', NULL, '2024-10-31 19:30:09', NULL, '2024-10-31 19:30:09', '1L00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (236, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (237, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (238, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (239, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (240, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (241, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (242, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (243, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (244, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (245, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (246, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (247, '1', NULL, '2024-10-31 19:30:10', NULL, '2024-10-31 19:30:10', '1L00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (248, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (249, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (250, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (251, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (252, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (253, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (254, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (255, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (256, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (257, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (258, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (259, '1', NULL, '2024-10-31 19:30:11', NULL, '2024-10-31 19:30:11', '1L00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (260, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (261, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (262, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (263, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (264, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (265, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (266, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (267, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (268, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (269, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (270, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (271, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (272, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (273, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (274, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (275, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (276, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (277, '1', NULL, '2024-10-31 19:30:12', NULL, '2024-10-31 19:30:12', '1L00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (278, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (279, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (280, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (281, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (282, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (283, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (284, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (285, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (286, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (287, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (288, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (289, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (290, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (291, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (292, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (293, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (294, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (295, '1', NULL, '2024-10-31 19:30:13', NULL, '2024-10-31 19:30:13', '1L00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (296, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1L00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (297, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1L00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (298, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1L00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (299, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1L00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (300, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1L00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (301, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1L00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (302, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (303, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (304, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (305, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (306, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (307, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (308, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (309, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (310, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (311, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (312, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (313, '1', NULL, '2024-10-31 19:30:14', NULL, '2024-10-31 19:30:14', '1E00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (314, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (315, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (316, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (317, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (318, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (319, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (320, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (321, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (322, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (323, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (324, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (325, '1', NULL, '2024-10-31 19:30:15', NULL, '2024-10-31 19:30:15', '1E00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (326, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (327, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (328, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (329, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (330, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (331, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (332, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (333, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (334, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (335, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (336, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (337, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1E00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (338, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1D001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (339, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1D001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (340, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1D001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (341, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1D001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (342, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1D001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (343, '1', NULL, '2024-10-31 19:30:16', NULL, '2024-10-31 19:30:16', '1D001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (344, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (345, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (346, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (347, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (348, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (349, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (350, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (351, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (352, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (353, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (354, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (355, '1', NULL, '2024-10-31 19:30:17', NULL, '2024-10-31 19:30:17', '1D00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (356, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (357, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (358, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (359, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (360, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (361, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (362, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (363, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (364, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (365, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (366, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (367, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (368, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (369, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (370, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (371, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (372, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (373, '1', NULL, '2024-10-31 19:30:18', NULL, '2024-10-31 19:30:18', '1D00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (374, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (375, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (376, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (377, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (378, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (379, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (380, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (381, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (382, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (383, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (384, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (385, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (386, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (387, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (388, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (389, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (390, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (391, '1', NULL, '2024-10-31 19:30:19', NULL, '2024-10-31 19:30:19', '1D00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (392, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (393, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (394, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (395, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (396, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (397, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (398, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (399, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (400, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (401, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (402, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (403, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (404, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (405, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (406, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (407, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (408, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (409, '1', NULL, '2024-10-31 19:30:20', NULL, '2024-10-31 19:30:20', '1D00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (410, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1D00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (411, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1D00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (412, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1D00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (413, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1D00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (414, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1D00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (415, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1D00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (416, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (417, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (418, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (419, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (420, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (421, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (422, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (423, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (424, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (425, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (426, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (427, '1', NULL, '2024-10-31 19:30:21', NULL, '2024-10-31 19:30:21', '1J00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (428, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (429, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (430, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (431, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (432, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (433, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (434, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (435, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (436, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (437, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (438, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (439, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (440, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (441, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (442, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (443, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (444, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (445, '1', NULL, '2024-10-31 19:30:22', NULL, '2024-10-31 19:30:22', '1J00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (446, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1J00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (447, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1J00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (448, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1J00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (449, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1J00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (450, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1J00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (451, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1J00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (452, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (453, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (454, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (455, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (456, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (457, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (458, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (459, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (460, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (461, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (462, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (463, '1', NULL, '2024-10-31 19:30:23', NULL, '2024-10-31 19:30:23', '1K00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (464, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (465, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (466, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (467, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (468, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (469, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (470, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (471, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (472, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (473, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (474, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (475, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (476, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (477, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (478, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (479, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (480, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (481, '1', NULL, '2024-10-31 19:30:24', NULL, '2024-10-31 19:30:24', '1K00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (482, '1', NULL, '2024-10-31 19:30:25', NULL, '2024-10-31 19:30:25', '1K00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (483, '1', NULL, '2024-10-31 19:30:25', NULL, '2024-10-31 19:30:25', '1K00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (484, '1', NULL, '2024-10-31 19:30:25', NULL, '2024-10-31 19:30:25', '1K00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (485, '1', NULL, '2024-10-31 19:30:25', NULL, '2024-10-31 19:30:25', '1K00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (486, '1', NULL, '2024-10-31 19:30:25', NULL, '2024-10-31 19:30:25', '1K00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (487, '1', NULL, '2024-10-31 19:30:25', NULL, '2024-10-31 19:30:25', '1K00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (488, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (489, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (490, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (491, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (492, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (493, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (494, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (495, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (496, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (497, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (498, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (499, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (500, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (501, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (502, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (503, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (504, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (505, '1', NULL, '2024-10-31 19:30:26', NULL, '2024-10-31 19:30:26', '1K00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (506, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (507, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (508, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (509, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (510, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (511, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (512, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (513, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (514, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (515, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (516, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (517, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (518, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (519, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (520, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (521, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (522, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (523, '1', NULL, '2024-10-31 19:30:27', NULL, '2024-10-31 19:30:27', '1K00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (524, '1', NULL, '2024-10-31 19:30:28', NULL, '2024-10-31 19:30:28', '1H001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (525, '1', NULL, '2024-10-31 19:30:28', NULL, '2024-10-31 19:30:28', '1H001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (526, '1', NULL, '2024-10-31 19:30:28', NULL, '2024-10-31 19:30:28', '1H001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (527, '1', NULL, '2024-10-31 19:30:28', NULL, '2024-10-31 19:30:28', '1H001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (528, '1', NULL, '2024-10-31 19:30:28', NULL, '2024-10-31 19:30:28', '1H001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (529, '1', NULL, '2024-10-31 19:30:28', NULL, '2024-10-31 19:30:28', '1H001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (530, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (531, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (532, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (533, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (534, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (535, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (536, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (537, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (538, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (539, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (540, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (541, '1', NULL, '2024-10-31 19:30:30', NULL, '2024-10-31 19:30:30', '1H00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (542, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (543, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (544, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (545, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (546, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (547, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (548, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (549, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (550, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (551, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (552, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (553, '1', NULL, '2024-10-31 19:30:31', NULL, '2024-10-31 19:30:31', '1H00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (554, '1', NULL, '2024-10-31 19:30:32', NULL, '2024-10-31 19:30:32', '1H00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (555, '1', NULL, '2024-10-31 19:30:32', NULL, '2024-10-31 19:30:32', '1H00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (556, '1', NULL, '2024-10-31 19:30:32', NULL, '2024-10-31 19:30:32', '1H00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (557, '1', NULL, '2024-10-31 19:30:32', NULL, '2024-10-31 19:30:32', '1H00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (558, '1', NULL, '2024-10-31 19:30:32', NULL, '2024-10-31 19:30:32', '1H00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (559, '1', NULL, '2024-10-31 19:30:32', NULL, '2024-10-31 19:30:32', '1H00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (560, '1', NULL, '2024-10-31 19:30:33', NULL, '2024-10-31 19:30:33', '1H00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (561, '1', NULL, '2024-10-31 19:30:33', NULL, '2024-10-31 19:30:33', '1H00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (562, '1', NULL, '2024-10-31 19:30:33', NULL, '2024-10-31 19:30:33', '1H00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (563, '1', NULL, '2024-10-31 19:30:33', NULL, '2024-10-31 19:30:33', '1H00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (564, '1', NULL, '2024-10-31 19:30:33', NULL, '2024-10-31 19:30:33', '1H00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (565, '1', NULL, '2024-10-31 19:30:33', NULL, '2024-10-31 19:30:33', '1H00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (566, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (567, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (568, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (569, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (570, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (571, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (572, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (573, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (574, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (575, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (576, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (577, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (578, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (579, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (580, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (581, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (582, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (583, '1', NULL, '2024-10-31 19:30:34', NULL, '2024-10-31 19:30:34', '1H00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (584, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (585, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (586, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (587, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (588, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (589, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (590, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (591, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (592, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (593, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (594, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (595, '1', NULL, '2024-10-31 19:30:35', NULL, '2024-10-31 19:30:35', '1H00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (596, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (597, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (598, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (599, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (600, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (601, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (602, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (603, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (604, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (605, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (606, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (607, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1H00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (608, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1B001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (609, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1B001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (610, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1B001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (611, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1B001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (612, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1B001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (613, '1', NULL, '2024-10-31 19:30:36', NULL, '2024-10-31 19:30:36', '1B001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (614, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (615, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (616, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (617, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (618, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (619, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (620, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (621, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (622, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (623, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (624, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (625, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (626, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (627, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (628, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (629, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (630, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (631, '1', NULL, '2024-10-31 19:30:37', NULL, '2024-10-31 19:30:37', '1B00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (632, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (633, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (634, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (635, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (636, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (637, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (638, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (639, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (640, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (641, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (642, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (643, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (644, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (645, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (646, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (647, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (648, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (649, '1', NULL, '2024-10-31 19:30:38', NULL, '2024-10-31 19:30:38', '1B00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (650, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (651, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (652, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (653, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (654, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (655, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (656, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (657, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (658, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (659, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (660, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (661, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (662, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (663, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (664, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (665, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (666, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (667, '1', NULL, '2024-10-31 19:30:39', NULL, '2024-10-31 19:30:39', '1B00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (668, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (669, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (670, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (671, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (672, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (673, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (674, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (675, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (676, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (677, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (678, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (679, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (680, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (681, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (682, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (683, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (684, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (685, '1', NULL, '2024-10-31 19:30:40', NULL, '2024-10-31 19:30:40', '1F00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (686, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (687, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (688, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (689, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (690, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (691, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (692, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (693, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (694, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (695, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (696, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (697, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (698, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (699, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (700, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (701, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (702, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (703, '1', NULL, '2024-10-31 19:30:41', NULL, '2024-10-31 19:30:41', '1F00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (704, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1F00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (705, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1F00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (706, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1F00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (707, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1F00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (708, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1F00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (709, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1F00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (710, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1C001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (711, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1C001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (712, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1C001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (713, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1C001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (714, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1C001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (715, '1', NULL, '2024-10-31 19:30:42', NULL, '2024-10-31 19:30:42', '1C001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (716, '1', NULL, '2024-10-31 19:30:43', NULL, '2024-10-31 19:30:43', '1C00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (717, '1', NULL, '2024-10-31 19:30:43', NULL, '2024-10-31 19:30:43', '1C00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (718, '1', NULL, '2024-10-31 19:30:43', NULL, '2024-10-31 19:30:43', '1C00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (719, '1', NULL, '2024-10-31 19:30:43', NULL, '2024-10-31 19:30:43', '1C00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (720, '1', NULL, '2024-10-31 19:30:43', NULL, '2024-10-31 19:30:43', '1C00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (721, '1', NULL, '2024-10-31 19:30:43', NULL, '2024-10-31 19:30:43', '1C00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (722, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (723, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (724, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (725, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (726, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (727, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (728, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (729, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (730, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (731, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (732, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (733, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (734, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (735, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (736, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (737, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (738, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (739, '1', NULL, '2024-10-31 19:30:44', NULL, '2024-10-31 19:30:44', '1C00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (740, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (741, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (742, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (743, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (744, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (745, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (746, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (747, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (748, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (749, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (750, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (751, '1', NULL, '2024-10-31 20:28:02', NULL, '2024-10-31 20:28:02', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (752, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (753, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (754, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (755, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (756, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (757, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (758, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (759, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (760, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (761, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (762, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (763, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (764, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (765, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (766, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (767, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (768, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (769, '1', NULL, '2024-10-31 20:28:03', NULL, '2024-10-31 20:28:03', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (770, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (771, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (772, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (773, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (774, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (775, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (776, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (777, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (778, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (779, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (780, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (781, '1', NULL, '2024-10-31 20:28:04', NULL, '2024-10-31 20:28:04', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (782, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (783, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (784, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (785, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (786, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (787, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (788, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (789, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (790, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (791, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (792, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (793, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (794, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (795, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (796, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (797, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (798, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (799, '1', NULL, '2024-10-31 20:28:05', NULL, '2024-10-31 20:28:05', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (800, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (801, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (802, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (803, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (804, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (805, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (806, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (807, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (808, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (809, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (810, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (811, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (812, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (813, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (814, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (815, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (816, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (817, '1', NULL, '2024-10-31 20:28:06', NULL, '2024-10-31 20:28:06', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (818, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (819, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (820, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (821, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (822, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (823, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (824, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (825, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (826, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (827, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (828, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (829, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (830, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (831, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (832, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (833, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (834, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (835, '1', NULL, '2024-10-31 20:28:07', NULL, '2024-10-31 20:28:07', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (836, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (837, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (838, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (839, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (840, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (841, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (842, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (843, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (844, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (845, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (846, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (847, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (848, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (849, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (850, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (851, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (852, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (853, '1', NULL, '2024-10-31 20:28:08', NULL, '2024-10-31 20:28:08', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (854, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (855, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (856, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (857, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (858, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (859, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (860, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (861, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (862, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (863, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (864, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (865, '1', NULL, '2024-10-31 20:28:09', NULL, '2024-10-31 20:28:09', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (866, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (867, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (868, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (869, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (870, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (871, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (872, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (873, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (874, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (875, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (876, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (877, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (878, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (879, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (880, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (881, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (882, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (883, '1', NULL, '2024-10-31 20:28:10', NULL, '2024-10-31 20:28:10', '1M00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (884, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (885, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (886, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (887, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (888, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (889, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (890, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (891, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (892, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (893, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (894, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (895, '1', NULL, '2024-10-31 20:28:11', NULL, '2024-10-31 20:28:11', '1M00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (896, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1M00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (897, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1M00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (898, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1M00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (899, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1M00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (900, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1M00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (901, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1M00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (902, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1L001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (903, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1L001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (904, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1L001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (905, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1L001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (906, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1L001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (907, '1', NULL, '2024-10-31 20:28:12', NULL, '2024-10-31 20:28:12', '1L001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (908, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (909, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (910, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (911, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (912, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (913, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (914, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (915, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (916, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (917, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (918, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (919, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (920, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (921, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (922, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (923, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (924, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (925, '1', NULL, '2024-10-31 20:28:13', NULL, '2024-10-31 20:28:13', '1L00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (926, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (927, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (928, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (929, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (930, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (931, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (932, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (933, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (934, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (935, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (936, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (937, '1', NULL, '2024-10-31 20:28:14', NULL, '2024-10-31 20:28:14', '1L00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (938, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (939, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (940, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (941, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (942, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (943, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (944, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (945, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (946, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (947, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (948, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (949, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (950, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (951, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (952, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (953, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (954, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (955, '1', NULL, '2024-10-31 20:28:15', NULL, '2024-10-31 20:28:15', '1L00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (956, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (957, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (958, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (959, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (960, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (961, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (962, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (963, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (964, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (965, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (966, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (967, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (968, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (969, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (970, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (971, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (972, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (973, '1', NULL, '2024-10-31 20:28:16', NULL, '2024-10-31 20:28:16', '1L00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (974, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (975, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (976, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (977, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (978, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (979, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (980, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (981, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (982, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (983, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (984, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (985, '1', NULL, '2024-10-31 20:28:17', NULL, '2024-10-31 20:28:17', '1L00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (986, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1L00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (987, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1L00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (988, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1L00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (989, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1L00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (990, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1L00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (991, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1L00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (992, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (993, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (994, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (995, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (996, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (997, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (998, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (999, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1000, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1001, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1002, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1003, '1', NULL, '2024-10-31 20:28:18', NULL, '2024-10-31 20:28:18', '1E00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1004, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1005, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1006, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1007, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1008, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1009, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1010, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1011, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1012, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1013, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1014, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1015, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1016, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1017, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1018, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1019, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1020, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1021, '1', NULL, '2024-10-31 20:28:19', NULL, '2024-10-31 20:28:19', '1E00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1022, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1E00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1023, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1E00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1024, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1E00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1025, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1E00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1026, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1E00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1027, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1E00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1028, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1029, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1030, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1031, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1032, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1033, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1034, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1035, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1036, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1037, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1038, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1039, '1', NULL, '2024-10-31 20:28:20', NULL, '2024-10-31 20:28:20', '1D00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1040, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1041, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1042, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1043, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1044, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1045, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1046, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1047, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1048, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1049, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1050, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1051, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1052, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1053, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1054, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1055, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1056, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1057, '1', NULL, '2024-10-31 20:28:21', NULL, '2024-10-31 20:28:21', '1D00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1058, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1059, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1060, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1061, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1062, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1063, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1064, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1065, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1066, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1067, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1068, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1069, '1', NULL, '2024-10-31 20:28:22', NULL, '2024-10-31 20:28:22', '1D00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1070, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1071, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1072, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1073, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1074, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1075, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1076, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1077, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1078, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1079, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1080, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1081, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1082, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1083, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1084, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1085, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1086, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1087, '1', NULL, '2024-10-31 20:28:23', NULL, '2024-10-31 20:28:23', '1D00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1088, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1089, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1090, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1091, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1092, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1093, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1094, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1095, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1096, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1097, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1098, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1099, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1100, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1101, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1102, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1103, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1104, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1105, '1', NULL, '2024-10-31 20:28:24', NULL, '2024-10-31 20:28:24', '1D00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1106, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1107, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1108, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1109, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1110, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1111, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1112, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1113, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1114, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1115, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1116, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1117, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1118, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1119, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1120, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1121, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1122, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1123, '1', NULL, '2024-10-31 20:28:25', NULL, '2024-10-31 20:28:25', '1J00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1124, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1125, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1126, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1127, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1128, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1129, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1130, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1131, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1132, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1133, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1134, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1135, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1136, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1137, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1138, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1139, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1140, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1141, '1', NULL, '2024-10-31 20:28:26', NULL, '2024-10-31 20:28:26', '1J00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1142, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1143, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1144, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1145, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1146, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1147, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1148, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1149, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1150, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1151, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1152, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1153, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1154, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1155, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1156, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1157, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1158, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1159, '1', NULL, '2024-10-31 20:28:27', NULL, '2024-10-31 20:28:27', '1K00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1160, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1161, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1162, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1163, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1164, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1165, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1166, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1167, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1168, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1169, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1170, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1171, '1', NULL, '2024-10-31 20:28:28', NULL, '2024-10-31 20:28:28', '1K00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1172, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1173, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1174, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1175, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1176, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1177, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1178, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1179, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1180, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1181, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1182, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1183, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1184, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1185, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1186, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1187, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1188, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1189, '1', NULL, '2024-10-31 20:28:29', NULL, '2024-10-31 20:28:29', '1K00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1190, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1191, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1192, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1193, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1194, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1195, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1196, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1197, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1198, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1199, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1200, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1201, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1202, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1203, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1204, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1205, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1206, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1207, '1', NULL, '2024-10-31 20:28:30', NULL, '2024-10-31 20:28:30', '1K00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1208, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1K00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1209, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1K00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1210, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1K00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1211, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1K00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1212, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1K00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1213, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1K00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1214, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1215, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1216, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1217, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1218, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1219, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1220, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1221, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1222, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1223, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1224, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1225, '1', NULL, '2024-10-31 20:28:31', NULL, '2024-10-31 20:28:31', '1H00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1226, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1227, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1228, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1229, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1230, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1231, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1232, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1233, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1234, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1235, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1236, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1237, '1', NULL, '2024-10-31 20:28:32', NULL, '2024-10-31 20:28:32', '1H00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1238, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1239, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1240, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1241, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1242, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1243, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1244, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1245, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1246, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1247, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1248, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1249, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1250, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1251, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1252, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1253, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1254, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1255, '1', NULL, '2024-10-31 20:28:33', NULL, '2024-10-31 20:28:33', '1H00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1256, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1257, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1258, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1259, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1260, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1261, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1262, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1263, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1264, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1265, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1266, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1267, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1268, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1269, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1270, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1271, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1272, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1273, '1', NULL, '2024-10-31 20:28:34', NULL, '2024-10-31 20:28:34', '1H00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1274, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1275, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1276, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1277, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1278, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1279, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1280, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1281, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1282, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1283, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1284, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1285, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1286, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1287, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1288, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1289, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1290, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1291, '1', NULL, '2024-10-31 20:28:35', NULL, '2024-10-31 20:28:35', '1H00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1292, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1H00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1293, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1H00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1294, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1H00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1295, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1H00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1296, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1H00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1297, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1H00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1298, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1B001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1299, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1B001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1300, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1B001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1301, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1B001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1302, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1B001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1303, '1', NULL, '2024-10-31 20:28:36', NULL, '2024-10-31 20:28:36', '1B001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1304, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1305, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1306, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1307, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1308, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1309, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1310, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1311, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1312, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1313, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1314, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1315, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1316, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1317, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1318, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1319, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1320, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1321, '1', NULL, '2024-10-31 20:28:37', NULL, '2024-10-31 20:28:37', '1B00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1322, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1323, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1324, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1325, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1326, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1327, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1328, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1329, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1330, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1331, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1332, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1333, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1334, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1335, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1336, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1337, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1338, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1339, '1', NULL, '2024-10-31 20:28:38', NULL, '2024-10-31 20:28:38', '1B00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1340, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1341, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1342, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1343, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1344, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1345, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1346, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1347, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1348, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1349, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1350, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1351, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1352, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1353, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1354, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1355, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1356, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1357, '1', NULL, '2024-10-31 20:28:39', NULL, '2024-10-31 20:28:39', '1B00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1358, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1359, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1360, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1361, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1362, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1363, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1364, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1365, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1366, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1367, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1368, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1369, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1370, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1371, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1372, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1373, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1374, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1375, '1', NULL, '2024-10-31 20:28:40', NULL, '2024-10-31 20:28:40', '1F00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1376, '1', NULL, '2024-10-31 20:28:41', NULL, '2024-10-31 20:28:41', '1F00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1377, '1', NULL, '2024-10-31 20:28:41', NULL, '2024-10-31 20:28:41', '1F00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1378, '1', NULL, '2024-10-31 20:28:41', NULL, '2024-10-31 20:28:41', '1F00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1379, '1', NULL, '2024-10-31 20:28:41', NULL, '2024-10-31 20:28:41', '1F00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1380, '1', NULL, '2024-10-31 20:28:41', NULL, '2024-10-31 20:28:41', '1F00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1381, '1', NULL, '2024-10-31 20:28:41', NULL, '2024-10-31 20:28:41', '1F00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1382, '1', NULL, '2024-10-31 20:28:45', NULL, '2024-10-31 20:28:45', '1F00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1383, '1', NULL, '2024-10-31 20:28:45', NULL, '2024-10-31 20:28:45', '1F00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1384, '1', NULL, '2024-10-31 20:28:45', NULL, '2024-10-31 20:28:45', '1F00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1385, '1', NULL, '2024-10-31 20:28:45', NULL, '2024-10-31 20:28:45', '1F00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1386, '1', NULL, '2024-10-31 20:28:45', NULL, '2024-10-31 20:28:45', '1F00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1387, '1', NULL, '2024-10-31 20:28:45', NULL, '2024-10-31 20:28:45', '1F00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1388, '1', NULL, '2024-10-31 20:28:47', NULL, '2024-10-31 20:28:47', '1F00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1389, '1', NULL, '2024-10-31 20:28:47', NULL, '2024-10-31 20:28:47', '1F00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1390, '1', NULL, '2024-10-31 20:28:47', NULL, '2024-10-31 20:28:47', '1F00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1391, '1', NULL, '2024-10-31 20:28:47', NULL, '2024-10-31 20:28:47', '1F00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1392, '1', NULL, '2024-10-31 20:28:47', NULL, '2024-10-31 20:28:47', '1F00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1393, '1', NULL, '2024-10-31 20:28:47', NULL, '2024-10-31 20:28:47', '1F00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1394, '1', NULL, '2024-10-31 20:28:50', NULL, '2024-10-31 20:28:50', '1F00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1395, '1', NULL, '2024-10-31 20:28:50', NULL, '2024-10-31 20:28:50', '1F00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1396, '1', NULL, '2024-10-31 20:28:50', NULL, '2024-10-31 20:28:50', '1F00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1397, '1', NULL, '2024-10-31 20:28:50', NULL, '2024-10-31 20:28:50', '1F00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1398, '1', NULL, '2024-10-31 20:28:50', NULL, '2024-10-31 20:28:50', '1F00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1399, '1', NULL, '2024-10-31 20:28:50', NULL, '2024-10-31 20:28:50', '1F00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1400, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1401, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1402, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1403, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1404, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1405, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1406, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1407, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1408, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1409, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1410, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1411, '1', NULL, '2024-10-31 20:28:51', NULL, '2024-10-31 20:28:51', '1C00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1412, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1413, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1414, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1415, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1416, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1417, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1418, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1419, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1420, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1421, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1422, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1423, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1424, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1425, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1426, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1427, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1428, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1429, '1', NULL, '2024-10-31 20:28:52', NULL, '2024-10-31 20:28:52', '1C00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1430, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1431, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1432, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1433, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1434, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1435, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1436, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1437, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1438, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1439, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1440, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1441, '1', NULL, '2024-11-11 15:26:26', NULL, '2024-11-11 15:26:26', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1442, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1443, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1444, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1445, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1446, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1447, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1448, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1449, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1450, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1451, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1452, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1453, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1454, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1455, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1456, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1457, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1458, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1459, '1', NULL, '2024-11-11 15:26:27', NULL, '2024-11-11 15:26:27', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1460, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1461, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1462, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1463, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1464, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1465, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1466, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1467, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1468, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1469, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1470, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1471, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1472, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1473, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1474, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1475, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1476, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1477, '1', NULL, '2024-11-11 15:26:28', NULL, '2024-11-11 15:26:28', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1478, '1', NULL, '2024-11-11 15:26:29', NULL, '2024-11-11 15:26:29', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1479, '1', NULL, '2024-11-11 15:26:29', NULL, '2024-11-11 15:26:29', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1480, '1', NULL, '2024-11-11 15:26:29', NULL, '2024-11-11 15:26:29', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1481, '1', NULL, '2024-11-11 15:26:29', NULL, '2024-11-11 15:26:29', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1482, '1', NULL, '2024-11-11 15:26:29', NULL, '2024-11-11 15:26:29', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1483, '1', NULL, '2024-11-11 15:26:29', NULL, '2024-11-11 15:26:29', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1484, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1485, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1486, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1487, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1488, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1489, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1490, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1491, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1492, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1493, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1494, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1495, '1', NULL, '2024-11-11 15:26:30', NULL, '2024-11-11 15:26:30', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1496, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1497, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1498, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1499, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1500, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1501, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1502, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1503, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1504, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1505, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1506, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1507, '1', NULL, '2024-11-11 15:26:31', NULL, '2024-11-11 15:26:31', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1508, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1509, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1510, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1511, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1512, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1513, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1514, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1515, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1516, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1517, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1518, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1519, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1520, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1521, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1522, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1523, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1524, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1525, '1', NULL, '2024-11-11 15:26:32', NULL, '2024-11-11 15:26:32', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1526, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1527, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1528, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1529, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1530, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1531, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1532, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1533, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1534, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1535, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1536, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1537, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1538, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1539, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1540, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1541, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1542, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1543, '1', NULL, '2024-11-11 15:26:33', NULL, '2024-11-11 15:26:33', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1544, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1545, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1546, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1547, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1548, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1549, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1550, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1551, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1552, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1553, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1554, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1555, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1556, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1557, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1558, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1559, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1560, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1561, '1', NULL, '2024-11-11 15:26:34', NULL, '2024-11-11 15:26:34', '1M00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1562, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1563, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1564, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1565, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1566, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1567, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1568, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1569, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1570, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1571, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1572, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1573, '1', NULL, '2024-11-11 15:26:35', NULL, '2024-11-11 15:26:35', '1M00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1574, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1575, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1576, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1577, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1578, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1579, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1580, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1581, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1582, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1583, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1584, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1585, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1586, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1587, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1588, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1589, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1590, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1591, '1', NULL, '2024-11-11 15:26:36', NULL, '2024-11-11 15:26:36', '1M00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1592, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1593, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1594, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1595, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1596, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1597, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1598, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1599, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1600, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1601, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1602, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1603, '1', NULL, '2024-11-11 15:26:37', NULL, '2024-11-11 15:26:37', '1L00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1604, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1605, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1606, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1607, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1608, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1609, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1610, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1611, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1612, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1613, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1614, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1615, '1', NULL, '2024-11-11 15:26:38', NULL, '2024-11-11 15:26:38', '1L00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1616, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1617, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1618, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1619, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1620, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1621, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1622, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1623, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1624, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1625, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1626, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1627, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1628, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1629, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1630, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1631, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1632, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1633, '1', NULL, '2024-11-11 15:26:39', NULL, '2024-11-11 15:26:39', '1L00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1634, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1635, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1636, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1637, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1638, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1639, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1640, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1641, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1642, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1643, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1644, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1645, '1', NULL, '2024-11-11 15:26:40', NULL, '2024-11-11 15:26:40', '1L00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1646, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1647, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1648, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1649, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1650, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1651, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1652, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1653, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1654, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1655, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1656, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1657, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1658, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1659, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1660, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1661, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1662, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1663, '1', NULL, '2024-11-11 15:26:41', NULL, '2024-11-11 15:26:41', '1L00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1664, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1665, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1666, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1667, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1668, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1669, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1670, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1671, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1672, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1673, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1674, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1675, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1676, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1677, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1678, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1679, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1680, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1681, '1', NULL, '2024-11-11 15:26:42', NULL, '2024-11-11 15:26:42', '1L00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1682, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1683, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1684, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1685, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1686, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1687, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1688, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1689, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1690, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1691, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1692, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1693, '1', NULL, '2024-11-11 15:26:43', NULL, '2024-11-11 15:26:43', '1E00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1694, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1695, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1696, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1697, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1698, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1699, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1700, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1701, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1702, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1703, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1704, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1705, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1706, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1707, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1708, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1709, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1710, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1711, '1', NULL, '2024-11-11 15:26:44', NULL, '2024-11-11 15:26:44', '1E00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1712, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1E00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1713, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1E00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1714, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1E00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1715, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1E00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1716, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1E00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1717, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1E00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1718, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1719, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1720, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1721, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1722, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1723, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1724, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1725, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1726, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1727, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1728, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1729, '1', NULL, '2024-11-11 15:26:45', NULL, '2024-11-11 15:26:45', '1D00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1730, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1731, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1732, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1733, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1734, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1735, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1736, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1737, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1738, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1739, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1740, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1741, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1742, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1743, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1744, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1745, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1746, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1747, '1', NULL, '2024-11-11 15:26:46', NULL, '2024-11-11 15:26:46', '1D00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1748, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1749, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1750, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1751, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1752, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1753, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1754, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1755, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1756, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1757, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1758, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1759, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1760, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1761, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1762, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1763, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1764, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1765, '1', NULL, '2024-11-11 15:26:47', NULL, '2024-11-11 15:26:47', '1D00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1766, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1767, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1768, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1769, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1770, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1771, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1772, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1773, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1774, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1775, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1776, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1777, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1778, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1779, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1780, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1781, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1782, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1783, '1', NULL, '2024-11-11 15:26:48', NULL, '2024-11-11 15:26:48', '1D00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1784, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1785, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1786, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1787, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1788, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1789, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1790, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1791, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1792, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1793, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1794, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1795, '1', NULL, '2024-11-11 15:26:49', NULL, '2024-11-11 15:26:49', '1D00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1796, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1797, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1798, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1799, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1800, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1801, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1802, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1803, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1804, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1805, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1806, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1807, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1808, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1809, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1810, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1811, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1812, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1813, '1', NULL, '2024-11-11 15:26:50', NULL, '2024-11-11 15:26:50', '1J00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1814, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1815, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1816, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1817, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1818, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1819, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1820, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1821, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1822, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1823, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1824, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1825, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1826, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1827, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1828, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1829, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1830, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1831, '1', NULL, '2024-11-11 15:26:51', NULL, '2024-11-11 15:26:51', '1J00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1832, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1833, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1834, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1835, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1836, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1837, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1838, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1839, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1840, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1841, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1842, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1843, '1', NULL, '2024-11-11 15:26:52', NULL, '2024-11-11 15:26:52', '1K00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1844, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1845, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1846, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1847, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1848, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1849, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1850, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1851, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1852, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1853, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1854, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1855, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1856, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1857, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1858, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1859, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1860, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1861, '1', NULL, '2024-11-11 15:26:53', NULL, '2024-11-11 15:26:53', '1K00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1862, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1863, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1864, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1865, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1866, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1867, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1868, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1869, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1870, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1871, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1872, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1873, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1874, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1875, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1876, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1877, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1878, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1879, '1', NULL, '2024-11-11 15:26:54', NULL, '2024-11-11 15:26:54', '1K00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1880, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1881, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1882, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1883, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1884, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1885, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1886, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1887, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1888, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1889, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1890, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1891, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1892, '1', NULL, '2024-11-11 15:26:55', NULL, '2024-11-11 15:26:55', '1K00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1893, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1894, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1895, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1896, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1897, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1898, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1899, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1900, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1901, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1902, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1903, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1K00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1904, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1H001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1905, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1H001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1906, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1H001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1907, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1H001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1908, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1H001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1909, '1', NULL, '2024-11-11 15:26:56', NULL, '2024-11-11 15:26:56', '1H001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1910, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1911, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1912, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1913, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1914, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1915, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1916, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1917, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1918, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1919, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1920, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1921, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1922, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1923, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1924, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1925, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1926, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1927, '1', NULL, '2024-11-11 15:26:57', NULL, '2024-11-11 15:26:57', '1H00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1928, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1929, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1930, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1931, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1932, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1933, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1934, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1935, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1936, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1937, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1938, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1939, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1940, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1941, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1942, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1943, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1944, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1945, '1', NULL, '2024-11-11 15:26:58', NULL, '2024-11-11 15:26:58', '1H00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1946, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1947, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1948, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1949, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1950, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1951, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1952, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1953, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1954, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1955, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1956, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1957, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1958, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1959, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1960, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1961, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1962, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1963, '1', NULL, '2024-11-11 15:26:59', NULL, '2024-11-11 15:26:59', '1H00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1964, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1965, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1966, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1967, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1968, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1969, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1970, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1971, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1972, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1973, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1974, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1975, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1976, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1977, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1978, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1979, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1980, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1981, '1', NULL, '2024-11-11 15:27:00', NULL, '2024-11-11 15:27:00', '1H00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1982, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1H00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1983, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1H00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1984, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1H00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1985, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1H00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1986, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1H00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1987, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1H00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1988, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1989, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1990, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1991, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1992, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1993, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (1994, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (1995, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (1996, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (1997, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1998, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (1999, '1', NULL, '2024-11-11 15:27:01', NULL, '2024-11-11 15:27:01', '1B00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2000, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2001, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2002, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2003, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2004, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2005, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2006, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2007, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2008, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2009, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2010, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2011, '1', NULL, '2024-11-11 15:27:02', NULL, '2024-11-11 15:27:02', '1B00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2012, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2013, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2014, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2015, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2016, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2017, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2018, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2019, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2020, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2021, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2022, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2023, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2024, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2025, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2026, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2027, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2028, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2029, '1', NULL, '2024-11-11 15:27:03', NULL, '2024-11-11 15:27:03', '1B00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2030, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2031, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2032, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2033, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2034, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2035, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2036, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2037, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2038, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2039, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2040, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2041, '1', NULL, '2024-11-11 15:27:04', NULL, '2024-11-11 15:27:04', '1B00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2042, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1B00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2043, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1B00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2044, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1B00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2045, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1B00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2046, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1B00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2047, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1B00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2048, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1F001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2049, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1F001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2050, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1F001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2051, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1F001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2052, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1F001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2053, '1', NULL, '2024-11-11 15:27:05', NULL, '2024-11-11 15:27:05', '1F001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2054, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2055, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2056, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2057, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2058, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2059, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2060, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2061, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2062, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2063, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2064, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2065, '1', NULL, '2024-11-11 15:27:06', NULL, '2024-11-11 15:27:06', '1F00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2066, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2067, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2068, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2069, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2070, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2071, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2072, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2073, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2074, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2075, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2076, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2077, '1', NULL, '2024-11-11 15:27:07', NULL, '2024-11-11 15:27:07', '1F00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2078, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2079, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2080, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2081, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2082, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2083, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2084, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2085, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2086, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2087, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2088, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2089, '1', NULL, '2024-11-11 15:27:08', NULL, '2024-11-11 15:27:08', '1F00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2090, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2091, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2092, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2093, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2094, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2095, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2096, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2097, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2098, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2099, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2100, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2101, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2102, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2103, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2104, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2105, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2106, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2107, '1', NULL, '2024-11-11 15:27:09', NULL, '2024-11-11 15:27:09', '1C00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2108, '1', NULL, '2024-11-11 15:27:10', NULL, '2024-11-11 15:27:10', '1C00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2109, '1', NULL, '2024-11-11 15:27:10', NULL, '2024-11-11 15:27:10', '1C00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2110, '1', NULL, '2024-11-11 15:27:10', NULL, '2024-11-11 15:27:10', '1C00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2111, '1', NULL, '2024-11-11 15:27:10', NULL, '2024-11-11 15:27:10', '1C00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2112, '1', NULL, '2024-11-11 15:27:10', NULL, '2024-11-11 15:27:10', '1C00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2113, '1', NULL, '2024-11-11 15:27:10', NULL, '2024-11-11 15:27:10', '1C00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2114, '1', NULL, '2024-11-11 15:32:11', NULL, '2024-11-11 15:32:11', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2115, '1', NULL, '2024-11-11 15:32:11', NULL, '2024-11-11 15:32:11', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2116, '1', NULL, '2024-11-11 15:32:11', NULL, '2024-11-11 15:32:11', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2117, '1', NULL, '2024-11-11 15:32:11', NULL, '2024-11-11 15:32:11', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2118, '1', NULL, '2024-11-11 15:32:11', NULL, '2024-11-11 15:32:11', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2119, '1', NULL, '2024-11-11 15:32:11', NULL, '2024-11-11 15:32:11', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2120, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2121, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2122, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2123, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2124, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2125, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2126, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2127, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2128, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2129, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2130, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2131, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2132, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2133, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2134, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2135, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2136, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2137, '1', NULL, '2024-11-11 15:32:12', NULL, '2024-11-11 15:32:12', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2138, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2139, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2140, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2141, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2142, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2143, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2144, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2145, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2146, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2147, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2148, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2149, '1', NULL, '2024-11-11 15:32:13', NULL, '2024-11-11 15:32:13', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2150, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2151, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2152, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2153, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2154, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2155, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2156, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2157, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2158, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2159, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2160, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2161, '1', NULL, '2024-11-11 15:32:14', NULL, '2024-11-11 15:32:14', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2162, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2163, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2164, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2165, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2166, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2167, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2168, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2169, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2170, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2171, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2172, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2173, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2174, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2175, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2176, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2177, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2178, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2179, '1', NULL, '2024-11-11 15:32:15', NULL, '2024-11-11 15:32:15', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2180, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2181, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2182, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2183, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2184, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2185, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2186, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2187, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2188, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2189, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2190, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2191, '1', NULL, '2024-11-11 15:32:16', NULL, '2024-11-11 15:32:16', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2192, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2193, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2194, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2195, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2196, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2197, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2198, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2199, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2200, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2201, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2202, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2203, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2204, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2205, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2206, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2207, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2208, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2209, '1', NULL, '2024-11-11 15:32:17', NULL, '2024-11-11 15:32:17', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2210, '1', NULL, '2024-11-11 15:32:18', NULL, '2024-11-11 15:32:18', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2211, '1', NULL, '2024-11-11 15:32:18', NULL, '2024-11-11 15:32:18', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2212, '1', NULL, '2024-11-11 15:32:18', NULL, '2024-11-11 15:32:18', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2213, '1', NULL, '2024-11-11 15:32:18', NULL, '2024-11-11 15:32:18', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2214, '1', NULL, '2024-11-11 15:32:18', NULL, '2024-11-11 15:32:18', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2215, '1', NULL, '2024-11-11 15:32:18', NULL, '2024-11-11 15:32:18', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2216, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2217, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2218, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2219, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2220, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2221, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2222, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2223, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2224, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2225, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2226, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2227, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2228, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2229, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2230, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2231, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2232, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2233, '1', NULL, '2024-11-11 15:32:19', NULL, '2024-11-11 15:32:19', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2234, '1', NULL, '2024-11-11 15:32:20', NULL, '2024-11-11 15:32:20', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2235, '1', NULL, '2024-11-11 15:32:20', NULL, '2024-11-11 15:32:20', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2236, '1', NULL, '2024-11-11 15:32:20', NULL, '2024-11-11 15:32:20', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2237, '1', NULL, '2024-11-11 15:32:20', NULL, '2024-11-11 15:32:20', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2238, '1', NULL, '2024-11-11 15:32:20', NULL, '2024-11-11 15:32:20', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2239, '1', NULL, '2024-11-11 15:32:20', NULL, '2024-11-11 15:32:20', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2240, '1', NULL, '2024-11-11 15:54:38', NULL, '2024-11-11 15:54:38', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2241, '1', NULL, '2024-11-11 15:54:38', NULL, '2024-11-11 15:54:38', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2242, '1', NULL, '2024-11-11 15:54:38', NULL, '2024-11-11 15:54:38', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2243, '1', NULL, '2024-11-11 15:54:38', NULL, '2024-11-11 15:54:38', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2244, '1', NULL, '2024-11-11 15:54:38', NULL, '2024-11-11 15:54:38', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2245, '1', NULL, '2024-11-11 15:54:38', NULL, '2024-11-11 15:54:38', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2246, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2247, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2248, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2249, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2250, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2251, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2252, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2253, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2254, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2255, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2256, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2257, '1', NULL, '2024-11-11 15:54:39', NULL, '2024-11-11 15:54:39', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2258, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2259, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2260, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2261, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2262, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2263, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2264, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2265, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2266, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2267, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2268, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2269, '1', NULL, '2024-11-11 15:54:40', NULL, '2024-11-11 15:54:40', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2270, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2271, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2272, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2273, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2274, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2275, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2276, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2277, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2278, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2279, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2280, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2281, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2282, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2283, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2284, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2285, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2286, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2287, '1', NULL, '2024-11-11 15:54:41', NULL, '2024-11-11 15:54:41', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2288, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2289, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2290, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2291, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2292, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2293, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2294, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2295, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2296, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2297, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2298, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2299, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2300, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2301, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2302, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2303, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2304, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2305, '1', NULL, '2024-11-11 15:54:42', NULL, '2024-11-11 15:54:42', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2306, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2307, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2308, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2309, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2310, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2311, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2312, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2313, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2314, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2315, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2316, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2317, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2318, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2319, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2320, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2321, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2322, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2323, '1', NULL, '2024-11-11 15:54:43', NULL, '2024-11-11 15:54:43', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2324, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2325, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2326, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2327, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2328, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2329, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2330, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2331, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2332, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2333, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2334, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2335, '1', NULL, '2024-11-11 15:54:44', NULL, '2024-11-11 15:54:44', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2336, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2337, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2338, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2339, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2340, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2341, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2342, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2343, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2344, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2345, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2346, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2347, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2348, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2349, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2350, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2351, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2352, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2353, '1', NULL, '2024-11-11 15:54:45', NULL, '2024-11-11 15:54:45', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2354, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2355, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2356, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2357, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2358, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2359, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2360, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2361, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2362, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2363, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2364, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2365, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2366, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2367, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2368, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2369, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2370, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2371, '1', NULL, '2024-11-11 15:54:46', NULL, '2024-11-11 15:54:46', '1M00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2372, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2373, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2374, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2375, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2376, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2377, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2378, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2379, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2380, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2381, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2382, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2383, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2384, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2385, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2386, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2387, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2388, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2389, '1', NULL, '2024-11-11 15:54:47', NULL, '2024-11-11 15:54:47', '1M00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2390, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2391, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2392, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2393, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2394, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2395, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2396, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2397, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2398, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2399, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2400, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2401, '1', NULL, '2024-11-11 15:54:48', NULL, '2024-11-11 15:54:48', '1M00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2402, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2403, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2404, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2405, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2406, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2407, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2408, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2409, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2410, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2411, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2412, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2413, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2414, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2415, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2416, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2417, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2418, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2419, '1', NULL, '2024-11-11 15:54:49', NULL, '2024-11-11 15:54:49', '1L00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2420, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2421, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2422, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2423, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2424, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2425, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2426, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2427, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2428, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2429, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2430, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2431, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2432, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2433, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2434, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2435, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2436, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2437, '1', NULL, '2024-11-11 15:54:50', NULL, '2024-11-11 15:54:50', '1L00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2438, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2439, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2440, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2441, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2442, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2443, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2444, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2445, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2446, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2447, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2448, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2449, '1', NULL, '2024-11-11 15:54:51', NULL, '2024-11-11 15:54:51', '1L00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2450, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2451, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2452, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2453, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2454, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2455, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2456, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2457, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2458, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2459, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2460, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2461, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2462, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2463, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2464, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2465, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2466, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2467, '1', NULL, '2024-11-11 15:54:52', NULL, '2024-11-11 15:54:52', '1L00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2468, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2469, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2470, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2471, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2472, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2473, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2474, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2475, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2476, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2477, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2478, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2479, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2480, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2481, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2482, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2483, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2484, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2485, '1', NULL, '2024-11-11 15:54:53', NULL, '2024-11-11 15:54:53', '1L00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2486, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1L00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2487, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1L00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2488, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1L00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2489, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1L00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2490, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1L00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2491, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1L00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2492, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2493, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2494, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2495, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2496, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2497, '1', NULL, '2024-11-11 15:54:54', NULL, '2024-11-11 15:54:54', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2498, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2499, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2500, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2501, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2502, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2503, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2504, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2505, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2506, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2507, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2508, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2509, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2510, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2511, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2512, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2513, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2514, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2515, '1', NULL, '2024-11-11 15:54:55', NULL, '2024-11-11 15:54:55', '1E00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2516, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2517, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2518, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2519, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2520, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2521, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2522, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2523, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2524, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2525, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2526, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2527, '1', NULL, '2024-11-11 15:54:56', NULL, '2024-11-11 15:54:56', '1E00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2528, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2529, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2530, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2531, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2532, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2533, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2534, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2535, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2536, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2537, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2538, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2539, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2540, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2541, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2542, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2543, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2544, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2545, '1', NULL, '2024-11-11 15:54:57', NULL, '2024-11-11 15:54:57', '1D00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2546, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2547, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2548, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2549, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2550, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2551, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2552, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2553, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2554, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2555, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2556, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2557, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2558, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2559, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2560, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2561, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2562, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2563, '1', NULL, '2024-11-11 15:54:58', NULL, '2024-11-11 15:54:58', '1D00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2564, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2565, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2566, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2567, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2568, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2569, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2570, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2571, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2572, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2573, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2574, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2575, '1', NULL, '2024-11-11 15:54:59', NULL, '2024-11-11 15:54:59', '1D00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2576, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2577, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2578, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2579, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2580, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2581, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2582, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2583, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2584, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2585, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2586, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2587, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2588, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2589, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2590, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2591, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2592, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2593, '1', NULL, '2024-11-11 15:55:00', NULL, '2024-11-11 15:55:00', '1D00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2594, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2595, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2596, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2597, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2598, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2599, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2600, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2601, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2602, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2603, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2604, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2605, '1', NULL, '2024-11-11 15:55:01', NULL, '2024-11-11 15:55:01', '1D00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2606, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2607, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2608, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2609, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2610, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2611, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2612, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2613, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2614, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2615, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2616, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2617, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2618, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2619, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2620, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2621, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2622, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2623, '1', NULL, '2024-11-11 15:55:02', NULL, '2024-11-11 15:55:02', '1J00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2624, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2625, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2626, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2627, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2628, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2629, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2630, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2631, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2632, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2633, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2634, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2635, '1', NULL, '2024-11-11 15:55:03', NULL, '2024-11-11 15:55:03', '1J00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2636, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1J00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2637, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1J00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2638, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1J00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2639, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1J00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2640, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1J00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2641, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1J00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2642, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2643, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2644, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2645, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2646, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2647, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2648, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2649, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2650, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2651, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2652, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2653, '1', NULL, '2024-11-11 15:55:04', NULL, '2024-11-11 15:55:04', '1K00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2654, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2655, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2656, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2657, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2658, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2659, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2660, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2661, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2662, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2663, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2664, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2665, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2666, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2667, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2668, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2669, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2670, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2671, '1', NULL, '2024-11-11 15:55:05', NULL, '2024-11-11 15:55:05', '1K00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2672, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2673, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2674, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2675, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2676, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2677, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2678, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2679, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2680, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2681, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2682, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2683, '1', NULL, '2024-11-11 15:55:06', NULL, '2024-11-11 15:55:06', '1K00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2684, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2685, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2686, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2687, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2688, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2689, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2690, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2691, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2692, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2693, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2694, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2695, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2696, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2697, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2698, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2699, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2700, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2701, '1', NULL, '2024-11-11 15:55:07', NULL, '2024-11-11 15:55:07', '1K00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2702, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2703, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2704, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2705, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2706, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2707, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2708, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2709, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2710, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2711, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2712, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2713, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1K00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2714, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1H001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2715, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1H001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2716, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1H001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2717, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1H001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2718, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1H001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2719, '1', NULL, '2024-11-11 15:55:08', NULL, '2024-11-11 15:55:08', '1H001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2720, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2721, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2722, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2723, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2724, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2725, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2726, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2727, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2728, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2729, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2730, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2731, '1', NULL, '2024-11-11 15:55:09', NULL, '2024-11-11 15:55:09', '1H00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2732, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2733, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2734, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2735, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2736, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2737, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2738, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2739, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2740, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2741, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2742, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2743, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2744, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2745, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2746, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2747, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2748, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2749, '1', NULL, '2024-11-11 15:55:10', NULL, '2024-11-11 15:55:10', '1H00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2750, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2751, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2752, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2753, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2754, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2755, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2756, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2757, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2758, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2759, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2760, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2761, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2762, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2763, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2764, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2765, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2766, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2767, '1', NULL, '2024-11-11 15:55:11', NULL, '2024-11-11 15:55:11', '1H00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2768, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2769, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2770, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2771, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2772, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2773, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2774, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2775, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2776, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2777, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2778, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2779, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2780, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2781, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2782, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2783, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2784, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2785, '1', NULL, '2024-11-11 15:55:12', NULL, '2024-11-11 15:55:12', '1H00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2786, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2787, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2788, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2789, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2790, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2791, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2792, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2793, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2794, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2795, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2796, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2797, '1', NULL, '2024-11-11 15:55:13', NULL, '2024-11-11 15:55:13', '1H00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2798, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2799, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2800, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2801, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2802, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2803, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2804, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2805, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2806, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2807, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2808, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2809, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2810, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2811, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2812, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2813, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2814, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2815, '1', NULL, '2024-11-11 15:55:14', NULL, '2024-11-11 15:55:14', '1B00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2816, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2817, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2818, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2819, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2820, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2821, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2822, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2823, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2824, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2825, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2826, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2827, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2828, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2829, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2830, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2831, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2832, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2833, '1', NULL, '2024-11-11 15:55:15', NULL, '2024-11-11 15:55:15', '1B00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2834, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2835, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2836, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2837, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2838, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2839, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2840, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2841, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2842, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2843, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2844, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2845, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2846, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2847, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2848, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2849, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2850, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2851, '1', NULL, '2024-11-11 15:55:16', NULL, '2024-11-11 15:55:16', '1B00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2852, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1B00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2853, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1B00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2854, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1B00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2855, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1B00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2856, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1B00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2857, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1B00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2858, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2859, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2860, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2861, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2862, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2863, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2864, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2865, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2866, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2867, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2868, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2869, '1', NULL, '2024-11-11 15:55:17', NULL, '2024-11-11 15:55:17', '1F00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2870, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2871, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2872, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2873, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2874, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2875, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2876, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2877, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2878, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2879, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2880, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2881, '1', NULL, '2024-11-11 15:55:18', NULL, '2024-11-11 15:55:18', '1F00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2882, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2883, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2884, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2885, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2886, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2887, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2888, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2889, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2890, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2891, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2892, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2893, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2894, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2895, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2896, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2897, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2898, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2899, '1', NULL, '2024-11-11 15:55:19', NULL, '2024-11-11 15:55:19', '1F00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2900, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2901, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2902, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2903, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2904, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2905, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2906, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2907, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2908, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2909, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2910, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2911, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2912, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2913, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2914, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2915, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2916, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2917, '1', NULL, '2024-11-11 15:55:20', NULL, '2024-11-11 15:55:20', '1C00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2918, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2919, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2920, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2921, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2922, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2923, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2924, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2925, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2926, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2927, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2928, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2929, '1', NULL, '2024-11-11 15:55:21', NULL, '2024-11-11 15:55:21', '1C00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2930, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2931, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2932, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2933, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2934, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2935, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2936, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2937, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2938, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2939, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2940, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2941, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2942, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2943, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2944, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2945, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2946, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2947, '1', NULL, '2024-11-11 16:41:28', NULL, '2024-11-11 16:41:28', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2948, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2949, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2950, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2951, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2952, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2953, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2954, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2955, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2956, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2957, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2958, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2959, '1', NULL, '2024-11-11 16:41:29', NULL, '2024-11-11 16:41:29', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2960, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2961, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2962, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2963, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2964, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2965, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2966, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2967, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2968, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2969, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2970, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2971, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2972, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2973, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2974, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2975, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2976, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2977, '1', NULL, '2024-11-11 16:41:30', NULL, '2024-11-11 16:41:30', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2978, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2979, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2980, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2981, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2982, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2983, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2984, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2985, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2986, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2987, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2988, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2989, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2990, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2991, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2992, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2993, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2994, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (2995, '1', NULL, '2024-11-11 16:41:31', NULL, '2024-11-11 16:41:31', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (2996, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (2997, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (2998, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (2999, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3000, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3001, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3002, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3003, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3004, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3005, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3006, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3007, '1', NULL, '2024-11-11 16:41:32', NULL, '2024-11-11 16:41:32', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3008, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3009, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3010, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3011, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3012, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3013, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3014, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3015, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3016, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3017, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3018, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3019, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3020, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3021, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3022, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3023, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3024, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3025, '1', NULL, '2024-11-11 16:41:33', NULL, '2024-11-11 16:41:33', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3026, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3027, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3028, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3029, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3030, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3031, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3032, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3033, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3034, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3035, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3036, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3037, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3038, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3039, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3040, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3041, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3042, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3043, '1', NULL, '2024-11-11 16:41:34', NULL, '2024-11-11 16:41:34', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3044, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3045, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3046, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3047, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3048, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3049, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3050, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3051, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3052, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3053, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3054, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3055, '1', NULL, '2024-11-11 16:41:35', NULL, '2024-11-11 16:41:35', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3056, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3057, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3058, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3059, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3060, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3061, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3062, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3063, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3064, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3065, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3066, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3067, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3068, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3069, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3070, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3071, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3072, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3073, '1', NULL, '2024-11-11 16:41:36', NULL, '2024-11-11 16:41:36', '1M00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3074, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3075, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3076, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3077, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3078, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3079, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3080, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3081, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3082, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3083, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3084, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3085, '1', NULL, '2024-11-11 16:41:37', NULL, '2024-11-11 16:41:37', '1M00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3086, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1M00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3087, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1M00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3088, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1M00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3089, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1M00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3090, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1M00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3091, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1M00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3092, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3093, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3094, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3095, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3096, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3097, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3098, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3099, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3100, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3101, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3102, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3103, '1', NULL, '2024-11-11 16:41:38', NULL, '2024-11-11 16:41:38', '1L00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3104, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3105, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3106, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3107, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3108, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3109, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3110, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3111, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3112, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3113, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3114, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3115, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3116, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3117, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3118, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3119, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3120, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3121, '1', NULL, '2024-11-11 16:41:39', NULL, '2024-11-11 16:41:39', '1L00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3122, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3123, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3124, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3125, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3126, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3127, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3128, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3129, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3130, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3131, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3132, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3133, '1', NULL, '2024-11-11 16:41:40', NULL, '2024-11-11 16:41:40', '1L00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3134, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3135, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3136, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3137, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3138, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3139, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3140, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3141, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3142, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3143, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3144, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3145, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3146, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3147, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3148, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3149, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3150, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3151, '1', NULL, '2024-11-11 16:41:41', NULL, '2024-11-11 16:41:41', '1L00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3152, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3153, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3154, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3155, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3156, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3157, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3158, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3159, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3160, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3161, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3162, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3163, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3164, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3165, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3166, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3167, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3168, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3169, '1', NULL, '2024-11-11 16:41:42', NULL, '2024-11-11 16:41:42', '1L00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3170, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3171, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3172, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3173, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3174, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3175, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3176, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3177, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3178, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3179, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3180, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3181, '1', NULL, '2024-11-11 16:41:43', NULL, '2024-11-11 16:41:43', '1L00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3182, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3183, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3184, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3185, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3186, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3187, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3188, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3189, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3190, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3191, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3192, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3193, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3194, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3195, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3196, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3197, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3198, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3199, '1', NULL, '2024-11-11 16:41:44', NULL, '2024-11-11 16:41:44', '1E00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3200, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3201, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3202, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3203, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3204, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3205, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3206, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3207, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3208, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3209, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3210, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3211, '1', NULL, '2024-11-11 16:41:45', NULL, '2024-11-11 16:41:45', '1E00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3212, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1E00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3213, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1E00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3214, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1E00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3215, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1E00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3216, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1E00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3217, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1E00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3218, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1D001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3219, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1D001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3220, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1D001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3221, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1D001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3222, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1D001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3223, '1', NULL, '2024-11-11 16:41:46', NULL, '2024-11-11 16:41:46', '1D001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3224, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3225, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3226, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3227, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3228, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3229, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3230, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3231, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3232, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3233, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3234, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3235, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3236, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3237, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3238, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3239, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3240, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3241, '1', NULL, '2024-11-11 16:41:47', NULL, '2024-11-11 16:41:47', '1D00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3242, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3243, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3244, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3245, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3246, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3247, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3248, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3249, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3250, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3251, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3252, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3253, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3254, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3255, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3256, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3257, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3258, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3259, '1', NULL, '2024-11-11 16:41:48', NULL, '2024-11-11 16:41:48', '1D00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3260, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3261, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3262, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3263, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3264, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3265, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3266, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3267, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3268, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3269, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3270, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3271, '1', NULL, '2024-11-11 16:41:49', NULL, '2024-11-11 16:41:49', '1D00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3272, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3273, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3274, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3275, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3276, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3277, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3278, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3279, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3280, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3281, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3282, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3283, '1', NULL, '2024-11-11 16:41:50', NULL, '2024-11-11 16:41:50', '1D00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3284, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3285, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3286, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3287, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3288, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3289, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3290, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3291, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3292, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3293, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3294, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3295, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1D00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3296, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1J001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3297, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1J001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3298, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1J001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3299, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1J001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3300, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1J001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3301, '1', NULL, '2024-11-11 16:41:51', NULL, '2024-11-11 16:41:51', '1J001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3302, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3303, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3304, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3305, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3306, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3307, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3308, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3309, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3310, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3311, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3312, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3313, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3314, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3315, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3316, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3317, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3318, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3319, '1', NULL, '2024-11-11 16:41:52', NULL, '2024-11-11 16:41:52', '1J00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3320, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3321, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3322, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3323, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3324, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3325, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3326, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3327, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3328, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3329, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3330, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3331, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1J00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3332, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1K001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3333, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1K001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3334, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1K001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3335, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1K001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3336, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1K001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3337, '1', NULL, '2024-11-11 16:41:53', NULL, '2024-11-11 16:41:53', '1K001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3338, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3339, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3340, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3341, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3342, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3343, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3344, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3345, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3346, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3347, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3348, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3349, '1', NULL, '2024-11-11 16:41:54', NULL, '2024-11-11 16:41:54', '1K00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3350, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3351, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3352, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3353, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3354, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3355, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3356, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3357, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3358, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3359, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3360, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3361, '1', NULL, '2024-11-11 16:41:55', NULL, '2024-11-11 16:41:55', '1K00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3362, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3363, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3364, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3365, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3366, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3367, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3368, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3369, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3370, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3371, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3372, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3373, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3374, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3375, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3376, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3377, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3378, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3379, '1', NULL, '2024-11-11 16:41:56', NULL, '2024-11-11 16:41:56', '1K00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3380, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3381, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3382, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3383, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3384, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3385, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3386, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3387, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3388, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3389, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3390, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3391, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3392, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3393, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3394, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3395, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3396, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3397, '1', NULL, '2024-11-11 16:41:57', NULL, '2024-11-11 16:41:57', '1K00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3398, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1K00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3399, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1K00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3400, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1K00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3401, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1K00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3402, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1K00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3403, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1K00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3404, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3405, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3406, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3407, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3408, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3409, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3410, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3411, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3412, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3413, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3414, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3415, '1', NULL, '2024-11-11 16:41:58', NULL, '2024-11-11 16:41:58', '1H00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3416, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3417, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3418, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3419, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3420, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3421, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3422, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3423, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3424, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3425, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3426, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3427, '1', NULL, '2024-11-11 16:41:59', NULL, '2024-11-11 16:41:59', '1H00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3428, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3429, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3430, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3431, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3432, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3433, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3434, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3435, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3436, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3437, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3438, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3439, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3440, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3441, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3442, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3443, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3444, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3445, '1', NULL, '2024-11-11 16:42:00', NULL, '2024-11-11 16:42:00', '1H00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3446, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3447, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3448, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3449, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3450, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3451, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3452, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3453, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3454, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3455, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3456, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3457, '1', NULL, '2024-11-11 16:42:01', NULL, '2024-11-11 16:42:01', '1H00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3458, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3459, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3460, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3461, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3462, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3463, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3464, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3465, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3466, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3467, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3468, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3469, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3470, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3471, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3472, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3473, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3474, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3475, '1', NULL, '2024-11-11 16:42:02', NULL, '2024-11-11 16:42:02', '1H00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3476, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3477, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3478, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3479, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3480, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3481, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3482, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3483, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3484, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3485, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3486, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3487, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1H00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3488, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1B001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3489, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1B001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3490, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1B001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3491, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1B001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3492, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1B001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3493, '1', NULL, '2024-11-11 16:42:03', NULL, '2024-11-11 16:42:03', '1B001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3494, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3495, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3496, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3497, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3498, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3499, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3500, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3501, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3502, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3503, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3504, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3505, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3506, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3507, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3508, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3509, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3510, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3511, '1', NULL, '2024-11-11 16:42:04', NULL, '2024-11-11 16:42:04', '1B00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3512, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3513, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3514, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3515, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3516, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3517, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3518, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3519, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3520, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3521, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3522, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3523, '1', NULL, '2024-11-11 16:42:05', NULL, '2024-11-11 16:42:05', '1B00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3524, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3525, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3526, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3527, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3528, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3529, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3530, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3531, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3532, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3533, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3534, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3535, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3536, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3537, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3538, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3539, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3540, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3541, '1', NULL, '2024-11-11 16:42:06', NULL, '2024-11-11 16:42:06', '1B00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3542, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1B00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3543, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1B00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3544, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1B00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3545, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1B00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3546, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1B00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3547, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1B00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3548, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1F001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3549, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1F001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3550, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1F001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3551, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1F001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3552, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1F001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3553, '1', NULL, '2024-11-11 16:42:07', NULL, '2024-11-11 16:42:07', '1F001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3554, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3555, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3556, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3557, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3558, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3559, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3560, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3561, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3562, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3563, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3564, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3565, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3566, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3567, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3568, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3569, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3570, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3571, '1', NULL, '2024-11-11 16:42:08', NULL, '2024-11-11 16:42:08', '1F00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3572, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3573, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3574, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3575, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3576, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3577, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3578, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3579, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3580, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3581, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3582, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3583, '1', NULL, '2024-11-11 16:42:09', NULL, '2024-11-11 16:42:09', '1F00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3584, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1F00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3585, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1F00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3586, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1F00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3587, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1F00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3588, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1F00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3589, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1F00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3590, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3591, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3592, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3593, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3594, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3595, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3596, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3597, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3598, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3599, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3600, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3601, '1', NULL, '2024-11-11 16:42:10', NULL, '2024-11-11 16:42:10', '1C00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3602, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3603, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3604, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3605, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3606, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3607, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3608, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3609, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3610, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3611, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3612, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3613, '1', NULL, '2024-11-11 16:42:11', NULL, '2024-11-11 16:42:11', '1C00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3614, '1', NULL, '2024-11-11 16:42:12', NULL, '2024-11-11 16:42:12', '1C00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3615, '1', NULL, '2024-11-11 16:42:12', NULL, '2024-11-11 16:42:12', '1C00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3616, '1', NULL, '2024-11-11 16:42:12', NULL, '2024-11-11 16:42:12', '1C00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3617, '1', NULL, '2024-11-11 16:42:12', NULL, '2024-11-11 16:42:12', '1C00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3618, '1', NULL, '2024-11-11 16:42:12', NULL, '2024-11-11 16:42:12', '1C00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3619, '1', NULL, '2024-11-11 16:42:12', NULL, '2024-11-11 16:42:12', '1C00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3620, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3621, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3622, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3623, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3624, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3625, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3626, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3627, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3628, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3629, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3630, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3631, '1', NULL, '2024-11-11 16:42:38', NULL, '2024-11-11 16:42:38', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3632, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3633, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3634, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3635, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3636, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3637, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3638, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3639, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3640, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3641, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3642, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3643, '1', NULL, '2024-11-11 16:42:39', NULL, '2024-11-11 16:42:39', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3644, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3645, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3646, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3647, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3648, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3649, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3650, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3651, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3652, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3653, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3654, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3655, '1', NULL, '2024-11-11 16:42:40', NULL, '2024-11-11 16:42:40', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3656, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3657, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3658, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3659, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3660, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3661, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3662, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3663, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3664, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3665, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3666, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3667, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3668, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3669, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3670, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3671, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3672, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3673, '1', NULL, '2024-11-11 16:42:41', NULL, '2024-11-11 16:42:41', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3674, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3675, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3676, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3677, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3678, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3679, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3680, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3681, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3682, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3683, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3684, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3685, '1', NULL, '2024-11-11 16:42:42', NULL, '2024-11-11 16:42:42', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3686, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3687, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3688, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3689, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3690, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3691, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3692, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3693, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3694, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3695, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3696, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3697, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3698, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3699, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3700, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3701, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3702, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3703, '1', NULL, '2024-11-11 16:42:43', NULL, '2024-11-11 16:42:43', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3704, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3705, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3706, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3707, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3708, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3709, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3710, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3711, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3712, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3713, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3714, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3715, '1', NULL, '2024-11-11 16:42:44', NULL, '2024-11-11 16:42:44', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3716, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3717, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3718, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3719, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3720, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3721, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3722, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3723, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3724, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3725, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3726, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3727, '1', NULL, '2024-11-11 16:42:45', NULL, '2024-11-11 16:42:45', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3728, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3729, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3730, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3731, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3732, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3733, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3734, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3735, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3736, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3737, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3738, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3739, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3740, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3741, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3742, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3743, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3744, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3745, '1', NULL, '2024-11-11 16:42:46', NULL, '2024-11-11 16:42:46', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3746, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3747, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3748, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3749, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3750, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3751, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3752, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3753, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3754, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3755, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3756, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3757, '1', NULL, '2024-11-11 16:42:47', NULL, '2024-11-11 16:42:47', '1M00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3758, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3759, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3760, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3761, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3762, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3763, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3764, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3765, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3766, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3767, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3768, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3769, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3770, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3771, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3772, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3773, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3774, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3775, '1', NULL, '2024-11-11 16:42:48', NULL, '2024-11-11 16:42:48', '1M00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3776, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1M00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3777, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1M00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3778, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1M00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3779, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1M00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3780, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1M00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3781, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1M00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3782, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1L001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3783, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1L001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3784, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1L001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3785, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1L001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3786, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1L001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3787, '1', NULL, '2024-11-11 16:42:49', NULL, '2024-11-11 16:42:49', '1L001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3788, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3789, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3790, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3791, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3792, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3793, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3794, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3795, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3796, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3797, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3798, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3799, '1', NULL, '2024-11-11 16:42:50', NULL, '2024-11-11 16:42:50', '1L00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3800, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3801, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3802, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3803, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3804, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3805, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3806, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3807, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3808, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3809, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3810, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3811, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3812, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3813, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3814, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3815, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3816, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3817, '1', NULL, '2024-11-11 16:42:51', NULL, '2024-11-11 16:42:51', '1L00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3818, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3819, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3820, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3821, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3822, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3823, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3824, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3825, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3826, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3827, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3828, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3829, '1', NULL, '2024-11-11 16:42:52', NULL, '2024-11-11 16:42:52', '1L00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3830, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3831, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3832, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3833, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3834, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3835, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3836, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3837, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3838, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3839, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3840, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3841, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3842, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3843, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3844, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3845, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3846, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3847, '1', NULL, '2024-11-11 16:42:53', NULL, '2024-11-11 16:42:53', '1L00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3848, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3849, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3850, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3851, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3852, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3853, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3854, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3855, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3856, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3857, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3858, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3859, '1', NULL, '2024-11-11 16:42:54', NULL, '2024-11-11 16:42:54', '1L00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3860, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3861, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3862, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3863, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3864, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3865, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3866, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3867, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3868, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3869, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3870, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3871, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1L00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3872, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3873, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3874, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3875, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3876, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3877, '1', NULL, '2024-11-11 16:42:55', NULL, '2024-11-11 16:42:55', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3878, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3879, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3880, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3881, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3882, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3883, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3884, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3885, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3886, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3887, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3888, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3889, '1', NULL, '2024-11-11 16:42:56', NULL, '2024-11-11 16:42:56', '1E00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3890, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3891, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3892, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3893, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3894, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3895, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3896, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3897, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3898, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3899, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3900, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3901, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3902, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3903, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3904, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3905, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3906, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3907, '1', NULL, '2024-11-11 16:42:57', NULL, '2024-11-11 16:42:57', '1E00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3908, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3909, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3910, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3911, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3912, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3913, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3914, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3915, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3916, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3917, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3918, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3919, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3920, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3921, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3922, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3923, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3924, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3925, '1', NULL, '2024-11-11 16:42:58', NULL, '2024-11-11 16:42:58', '1D00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3926, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3927, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3928, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3929, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3930, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3931, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3932, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3933, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3934, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3935, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3936, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3937, '1', NULL, '2024-11-11 16:42:59', NULL, '2024-11-11 16:42:59', '1D00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3938, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3939, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3940, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3941, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3942, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3943, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3944, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3945, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3946, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3947, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3948, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3949, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3950, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3951, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3952, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3953, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3954, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3955, '1', NULL, '2024-11-11 16:43:00', NULL, '2024-11-11 16:43:00', '1D00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3956, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3957, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3958, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3959, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3960, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3961, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3962, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3963, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3964, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3965, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3966, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3967, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3968, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3969, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3970, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3971, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3972, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3973, '1', NULL, '2024-11-11 16:43:01', NULL, '2024-11-11 16:43:01', '1D00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3974, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3975, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3976, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3977, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3978, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3979, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3980, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3981, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3982, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3983, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3984, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3985, '1', NULL, '2024-11-11 16:43:02', NULL, '2024-11-11 16:43:02', '1D00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3986, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3987, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3988, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3989, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3990, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3991, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3992, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3993, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (3994, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (3995, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3996, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (3997, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (3998, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (3999, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4000, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4001, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4002, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4003, '1', NULL, '2024-11-11 16:43:03', NULL, '2024-11-11 16:43:03', '1J00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4004, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4005, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4006, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4007, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4008, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4009, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4010, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4011, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4012, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4013, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4014, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4015, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4016, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4017, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4018, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4019, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4020, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4021, '1', NULL, '2024-11-11 16:43:04', NULL, '2024-11-11 16:43:04', '1J00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4022, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4023, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4024, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4025, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4026, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4027, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4028, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4029, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4030, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4031, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4032, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4033, '1', NULL, '2024-11-11 16:43:05', NULL, '2024-11-11 16:43:05', '1K00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4034, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4035, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4036, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4037, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4038, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4039, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4040, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4041, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4042, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4043, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4044, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4045, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4046, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4047, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4048, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4049, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4050, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4051, '1', NULL, '2024-11-11 16:43:06', NULL, '2024-11-11 16:43:06', '1K00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4052, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4053, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4054, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4055, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4056, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4057, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4058, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4059, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4060, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4061, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4062, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4063, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4064, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4065, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4066, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4067, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4068, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4069, '1', NULL, '2024-11-11 16:43:07', NULL, '2024-11-11 16:43:07', '1K00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4070, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4071, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4072, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4073, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4074, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4075, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4076, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4077, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4078, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4079, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4080, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4081, '1', NULL, '2024-11-11 16:43:08', NULL, '2024-11-11 16:43:08', '1K00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4082, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4083, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4084, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4085, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4086, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4087, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4088, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4089, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4090, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4091, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4092, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4093, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1K00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4094, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1H001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4095, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1H001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4096, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1H001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4097, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1H001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4098, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1H001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4099, '1', NULL, '2024-11-11 16:43:09', NULL, '2024-11-11 16:43:09', '1H001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4100, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4101, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4102, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4103, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4104, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4105, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4106, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4107, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4108, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4109, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4110, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4111, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4112, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4113, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4114, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4115, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4116, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4117, '1', NULL, '2024-11-11 16:43:10', NULL, '2024-11-11 16:43:10', '1H00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4118, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4119, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4120, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4121, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4122, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4123, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4124, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4125, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4126, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4127, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4128, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4129, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4130, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4131, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4132, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4133, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4134, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4135, '1', NULL, '2024-11-11 16:43:11', NULL, '2024-11-11 16:43:11', '1H00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4136, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4137, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4138, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4139, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4140, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4141, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4142, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4143, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4144, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4145, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4146, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4147, '1', NULL, '2024-11-11 16:43:12', NULL, '2024-11-11 16:43:12', '1H00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4148, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4149, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4150, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4151, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4152, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4153, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4154, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4155, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4156, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4157, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4158, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4159, '1', NULL, '2024-11-11 16:43:13', NULL, '2024-11-11 16:43:13', '1H00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4160, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4161, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4162, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4163, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4164, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4165, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4166, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4167, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4168, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4169, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4170, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4171, '1', NULL, '2024-11-11 16:43:14', NULL, '2024-11-11 16:43:14', '1H00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4172, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1H00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4173, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1H00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4174, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1H00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4175, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1H00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4176, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1H00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4177, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1H00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4178, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1B001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4179, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1B001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4180, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1B001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4181, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1B001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4182, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1B001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4183, '1', NULL, '2024-11-11 16:43:15', NULL, '2024-11-11 16:43:15', '1B001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4184, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4185, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4186, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4187, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4188, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4189, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4190, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4191, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4192, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4193, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4194, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4195, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4196, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4197, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4198, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4199, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4200, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4201, '1', NULL, '2024-11-11 16:43:16', NULL, '2024-11-11 16:43:16', '1B00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4202, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4203, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4204, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4205, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4206, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4207, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4208, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4209, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4210, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4211, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4212, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4213, '1', NULL, '2024-11-11 16:43:17', NULL, '2024-11-11 16:43:17', '1B00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4214, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4215, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4216, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4217, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4218, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4219, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4220, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4221, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4222, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4223, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4224, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4225, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4226, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4227, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4228, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4229, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4230, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4231, '1', NULL, '2024-11-11 16:43:18', NULL, '2024-11-11 16:43:18', '1B00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4232, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1B00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4233, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1B00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4234, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1B00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4235, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1B00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4236, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1B00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4237, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1B00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4238, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4239, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4240, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4241, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4242, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4243, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4244, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4245, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4246, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4247, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4248, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4249, '1', NULL, '2024-11-11 16:43:19', NULL, '2024-11-11 16:43:19', '1F00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4250, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4251, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4252, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4253, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4254, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4255, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4256, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4257, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4258, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4259, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4260, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4261, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4262, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4263, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4264, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4265, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4266, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4267, '1', NULL, '2024-11-11 16:43:20', NULL, '2024-11-11 16:43:20', '1F00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4268, '1', NULL, '2024-11-11 16:43:21', NULL, '2024-11-11 16:43:21', '1F00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4269, '1', NULL, '2024-11-11 16:43:21', NULL, '2024-11-11 16:43:21', '1F00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4270, '1', NULL, '2024-11-11 16:43:21', NULL, '2024-11-11 16:43:21', '1F00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4271, '1', NULL, '2024-11-11 16:43:21', NULL, '2024-11-11 16:43:21', '1F00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4272, '1', NULL, '2024-11-11 16:43:21', NULL, '2024-11-11 16:43:21', '1F00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4273, '1', NULL, '2024-11-11 16:43:21', NULL, '2024-11-11 16:43:21', '1F00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4274, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1F00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4275, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1F00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4276, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1F00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4277, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1F00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4278, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1F00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4279, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1F00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4280, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1C001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4281, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1C001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4282, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1C001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4283, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1C001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4284, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1C001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4285, '1', NULL, '2024-11-11 16:43:22', NULL, '2024-11-11 16:43:22', '1C001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4286, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4287, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4288, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4289, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4290, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4291, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4292, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4293, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4294, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4295, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4296, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4297, '1', NULL, '2024-11-11 16:43:23', NULL, '2024-11-11 16:43:23', '1C00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4298, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4299, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4300, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4301, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4302, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4303, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4304, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4305, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4306, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4307, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4308, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4309, '1', NULL, '2024-11-11 16:43:24', NULL, '2024-11-11 16:43:24', '1C00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4310, '1', NULL, '2024-11-11 19:02:14', NULL, '2024-11-11 19:02:14', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4311, '1', NULL, '2024-11-11 19:02:14', NULL, '2024-11-11 19:02:14', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4312, '1', NULL, '2024-11-11 19:02:14', NULL, '2024-11-11 19:02:14', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4313, '1', NULL, '2024-11-11 19:02:14', NULL, '2024-11-11 19:02:14', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4314, '1', NULL, '2024-11-11 19:02:14', NULL, '2024-11-11 19:02:14', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4315, '1', NULL, '2024-11-11 19:02:14', NULL, '2024-11-11 19:02:14', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4316, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4317, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4318, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4319, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4320, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4321, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4322, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4323, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4324, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4325, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4326, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4327, '1', NULL, '2024-11-11 19:02:15', NULL, '2024-11-11 19:02:15', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4328, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4329, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4330, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4331, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4332, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4333, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4334, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4335, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4336, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4337, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4338, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4339, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4340, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4341, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4342, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4343, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4344, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4345, '1', NULL, '2024-11-11 19:02:16', NULL, '2024-11-11 19:02:16', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4346, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4347, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4348, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4349, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4350, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4351, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4352, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4353, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4354, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4355, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4356, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4357, '1', NULL, '2024-11-11 19:02:17', NULL, '2024-11-11 19:02:17', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4358, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4359, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4360, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4361, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4362, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4363, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4364, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4365, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4366, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4367, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4368, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4369, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4370, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4371, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4372, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4373, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4374, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4375, '1', NULL, '2024-11-11 19:02:18', NULL, '2024-11-11 19:02:18', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4376, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4377, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4378, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4379, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4380, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4381, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4382, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4383, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4384, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4385, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4386, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4387, '1', NULL, '2024-11-11 19:02:19', NULL, '2024-11-11 19:02:19', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4388, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4389, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4390, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4391, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4392, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4393, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4394, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4395, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4396, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4397, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4398, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4399, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4400, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4401, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4402, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4403, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4404, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4405, '1', NULL, '2024-11-11 19:02:20', NULL, '2024-11-11 19:02:20', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4406, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4407, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4408, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4409, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4410, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4411, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4412, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4413, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4414, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4415, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4416, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4417, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4418, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4419, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4420, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4421, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4422, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4423, '1', NULL, '2024-11-11 19:02:21', NULL, '2024-11-11 19:02:21', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4424, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4425, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4426, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4427, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4428, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4429, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4430, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4431, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4432, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4433, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4434, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4435, '1', NULL, '2024-11-11 19:02:22', NULL, '2024-11-11 19:02:22', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4436, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4437, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4438, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4439, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4440, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4441, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4442, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4443, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4444, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4445, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4446, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4447, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4448, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4449, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4450, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4451, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4452, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4453, '1', NULL, '2024-11-11 19:02:23', NULL, '2024-11-11 19:02:23', '1M00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4454, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4455, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4456, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4457, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4458, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4459, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4460, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4461, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4462, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4463, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4464, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4465, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4466, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4467, '1', NULL, '2024-11-11 19:02:24', NULL, '2024-11-11 19:02:24', '1M00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4468, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1M00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4469, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1M00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4470, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1M00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4471, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1M00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4472, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4473, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4474, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4475, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4476, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4477, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4478, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4479, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4480, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4481, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4482, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4483, '1', NULL, '2024-11-11 19:02:25', NULL, '2024-11-11 19:02:25', '1L00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4484, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4485, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4486, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4487, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4488, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4489, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4490, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4491, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4492, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4493, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4494, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4495, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4496, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4497, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4498, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4499, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4500, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4501, '1', NULL, '2024-11-11 19:02:26', NULL, '2024-11-11 19:02:26', '1L00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4502, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4503, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4504, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4505, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4506, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4507, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4508, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4509, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4510, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4511, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4512, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4513, '1', NULL, '2024-11-11 19:02:27', NULL, '2024-11-11 19:02:27', '1L00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4514, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4515, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4516, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4517, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4518, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4519, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4520, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4521, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4522, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4523, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4524, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4525, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4526, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4527, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4528, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4529, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4530, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4531, '1', NULL, '2024-11-11 19:02:28', NULL, '2024-11-11 19:02:28', '1L00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4532, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4533, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4534, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4535, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4536, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4537, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4538, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4539, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4540, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4541, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4542, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4543, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4544, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4545, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4546, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4547, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4548, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4549, '1', NULL, '2024-11-11 19:02:29', NULL, '2024-11-11 19:02:29', '1L00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4550, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4551, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4552, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4553, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4554, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4555, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4556, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4557, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4558, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4559, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4560, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4561, '1', NULL, '2024-11-11 19:02:30', NULL, '2024-11-11 19:02:30', '1L00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4562, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4563, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4564, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4565, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4566, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4567, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4568, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4569, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4570, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4571, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4572, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4573, '1', NULL, '2024-11-11 19:02:31', NULL, '2024-11-11 19:02:31', '1E00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4574, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4575, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4576, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4577, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4578, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4579, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4580, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4581, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4582, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4583, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4584, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4585, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4586, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4587, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4588, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4589, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4590, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4591, '1', NULL, '2024-11-11 19:02:32', NULL, '2024-11-11 19:02:32', '1E00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4592, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1E00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4593, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1E00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4594, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1E00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4595, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1E00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4596, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1E00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4597, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1E00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4598, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4599, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4600, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4601, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4602, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4603, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4604, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4605, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4606, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4607, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4608, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4609, '1', NULL, '2024-11-11 19:02:33', NULL, '2024-11-11 19:02:33', '1D00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4610, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4611, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4612, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4613, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4614, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4615, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4616, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4617, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4618, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4619, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4620, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4621, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4622, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4623, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4624, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4625, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4626, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4627, '1', NULL, '2024-11-11 19:02:34', NULL, '2024-11-11 19:02:34', '1D00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4628, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4629, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4630, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4631, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4632, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4633, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4634, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4635, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4636, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4637, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4638, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4639, '1', NULL, '2024-11-11 19:02:35', NULL, '2024-11-11 19:02:35', '1D00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4640, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4641, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4642, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4643, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4644, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4645, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4646, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4647, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4648, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4649, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4650, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4651, '1', NULL, '2024-11-11 19:02:36', NULL, '2024-11-11 19:02:36', '1D00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4652, '1', NULL, '2024-11-11 19:02:37', NULL, '2024-11-11 19:02:37', '1D00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4653, '1', NULL, '2024-11-11 19:02:37', NULL, '2024-11-11 19:02:37', '1D00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4654, '1', NULL, '2024-11-11 19:02:37', NULL, '2024-11-11 19:02:37', '1D00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4655, '1', NULL, '2024-11-11 19:02:37', NULL, '2024-11-11 19:02:37', '1D00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4656, '1', NULL, '2024-11-11 19:02:37', NULL, '2024-11-11 19:02:37', '1D00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4657, '1', NULL, '2024-11-11 19:02:37', NULL, '2024-11-11 19:02:37', '1D00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4658, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4659, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4660, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4661, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4662, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4663, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4664, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4665, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4666, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4667, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4668, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4669, '1', NULL, '2024-11-11 19:02:38', NULL, '2024-11-11 19:02:38', '1D00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4670, '1', NULL, '2024-11-11 19:02:39', NULL, '2024-11-11 19:02:39', '1D00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4671, '1', NULL, '2024-11-11 19:02:39', NULL, '2024-11-11 19:02:39', '1D00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4672, '1', NULL, '2024-11-11 19:02:39', NULL, '2024-11-11 19:02:39', '1D00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4673, '1', NULL, '2024-11-11 19:02:39', NULL, '2024-11-11 19:02:39', '1D00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4674, '1', NULL, '2024-11-11 19:02:39', NULL, '2024-11-11 19:02:39', '1D00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4675, '1', NULL, '2024-11-11 19:02:39', NULL, '2024-11-11 19:02:39', '1D00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4676, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4677, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4678, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4679, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4680, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4681, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4682, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4683, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4684, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4685, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4686, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4687, '1', NULL, '2024-11-11 19:02:40', NULL, '2024-11-11 19:02:40', '1J00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4688, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4689, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4690, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4691, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4692, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4693, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4694, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4695, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4696, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4697, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4698, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4699, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4700, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4701, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4702, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4703, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4704, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4705, '1', NULL, '2024-11-11 19:02:41', NULL, '2024-11-11 19:02:41', '1J00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4706, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1J00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4707, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1J00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4708, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1J00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4709, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1J00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4710, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1J00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4711, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1J00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4712, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4713, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4714, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4715, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4716, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4717, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4718, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4719, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4720, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4721, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4722, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4723, '1', NULL, '2024-11-11 19:02:42', NULL, '2024-11-11 19:02:42', '1K00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4724, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4725, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4726, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4727, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4728, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4729, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4730, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4731, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4732, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4733, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4734, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4735, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4736, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4737, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4738, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4739, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4740, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4741, '1', NULL, '2024-11-11 19:02:43', NULL, '2024-11-11 19:02:43', '1K00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4742, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4743, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4744, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4745, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4746, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4747, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4748, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4749, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4750, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4751, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4752, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4753, '1', NULL, '2024-11-11 19:02:44', NULL, '2024-11-11 19:02:44', '1K00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4754, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4755, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4756, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4757, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4758, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4759, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4760, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4761, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4762, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4763, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4764, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4765, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4766, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4767, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4768, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4769, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4770, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4771, '1', NULL, '2024-11-11 19:02:45', NULL, '2024-11-11 19:02:45', '1K00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4772, '1', NULL, '2024-11-11 19:02:46', NULL, '2024-11-11 19:02:46', '1K00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4773, '1', NULL, '2024-11-11 19:02:46', NULL, '2024-11-11 19:02:46', '1K00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4774, '1', NULL, '2024-11-11 19:02:46', NULL, '2024-11-11 19:02:46', '1K00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4775, '1', NULL, '2024-11-11 19:02:46', NULL, '2024-11-11 19:02:46', '1K00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4776, '1', NULL, '2024-11-11 19:02:46', NULL, '2024-11-11 19:02:46', '1K00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4777, '1', NULL, '2024-11-11 19:02:46', NULL, '2024-11-11 19:02:46', '1K00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4778, '1', NULL, '2024-11-11 19:33:26', NULL, '2024-11-11 19:33:26', '10001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4779, '1', NULL, '2024-11-11 19:33:26', NULL, '2024-11-11 19:33:26', '10001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4780, '1', NULL, '2024-11-11 19:33:26', NULL, '2024-11-11 19:33:26', '10001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4781, '1', NULL, '2024-11-11 19:33:26', NULL, '2024-11-11 19:33:26', '10001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4782, '1', NULL, '2024-11-11 19:33:26', NULL, '2024-11-11 19:33:26', '10001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4783, '1', NULL, '2024-11-11 19:33:26', NULL, '2024-11-11 19:33:26', '10001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4784, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4785, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4786, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4787, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4788, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4789, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4790, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A002', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4791, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A002', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4792, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A002', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4793, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A002', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4794, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A002', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4795, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A002', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4796, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A003', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4797, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A003', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4798, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A003', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4799, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A003', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4800, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A003', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4801, '1', NULL, '2024-11-11 19:33:27', NULL, '2024-11-11 19:33:27', '1A003', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4802, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00301', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4803, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00301', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4804, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00301', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4805, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00301', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4806, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00301', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4807, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00301', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4808, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00302', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4809, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00302', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4810, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00302', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4811, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00302', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4812, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00302', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4813, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00302', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4814, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00303', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4815, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00303', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4816, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00303', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4817, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00303', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4818, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00303', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4819, '1', NULL, '2024-11-11 19:33:28', NULL, '2024-11-11 19:33:28', '1A00303', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4820, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00304', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4821, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00304', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4822, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00304', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4823, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00304', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4824, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00304', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4825, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00304', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4826, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00305', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4827, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00305', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4828, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00305', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4829, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00305', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4830, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00305', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4831, '1', NULL, '2024-11-11 19:33:29', NULL, '2024-11-11 19:33:29', '1A00305', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4832, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00306', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4833, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00306', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4834, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00306', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4835, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00306', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4836, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00306', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4837, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00306', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4838, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00307', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4839, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00307', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4840, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00307', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4841, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00307', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4842, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00307', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4843, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00307', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4844, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00308', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4845, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00308', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4846, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00308', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4847, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00308', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4848, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00308', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4849, '1', NULL, '2024-11-11 19:33:30', NULL, '2024-11-11 19:33:30', '1A00308', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4850, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4851, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4852, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4853, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4854, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4855, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4856, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4857, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4858, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4859, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4860, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4861, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4862, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4863, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4864, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4865, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4866, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4867, '1', NULL, '2024-11-11 19:33:31', NULL, '2024-11-11 19:33:31', '1M00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4868, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4869, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4870, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4871, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4872, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4873, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4874, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4875, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4876, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4877, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4878, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4879, '1', NULL, '2024-11-11 19:33:32', NULL, '2024-11-11 19:33:32', '1M00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4880, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4881, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4882, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4883, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4884, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4885, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4886, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4887, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4888, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4889, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4890, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4891, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4892, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4893, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4894, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4895, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4896, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4897, '1', NULL, '2024-11-11 19:33:33', NULL, '2024-11-11 19:33:33', '1M00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4898, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4899, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4900, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4901, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4902, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4903, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4904, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4905, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4906, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4907, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4908, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4909, '1', NULL, '2024-11-11 19:33:34', NULL, '2024-11-11 19:33:34', '1M00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4910, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4911, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4912, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4913, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4914, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4915, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4916, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4917, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4918, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4919, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4920, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4921, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4922, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4923, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4924, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4925, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4926, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4927, '1', NULL, '2024-11-11 19:33:35', NULL, '2024-11-11 19:33:35', '1M00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4928, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4929, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4930, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4931, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4932, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4933, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4934, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4935, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4936, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4937, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4938, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4939, '1', NULL, '2024-11-11 19:33:36', NULL, '2024-11-11 19:33:36', '1M00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4940, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4941, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4942, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4943, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4944, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4945, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4946, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4947, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4948, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4949, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4950, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4951, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4952, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4953, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4954, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4955, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4956, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4957, '1', NULL, '2024-11-11 19:33:37', NULL, '2024-11-11 19:33:37', '1L00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4958, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4959, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4960, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4961, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4962, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4963, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4964, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4965, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4966, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4967, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4968, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4969, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4970, '1', NULL, '2024-11-11 19:33:38', NULL, '2024-11-11 19:33:38', '1L00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4971, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4972, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4973, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4974, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4975, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4976, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4977, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4978, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4979, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4980, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4981, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4982, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4983, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4984, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4985, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4986, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4987, '1', NULL, '2024-11-11 19:33:39', NULL, '2024-11-11 19:33:39', '1L00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4988, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4989, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4990, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4991, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4992, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4993, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (4994, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (4995, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (4996, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (4997, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4998, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (4999, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5000, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5001, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5002, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5003, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5004, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5005, '1', NULL, '2024-11-11 19:33:40', NULL, '2024-11-11 19:33:40', '1L00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5006, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5007, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5008, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5009, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5010, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5011, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5012, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5013, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5014, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5015, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5016, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5017, '1', NULL, '2024-11-11 19:33:41', NULL, '2024-11-11 19:33:41', '1L00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5018, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00113', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5019, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00113', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5020, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00113', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5021, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00113', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5022, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00113', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5023, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00113', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5024, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00114', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5025, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00114', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5026, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00114', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5027, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00114', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5028, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00114', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5029, '1', NULL, '2024-11-11 19:33:42', NULL, '2024-11-11 19:33:42', '1L00114', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5030, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5031, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5032, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5033, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5034, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5035, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5036, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5037, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5038, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5039, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5040, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5041, '1', NULL, '2024-11-11 19:33:43', NULL, '2024-11-11 19:33:43', '1E00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5042, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5043, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5044, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5045, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5046, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5047, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5048, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5049, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5050, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5051, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5052, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5053, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5054, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5055, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5056, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5057, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5058, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5059, '1', NULL, '2024-11-11 19:33:44', NULL, '2024-11-11 19:33:44', '1E00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5060, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1E00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5061, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1E00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5062, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1E00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5063, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1E00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5064, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1E00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5065, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1E00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5066, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1D001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5067, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1D001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5068, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1D001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5069, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1D001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5070, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1D001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5071, '1', NULL, '2024-11-11 19:33:45', NULL, '2024-11-11 19:33:45', '1D001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5072, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5073, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5074, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5075, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5076, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5077, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5078, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5079, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5080, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5081, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5082, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5083, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5084, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5085, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5086, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5087, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5088, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5089, '1', NULL, '2024-11-11 19:33:46', NULL, '2024-11-11 19:33:46', '1D00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5090, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5091, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5092, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5093, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5094, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5095, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5096, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5097, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5098, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5099, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5100, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5101, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5102, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00106', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5103, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00106', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5104, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00106', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5105, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00106', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5106, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00106', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5107, '1', NULL, '2024-11-11 19:33:47', NULL, '2024-11-11 19:33:47', '1D00106', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5108, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00107', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5109, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00107', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5110, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00107', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5111, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00107', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5112, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00107', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5113, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00107', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5114, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00108', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5115, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00108', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5116, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00108', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5117, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00108', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5118, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00108', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5119, '1', NULL, '2024-11-11 19:33:48', NULL, '2024-11-11 19:33:48', '1D00108', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5120, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00109', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5121, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00109', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5122, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00109', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5123, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00109', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5124, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00109', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5125, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00109', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5126, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00110', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5127, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00110', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5128, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00110', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5129, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00110', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5130, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00110', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5131, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00110', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5132, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00111', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5133, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00111', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5134, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00111', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5135, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00111', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5136, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00111', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5137, '1', NULL, '2024-11-11 19:33:49', NULL, '2024-11-11 19:33:49', '1D00111', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5138, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1D00112', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5139, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1D00112', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5140, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1D00112', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5141, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1D00112', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5142, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1D00112', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5143, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1D00112', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5144, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1J001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5145, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1J001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5146, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1J001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5147, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1J001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5148, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1J001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5149, '1', NULL, '2024-11-11 19:33:50', NULL, '2024-11-11 19:33:50', '1J001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5150, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5151, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5152, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5153, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5154, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5155, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5156, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5157, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5158, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5159, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5160, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5161, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5162, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00103', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5163, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00103', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5164, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00103', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5165, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00103', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5166, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00103', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5167, '1', NULL, '2024-11-11 19:33:51', NULL, '2024-11-11 19:33:51', '1J00103', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5168, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00104', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5169, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00104', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5170, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00104', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5171, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00104', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5172, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00104', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5173, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00104', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5174, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00105', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5175, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00105', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5176, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00105', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5177, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00105', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5178, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00105', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5179, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1J00105', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5180, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1K001', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5181, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1K001', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5182, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1K001', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5183, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1K001', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5184, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1K001', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5185, '1', NULL, '2024-11-11 19:33:52', NULL, '2024-11-11 19:33:52', '1K001', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5186, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00101', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5187, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00101', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5188, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00101', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5189, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00101', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5190, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00101', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5191, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00101', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5192, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00102', 1, 12, 10, 12, 8, 6, 6, 5, 5, 2, 2);
INSERT INTO `large_plat_post_station_chart` VALUES (5193, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00102', 2, 10, 29, 13, 9, 86, 5, 7, 7, 1, 3);
INSERT INTO `large_plat_post_station_chart` VALUES (5194, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00102', 3, 21, 21, 23, 7, 6, 7, 5, 5, 1, 4);
INSERT INTO `large_plat_post_station_chart` VALUES (5195, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00102', 4, 31, 13, 21, 6, 7, 5, 7, 7, 3, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5196, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00102', 5, 21, 41, 21, 7, 6, 7, 5, 3, 4, 5);
INSERT INTO `large_plat_post_station_chart` VALUES (5197, '1', NULL, '2024-11-11 19:33:53', NULL, '2024-11-11 19:33:53', '1K00102', 6, 10, 134, 22, 6, 6, 6, 7, 5, 5, 6);
INSERT INTO `large_plat_post_station_chart` VALUES (5198, '1', NULL, '2024-11-18 11:46:14', NULL, '2024-11-18 11:46:14', '10001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5199, '1', NULL, '2024-11-18 11:46:14', NULL, '2024-11-18 11:46:14', '10001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5200, '1', NULL, '2024-11-18 11:46:14', NULL, '2024-11-18 11:46:14', '10001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5201, '1', NULL, '2024-11-18 11:46:14', NULL, '2024-11-18 11:46:14', '10001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5202, '1', NULL, '2024-11-18 11:46:14', NULL, '2024-11-18 11:46:14', '10001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5203, '1', NULL, '2024-11-18 11:46:14', NULL, '2024-11-18 11:46:14', '10001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5204, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5205, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5206, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5207, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5208, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5209, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5210, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A002', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5211, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A002', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5212, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A002', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5213, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A002', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5214, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A002', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5215, '1', NULL, '2024-11-18 11:46:16', NULL, '2024-11-18 11:46:16', '1A002', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5216, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A003', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5217, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A003', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5218, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A003', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5219, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A003', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5220, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A003', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5221, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A003', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5222, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A00301', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5223, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A00301', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5224, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A00301', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5225, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A00301', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5226, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A00301', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5227, '1', NULL, '2024-11-18 11:46:17', NULL, '2024-11-18 11:46:17', '1A00301', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5228, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00302', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5229, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00302', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5230, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00302', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5231, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00302', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5232, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00302', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5233, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00302', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5234, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00303', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5235, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00303', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5236, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00303', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5237, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00303', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5238, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00303', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5239, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00303', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5240, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00304', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5241, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00304', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5242, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00304', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5243, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00304', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5244, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00304', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5245, '1', NULL, '2024-11-18 11:46:18', NULL, '2024-11-18 11:46:18', '1A00304', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5246, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00305', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5247, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00305', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5248, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00305', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5249, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00305', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5250, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00305', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5251, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00305', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5252, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00306', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5253, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00306', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5254, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00306', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5255, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00306', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5256, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00306', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5257, '1', NULL, '2024-11-18 11:46:19', NULL, '2024-11-18 11:46:19', '1A00306', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5258, '1', NULL, '2024-11-18 11:46:20', NULL, '2024-11-18 11:46:20', '1A00307', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5259, '1', NULL, '2024-11-18 11:46:20', NULL, '2024-11-18 11:46:20', '1A00307', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5260, '1', NULL, '2024-11-18 11:46:20', NULL, '2024-11-18 11:46:20', '1A00307', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5261, '1', NULL, '2024-11-18 11:46:20', NULL, '2024-11-18 11:46:20', '1A00307', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5262, '1', NULL, '2024-11-18 11:46:20', NULL, '2024-11-18 11:46:20', '1A00307', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5263, '1', NULL, '2024-11-18 11:46:20', NULL, '2024-11-18 11:46:20', '1A00307', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5264, '1', NULL, '2024-11-18 11:46:21', NULL, '2024-11-18 11:46:21', '1A00308', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5265, '1', NULL, '2024-11-18 11:46:21', NULL, '2024-11-18 11:46:21', '1A00308', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5266, '1', NULL, '2024-11-18 11:46:21', NULL, '2024-11-18 11:46:21', '1A00308', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5267, '1', NULL, '2024-11-18 11:46:21', NULL, '2024-11-18 11:46:21', '1A00308', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5268, '1', NULL, '2024-11-18 11:46:21', NULL, '2024-11-18 11:46:21', '1A00308', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5269, '1', NULL, '2024-11-18 11:46:21', NULL, '2024-11-18 11:46:21', '1A00308', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5270, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5271, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5272, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5273, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5274, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5275, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5276, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5277, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5278, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5279, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5280, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5281, '1', NULL, '2024-11-18 11:46:22', NULL, '2024-11-18 11:46:22', '1M00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5282, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5283, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5284, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5285, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5286, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5287, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5288, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5289, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5290, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5291, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5292, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5293, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5294, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5295, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5296, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5297, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5298, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5299, '1', NULL, '2024-11-18 11:46:23', NULL, '2024-11-18 11:46:23', '1M00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5300, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5301, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5302, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5303, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5304, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5305, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5306, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5307, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5308, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5309, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5310, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5311, '1', NULL, '2024-11-18 11:46:24', NULL, '2024-11-18 11:46:24', '1M00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5312, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5313, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5314, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5315, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5316, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5317, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5318, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5319, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5320, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5321, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5322, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5323, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5324, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5325, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5326, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5327, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5328, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5329, '1', NULL, '2024-11-18 11:46:25', NULL, '2024-11-18 11:46:25', '1M00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5330, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5331, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5332, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5333, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5334, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5335, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5336, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5337, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5338, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5339, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5340, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5341, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5342, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5343, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5344, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5345, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5346, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5347, '1', NULL, '2024-11-18 11:46:26', NULL, '2024-11-18 11:46:26', '1M00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5348, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5349, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5350, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5351, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5352, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5353, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5354, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00114', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5355, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00114', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5356, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00114', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5357, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00114', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5358, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00114', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5359, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1M00114', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5360, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1L001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5361, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1L001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5362, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1L001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5363, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1L001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5364, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1L001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5365, '1', NULL, '2024-11-18 11:46:27', NULL, '2024-11-18 11:46:27', '1L001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5366, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5367, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5368, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5369, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5370, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5371, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5372, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5373, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5374, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5375, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5376, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5377, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5378, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5379, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5380, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5381, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5382, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5383, '1', NULL, '2024-11-18 11:46:28', NULL, '2024-11-18 11:46:28', '1L00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5384, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5385, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5386, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5387, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5388, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5389, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5390, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5391, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5392, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5393, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5394, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5395, '1', NULL, '2024-11-18 11:46:29', NULL, '2024-11-18 11:46:29', '1L00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5396, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5397, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5398, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5399, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5400, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5401, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5402, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5403, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5404, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5405, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5406, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5407, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5408, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5409, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5410, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5411, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5412, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5413, '1', NULL, '2024-11-18 11:46:30', NULL, '2024-11-18 11:46:30', '1L00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5414, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5415, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5416, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5417, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5418, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5419, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5420, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5421, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5422, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5423, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5424, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5425, '1', NULL, '2024-11-18 11:46:31', NULL, '2024-11-18 11:46:31', '1L00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5426, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5427, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5428, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5429, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5430, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5431, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5432, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5433, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5434, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5435, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5436, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5437, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5438, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5439, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5440, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5441, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5442, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5443, '1', NULL, '2024-11-18 11:46:32', NULL, '2024-11-18 11:46:32', '1L00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5444, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1L00114', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5445, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1L00114', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5446, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1L00114', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5447, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1L00114', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5448, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1L00114', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5449, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1L00114', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5450, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5451, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5452, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5453, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5454, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5455, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5456, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5457, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5458, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5459, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5460, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5461, '1', NULL, '2024-11-18 11:46:33', NULL, '2024-11-18 11:46:33', '1E00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5462, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5463, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5464, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5465, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5466, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5467, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5468, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5469, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5470, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5471, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5472, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5473, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5474, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5475, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5476, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5477, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5478, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5479, '1', NULL, '2024-11-18 11:46:34', NULL, '2024-11-18 11:46:34', '1E00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5480, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1E00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5481, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1E00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5482, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1E00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5483, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1E00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5484, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1E00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5485, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1E00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5486, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1D001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5487, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1D001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5488, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1D001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5489, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1D001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5490, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1D001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5491, '1', NULL, '2024-11-18 11:46:35', NULL, '2024-11-18 11:46:35', '1D001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5492, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5493, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5494, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5495, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5496, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5497, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5498, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5499, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5500, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5501, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5502, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5503, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5504, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5505, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5506, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5507, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5508, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5509, '1', NULL, '2024-11-18 11:46:36', NULL, '2024-11-18 11:46:36', '1D00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5510, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5511, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5512, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5513, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5514, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5515, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5516, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5517, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5518, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5519, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5520, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5521, '1', NULL, '2024-11-18 11:46:37', NULL, '2024-11-18 11:46:37', '1D00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5522, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5523, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5524, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5525, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5526, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5527, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5528, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5529, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5530, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5531, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5532, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5533, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5534, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5535, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5536, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5537, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5538, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5539, '1', NULL, '2024-11-18 11:46:38', NULL, '2024-11-18 11:46:38', '1D00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5540, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5541, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5542, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5543, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5544, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5545, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5546, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5547, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5548, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5549, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5550, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5551, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5552, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5553, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5554, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5555, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5556, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5557, '1', NULL, '2024-11-18 11:46:39', NULL, '2024-11-18 11:46:39', '1D00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5558, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1D00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5559, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1D00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5560, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1D00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5561, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1D00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5562, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1D00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5563, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1D00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5564, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1J001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5565, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1J001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5566, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1J001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5567, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1J001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5568, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1J001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5569, '1', NULL, '2024-11-18 11:46:40', NULL, '2024-11-18 11:46:40', '1J001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5570, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5571, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5572, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5573, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5574, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5575, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5576, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5577, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5578, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5579, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5580, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5581, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5582, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5583, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5584, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5585, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5586, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5587, '1', NULL, '2024-11-18 11:46:41', NULL, '2024-11-18 11:46:41', '1J00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5588, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5589, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5590, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5591, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5592, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5593, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5594, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5595, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5596, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5597, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5598, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5599, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1J00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5600, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1K001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5601, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1K001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5602, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1K001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5603, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1K001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5604, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1K001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5605, '1', NULL, '2024-11-18 11:46:42', NULL, '2024-11-18 11:46:42', '1K001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5606, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5607, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5608, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5609, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5610, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5611, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5612, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5613, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5614, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5615, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5616, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5617, '1', NULL, '2024-11-18 11:46:43', NULL, '2024-11-18 11:46:43', '1K00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5618, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5619, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5620, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5621, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5622, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5623, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5624, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5625, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5626, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5627, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5628, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5629, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5630, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5631, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5632, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5633, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5634, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5635, '1', NULL, '2024-11-18 11:46:44', NULL, '2024-11-18 11:46:44', '1K00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5636, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5637, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5638, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5639, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5640, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5641, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5642, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5643, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5644, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5645, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5646, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5647, '1', NULL, '2024-11-18 11:46:45', NULL, '2024-11-18 11:46:45', '1K00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5648, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5649, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5650, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5651, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5652, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5653, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5654, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5655, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5656, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5657, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5658, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5659, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5660, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5661, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5662, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5663, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5664, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5665, '1', NULL, '2024-11-18 11:46:46', NULL, '2024-11-18 11:46:46', '1K00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5666, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1K00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5667, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1K00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5668, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1K00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5669, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1K00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5670, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1K00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5671, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1K00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5672, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5673, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5674, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5675, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5676, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5677, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5678, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5679, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5680, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5681, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5682, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5683, '1', NULL, '2024-11-18 11:46:47', NULL, '2024-11-18 11:46:47', '1H00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5684, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5685, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5686, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5687, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5688, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5689, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5690, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5691, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5692, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5693, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5694, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5695, '1', NULL, '2024-11-18 11:46:48', NULL, '2024-11-18 11:46:48', '1H00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5696, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5697, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5698, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5699, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5700, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5701, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5702, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5703, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5704, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5705, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5706, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5707, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5708, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5709, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5710, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5711, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5712, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5713, '1', NULL, '2024-11-18 11:46:49', NULL, '2024-11-18 11:46:49', '1H00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5714, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5715, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5716, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5717, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5718, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5719, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5720, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5721, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5722, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5723, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5724, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5725, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5726, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5727, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5728, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5729, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5730, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5731, '1', NULL, '2024-11-18 11:46:50', NULL, '2024-11-18 11:46:50', '1H00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5732, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5733, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5734, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5735, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5736, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5737, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5738, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5739, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5740, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5741, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5742, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5743, '1', NULL, '2024-11-18 11:46:51', NULL, '2024-11-18 11:46:51', '1H00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5744, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5745, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5746, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5747, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5748, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5749, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5750, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5751, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5752, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5753, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5754, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5755, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1H00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5756, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1B001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5757, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1B001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5758, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1B001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5759, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1B001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5760, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1B001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5761, '1', NULL, '2024-11-18 11:46:52', NULL, '2024-11-18 11:46:52', '1B001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5762, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5763, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5764, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5765, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5766, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5767, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5768, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5769, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5770, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5771, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5772, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5773, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5774, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5775, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5776, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5777, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5778, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5779, '1', NULL, '2024-11-18 11:46:53', NULL, '2024-11-18 11:46:53', '1B00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5780, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5781, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5782, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5783, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5784, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5785, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5786, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5787, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5788, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5789, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5790, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5791, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5792, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5793, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5794, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5795, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5796, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5797, '1', NULL, '2024-11-18 11:46:54', NULL, '2024-11-18 11:46:54', '1B00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5798, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5799, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5800, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5801, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5802, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5803, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5804, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5805, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5806, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5807, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5808, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5809, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5810, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5811, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5812, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5813, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5814, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5815, '1', NULL, '2024-11-18 11:46:55', NULL, '2024-11-18 11:46:55', '1B00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5816, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5817, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5818, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5819, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5820, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5821, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5822, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5823, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5824, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5825, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5826, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5827, '1', NULL, '2024-11-18 11:46:56', NULL, '2024-11-18 11:46:56', '1F00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5828, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5829, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5830, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5831, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5832, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5833, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5834, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5835, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5836, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5837, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5838, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5839, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5840, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5841, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5842, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5843, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5844, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5845, '1', NULL, '2024-11-18 11:46:57', NULL, '2024-11-18 11:46:57', '1F00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5846, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5847, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5848, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5849, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5850, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5851, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5852, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5853, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5854, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5855, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5856, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5857, '1', NULL, '2024-11-18 11:46:58', NULL, '2024-11-18 11:46:58', '1F00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5858, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5859, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5860, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5861, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5862, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5863, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5864, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5865, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5866, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5867, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5868, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5869, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5870, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5871, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5872, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5873, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5874, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5875, '1', NULL, '2024-11-18 11:46:59', NULL, '2024-11-18 11:46:59', '1C00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5876, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5877, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5878, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5879, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5880, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5881, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5882, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5883, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5884, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5885, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5886, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5887, '1', NULL, '2024-11-18 11:47:00', NULL, '2024-11-18 11:47:00', '1C00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5888, '1', '', NULL, '', NULL, '10001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5889, '1', '', NULL, '', NULL, '10001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5890, '1', '', NULL, '', NULL, '10001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5891, '1', '', NULL, '', NULL, '10001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5892, '1', '', NULL, '', NULL, '10001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5893, '1', '', NULL, '', NULL, '10001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5894, '1', '', NULL, '', NULL, '1A001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5895, '1', '', NULL, '', NULL, '1A001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5896, '1', '', NULL, '', NULL, '1A001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5897, '1', '', NULL, '', NULL, '1A001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5898, '1', '', NULL, '', NULL, '1A001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5899, '1', '', NULL, '', NULL, '1A001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5900, '1', '', NULL, '', NULL, '1A002', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5901, '1', '', NULL, '', NULL, '1A002', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5902, '1', '', NULL, '', NULL, '1A002', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5903, '1', '', NULL, '', NULL, '1A002', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5904, '1', '', NULL, '', NULL, '1A002', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5905, '1', '', NULL, '', NULL, '1A002', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5906, '1', '', NULL, '', NULL, '1A003', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5907, '1', '', NULL, '', NULL, '1A003', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5908, '1', '', NULL, '', NULL, '1A003', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5909, '1', '', NULL, '', NULL, '1A003', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5910, '1', '', NULL, '', NULL, '1A003', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5911, '1', '', NULL, '', NULL, '1A003', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5912, '1', '', NULL, '', NULL, '1A00301', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5913, '1', '', NULL, '', NULL, '1A00301', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5914, '1', '', NULL, '', NULL, '1A00301', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5915, '1', '', NULL, '', NULL, '1A00301', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5916, '1', '', NULL, '', NULL, '1A00301', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5917, '1', '', NULL, '', NULL, '1A00301', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5918, '1', '', NULL, '', NULL, '1A00302', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5919, '1', '', NULL, '', NULL, '1A00302', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5920, '1', '', NULL, '', NULL, '1A00302', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5921, '1', '', NULL, '', NULL, '1A00302', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5922, '1', '', NULL, '', NULL, '1A00302', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5923, '1', '', NULL, '', NULL, '1A00302', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5924, '1', '', NULL, '', NULL, '1A00303', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5925, '1', '', NULL, '', NULL, '1A00303', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5926, '1', '', NULL, '', NULL, '1A00303', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5927, '1', '', NULL, '', NULL, '1A00303', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5928, '1', '', NULL, '', NULL, '1A00303', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5929, '1', '', NULL, '', NULL, '1A00303', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5930, '1', '', NULL, '', NULL, '1A00304', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5931, '1', '', NULL, '', NULL, '1A00304', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5932, '1', '', NULL, '', NULL, '1A00304', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5933, '1', '', NULL, '', NULL, '1A00304', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5934, '1', '', NULL, '', NULL, '1A00304', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5935, '1', '', NULL, '', NULL, '1A00304', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5936, '1', '', NULL, '', NULL, '1A00305', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5937, '1', '', NULL, '', NULL, '1A00305', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5938, '1', '', NULL, '', NULL, '1A00305', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5939, '1', '', NULL, '', NULL, '1A00305', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5940, '1', '', NULL, '', NULL, '1A00305', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5941, '1', '', NULL, '', NULL, '1A00305', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5942, '1', '', NULL, '', NULL, '1A00306', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5943, '1', '', NULL, '', NULL, '1A00306', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5944, '1', '', NULL, '', NULL, '1A00306', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5945, '1', '', NULL, '', NULL, '1A00306', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5946, '1', '', NULL, '', NULL, '1A00306', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5947, '1', '', NULL, '', NULL, '1A00306', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5948, '1', '', NULL, '', NULL, '1A00307', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5949, '1', '', NULL, '', NULL, '1A00307', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5950, '1', '', NULL, '', NULL, '1A00307', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5951, '1', '', NULL, '', NULL, '1A00307', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5952, '1', '', NULL, '', NULL, '1A00307', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5953, '1', '', NULL, '', NULL, '1A00307', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5954, '1', '', NULL, '', NULL, '1A00308', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5955, '1', '', NULL, '', NULL, '1A00308', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5956, '1', '', NULL, '', NULL, '1A00308', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5957, '1', '', NULL, '', NULL, '1A00308', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5958, '1', '', NULL, '', NULL, '1A00308', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5959, '1', '', NULL, '', NULL, '1A00308', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5960, '1', '', NULL, '', NULL, '1M001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5961, '1', '', NULL, '', NULL, '1M001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5962, '1', '', NULL, '', NULL, '1M001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5963, '1', '', NULL, '', NULL, '1M001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5964, '1', '', NULL, '', NULL, '1M001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5965, '1', '', NULL, '', NULL, '1M001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5966, '1', '', NULL, '', NULL, '1M00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5967, '1', '', NULL, '', NULL, '1M00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5968, '1', '', NULL, '', NULL, '1M00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5969, '1', '', NULL, '', NULL, '1M00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5970, '1', '', NULL, '', NULL, '1M00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5971, '1', '', NULL, '', NULL, '1M00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5972, '1', '', NULL, '', NULL, '1M00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5973, '1', '', NULL, '', NULL, '1M00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5974, '1', '', NULL, '', NULL, '1M00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5975, '1', '', NULL, '', NULL, '1M00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5976, '1', '', NULL, '', NULL, '1M00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5977, '1', '', NULL, '', NULL, '1M00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5978, '1', '', NULL, '', NULL, '1M00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5979, '1', '', NULL, '', NULL, '1M00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5980, '1', '', NULL, '', NULL, '1M00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5981, '1', '', NULL, '', NULL, '1M00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5982, '1', '', NULL, '', NULL, '1M00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5983, '1', '', NULL, '', NULL, '1M00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5984, '1', '', NULL, '', NULL, '1M00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5985, '1', '', NULL, '', NULL, '1M00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5986, '1', '', NULL, '', NULL, '1M00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5987, '1', '', NULL, '', NULL, '1M00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5988, '1', '', NULL, '', NULL, '1M00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5989, '1', '', NULL, '', NULL, '1M00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5990, '1', '', NULL, '', NULL, '1M00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5991, '1', '', NULL, '', NULL, '1M00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5992, '1', '', NULL, '', NULL, '1M00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5993, '1', '', NULL, '', NULL, '1M00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5994, '1', '', NULL, '', NULL, '1M00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5995, '1', '', NULL, '', NULL, '1M00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5996, '1', '', NULL, '', NULL, '1M00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5997, '1', '', NULL, '', NULL, '1M00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5998, '1', '', NULL, '', NULL, '1M00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (5999, '1', '', NULL, '', NULL, '1M00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6000, '1', '', NULL, '', NULL, '1M00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6001, '1', '', NULL, '', NULL, '1M00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6002, '1', '', NULL, '', NULL, '1M00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6003, '1', '', NULL, '', NULL, '1M00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6004, '1', '', NULL, '', NULL, '1M00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6005, '1', '', NULL, '', NULL, '1M00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6006, '1', '', NULL, '', NULL, '1M00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6007, '1', '', NULL, '', NULL, '1M00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6008, '1', '', NULL, '', NULL, '1M00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6009, '1', '', NULL, '', NULL, '1M00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6010, '1', '', NULL, '', NULL, '1M00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6011, '1', '', NULL, '', NULL, '1M00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6012, '1', '', NULL, '', NULL, '1M00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6013, '1', '', NULL, '', NULL, '1M00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6014, '1', '', NULL, '', NULL, '1M00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6015, '1', '', NULL, '', NULL, '1M00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6016, '1', '', NULL, '', NULL, '1M00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6017, '1', '', NULL, '', NULL, '1M00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6018, '1', '', NULL, '', NULL, '1M00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6019, '1', '', NULL, '', NULL, '1M00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6020, '1', '', NULL, '', NULL, '1M00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6021, '1', '', NULL, '', NULL, '1M00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6022, '1', '', NULL, '', NULL, '1M00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6023, '1', '', NULL, '', NULL, '1M00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6024, '1', '', NULL, '', NULL, '1M00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6025, '1', '', NULL, '', NULL, '1M00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6026, '1', '', NULL, '', NULL, '1M00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6027, '1', '', NULL, '', NULL, '1M00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6028, '1', '', NULL, '', NULL, '1M00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6029, '1', '', NULL, '', NULL, '1M00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6030, '1', '', NULL, '', NULL, '1M00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6031, '1', '', NULL, '', NULL, '1M00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6032, '1', '', NULL, '', NULL, '1M00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6033, '1', '', NULL, '', NULL, '1M00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6034, '1', '', NULL, '', NULL, '1M00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6035, '1', '', NULL, '', NULL, '1M00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6036, '1', '', NULL, '', NULL, '1M00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6037, '1', '', NULL, '', NULL, '1M00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6038, '1', '', NULL, '', NULL, '1M00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6039, '1', '', NULL, '', NULL, '1M00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6040, '1', '', NULL, '', NULL, '1M00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6041, '1', '', NULL, '', NULL, '1M00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6042, '1', '', NULL, '', NULL, '1M00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6043, '1', '', NULL, '', NULL, '1M00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6044, '1', '', NULL, '', NULL, '1M00114', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6045, '1', '', NULL, '', NULL, '1M00114', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6046, '1', '', NULL, '', NULL, '1M00114', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6047, '1', '', NULL, '', NULL, '1M00114', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6048, '1', '', NULL, '', NULL, '1M00114', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6049, '1', '', NULL, '', NULL, '1M00114', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6050, '1', '', NULL, '', NULL, '1L001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6051, '1', '', NULL, '', NULL, '1L001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6052, '1', '', NULL, '', NULL, '1L001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6053, '1', '', NULL, '', NULL, '1L001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6054, '1', '', NULL, '', NULL, '1L001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6055, '1', '', NULL, '', NULL, '1L001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6056, '1', '', NULL, '', NULL, '1L00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6057, '1', '', NULL, '', NULL, '1L00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6058, '1', '', NULL, '', NULL, '1L00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6059, '1', '', NULL, '', NULL, '1L00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6060, '1', '', NULL, '', NULL, '1L00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6061, '1', '', NULL, '', NULL, '1L00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6062, '1', '', NULL, '', NULL, '1L00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6063, '1', '', NULL, '', NULL, '1L00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6064, '1', '', NULL, '', NULL, '1L00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6065, '1', '', NULL, '', NULL, '1L00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6066, '1', '', NULL, '', NULL, '1L00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6067, '1', '', NULL, '', NULL, '1L00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6068, '1', '', NULL, '', NULL, '1L00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6069, '1', '', NULL, '', NULL, '1L00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6070, '1', '', NULL, '', NULL, '1L00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6071, '1', '', NULL, '', NULL, '1L00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6072, '1', '', NULL, '', NULL, '1L00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6073, '1', '', NULL, '', NULL, '1L00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6074, '1', '', NULL, '', NULL, '1L00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6075, '1', '', NULL, '', NULL, '1L00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6076, '1', '', NULL, '', NULL, '1L00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6077, '1', '', NULL, '', NULL, '1L00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6078, '1', '', NULL, '', NULL, '1L00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6079, '1', '', NULL, '', NULL, '1L00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6080, '1', '', NULL, '', NULL, '1L00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6081, '1', '', NULL, '', NULL, '1L00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6082, '1', '', NULL, '', NULL, '1L00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6083, '1', '', NULL, '', NULL, '1L00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6084, '1', '', NULL, '', NULL, '1L00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6085, '1', '', NULL, '', NULL, '1L00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6086, '1', '', NULL, '', NULL, '1L00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6087, '1', '', NULL, '', NULL, '1L00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6088, '1', '', NULL, '', NULL, '1L00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6089, '1', '', NULL, '', NULL, '1L00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6090, '1', '', NULL, '', NULL, '1L00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6091, '1', '', NULL, '', NULL, '1L00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6092, '1', '', NULL, '', NULL, '1L00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6093, '1', '', NULL, '', NULL, '1L00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6094, '1', '', NULL, '', NULL, '1L00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6095, '1', '', NULL, '', NULL, '1L00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6096, '1', '', NULL, '', NULL, '1L00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6097, '1', '', NULL, '', NULL, '1L00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6098, '1', '', NULL, '', NULL, '1L00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6099, '1', '', NULL, '', NULL, '1L00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6100, '1', '', NULL, '', NULL, '1L00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6101, '1', '', NULL, '', NULL, '1L00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6102, '1', '', NULL, '', NULL, '1L00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6103, '1', '', NULL, '', NULL, '1L00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6104, '1', '', NULL, '', NULL, '1L00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6105, '1', '', NULL, '', NULL, '1L00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6106, '1', '', NULL, '', NULL, '1L00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6107, '1', '', NULL, '', NULL, '1L00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6108, '1', '', NULL, '', NULL, '1L00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6109, '1', '', NULL, '', NULL, '1L00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6110, '1', '', NULL, '', NULL, '1L00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6111, '1', '', NULL, '', NULL, '1L00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6112, '1', '', NULL, '', NULL, '1L00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6113, '1', '', NULL, '', NULL, '1L00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6114, '1', '', NULL, '', NULL, '1L00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6115, '1', '', NULL, '', NULL, '1L00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6116, '1', '', NULL, '', NULL, '1L00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6117, '1', '', NULL, '', NULL, '1L00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6118, '1', '', NULL, '', NULL, '1L00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6119, '1', '', NULL, '', NULL, '1L00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6120, '1', '', NULL, '', NULL, '1L00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6121, '1', '', NULL, '', NULL, '1L00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6122, '1', '', NULL, '', NULL, '1L00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6123, '1', '', NULL, '', NULL, '1L00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6124, '1', '', NULL, '', NULL, '1L00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6125, '1', '', NULL, '', NULL, '1L00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6126, '1', '', NULL, '', NULL, '1L00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6127, '1', '', NULL, '', NULL, '1L00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6128, '1', '', NULL, '', NULL, '1L00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6129, '1', '', NULL, '', NULL, '1L00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6130, '1', '', NULL, '', NULL, '1L00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6131, '1', '', NULL, '', NULL, '1L00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6132, '1', '', NULL, '', NULL, '1L00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6133, '1', '', NULL, '', NULL, '1L00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6134, '1', '', NULL, '', NULL, '1L00114', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6135, '1', '', NULL, '', NULL, '1L00114', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6136, '1', '', NULL, '', NULL, '1L00114', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6137, '1', '', NULL, '', NULL, '1L00114', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6138, '1', '', NULL, '', NULL, '1L00114', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6139, '1', '', NULL, '', NULL, '1L00114', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6140, '1', '', NULL, '', NULL, '1E001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6141, '1', '', NULL, '', NULL, '1E001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6142, '1', '', NULL, '', NULL, '1E001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6143, '1', '', NULL, '', NULL, '1E001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6144, '1', '', NULL, '', NULL, '1E001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6145, '1', '', NULL, '', NULL, '1E001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6146, '1', '', NULL, '', NULL, '1E00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6147, '1', '', NULL, '', NULL, '1E00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6148, '1', '', NULL, '', NULL, '1E00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6149, '1', '', NULL, '', NULL, '1E00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6150, '1', '', NULL, '', NULL, '1E00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6151, '1', '', NULL, '', NULL, '1E00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6152, '1', '', NULL, '', NULL, '1E00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6153, '1', '', NULL, '', NULL, '1E00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6154, '1', '', NULL, '', NULL, '1E00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6155, '1', '', NULL, '', NULL, '1E00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6156, '1', '', NULL, '', NULL, '1E00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6157, '1', '', NULL, '', NULL, '1E00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6158, '1', '', NULL, '', NULL, '1E00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6159, '1', '', NULL, '', NULL, '1E00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6160, '1', '', NULL, '', NULL, '1E00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6161, '1', '', NULL, '', NULL, '1E00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6162, '1', '', NULL, '', NULL, '1E00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6163, '1', '', NULL, '', NULL, '1E00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6164, '1', '', NULL, '', NULL, '1E00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6165, '1', '', NULL, '', NULL, '1E00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6166, '1', '', NULL, '', NULL, '1E00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6167, '1', '', NULL, '', NULL, '1E00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6168, '1', '', NULL, '', NULL, '1E00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6169, '1', '', NULL, '', NULL, '1E00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6170, '1', '', NULL, '', NULL, '1E00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6171, '1', '', NULL, '', NULL, '1E00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6172, '1', '', NULL, '', NULL, '1E00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6173, '1', '', NULL, '', NULL, '1E00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6174, '1', '', NULL, '', NULL, '1E00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6175, '1', '', NULL, '', NULL, '1E00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6176, '1', '', NULL, '', NULL, '1D001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6177, '1', '', NULL, '', NULL, '1D001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6178, '1', '', NULL, '', NULL, '1D001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6179, '1', '', NULL, '', NULL, '1D001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6180, '1', '', NULL, '', NULL, '1D001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6181, '1', '', NULL, '', NULL, '1D001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6182, '1', '', NULL, '', NULL, '1D00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6183, '1', '', NULL, '', NULL, '1D00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6184, '1', '', NULL, '', NULL, '1D00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6185, '1', '', NULL, '', NULL, '1D00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6186, '1', '', NULL, '', NULL, '1D00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6187, '1', '', NULL, '', NULL, '1D00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6188, '1', '', NULL, '', NULL, '1D00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6189, '1', '', NULL, '', NULL, '1D00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6190, '1', '', NULL, '', NULL, '1D00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6191, '1', '', NULL, '', NULL, '1D00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6192, '1', '', NULL, '', NULL, '1D00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6193, '1', '', NULL, '', NULL, '1D00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6194, '1', '', NULL, '', NULL, '1D00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6195, '1', '', NULL, '', NULL, '1D00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6196, '1', '', NULL, '', NULL, '1D00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6197, '1', '', NULL, '', NULL, '1D00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6198, '1', '', NULL, '', NULL, '1D00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6199, '1', '', NULL, '', NULL, '1D00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6200, '1', '', NULL, '', NULL, '1D00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6201, '1', '', NULL, '', NULL, '1D00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6202, '1', '', NULL, '', NULL, '1D00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6203, '1', '', NULL, '', NULL, '1D00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6204, '1', '', NULL, '', NULL, '1D00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6205, '1', '', NULL, '', NULL, '1D00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6206, '1', '', NULL, '', NULL, '1D00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6207, '1', '', NULL, '', NULL, '1D00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6208, '1', '', NULL, '', NULL, '1D00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6209, '1', '', NULL, '', NULL, '1D00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6210, '1', '', NULL, '', NULL, '1D00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6211, '1', '', NULL, '', NULL, '1D00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6212, '1', '', NULL, '', NULL, '1D00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6213, '1', '', NULL, '', NULL, '1D00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6214, '1', '', NULL, '', NULL, '1D00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6215, '1', '', NULL, '', NULL, '1D00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6216, '1', '', NULL, '', NULL, '1D00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6217, '1', '', NULL, '', NULL, '1D00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6218, '1', '', NULL, '', NULL, '1D00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6219, '1', '', NULL, '', NULL, '1D00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6220, '1', '', NULL, '', NULL, '1D00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6221, '1', '', NULL, '', NULL, '1D00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6222, '1', '', NULL, '', NULL, '1D00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6223, '1', '', NULL, '', NULL, '1D00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6224, '1', '', NULL, '', NULL, '1D00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6225, '1', '', NULL, '', NULL, '1D00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6226, '1', '', NULL, '', NULL, '1D00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6227, '1', '', NULL, '', NULL, '1D00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6228, '1', '', NULL, '', NULL, '1D00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6229, '1', '', NULL, '', NULL, '1D00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6230, '1', '', NULL, '', NULL, '1D00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6231, '1', '', NULL, '', NULL, '1D00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6232, '1', '', NULL, '', NULL, '1D00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6233, '1', '', NULL, '', NULL, '1D00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6234, '1', '', NULL, '', NULL, '1D00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6235, '1', '', NULL, '', NULL, '1D00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6236, '1', '', NULL, '', NULL, '1D00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6237, '1', '', NULL, '', NULL, '1D00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6238, '1', '', NULL, '', NULL, '1D00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6239, '1', '', NULL, '', NULL, '1D00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6240, '1', '', NULL, '', NULL, '1D00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6241, '1', '', NULL, '', NULL, '1D00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6242, '1', '', NULL, '', NULL, '1D00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6243, '1', '', NULL, '', NULL, '1D00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6244, '1', '', NULL, '', NULL, '1D00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6245, '1', '', NULL, '', NULL, '1D00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6246, '1', '', NULL, '', NULL, '1D00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6247, '1', '', NULL, '', NULL, '1D00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6248, '1', '', NULL, '', NULL, '1D00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6249, '1', '', NULL, '', NULL, '1D00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6250, '1', '', NULL, '', NULL, '1D00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6251, '1', '', NULL, '', NULL, '1D00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6252, '1', '', NULL, '', NULL, '1D00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6253, '1', '', NULL, '', NULL, '1D00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6254, '1', '', NULL, '', NULL, '1J001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6255, '1', '', NULL, '', NULL, '1J001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6256, '1', '', NULL, '', NULL, '1J001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6257, '1', '', NULL, '', NULL, '1J001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6258, '1', '', NULL, '', NULL, '1J001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6259, '1', '', NULL, '', NULL, '1J001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6260, '1', '', NULL, '', NULL, '1J00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6261, '1', '', NULL, '', NULL, '1J00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6262, '1', '', NULL, '', NULL, '1J00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6263, '1', '', NULL, '', NULL, '1J00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6264, '1', '', NULL, '', NULL, '1J00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6265, '1', '', NULL, '', NULL, '1J00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6266, '1', '', NULL, '', NULL, '1J00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6267, '1', '', NULL, '', NULL, '1J00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6268, '1', '', NULL, '', NULL, '1J00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6269, '1', '', NULL, '', NULL, '1J00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6270, '1', '', NULL, '', NULL, '1J00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6271, '1', '', NULL, '', NULL, '1J00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6272, '1', '', NULL, '', NULL, '1J00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6273, '1', '', NULL, '', NULL, '1J00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6274, '1', '', NULL, '', NULL, '1J00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6275, '1', '', NULL, '', NULL, '1J00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6276, '1', '', NULL, '', NULL, '1J00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6277, '1', '', NULL, '', NULL, '1J00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6278, '1', '', NULL, '', NULL, '1J00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6279, '1', '', NULL, '', NULL, '1J00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6280, '1', '', NULL, '', NULL, '1J00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6281, '1', '', NULL, '', NULL, '1J00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6282, '1', '', NULL, '', NULL, '1J00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6283, '1', '', NULL, '', NULL, '1J00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6284, '1', '', NULL, '', NULL, '1J00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6285, '1', '', NULL, '', NULL, '1J00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6286, '1', '', NULL, '', NULL, '1J00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6287, '1', '', NULL, '', NULL, '1J00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6288, '1', '', NULL, '', NULL, '1J00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6289, '1', '', NULL, '', NULL, '1J00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6290, '1', '', NULL, '', NULL, '1K001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6291, '1', '', NULL, '', NULL, '1K001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6292, '1', '', NULL, '', NULL, '1K001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6293, '1', '', NULL, '', NULL, '1K001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6294, '1', '', NULL, '', NULL, '1K001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6295, '1', '', NULL, '', NULL, '1K001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6296, '1', '', NULL, '', NULL, '1K00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6297, '1', '', NULL, '', NULL, '1K00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6298, '1', '', NULL, '', NULL, '1K00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6299, '1', '', NULL, '', NULL, '1K00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6300, '1', '', NULL, '', NULL, '1K00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6301, '1', '', NULL, '', NULL, '1K00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6302, '1', '', NULL, '', NULL, '1K00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6303, '1', '', NULL, '', NULL, '1K00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6304, '1', '', NULL, '', NULL, '1K00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6305, '1', '', NULL, '', NULL, '1K00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6306, '1', '', NULL, '', NULL, '1K00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6307, '1', '', NULL, '', NULL, '1K00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6308, '1', '', NULL, '', NULL, '1K00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6309, '1', '', NULL, '', NULL, '1K00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6310, '1', '', NULL, '', NULL, '1K00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6311, '1', '', NULL, '', NULL, '1K00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6312, '1', '', NULL, '', NULL, '1K00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6313, '1', '', NULL, '', NULL, '1K00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6314, '1', '', NULL, '', NULL, '1K00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6315, '1', '', NULL, '', NULL, '1K00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6316, '1', '', NULL, '', NULL, '1K00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6317, '1', '', NULL, '', NULL, '1K00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6318, '1', '', NULL, '', NULL, '1K00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6319, '1', '', NULL, '', NULL, '1K00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6320, '1', '', NULL, '', NULL, '1K00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6321, '1', '', NULL, '', NULL, '1K00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6322, '1', '', NULL, '', NULL, '1K00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6323, '1', '', NULL, '', NULL, '1K00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6324, '1', '', NULL, '', NULL, '1K00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6325, '1', '', NULL, '', NULL, '1K00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6326, '1', '', NULL, '', NULL, '1K00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6327, '1', '', NULL, '', NULL, '1K00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6328, '1', '', NULL, '', NULL, '1K00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6329, '1', '', NULL, '', NULL, '1K00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6330, '1', '', NULL, '', NULL, '1K00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6331, '1', '', NULL, '', NULL, '1K00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6332, '1', '', NULL, '', NULL, '1K00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6333, '1', '', NULL, '', NULL, '1K00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6334, '1', '', NULL, '', NULL, '1K00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6335, '1', '', NULL, '', NULL, '1K00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6336, '1', '', NULL, '', NULL, '1K00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6337, '1', '', NULL, '', NULL, '1K00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6338, '1', '', NULL, '', NULL, '1K00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6339, '1', '', NULL, '', NULL, '1K00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6340, '1', '', NULL, '', NULL, '1K00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6341, '1', '', NULL, '', NULL, '1K00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6342, '1', '', NULL, '', NULL, '1K00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6343, '1', '', NULL, '', NULL, '1K00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6344, '1', '', NULL, '', NULL, '1K00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6345, '1', '', NULL, '', NULL, '1K00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6346, '1', '', NULL, '', NULL, '1K00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6347, '1', '', NULL, '', NULL, '1K00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6348, '1', '', NULL, '', NULL, '1K00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6349, '1', '', NULL, '', NULL, '1K00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6350, '1', '', NULL, '', NULL, '1K00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6351, '1', '', NULL, '', NULL, '1K00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6352, '1', '', NULL, '', NULL, '1K00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6353, '1', '', NULL, '', NULL, '1K00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6354, '1', '', NULL, '', NULL, '1K00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6355, '1', '', NULL, '', NULL, '1K00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6356, '1', '', NULL, '', NULL, '1K00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6357, '1', '', NULL, '', NULL, '1K00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6358, '1', '', NULL, '', NULL, '1K00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6359, '1', '', NULL, '', NULL, '1K00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6360, '1', '', NULL, '', NULL, '1K00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6361, '1', '', NULL, '', NULL, '1K00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6362, '1', '', NULL, '', NULL, '1H001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6363, '1', '', NULL, '', NULL, '1H001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6364, '1', '', NULL, '', NULL, '1H001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6365, '1', '', NULL, '', NULL, '1H001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6366, '1', '', NULL, '', NULL, '1H001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6367, '1', '', NULL, '', NULL, '1H001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6368, '1', '', NULL, '', NULL, '1H00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6369, '1', '', NULL, '', NULL, '1H00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6370, '1', '', NULL, '', NULL, '1H00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6371, '1', '', NULL, '', NULL, '1H00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6372, '1', '', NULL, '', NULL, '1H00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6373, '1', '', NULL, '', NULL, '1H00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6374, '1', '', NULL, '', NULL, '1H00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6375, '1', '', NULL, '', NULL, '1H00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6376, '1', '', NULL, '', NULL, '1H00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6377, '1', '', NULL, '', NULL, '1H00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6378, '1', '', NULL, '', NULL, '1H00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6379, '1', '', NULL, '', NULL, '1H00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6380, '1', '', NULL, '', NULL, '1H00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6381, '1', '', NULL, '', NULL, '1H00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6382, '1', '', NULL, '', NULL, '1H00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6383, '1', '', NULL, '', NULL, '1H00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6384, '1', '', NULL, '', NULL, '1H00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6385, '1', '', NULL, '', NULL, '1H00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6386, '1', '', NULL, '', NULL, '1H00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6387, '1', '', NULL, '', NULL, '1H00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6388, '1', '', NULL, '', NULL, '1H00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6389, '1', '', NULL, '', NULL, '1H00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6390, '1', '', NULL, '', NULL, '1H00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6391, '1', '', NULL, '', NULL, '1H00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6392, '1', '', NULL, '', NULL, '1H00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6393, '1', '', NULL, '', NULL, '1H00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6394, '1', '', NULL, '', NULL, '1H00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6395, '1', '', NULL, '', NULL, '1H00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6396, '1', '', NULL, '', NULL, '1H00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6397, '1', '', NULL, '', NULL, '1H00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6398, '1', '', NULL, '', NULL, '1H00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6399, '1', '', NULL, '', NULL, '1H00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6400, '1', '', NULL, '', NULL, '1H00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6401, '1', '', NULL, '', NULL, '1H00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6402, '1', '', NULL, '', NULL, '1H00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6403, '1', '', NULL, '', NULL, '1H00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6404, '1', '', NULL, '', NULL, '1H00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6405, '1', '', NULL, '', NULL, '1H00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6406, '1', '', NULL, '', NULL, '1H00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6407, '1', '', NULL, '', NULL, '1H00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6408, '1', '', NULL, '', NULL, '1H00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6409, '1', '', NULL, '', NULL, '1H00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6410, '1', '', NULL, '', NULL, '1H00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6411, '1', '', NULL, '', NULL, '1H00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6412, '1', '', NULL, '', NULL, '1H00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6413, '1', '', NULL, '', NULL, '1H00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6414, '1', '', NULL, '', NULL, '1H00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6415, '1', '', NULL, '', NULL, '1H00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6416, '1', '', NULL, '', NULL, '1H00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6417, '1', '', NULL, '', NULL, '1H00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6418, '1', '', NULL, '', NULL, '1H00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6419, '1', '', NULL, '', NULL, '1H00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6420, '1', '', NULL, '', NULL, '1H00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6421, '1', '', NULL, '', NULL, '1H00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6422, '1', '', NULL, '', NULL, '1H00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6423, '1', '', NULL, '', NULL, '1H00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6424, '1', '', NULL, '', NULL, '1H00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6425, '1', '', NULL, '', NULL, '1H00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6426, '1', '', NULL, '', NULL, '1H00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6427, '1', '', NULL, '', NULL, '1H00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6428, '1', '', NULL, '', NULL, '1H00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6429, '1', '', NULL, '', NULL, '1H00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6430, '1', '', NULL, '', NULL, '1H00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6431, '1', '', NULL, '', NULL, '1H00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6432, '1', '', NULL, '', NULL, '1H00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6433, '1', '', NULL, '', NULL, '1H00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6434, '1', '', NULL, '', NULL, '1H00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6435, '1', '', NULL, '', NULL, '1H00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6436, '1', '', NULL, '', NULL, '1H00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6437, '1', '', NULL, '', NULL, '1H00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6438, '1', '', NULL, '', NULL, '1H00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6439, '1', '', NULL, '', NULL, '1H00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6440, '1', '', NULL, '', NULL, '1H00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6441, '1', '', NULL, '', NULL, '1H00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6442, '1', '', NULL, '', NULL, '1H00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6443, '1', '', NULL, '', NULL, '1H00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6444, '1', '', NULL, '', NULL, '1H00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6445, '1', '', NULL, '', NULL, '1H00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6446, '1', '', NULL, '', NULL, '1B001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6447, '1', '', NULL, '', NULL, '1B001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6448, '1', '', NULL, '', NULL, '1B001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6449, '1', '', NULL, '', NULL, '1B001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6450, '1', '', NULL, '', NULL, '1B001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6451, '1', '', NULL, '', NULL, '1B001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6452, '1', '', NULL, '', NULL, '1B00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6453, '1', '', NULL, '', NULL, '1B00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6454, '1', '', NULL, '', NULL, '1B00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6455, '1', '', NULL, '', NULL, '1B00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6456, '1', '', NULL, '', NULL, '1B00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6457, '1', '', NULL, '', NULL, '1B00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6458, '1', '', NULL, '', NULL, '1B00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6459, '1', '', NULL, '', NULL, '1B00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6460, '1', '', NULL, '', NULL, '1B00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6461, '1', '', NULL, '', NULL, '1B00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6462, '1', '', NULL, '', NULL, '1B00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6463, '1', '', NULL, '', NULL, '1B00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6464, '1', '', NULL, '', NULL, '1B00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6465, '1', '', NULL, '', NULL, '1B00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6466, '1', '', NULL, '', NULL, '1B00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6467, '1', '', NULL, '', NULL, '1B00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6468, '1', '', NULL, '', NULL, '1B00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6469, '1', '', NULL, '', NULL, '1B00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6470, '1', '', NULL, '', NULL, '1B00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6471, '1', '', NULL, '', NULL, '1B00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6472, '1', '', NULL, '', NULL, '1B00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6473, '1', '', NULL, '', NULL, '1B00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6474, '1', '', NULL, '', NULL, '1B00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6475, '1', '', NULL, '', NULL, '1B00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6476, '1', '', NULL, '', NULL, '1B00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6477, '1', '', NULL, '', NULL, '1B00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6478, '1', '', NULL, '', NULL, '1B00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6479, '1', '', NULL, '', NULL, '1B00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6480, '1', '', NULL, '', NULL, '1B00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6481, '1', '', NULL, '', NULL, '1B00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6482, '1', '', NULL, '', NULL, '1B00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6483, '1', '', NULL, '', NULL, '1B00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6484, '1', '', NULL, '', NULL, '1B00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6485, '1', '', NULL, '', NULL, '1B00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6486, '1', '', NULL, '', NULL, '1B00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6487, '1', '', NULL, '', NULL, '1B00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6488, '1', '', NULL, '', NULL, '1B00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6489, '1', '', NULL, '', NULL, '1B00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6490, '1', '', NULL, '', NULL, '1B00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6491, '1', '', NULL, '', NULL, '1B00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6492, '1', '', NULL, '', NULL, '1B00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6493, '1', '', NULL, '', NULL, '1B00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6494, '1', '', NULL, '', NULL, '1B00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6495, '1', '', NULL, '', NULL, '1B00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6496, '1', '', NULL, '', NULL, '1B00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6497, '1', '', NULL, '', NULL, '1B00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6498, '1', '', NULL, '', NULL, '1B00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6499, '1', '', NULL, '', NULL, '1B00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6500, '1', '', NULL, '', NULL, '1B00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6501, '1', '', NULL, '', NULL, '1B00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6502, '1', '', NULL, '', NULL, '1B00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6503, '1', '', NULL, '', NULL, '1B00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6504, '1', '', NULL, '', NULL, '1B00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6505, '1', '', NULL, '', NULL, '1B00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6506, '1', '', NULL, '', NULL, '1F001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6507, '1', '', NULL, '', NULL, '1F001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6508, '1', '', NULL, '', NULL, '1F001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6509, '1', '', NULL, '', NULL, '1F001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6510, '1', '', NULL, '', NULL, '1F001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6511, '1', '', NULL, '', NULL, '1F001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6512, '1', '', NULL, '', NULL, '1F00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6513, '1', '', NULL, '', NULL, '1F00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6514, '1', '', NULL, '', NULL, '1F00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6515, '1', '', NULL, '', NULL, '1F00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6516, '1', '', NULL, '', NULL, '1F00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6517, '1', '', NULL, '', NULL, '1F00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6518, '1', '', NULL, '', NULL, '1F00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6519, '1', '', NULL, '', NULL, '1F00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6520, '1', '', NULL, '', NULL, '1F00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6521, '1', '', NULL, '', NULL, '1F00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6522, '1', '', NULL, '', NULL, '1F00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6523, '1', '', NULL, '', NULL, '1F00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6524, '1', '', NULL, '', NULL, '1F00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6525, '1', '', NULL, '', NULL, '1F00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6526, '1', '', NULL, '', NULL, '1F00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6527, '1', '', NULL, '', NULL, '1F00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6528, '1', '', NULL, '', NULL, '1F00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6529, '1', '', NULL, '', NULL, '1F00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6530, '1', '', NULL, '', NULL, '1F00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6531, '1', '', NULL, '', NULL, '1F00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6532, '1', '', NULL, '', NULL, '1F00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6533, '1', '', NULL, '', NULL, '1F00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6534, '1', '', NULL, '', NULL, '1F00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6535, '1', '', NULL, '', NULL, '1F00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6536, '1', '', NULL, '', NULL, '1F00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6537, '1', '', NULL, '', NULL, '1F00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6538, '1', '', NULL, '', NULL, '1F00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6539, '1', '', NULL, '', NULL, '1F00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6540, '1', '', NULL, '', NULL, '1F00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6541, '1', '', NULL, '', NULL, '1F00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6542, '1', '', NULL, '', NULL, '1F00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6543, '1', '', NULL, '', NULL, '1F00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6544, '1', '', NULL, '', NULL, '1F00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6545, '1', '', NULL, '', NULL, '1F00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6546, '1', '', NULL, '', NULL, '1F00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6547, '1', '', NULL, '', NULL, '1F00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6548, '1', '', NULL, '', NULL, '1C001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6549, '1', '', NULL, '', NULL, '1C001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6550, '1', '', NULL, '', NULL, '1C001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6551, '1', '', NULL, '', NULL, '1C001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6552, '1', '', NULL, '', NULL, '1C001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6553, '1', '', NULL, '', NULL, '1C001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6554, '1', '', NULL, '', NULL, '1C00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6555, '1', '', NULL, '', NULL, '1C00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6556, '1', '', NULL, '', NULL, '1C00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6557, '1', '', NULL, '', NULL, '1C00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6558, '1', '', NULL, '', NULL, '1C00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6559, '1', '', NULL, '', NULL, '1C00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6560, '1', '', NULL, '', NULL, '1C00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6561, '1', '', NULL, '', NULL, '1C00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6562, '1', '', NULL, '', NULL, '1C00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6563, '1', '', NULL, '', NULL, '1C00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6564, '1', '', NULL, '', NULL, '1C00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6565, '1', '', NULL, '', NULL, '1C00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6566, '1', '', NULL, '', NULL, '1C00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6567, '1', '', NULL, '', NULL, '1C00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6568, '1', '', NULL, '', NULL, '1C00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6569, '1', '', NULL, '', NULL, '1C00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6570, '1', '', NULL, '', NULL, '1C00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6571, '1', '', NULL, '', NULL, '1C00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6572, '1', '', NULL, '', NULL, '1C00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6573, '1', '', NULL, '', NULL, '1C00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6574, '1', '', NULL, '', NULL, '1C00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6575, '1', '', NULL, '', NULL, '1C00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6576, '1', '', NULL, '', NULL, '1C00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6577, '1', '', NULL, '', NULL, '1C00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6578, '1', '', NULL, '', NULL, '1A004', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6579, '1', '', NULL, '', NULL, '1A004', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6580, '1', '', NULL, '', NULL, '1A004', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6581, '1', '', NULL, '', NULL, '1A004', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6582, '1', '', NULL, '', NULL, '1A004', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6583, '1', '', NULL, '', NULL, '1A004', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6584, '1', '', NULL, '', NULL, '1A005', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6585, '1', '', NULL, '', NULL, '1A005', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6586, '1', '', NULL, '', NULL, '1A005', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6587, '1', '', NULL, '', NULL, '1A005', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6588, '1', '', NULL, '', NULL, '1A005', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6589, '1', '', NULL, '', NULL, '1A005', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6590, '0', '', NULL, '', NULL, '10001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6591, '0', '', NULL, '', NULL, '10001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6592, '0', '', NULL, '', NULL, '10001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6593, '0', '', NULL, '', NULL, '10001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6594, '0', '', NULL, '', NULL, '10001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6595, '0', '', NULL, '', NULL, '10001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6596, '0', '', NULL, '', NULL, '1A001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6597, '0', '', NULL, '', NULL, '1A001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6598, '0', '', NULL, '', NULL, '1A001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6599, '0', '', NULL, '', NULL, '1A001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6600, '0', '', NULL, '', NULL, '1A001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6601, '0', '', NULL, '', NULL, '1A001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6602, '0', '', NULL, '', NULL, '1A002', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6603, '0', '', NULL, '', NULL, '1A002', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6604, '0', '', NULL, '', NULL, '1A002', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6605, '0', '', NULL, '', NULL, '1A002', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6606, '0', '', NULL, '', NULL, '1A002', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6607, '0', '', NULL, '', NULL, '1A002', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6608, '0', '', NULL, '', NULL, '1A003', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6609, '0', '', NULL, '', NULL, '1A003', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6610, '0', '', NULL, '', NULL, '1A003', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6611, '0', '', NULL, '', NULL, '1A003', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6612, '0', '', NULL, '', NULL, '1A003', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6613, '0', '', NULL, '', NULL, '1A003', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6614, '0', '', NULL, '', NULL, '1A00301', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6615, '0', '', NULL, '', NULL, '1A00301', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6616, '0', '', NULL, '', NULL, '1A00301', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6617, '0', '', NULL, '', NULL, '1A00301', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6618, '0', '', NULL, '', NULL, '1A00301', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6619, '0', '', NULL, '', NULL, '1A00301', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6620, '0', '', NULL, '', NULL, '1A00302', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6621, '0', '', NULL, '', NULL, '1A00302', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6622, '0', '', NULL, '', NULL, '1A00302', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6623, '0', '', NULL, '', NULL, '1A00302', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6624, '0', '', NULL, '', NULL, '1A00302', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6625, '0', '', NULL, '', NULL, '1A00302', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6626, '0', '', NULL, '', NULL, '1A00303', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6627, '0', '', NULL, '', NULL, '1A00303', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6628, '0', '', NULL, '', NULL, '1A00303', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6629, '0', '', NULL, '', NULL, '1A00303', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6630, '0', '', NULL, '', NULL, '1A00303', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6631, '0', '', NULL, '', NULL, '1A00303', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6632, '0', '', NULL, '', NULL, '1A00304', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6633, '0', '', NULL, '', NULL, '1A00304', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6634, '0', '', NULL, '', NULL, '1A00304', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6635, '0', '', NULL, '', NULL, '1A00304', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6636, '0', '', NULL, '', NULL, '1A00304', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6637, '0', '', NULL, '', NULL, '1A00304', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6638, '0', '', NULL, '', NULL, '1A00305', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6639, '0', '', NULL, '', NULL, '1A00305', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6640, '0', '', NULL, '', NULL, '1A00305', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6641, '0', '', NULL, '', NULL, '1A00305', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6642, '0', '', NULL, '', NULL, '1A00305', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6643, '0', '', NULL, '', NULL, '1A00305', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6644, '0', '', NULL, '', NULL, '1A00306', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6645, '0', '', NULL, '', NULL, '1A00306', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6646, '0', '', NULL, '', NULL, '1A00306', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6647, '0', '', NULL, '', NULL, '1A00306', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6648, '0', '', NULL, '', NULL, '1A00306', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6649, '0', '', NULL, '', NULL, '1A00306', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6650, '0', '', NULL, '', NULL, '1A00307', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6651, '0', '', NULL, '', NULL, '1A00307', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6652, '0', '', NULL, '', NULL, '1A00307', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6653, '0', '', NULL, '', NULL, '1A00307', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6654, '0', '', NULL, '', NULL, '1A00307', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6655, '0', '', NULL, '', NULL, '1A00307', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6656, '0', '', NULL, '', NULL, '1A00308', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6657, '0', '', NULL, '', NULL, '1A00308', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6658, '0', '', NULL, '', NULL, '1A00308', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6659, '0', '', NULL, '', NULL, '1A00308', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6660, '0', '', NULL, '', NULL, '1A00308', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6661, '0', '', NULL, '', NULL, '1A00308', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6662, '0', '', NULL, '', NULL, '1M001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6663, '0', '', NULL, '', NULL, '1M001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6664, '0', '', NULL, '', NULL, '1M001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6665, '0', '', NULL, '', NULL, '1M001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6666, '0', '', NULL, '', NULL, '1M001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6667, '0', '', NULL, '', NULL, '1M001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6668, '0', '', NULL, '', NULL, '1M00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6669, '0', '', NULL, '', NULL, '1M00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6670, '0', '', NULL, '', NULL, '1M00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6671, '0', '', NULL, '', NULL, '1M00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6672, '0', '', NULL, '', NULL, '1M00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6673, '0', '', NULL, '', NULL, '1M00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6674, '0', '', NULL, '', NULL, '1M00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6675, '0', '', NULL, '', NULL, '1M00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6676, '0', '', NULL, '', NULL, '1M00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6677, '0', '', NULL, '', NULL, '1M00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6678, '0', '', NULL, '', NULL, '1M00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6679, '0', '', NULL, '', NULL, '1M00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6680, '0', '', NULL, '', NULL, '1M00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6681, '0', '', NULL, '', NULL, '1M00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6682, '0', '', NULL, '', NULL, '1M00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6683, '0', '', NULL, '', NULL, '1M00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6684, '0', '', NULL, '', NULL, '1M00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6685, '0', '', NULL, '', NULL, '1M00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6686, '0', '', NULL, '', NULL, '1M00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6687, '0', '', NULL, '', NULL, '1M00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6688, '0', '', NULL, '', NULL, '1M00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6689, '0', '', NULL, '', NULL, '1M00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6690, '0', '', NULL, '', NULL, '1M00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6691, '0', '', NULL, '', NULL, '1M00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6692, '0', '', NULL, '', NULL, '1M00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6693, '0', '', NULL, '', NULL, '1M00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6694, '0', '', NULL, '', NULL, '1M00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6695, '0', '', NULL, '', NULL, '1M00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6696, '0', '', NULL, '', NULL, '1M00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6697, '0', '', NULL, '', NULL, '1M00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6698, '0', '', NULL, '', NULL, '1M00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6699, '0', '', NULL, '', NULL, '1M00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6700, '0', '', NULL, '', NULL, '1M00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6701, '0', '', NULL, '', NULL, '1M00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6702, '0', '', NULL, '', NULL, '1M00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6703, '0', '', NULL, '', NULL, '1M00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6704, '0', '', NULL, '', NULL, '1M00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6705, '0', '', NULL, '', NULL, '1M00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6706, '0', '', NULL, '', NULL, '1M00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6707, '0', '', NULL, '', NULL, '1M00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6708, '0', '', NULL, '', NULL, '1M00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6709, '0', '', NULL, '', NULL, '1M00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6710, '0', '', NULL, '', NULL, '1M00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6711, '0', '', NULL, '', NULL, '1M00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6712, '0', '', NULL, '', NULL, '1M00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6713, '0', '', NULL, '', NULL, '1M00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6714, '0', '', NULL, '', NULL, '1M00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6715, '0', '', NULL, '', NULL, '1M00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6716, '0', '', NULL, '', NULL, '1M00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6717, '0', '', NULL, '', NULL, '1M00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6718, '0', '', NULL, '', NULL, '1M00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6719, '0', '', NULL, '', NULL, '1M00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6720, '0', '', NULL, '', NULL, '1M00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6721, '0', '', NULL, '', NULL, '1M00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6722, '0', '', NULL, '', NULL, '1M00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6723, '0', '', NULL, '', NULL, '1M00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6724, '0', '', NULL, '', NULL, '1M00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6725, '0', '', NULL, '', NULL, '1M00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6726, '0', '', NULL, '', NULL, '1M00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6727, '0', '', NULL, '', NULL, '1M00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6728, '0', '', NULL, '', NULL, '1M00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6729, '0', '', NULL, '', NULL, '1M00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6730, '0', '', NULL, '', NULL, '1M00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6731, '0', '', NULL, '', NULL, '1M00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6732, '0', '', NULL, '', NULL, '1M00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6733, '0', '', NULL, '', NULL, '1M00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6734, '0', '', NULL, '', NULL, '1M00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6735, '0', '', NULL, '', NULL, '1M00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6736, '0', '', NULL, '', NULL, '1M00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6737, '0', '', NULL, '', NULL, '1M00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6738, '0', '', NULL, '', NULL, '1M00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6739, '0', '', NULL, '', NULL, '1M00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6740, '0', '', NULL, '', NULL, '1M00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6741, '0', '', NULL, '', NULL, '1M00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6742, '0', '', NULL, '', NULL, '1M00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6743, '0', '', NULL, '', NULL, '1M00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6744, '0', '', NULL, '', NULL, '1M00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6745, '0', '', NULL, '', NULL, '1M00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6746, '0', '', NULL, '', NULL, '1M00114', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6747, '0', '', NULL, '', NULL, '1M00114', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6748, '0', '', NULL, '', NULL, '1M00114', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6749, '0', '', NULL, '', NULL, '1M00114', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6750, '0', '', NULL, '', NULL, '1M00114', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6751, '0', '', NULL, '', NULL, '1M00114', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6752, '0', '', NULL, '', NULL, '1L001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6753, '0', '', NULL, '', NULL, '1L001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6754, '0', '', NULL, '', NULL, '1L001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6755, '0', '', NULL, '', NULL, '1L001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6756, '0', '', NULL, '', NULL, '1L001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6757, '0', '', NULL, '', NULL, '1L001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6758, '0', '', NULL, '', NULL, '1L00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6759, '0', '', NULL, '', NULL, '1L00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6760, '0', '', NULL, '', NULL, '1L00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6761, '0', '', NULL, '', NULL, '1L00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6762, '0', '', NULL, '', NULL, '1L00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6763, '0', '', NULL, '', NULL, '1L00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6764, '0', '', NULL, '', NULL, '1L00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6765, '0', '', NULL, '', NULL, '1L00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6766, '0', '', NULL, '', NULL, '1L00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6767, '0', '', NULL, '', NULL, '1L00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6768, '0', '', NULL, '', NULL, '1L00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6769, '0', '', NULL, '', NULL, '1L00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6770, '0', '', NULL, '', NULL, '1L00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6771, '0', '', NULL, '', NULL, '1L00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6772, '0', '', NULL, '', NULL, '1L00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6773, '0', '', NULL, '', NULL, '1L00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6774, '0', '', NULL, '', NULL, '1L00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6775, '0', '', NULL, '', NULL, '1L00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6776, '0', '', NULL, '', NULL, '1L00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6777, '0', '', NULL, '', NULL, '1L00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6778, '0', '', NULL, '', NULL, '1L00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6779, '0', '', NULL, '', NULL, '1L00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6780, '0', '', NULL, '', NULL, '1L00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6781, '0', '', NULL, '', NULL, '1L00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6782, '0', '', NULL, '', NULL, '1L00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6783, '0', '', NULL, '', NULL, '1L00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6784, '0', '', NULL, '', NULL, '1L00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6785, '0', '', NULL, '', NULL, '1L00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6786, '0', '', NULL, '', NULL, '1L00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6787, '0', '', NULL, '', NULL, '1L00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6788, '0', '', NULL, '', NULL, '1L00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6789, '0', '', NULL, '', NULL, '1L00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6790, '0', '', NULL, '', NULL, '1L00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6791, '0', '', NULL, '', NULL, '1L00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6792, '0', '', NULL, '', NULL, '1L00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6793, '0', '', NULL, '', NULL, '1L00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6794, '0', '', NULL, '', NULL, '1L00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6795, '0', '', NULL, '', NULL, '1L00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6796, '0', '', NULL, '', NULL, '1L00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6797, '0', '', NULL, '', NULL, '1L00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6798, '0', '', NULL, '', NULL, '1L00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6799, '0', '', NULL, '', NULL, '1L00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6800, '0', '', NULL, '', NULL, '1L00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6801, '0', '', NULL, '', NULL, '1L00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6802, '0', '', NULL, '', NULL, '1L00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6803, '0', '', NULL, '', NULL, '1L00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6804, '0', '', NULL, '', NULL, '1L00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6805, '0', '', NULL, '', NULL, '1L00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6806, '0', '', NULL, '', NULL, '1L00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6807, '0', '', NULL, '', NULL, '1L00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6808, '0', '', NULL, '', NULL, '1L00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6809, '0', '', NULL, '', NULL, '1L00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6810, '0', '', NULL, '', NULL, '1L00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6811, '0', '', NULL, '', NULL, '1L00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6812, '0', '', NULL, '', NULL, '1L00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6813, '0', '', NULL, '', NULL, '1L00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6814, '0', '', NULL, '', NULL, '1L00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6815, '0', '', NULL, '', NULL, '1L00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6816, '0', '', NULL, '', NULL, '1L00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6817, '0', '', NULL, '', NULL, '1L00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6818, '0', '', NULL, '', NULL, '1L00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6819, '0', '', NULL, '', NULL, '1L00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6820, '0', '', NULL, '', NULL, '1L00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6821, '0', '', NULL, '', NULL, '1L00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6822, '0', '', NULL, '', NULL, '1L00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6823, '0', '', NULL, '', NULL, '1L00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6824, '0', '', NULL, '', NULL, '1L00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6825, '0', '', NULL, '', NULL, '1L00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6826, '0', '', NULL, '', NULL, '1L00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6827, '0', '', NULL, '', NULL, '1L00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6828, '0', '', NULL, '', NULL, '1L00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6829, '0', '', NULL, '', NULL, '1L00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6830, '0', '', NULL, '', NULL, '1L00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6831, '0', '', NULL, '', NULL, '1L00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6832, '0', '', NULL, '', NULL, '1L00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6833, '0', '', NULL, '', NULL, '1L00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6834, '0', '', NULL, '', NULL, '1L00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6835, '0', '', NULL, '', NULL, '1L00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6836, '0', '', NULL, '', NULL, '1L00114', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6837, '0', '', NULL, '', NULL, '1L00114', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6838, '0', '', NULL, '', NULL, '1L00114', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6839, '0', '', NULL, '', NULL, '1L00114', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6840, '0', '', NULL, '', NULL, '1L00114', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6841, '0', '', NULL, '', NULL, '1L00114', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6842, '0', '', NULL, '', NULL, '1E001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6843, '0', '', NULL, '', NULL, '1E001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6844, '0', '', NULL, '', NULL, '1E001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6845, '0', '', NULL, '', NULL, '1E001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6846, '0', '', NULL, '', NULL, '1E001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6847, '0', '', NULL, '', NULL, '1E001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6848, '0', '', NULL, '', NULL, '1E00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6849, '0', '', NULL, '', NULL, '1E00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6850, '0', '', NULL, '', NULL, '1E00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6851, '0', '', NULL, '', NULL, '1E00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6852, '0', '', NULL, '', NULL, '1E00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6853, '0', '', NULL, '', NULL, '1E00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6854, '0', '', NULL, '', NULL, '1E00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6855, '0', '', NULL, '', NULL, '1E00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6856, '0', '', NULL, '', NULL, '1E00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6857, '0', '', NULL, '', NULL, '1E00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6858, '0', '', NULL, '', NULL, '1E00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6859, '0', '', NULL, '', NULL, '1E00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6860, '0', '', NULL, '', NULL, '1E00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6861, '0', '', NULL, '', NULL, '1E00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6862, '0', '', NULL, '', NULL, '1E00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6863, '0', '', NULL, '', NULL, '1E00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6864, '0', '', NULL, '', NULL, '1E00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6865, '0', '', NULL, '', NULL, '1E00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6866, '0', '', NULL, '', NULL, '1E00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6867, '0', '', NULL, '', NULL, '1E00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6868, '0', '', NULL, '', NULL, '1E00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6869, '0', '', NULL, '', NULL, '1E00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6870, '0', '', NULL, '', NULL, '1E00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6871, '0', '', NULL, '', NULL, '1E00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6872, '0', '', NULL, '', NULL, '1E00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6873, '0', '', NULL, '', NULL, '1E00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6874, '0', '', NULL, '', NULL, '1E00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6875, '0', '', NULL, '', NULL, '1E00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6876, '0', '', NULL, '', NULL, '1E00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6877, '0', '', NULL, '', NULL, '1E00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6878, '0', '', NULL, '', NULL, '1D001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6879, '0', '', NULL, '', NULL, '1D001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6880, '0', '', NULL, '', NULL, '1D001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6881, '0', '', NULL, '', NULL, '1D001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6882, '0', '', NULL, '', NULL, '1D001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6883, '0', '', NULL, '', NULL, '1D001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6884, '0', '', NULL, '', NULL, '1D00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6885, '0', '', NULL, '', NULL, '1D00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6886, '0', '', NULL, '', NULL, '1D00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6887, '0', '', NULL, '', NULL, '1D00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6888, '0', '', NULL, '', NULL, '1D00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6889, '0', '', NULL, '', NULL, '1D00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6890, '0', '', NULL, '', NULL, '1D00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6891, '0', '', NULL, '', NULL, '1D00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6892, '0', '', NULL, '', NULL, '1D00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6893, '0', '', NULL, '', NULL, '1D00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6894, '0', '', NULL, '', NULL, '1D00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6895, '0', '', NULL, '', NULL, '1D00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6896, '0', '', NULL, '', NULL, '1D00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6897, '0', '', NULL, '', NULL, '1D00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6898, '0', '', NULL, '', NULL, '1D00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6899, '0', '', NULL, '', NULL, '1D00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6900, '0', '', NULL, '', NULL, '1D00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6901, '0', '', NULL, '', NULL, '1D00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6902, '0', '', NULL, '', NULL, '1D00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6903, '0', '', NULL, '', NULL, '1D00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6904, '0', '', NULL, '', NULL, '1D00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6905, '0', '', NULL, '', NULL, '1D00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6906, '0', '', NULL, '', NULL, '1D00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6907, '0', '', NULL, '', NULL, '1D00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6908, '0', '', NULL, '', NULL, '1D00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6909, '0', '', NULL, '', NULL, '1D00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6910, '0', '', NULL, '', NULL, '1D00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6911, '0', '', NULL, '', NULL, '1D00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6912, '0', '', NULL, '', NULL, '1D00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6913, '0', '', NULL, '', NULL, '1D00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6914, '0', '', NULL, '', NULL, '1D00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6915, '0', '', NULL, '', NULL, '1D00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6916, '0', '', NULL, '', NULL, '1D00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6917, '0', '', NULL, '', NULL, '1D00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6918, '0', '', NULL, '', NULL, '1D00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6919, '0', '', NULL, '', NULL, '1D00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6920, '0', '', NULL, '', NULL, '1D00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6921, '0', '', NULL, '', NULL, '1D00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6922, '0', '', NULL, '', NULL, '1D00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6923, '0', '', NULL, '', NULL, '1D00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6924, '0', '', NULL, '', NULL, '1D00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6925, '0', '', NULL, '', NULL, '1D00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6926, '0', '', NULL, '', NULL, '1D00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6927, '0', '', NULL, '', NULL, '1D00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6928, '0', '', NULL, '', NULL, '1D00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6929, '0', '', NULL, '', NULL, '1D00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6930, '0', '', NULL, '', NULL, '1D00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6931, '0', '', NULL, '', NULL, '1D00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6932, '0', '', NULL, '', NULL, '1D00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6933, '0', '', NULL, '', NULL, '1D00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6934, '0', '', NULL, '', NULL, '1D00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6935, '0', '', NULL, '', NULL, '1D00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6936, '0', '', NULL, '', NULL, '1D00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6937, '0', '', NULL, '', NULL, '1D00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6938, '0', '', NULL, '', NULL, '1D00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6939, '0', '', NULL, '', NULL, '1D00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6940, '0', '', NULL, '', NULL, '1D00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6941, '0', '', NULL, '', NULL, '1D00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6942, '0', '', NULL, '', NULL, '1D00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6943, '0', '', NULL, '', NULL, '1D00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6944, '0', '', NULL, '', NULL, '1D00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6945, '0', '', NULL, '', NULL, '1D00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6946, '0', '', NULL, '', NULL, '1D00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6947, '0', '', NULL, '', NULL, '1D00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6948, '0', '', NULL, '', NULL, '1D00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6949, '0', '', NULL, '', NULL, '1D00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6950, '0', '', NULL, '', NULL, '1D00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6951, '0', '', NULL, '', NULL, '1D00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6952, '0', '', NULL, '', NULL, '1D00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6953, '0', '', NULL, '', NULL, '1D00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6954, '0', '', NULL, '', NULL, '1D00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6955, '0', '', NULL, '', NULL, '1D00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6956, '0', '', NULL, '', NULL, '1J001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6957, '0', '', NULL, '', NULL, '1J001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6958, '0', '', NULL, '', NULL, '1J001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6959, '0', '', NULL, '', NULL, '1J001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6960, '0', '', NULL, '', NULL, '1J001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6961, '0', '', NULL, '', NULL, '1J001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6962, '0', '', NULL, '', NULL, '1J00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6963, '0', '', NULL, '', NULL, '1J00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6964, '0', '', NULL, '', NULL, '1J00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6965, '0', '', NULL, '', NULL, '1J00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6966, '0', '', NULL, '', NULL, '1J00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6967, '0', '', NULL, '', NULL, '1J00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6968, '0', '', NULL, '', NULL, '1J00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6969, '0', '', NULL, '', NULL, '1J00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6970, '0', '', NULL, '', NULL, '1J00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6971, '0', '', NULL, '', NULL, '1J00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6972, '0', '', NULL, '', NULL, '1J00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6973, '0', '', NULL, '', NULL, '1J00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6974, '0', '', NULL, '', NULL, '1J00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6975, '0', '', NULL, '', NULL, '1J00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6976, '0', '', NULL, '', NULL, '1J00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6977, '0', '', NULL, '', NULL, '1J00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6978, '0', '', NULL, '', NULL, '1J00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6979, '0', '', NULL, '', NULL, '1J00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6980, '0', '', NULL, '', NULL, '1J00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6981, '0', '', NULL, '', NULL, '1J00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6982, '0', '', NULL, '', NULL, '1J00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6983, '0', '', NULL, '', NULL, '1J00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6984, '0', '', NULL, '', NULL, '1J00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6985, '0', '', NULL, '', NULL, '1J00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6986, '0', '', NULL, '', NULL, '1J00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6987, '0', '', NULL, '', NULL, '1J00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6988, '0', '', NULL, '', NULL, '1J00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6989, '0', '', NULL, '', NULL, '1J00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6990, '0', '', NULL, '', NULL, '1J00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6991, '0', '', NULL, '', NULL, '1J00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6992, '0', '', NULL, '', NULL, '1K001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6993, '0', '', NULL, '', NULL, '1K001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6994, '0', '', NULL, '', NULL, '1K001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6995, '0', '', NULL, '', NULL, '1K001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6996, '0', '', NULL, '', NULL, '1K001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6997, '0', '', NULL, '', NULL, '1K001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6998, '0', '', NULL, '', NULL, '1K00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (6999, '0', '', NULL, '', NULL, '1K00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7000, '0', '', NULL, '', NULL, '1K00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7001, '0', '', NULL, '', NULL, '1K00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7002, '0', '', NULL, '', NULL, '1K00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7003, '0', '', NULL, '', NULL, '1K00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7004, '0', '', NULL, '', NULL, '1K00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7005, '0', '', NULL, '', NULL, '1K00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7006, '0', '', NULL, '', NULL, '1K00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7007, '0', '', NULL, '', NULL, '1K00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7008, '0', '', NULL, '', NULL, '1K00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7009, '0', '', NULL, '', NULL, '1K00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7010, '0', '', NULL, '', NULL, '1K00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7011, '0', '', NULL, '', NULL, '1K00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7012, '0', '', NULL, '', NULL, '1K00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7013, '0', '', NULL, '', NULL, '1K00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7014, '0', '', NULL, '', NULL, '1K00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7015, '0', '', NULL, '', NULL, '1K00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7016, '0', '', NULL, '', NULL, '1K00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7017, '0', '', NULL, '', NULL, '1K00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7018, '0', '', NULL, '', NULL, '1K00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7019, '0', '', NULL, '', NULL, '1K00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7020, '0', '', NULL, '', NULL, '1K00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7021, '0', '', NULL, '', NULL, '1K00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7022, '0', '', NULL, '', NULL, '1K00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7023, '0', '', NULL, '', NULL, '1K00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7024, '0', '', NULL, '', NULL, '1K00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7025, '0', '', NULL, '', NULL, '1K00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7026, '0', '', NULL, '', NULL, '1K00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7027, '0', '', NULL, '', NULL, '1K00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7028, '0', '', NULL, '', NULL, '1K00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7029, '0', '', NULL, '', NULL, '1K00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7030, '0', '', NULL, '', NULL, '1K00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7031, '0', '', NULL, '', NULL, '1K00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7032, '0', '', NULL, '', NULL, '1K00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7033, '0', '', NULL, '', NULL, '1K00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7034, '0', '', NULL, '', NULL, '1K00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7035, '0', '', NULL, '', NULL, '1K00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7036, '0', '', NULL, '', NULL, '1K00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7037, '0', '', NULL, '', NULL, '1K00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7038, '0', '', NULL, '', NULL, '1K00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7039, '0', '', NULL, '', NULL, '1K00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7040, '0', '', NULL, '', NULL, '1K00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7041, '0', '', NULL, '', NULL, '1K00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7042, '0', '', NULL, '', NULL, '1K00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7043, '0', '', NULL, '', NULL, '1K00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7044, '0', '', NULL, '', NULL, '1K00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7045, '0', '', NULL, '', NULL, '1K00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7046, '0', '', NULL, '', NULL, '1K00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7047, '0', '', NULL, '', NULL, '1K00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7048, '0', '', NULL, '', NULL, '1K00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7049, '0', '', NULL, '', NULL, '1K00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7050, '0', '', NULL, '', NULL, '1K00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7051, '0', '', NULL, '', NULL, '1K00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7052, '0', '', NULL, '', NULL, '1K00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7053, '0', '', NULL, '', NULL, '1K00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7054, '0', '', NULL, '', NULL, '1K00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7055, '0', '', NULL, '', NULL, '1K00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7056, '0', '', NULL, '', NULL, '1K00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7057, '0', '', NULL, '', NULL, '1K00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7058, '0', '', NULL, '', NULL, '1K00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7059, '0', '', NULL, '', NULL, '1K00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7060, '0', '', NULL, '', NULL, '1K00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7061, '0', '', NULL, '', NULL, '1K00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7062, '0', '', NULL, '', NULL, '1K00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7063, '0', '', NULL, '', NULL, '1K00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7064, '0', '', NULL, '', NULL, '1H001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7065, '0', '', NULL, '', NULL, '1H001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7066, '0', '', NULL, '', NULL, '1H001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7067, '0', '', NULL, '', NULL, '1H001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7068, '0', '', NULL, '', NULL, '1H001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7069, '0', '', NULL, '', NULL, '1H001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7070, '0', '', NULL, '', NULL, '1H00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7071, '0', '', NULL, '', NULL, '1H00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7072, '0', '', NULL, '', NULL, '1H00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7073, '0', '', NULL, '', NULL, '1H00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7074, '0', '', NULL, '', NULL, '1H00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7075, '0', '', NULL, '', NULL, '1H00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7076, '0', '', NULL, '', NULL, '1H00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7077, '0', '', NULL, '', NULL, '1H00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7078, '0', '', NULL, '', NULL, '1H00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7079, '0', '', NULL, '', NULL, '1H00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7080, '0', '', NULL, '', NULL, '1H00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7081, '0', '', NULL, '', NULL, '1H00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7082, '0', '', NULL, '', NULL, '1H00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7083, '0', '', NULL, '', NULL, '1H00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7084, '0', '', NULL, '', NULL, '1H00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7085, '0', '', NULL, '', NULL, '1H00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7086, '0', '', NULL, '', NULL, '1H00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7087, '0', '', NULL, '', NULL, '1H00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7088, '0', '', NULL, '', NULL, '1H00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7089, '0', '', NULL, '', NULL, '1H00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7090, '0', '', NULL, '', NULL, '1H00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7091, '0', '', NULL, '', NULL, '1H00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7092, '0', '', NULL, '', NULL, '1H00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7093, '0', '', NULL, '', NULL, '1H00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7094, '0', '', NULL, '', NULL, '1H00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7095, '0', '', NULL, '', NULL, '1H00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7096, '0', '', NULL, '', NULL, '1H00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7097, '0', '', NULL, '', NULL, '1H00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7098, '0', '', NULL, '', NULL, '1H00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7099, '0', '', NULL, '', NULL, '1H00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7100, '0', '', NULL, '', NULL, '1H00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7101, '0', '', NULL, '', NULL, '1H00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7102, '0', '', NULL, '', NULL, '1H00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7103, '0', '', NULL, '', NULL, '1H00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7104, '0', '', NULL, '', NULL, '1H00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7105, '0', '', NULL, '', NULL, '1H00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7106, '0', '', NULL, '', NULL, '1H00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7107, '0', '', NULL, '', NULL, '1H00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7108, '0', '', NULL, '', NULL, '1H00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7109, '0', '', NULL, '', NULL, '1H00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7110, '0', '', NULL, '', NULL, '1H00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7111, '0', '', NULL, '', NULL, '1H00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7112, '0', '', NULL, '', NULL, '1H00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7113, '0', '', NULL, '', NULL, '1H00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7114, '0', '', NULL, '', NULL, '1H00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7115, '0', '', NULL, '', NULL, '1H00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7116, '0', '', NULL, '', NULL, '1H00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7117, '0', '', NULL, '', NULL, '1H00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7118, '0', '', NULL, '', NULL, '1H00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7119, '0', '', NULL, '', NULL, '1H00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7120, '0', '', NULL, '', NULL, '1H00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7121, '0', '', NULL, '', NULL, '1H00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7122, '0', '', NULL, '', NULL, '1H00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7123, '0', '', NULL, '', NULL, '1H00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7124, '0', '', NULL, '', NULL, '1H00110', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7125, '0', '', NULL, '', NULL, '1H00110', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7126, '0', '', NULL, '', NULL, '1H00110', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7127, '0', '', NULL, '', NULL, '1H00110', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7128, '0', '', NULL, '', NULL, '1H00110', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7129, '0', '', NULL, '', NULL, '1H00110', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7130, '0', '', NULL, '', NULL, '1H00111', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7131, '0', '', NULL, '', NULL, '1H00111', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7132, '0', '', NULL, '', NULL, '1H00111', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7133, '0', '', NULL, '', NULL, '1H00111', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7134, '0', '', NULL, '', NULL, '1H00111', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7135, '0', '', NULL, '', NULL, '1H00111', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7136, '0', '', NULL, '', NULL, '1H00112', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7137, '0', '', NULL, '', NULL, '1H00112', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7138, '0', '', NULL, '', NULL, '1H00112', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7139, '0', '', NULL, '', NULL, '1H00112', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7140, '0', '', NULL, '', NULL, '1H00112', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7141, '0', '', NULL, '', NULL, '1H00112', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7142, '0', '', NULL, '', NULL, '1H00113', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7143, '0', '', NULL, '', NULL, '1H00113', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7144, '0', '', NULL, '', NULL, '1H00113', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7145, '0', '', NULL, '', NULL, '1H00113', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7146, '0', '', NULL, '', NULL, '1H00113', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7147, '0', '', NULL, '', NULL, '1H00113', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7148, '0', '', NULL, '', NULL, '1B001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7149, '0', '', NULL, '', NULL, '1B001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7150, '0', '', NULL, '', NULL, '1B001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7151, '0', '', NULL, '', NULL, '1B001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7152, '0', '', NULL, '', NULL, '1B001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7153, '0', '', NULL, '', NULL, '1B001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7154, '0', '', NULL, '', NULL, '1B00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7155, '0', '', NULL, '', NULL, '1B00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7156, '0', '', NULL, '', NULL, '1B00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7157, '0', '', NULL, '', NULL, '1B00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7158, '0', '', NULL, '', NULL, '1B00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7159, '0', '', NULL, '', NULL, '1B00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7160, '0', '', NULL, '', NULL, '1B00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7161, '0', '', NULL, '', NULL, '1B00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7162, '0', '', NULL, '', NULL, '1B00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7163, '0', '', NULL, '', NULL, '1B00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7164, '0', '', NULL, '', NULL, '1B00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7165, '0', '', NULL, '', NULL, '1B00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7166, '0', '', NULL, '', NULL, '1B00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7167, '0', '', NULL, '', NULL, '1B00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7168, '0', '', NULL, '', NULL, '1B00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7169, '0', '', NULL, '', NULL, '1B00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7170, '0', '', NULL, '', NULL, '1B00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7171, '0', '', NULL, '', NULL, '1B00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7172, '0', '', NULL, '', NULL, '1B00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7173, '0', '', NULL, '', NULL, '1B00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7174, '0', '', NULL, '', NULL, '1B00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7175, '0', '', NULL, '', NULL, '1B00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7176, '0', '', NULL, '', NULL, '1B00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7177, '0', '', NULL, '', NULL, '1B00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7178, '0', '', NULL, '', NULL, '1B00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7179, '0', '', NULL, '', NULL, '1B00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7180, '0', '', NULL, '', NULL, '1B00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7181, '0', '', NULL, '', NULL, '1B00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7182, '0', '', NULL, '', NULL, '1B00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7183, '0', '', NULL, '', NULL, '1B00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7184, '0', '', NULL, '', NULL, '1B00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7185, '0', '', NULL, '', NULL, '1B00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7186, '0', '', NULL, '', NULL, '1B00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7187, '0', '', NULL, '', NULL, '1B00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7188, '0', '', NULL, '', NULL, '1B00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7189, '0', '', NULL, '', NULL, '1B00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7190, '0', '', NULL, '', NULL, '1B00107', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7191, '0', '', NULL, '', NULL, '1B00107', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7192, '0', '', NULL, '', NULL, '1B00107', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7193, '0', '', NULL, '', NULL, '1B00107', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7194, '0', '', NULL, '', NULL, '1B00107', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7195, '0', '', NULL, '', NULL, '1B00107', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7196, '0', '', NULL, '', NULL, '1B00108', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7197, '0', '', NULL, '', NULL, '1B00108', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7198, '0', '', NULL, '', NULL, '1B00108', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7199, '0', '', NULL, '', NULL, '1B00108', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7200, '0', '', NULL, '', NULL, '1B00108', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7201, '0', '', NULL, '', NULL, '1B00108', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7202, '0', '', NULL, '', NULL, '1B00109', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7203, '0', '', NULL, '', NULL, '1B00109', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7204, '0', '', NULL, '', NULL, '1B00109', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7205, '0', '', NULL, '', NULL, '1B00109', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7206, '0', '', NULL, '', NULL, '1B00109', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7207, '0', '', NULL, '', NULL, '1B00109', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7208, '0', '', NULL, '', NULL, '1F001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7209, '0', '', NULL, '', NULL, '1F001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7210, '0', '', NULL, '', NULL, '1F001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7211, '0', '', NULL, '', NULL, '1F001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7212, '0', '', NULL, '', NULL, '1F001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7213, '0', '', NULL, '', NULL, '1F001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7214, '0', '', NULL, '', NULL, '1F00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7215, '0', '', NULL, '', NULL, '1F00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7216, '0', '', NULL, '', NULL, '1F00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7217, '0', '', NULL, '', NULL, '1F00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7218, '0', '', NULL, '', NULL, '1F00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7219, '0', '', NULL, '', NULL, '1F00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7220, '0', '', NULL, '', NULL, '1F00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7221, '0', '', NULL, '', NULL, '1F00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7222, '0', '', NULL, '', NULL, '1F00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7223, '0', '', NULL, '', NULL, '1F00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7224, '0', '', NULL, '', NULL, '1F00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7225, '0', '', NULL, '', NULL, '1F00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7226, '0', '', NULL, '', NULL, '1F00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7227, '0', '', NULL, '', NULL, '1F00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7228, '0', '', NULL, '', NULL, '1F00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7229, '0', '', NULL, '', NULL, '1F00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7230, '0', '', NULL, '', NULL, '1F00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7231, '0', '', NULL, '', NULL, '1F00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7232, '0', '', NULL, '', NULL, '1F00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7233, '0', '', NULL, '', NULL, '1F00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7234, '0', '', NULL, '', NULL, '1F00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7235, '0', '', NULL, '', NULL, '1F00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7236, '0', '', NULL, '', NULL, '1F00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7237, '0', '', NULL, '', NULL, '1F00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7238, '0', '', NULL, '', NULL, '1F00105', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7239, '0', '', NULL, '', NULL, '1F00105', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7240, '0', '', NULL, '', NULL, '1F00105', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7241, '0', '', NULL, '', NULL, '1F00105', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7242, '0', '', NULL, '', NULL, '1F00105', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7243, '0', '', NULL, '', NULL, '1F00105', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7244, '0', '', NULL, '', NULL, '1F00106', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7245, '0', '', NULL, '', NULL, '1F00106', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7246, '0', '', NULL, '', NULL, '1F00106', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7247, '0', '', NULL, '', NULL, '1F00106', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7248, '0', '', NULL, '', NULL, '1F00106', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7249, '0', '', NULL, '', NULL, '1F00106', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7250, '0', '', NULL, '', NULL, '1C001', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7251, '0', '', NULL, '', NULL, '1C001', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7252, '0', '', NULL, '', NULL, '1C001', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7253, '0', '', NULL, '', NULL, '1C001', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7254, '0', '', NULL, '', NULL, '1C001', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7255, '0', '', NULL, '', NULL, '1C001', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7256, '0', '', NULL, '', NULL, '1C00101', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7257, '0', '', NULL, '', NULL, '1C00101', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7258, '0', '', NULL, '', NULL, '1C00101', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7259, '0', '', NULL, '', NULL, '1C00101', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7260, '0', '', NULL, '', NULL, '1C00101', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7261, '0', '', NULL, '', NULL, '1C00101', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7262, '0', '', NULL, '', NULL, '1C00102', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7263, '0', '', NULL, '', NULL, '1C00102', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7264, '0', '', NULL, '', NULL, '1C00102', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7265, '0', '', NULL, '', NULL, '1C00102', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7266, '0', '', NULL, '', NULL, '1C00102', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7267, '0', '', NULL, '', NULL, '1C00102', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7268, '0', '', NULL, '', NULL, '1C00103', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7269, '0', '', NULL, '', NULL, '1C00103', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7270, '0', '', NULL, '', NULL, '1C00103', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7271, '0', '', NULL, '', NULL, '1C00103', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7272, '0', '', NULL, '', NULL, '1C00103', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7273, '0', '', NULL, '', NULL, '1C00103', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7274, '0', '', NULL, '', NULL, '1C00104', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7275, '0', '', NULL, '', NULL, '1C00104', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7276, '0', '', NULL, '', NULL, '1C00104', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7277, '0', '', NULL, '', NULL, '1C00104', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7278, '0', '', NULL, '', NULL, '1C00104', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7279, '0', '', NULL, '', NULL, '1C00104', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7280, '0', '', NULL, '', NULL, '1A004', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7281, '0', '', NULL, '', NULL, '1A004', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7282, '0', '', NULL, '', NULL, '1A004', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7283, '0', '', NULL, '', NULL, '1A004', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7284, '0', '', NULL, '', NULL, '1A004', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7285, '0', '', NULL, '', NULL, '1A004', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7286, '0', '', NULL, '', NULL, '1A005', 1, 10, 10, 0, 1, 10, 5, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7287, '0', '', NULL, '', NULL, '1A005', 2, 5, 1, 5, 10, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7288, '0', '', NULL, '', NULL, '1A005', 3, 15, 1, 8, 1, 1, 10, 2, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7289, '0', '', NULL, '', NULL, '1A005', 4, 20, 0, 1, 2, 1, 10, 2, 10, 20, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7290, '0', '', NULL, '', NULL, '1A005', 5, 4, 0, 7, 1, 1, 10, 7, 10, 10, 10);
INSERT INTO `large_plat_post_station_chart` VALUES (7291, '0', '', NULL, '', NULL, '1A005', 6, 10, 0, 3, 1, 1, 10, 10, 10, 30, 10);

-- ----------------------------
-- Table structure for large_plat_property
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_property`;
CREATE TABLE `large_plat_property`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `construction_quantity_num` bigint(20) NULL DEFAULT 0 COMMENT '计划建设数量',
  `completed_num` bigint(20) NULL DEFAULT 0 COMMENT '已完成建设数量',
  `participate_proportion_rate` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '完成达标率',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 119 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '共享驿站' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_property
-- ----------------------------
INSERT INTO `large_plat_property` VALUES (1, '0', '', NULL, 'anonymous', '2024-11-18 16:41:19', '10001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (2, '0', '', NULL, '', NULL, '10002', 50, 15, 30.00);
INSERT INTO `large_plat_property` VALUES (3, '0', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-11-18 16:41:35', '1E001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (4, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (5, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A002', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (6, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A003', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (7, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:21', '1A00301', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (8, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00302', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (9, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00303', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (10, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00304', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (11, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00305', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (12, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00306', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (13, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00307', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (14, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00308', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (15, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:24', '1M001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (16, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (17, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (18, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (19, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (20, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (21, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00106', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (22, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:26', '1M00107', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (23, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00108', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (24, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00109', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (25, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:27', '1M00110', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (26, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00111', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (27, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00112', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (28, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00113', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (29, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00114', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (30, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1L001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (31, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (32, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (33, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (34, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (35, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (36, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:31', '1L00106', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (37, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00107', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (38, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:32', '1L00108', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (39, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00109', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (40, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00110', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (41, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:33', '1L00111', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (42, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00112', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (43, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00113', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (44, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:34', '1L00114', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (45, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:35', '1E00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (46, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (47, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:36', '1E00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (48, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (49, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (50, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1D001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (51, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (52, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:38', '1D00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (53, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (54, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (55, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:39', '1D00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (56, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00106', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (57, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00107', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (58, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00108', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (59, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00109', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (60, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00110', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (61, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00111', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (62, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:41', '1D00112', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (63, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (64, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (65, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:42', '1J00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (66, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (67, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (68, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:43', '1J00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (69, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (70, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (71, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (72, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (73, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (74, '0', NULL, '2024-10-31 19:30:25', NULL, '2024-11-18 16:41:46', '1K00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (75, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00106', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (76, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00107', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (77, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:47', '1K00108', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (78, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00109', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (79, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00110', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (80, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:48', '1K00111', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (81, '0', NULL, '2024-10-31 19:30:28', NULL, '2024-11-18 16:41:48', '1H001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (82, '0', NULL, '2024-10-31 19:30:29', NULL, '2024-11-18 16:41:48', '1H00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (83, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:49', '1H00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (84, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (85, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:50', '1H00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (86, '0', NULL, '2024-10-31 19:30:32', NULL, '2024-11-18 16:41:50', '1H00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (87, '0', NULL, '2024-10-31 19:30:33', NULL, '2024-11-18 16:41:50', '1H00106', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (88, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00107', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (89, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00108', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (90, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00109', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (91, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00110', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (92, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00111', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (93, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:52', '1H00112', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (94, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1H00113', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (95, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1B001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (96, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:53', '1B00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (97, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (98, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (99, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (100, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (101, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:56', '1B00106', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (102, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00107', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (103, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00108', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (104, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:57', '1B00109', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (105, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (106, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (107, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:58', '1F00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (108, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (109, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (110, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:59', '1F00105', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (111, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1F00106', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (112, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:42:00', '1C001', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (113, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00101', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (114, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:00', '1C00102', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (115, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00103', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (116, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00104', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (117, '0', '', NULL, '', NULL, '1A004', 2, 2, 100.00);
INSERT INTO `large_plat_property` VALUES (118, '0', '', NULL, '', NULL, '1A005', 2, 2, 100.00);

-- ----------------------------
-- Table structure for large_plat_property_list
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_property_list`;
CREATE TABLE `large_plat_property_list`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `station_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '驿站名称',
  `station_address` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '驿站地址',
  `station_num` bigint(20) NULL DEFAULT 0 COMMENT '服务次数',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 2499 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '驿站列表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_property_list
-- ----------------------------
INSERT INTO `large_plat_property_list` VALUES (2267, '0', '', NULL, '', NULL, '1A001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2265, '0', '', NULL, '', NULL, '10001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2349, '0', '', NULL, '', NULL, '1E001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2269, '0', '', NULL, '', NULL, '1A002', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2271, '0', '', NULL, '', NULL, '1A003', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2274, '0', '', NULL, '', NULL, '1A00301', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2276, '0', '', NULL, '', NULL, '1A00302', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2278, '0', '', NULL, '', NULL, '1A00303', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2280, '0', '', NULL, '', NULL, '1A00304', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2282, '0', '', NULL, '', NULL, '1A00305', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2284, '0', '', NULL, '', NULL, '1A00306', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2286, '0', '', NULL, '', NULL, '1A00307', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2288, '0', '', NULL, '', NULL, '1A00308', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2289, '0', '', NULL, '', NULL, '1M001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2292, '0', '', NULL, '', NULL, '1M00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2294, '0', '', NULL, '', NULL, '1M00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2296, '0', '', NULL, '', NULL, '1M00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2298, '0', '', NULL, '', NULL, '1M00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2300, '0', '', NULL, '', NULL, '1M00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2302, '0', '', NULL, '', NULL, '1M00106', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2304, '0', '', NULL, '', NULL, '1M00107', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2306, '0', '', NULL, '', NULL, '1M00108', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2308, '0', '', NULL, '', NULL, '1M00109', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2310, '0', '', NULL, '', NULL, '1M00110', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2312, '0', '', NULL, '', NULL, '1M00111', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2314, '0', '', NULL, '', NULL, '1M00112', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2316, '0', '', NULL, '', NULL, '1M00113', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2318, '0', '', NULL, '', NULL, '1M00114', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2319, '0', '', NULL, '', NULL, '1L001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2322, '0', '', NULL, '', NULL, '1L00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2324, '0', '', NULL, '', NULL, '1L00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2326, '0', '', NULL, '', NULL, '1L00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2328, '0', '', NULL, '', NULL, '1L00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2330, '0', '', NULL, '', NULL, '1L00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2332, '0', '', NULL, '', NULL, '1L00106', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2334, '0', '', NULL, '', NULL, '1L00107', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2336, '0', '', NULL, '', NULL, '1L00108', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2338, '0', '', NULL, '', NULL, '1L00109', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2340, '0', '', NULL, '', NULL, '1L00110', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2342, '0', '', NULL, '', NULL, '1L00111', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2344, '0', '', NULL, '', NULL, '1L00112', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2346, '0', '', NULL, '', NULL, '1L00113', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2348, '0', '', NULL, '', NULL, '1L00114', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2352, '0', '', NULL, '', NULL, '1E00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2354, '0', '', NULL, '', NULL, '1E00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2356, '0', '', NULL, '', NULL, '1E00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2358, '0', '', NULL, '', NULL, '1E00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2360, '0', '', NULL, '', NULL, '1E00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2361, '0', '', NULL, '', NULL, '1D001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2364, '0', '', NULL, '', NULL, '1D00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2366, '0', '', NULL, '', NULL, '1D00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2368, '0', '', NULL, '', NULL, '1D00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2370, '0', '', NULL, '', NULL, '1D00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2372, '0', '', NULL, '', NULL, '1D00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2374, '0', '', NULL, '', NULL, '1D00106', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2376, '0', '', NULL, '', NULL, '1D00107', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2378, '0', '', NULL, '', NULL, '1D00108', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2380, '0', '', NULL, '', NULL, '1D00109', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2382, '0', '', NULL, '', NULL, '1D00110', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2384, '0', '', NULL, '', NULL, '1D00111', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2386, '0', '', NULL, '', NULL, '1D00112', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2387, '0', '', NULL, '', NULL, '1J001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2390, '0', '', NULL, '', NULL, '1J00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2392, '0', '', NULL, '', NULL, '1J00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2394, '0', '', NULL, '', NULL, '1J00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2396, '0', '', NULL, '', NULL, '1J00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2398, '0', '', NULL, '', NULL, '1J00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2399, '0', '', NULL, '', NULL, '1K001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2402, '0', '', NULL, '', NULL, '1K00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2404, '0', '', NULL, '', NULL, '1K00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2406, '0', '', NULL, '', NULL, '1K00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2408, '0', '', NULL, '', NULL, '1K00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2410, '0', '', NULL, '', NULL, '1K00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2412, '0', '', NULL, '', NULL, '1K00106', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2414, '0', '', NULL, '', NULL, '1K00107', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2416, '0', '', NULL, '', NULL, '1K00108', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2418, '0', '', NULL, '', NULL, '1K00109', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2420, '0', '', NULL, '', NULL, '1K00110', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2422, '0', '', NULL, '', NULL, '1K00111', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2423, '0', '', NULL, '', NULL, '1H001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2426, '0', '', NULL, '', NULL, '1H00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2428, '0', '', NULL, '', NULL, '1H00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2430, '0', '', NULL, '', NULL, '1H00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2432, '0', '', NULL, '', NULL, '1H00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2434, '0', '', NULL, '', NULL, '1H00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2436, '0', '', NULL, '', NULL, '1H00106', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2438, '0', '', NULL, '', NULL, '1H00107', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2440, '0', '', NULL, '', NULL, '1H00108', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2442, '0', '', NULL, '', NULL, '1H00109', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2444, '0', '', NULL, '', NULL, '1H00110', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2446, '0', '', NULL, '', NULL, '1H00111', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2448, '0', '', NULL, '', NULL, '1H00112', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2450, '0', '', NULL, '', NULL, '1H00113', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2451, '0', '', NULL, '', NULL, '1B001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2454, '0', '', NULL, '', NULL, '1B00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2456, '0', '', NULL, '', NULL, '1B00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2458, '0', '', NULL, '', NULL, '1B00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2460, '0', '', NULL, '', NULL, '1B00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2462, '0', '', NULL, '', NULL, '1B00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2464, '0', '', NULL, '', NULL, '1B00106', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2466, '0', '', NULL, '', NULL, '1B00107', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2468, '0', '', NULL, '', NULL, '1B00108', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2470, '0', '', NULL, '', NULL, '1B00109', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2471, '0', '', NULL, '', NULL, '1F001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2474, '0', '', NULL, '', NULL, '1F00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2476, '0', '', NULL, '', NULL, '1F00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2478, '0', '', NULL, '', NULL, '1F00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2480, '0', '', NULL, '', NULL, '1F00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2482, '0', '', NULL, '', NULL, '1F00105', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2484, '0', '', NULL, '', NULL, '1F00106', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2485, '0', '', NULL, '', NULL, '1C001', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2488, '0', '', NULL, '', NULL, '1C00101', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2490, '0', '', NULL, '', NULL, '1C00102', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2492, '0', '', NULL, '', NULL, '1C00103', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2494, '0', '', NULL, '', NULL, '1C00104', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2266, '0', '', NULL, '', NULL, '10001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2268, '0', '', NULL, '', NULL, '1A001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2270, '0', '', NULL, '', NULL, '1A002', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2272, '0', '', NULL, '', NULL, '1A003', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2273, '0', '', NULL, '', NULL, '1A00301', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2275, '0', '', NULL, '', NULL, '1A00302', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2277, '0', '', NULL, '', NULL, '1A00303', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2279, '0', '', NULL, '', NULL, '1A00304', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2281, '0', '', NULL, '', NULL, '1A00305', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2283, '0', '', NULL, '', NULL, '1A00306', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2285, '0', '', NULL, '', NULL, '1A00307', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2287, '0', '', NULL, '', NULL, '1A00308', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2290, '0', '', NULL, '', NULL, '1M001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2291, '0', '', NULL, '', NULL, '1M00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2293, '0', '', NULL, '', NULL, '1M00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2295, '0', '', NULL, '', NULL, '1M00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2297, '0', '', NULL, '', NULL, '1M00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2299, '0', '', NULL, '', NULL, '1M00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2301, '0', '', NULL, '', NULL, '1M00106', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2303, '0', '', NULL, '', NULL, '1M00107', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2305, '0', '', NULL, '', NULL, '1M00108', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2307, '0', '', NULL, '', NULL, '1M00109', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2309, '0', '', NULL, '', NULL, '1M00110', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2311, '0', '', NULL, '', NULL, '1M00111', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2313, '0', '', NULL, '', NULL, '1M00112', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2315, '0', '', NULL, '', NULL, '1M00113', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2317, '0', '', NULL, '', NULL, '1M00114', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2320, '0', '', NULL, '', NULL, '1L001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2321, '0', '', NULL, '', NULL, '1L00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2323, '0', '', NULL, '', NULL, '1L00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2325, '0', '', NULL, '', NULL, '1L00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2327, '0', '', NULL, '', NULL, '1L00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2329, '0', '', NULL, '', NULL, '1L00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2331, '0', '', NULL, '', NULL, '1L00106', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2333, '0', '', NULL, '', NULL, '1L00107', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2335, '0', '', NULL, '', NULL, '1L00108', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2337, '0', '', NULL, '', NULL, '1L00109', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2339, '0', '', NULL, '', NULL, '1L00110', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2341, '0', '', NULL, '', NULL, '1L00111', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2343, '0', '', NULL, '', NULL, '1L00112', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2345, '0', '', NULL, '', NULL, '1L00113', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2347, '0', '', NULL, '', NULL, '1L00114', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2350, '0', '', NULL, '', NULL, '1E001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2351, '0', '', NULL, '', NULL, '1E00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2353, '0', '', NULL, '', NULL, '1E00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2355, '0', '', NULL, '', NULL, '1E00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2357, '0', '', NULL, '', NULL, '1E00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2359, '0', '', NULL, '', NULL, '1E00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2362, '0', '', NULL, '', NULL, '1D001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2363, '0', '', NULL, '', NULL, '1D00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2365, '0', '', NULL, '', NULL, '1D00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2367, '0', '', NULL, '', NULL, '1D00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2369, '0', '', NULL, '', NULL, '1D00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2371, '0', '', NULL, '', NULL, '1D00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2373, '0', '', NULL, '', NULL, '1D00106', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2375, '0', '', NULL, '', NULL, '1D00107', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2377, '0', '', NULL, '', NULL, '1D00108', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2379, '0', '', NULL, '', NULL, '1D00109', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2381, '0', '', NULL, '', NULL, '1D00110', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2383, '0', '', NULL, '', NULL, '1D00111', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2385, '0', '', NULL, '', NULL, '1D00112', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2388, '0', '', NULL, '', NULL, '1J001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2389, '0', '', NULL, '', NULL, '1J00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2391, '0', '', NULL, '', NULL, '1J00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2393, '0', '', NULL, '', NULL, '1J00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2395, '0', '', NULL, '', NULL, '1J00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2397, '0', '', NULL, '', NULL, '1J00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2400, '0', '', NULL, '', NULL, '1K001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2401, '0', '', NULL, '', NULL, '1K00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2403, '0', '', NULL, '', NULL, '1K00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2405, '0', '', NULL, '', NULL, '1K00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2407, '0', '', NULL, '', NULL, '1K00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2409, '0', '', NULL, '', NULL, '1K00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2411, '0', '', NULL, '', NULL, '1K00106', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2413, '0', '', NULL, '', NULL, '1K00107', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2415, '0', '', NULL, '', NULL, '1K00108', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2417, '0', '', NULL, '', NULL, '1K00109', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2419, '0', '', NULL, '', NULL, '1K00110', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2421, '0', '', NULL, '', NULL, '1K00111', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2424, '0', '', NULL, '', NULL, '1H001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2425, '0', '', NULL, '', NULL, '1H00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2427, '0', '', NULL, '', NULL, '1H00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2429, '0', '', NULL, '', NULL, '1H00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2431, '0', '', NULL, '', NULL, '1H00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2433, '0', '', NULL, '', NULL, '1H00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2435, '0', '', NULL, '', NULL, '1H00106', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2437, '0', '', NULL, '', NULL, '1H00107', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2439, '0', '', NULL, '', NULL, '1H00108', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2441, '0', '', NULL, '', NULL, '1H00109', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2443, '0', '', NULL, '', NULL, '1H00110', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2445, '0', '', NULL, '', NULL, '1H00111', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2447, '0', '', NULL, '', NULL, '1H00112', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2449, '0', '', NULL, '', NULL, '1H00113', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2452, '0', '', NULL, '', NULL, '1B001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2453, '0', '', NULL, '', NULL, '1B00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2455, '0', '', NULL, '', NULL, '1B00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2457, '0', '', NULL, '', NULL, '1B00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2459, '0', '', NULL, '', NULL, '1B00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2461, '0', '', NULL, '', NULL, '1B00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2463, '0', '', NULL, '', NULL, '1B00106', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2465, '0', '', NULL, '', NULL, '1B00107', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2467, '0', '', NULL, '', NULL, '1B00108', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2469, '0', '', NULL, '', NULL, '1B00109', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2472, '0', '', NULL, '', NULL, '1F001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2473, '0', '', NULL, '', NULL, '1F00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2475, '0', '', NULL, '', NULL, '1F00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2477, '0', '', NULL, '', NULL, '1F00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2479, '0', '', NULL, '', NULL, '1F00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2481, '0', '', NULL, '', NULL, '1F00105', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2483, '0', '', NULL, '', NULL, '1F00106', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2486, '0', '', NULL, '', NULL, '1C001', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2487, '0', '', NULL, '', NULL, '1C00101', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2489, '0', '', NULL, '', NULL, '1C00102', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2491, '0', '', NULL, '', NULL, '1C00103', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2493, '0', '', NULL, '', NULL, '1C00104', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2496, '0', '', NULL, '', NULL, '1A004', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2495, '0', '', NULL, '', NULL, '1A004', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);
INSERT INTO `large_plat_property_list` VALUES (2498, '0', '', NULL, '', NULL, '1A005', '职工共享驿站', '山西省晋源区谐园路东侧', 400);
INSERT INTO `large_plat_property_list` VALUES (2497, '0', '', NULL, '', NULL, '1A005', '职工共享驿站', '山西省晋源区新晋祠路东侧', 200);

-- ----------------------------
-- Table structure for large_plat_property_tools
-- ----------------------------
DROP TABLE IF EXISTS `large_plat_property_tools`;
CREATE TABLE `large_plat_property_tools`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `app_org` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区编码',
  `tools_name_first` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '工具名称',
  `tools_num_first` bigint(20) NULL DEFAULT 0 COMMENT '工具数量',
  `tools_name_two` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '工具名称',
  `tools_num_two` bigint(20) NULL DEFAULT 0 COMMENT '工具数量',
  `tools_name_third` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '工具名称',
  `tools_num_third` bigint(20) NULL DEFAULT 0 COMMENT '工具数量',
  `tools_name_four` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '工具名称',
  `tools_num_four` bigint(20) NULL DEFAULT 0 COMMENT '工具数量',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `del_flag`(`del_flag`, `app_org`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 123 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '工具表列表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_plat_property_tools
-- ----------------------------
INSERT INTO `large_plat_property_tools` VALUES (1, '0', '', NULL, 'anonymous', '2024-11-18 16:41:19', '10001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (2, '0', '', NULL, '', NULL, '10002', '扳手', 15, '铁锹', 50, '锤子', 30, '螺丝刀', 80);
INSERT INTO `large_plat_property_tools` VALUES (3, '0', '', NULL, '', NULL, '10003', '扳手', 35, '铁锹', 50, '锤子', 30, '螺丝刀', 80);
INSERT INTO `large_plat_property_tools` VALUES (4, '0', '', NULL, '', NULL, '10004', '扳手', 25, '铁锹', 50, '锤子', 30, '螺丝刀', 80);
INSERT INTO `large_plat_property_tools` VALUES (5, '0', '', NULL, '', NULL, '10005', '扳手', 40, '铁锹', 50, '锤子', 30, '螺丝刀', 80);
INSERT INTO `large_plat_property_tools` VALUES (6, '0', '', NULL, '', NULL, '10006', '扳手', 55, '铁锹', 50, '锤子', 30, '螺丝刀', 80);
INSERT INTO `large_plat_property_tools` VALUES (7, '0', 'anonymous', '2024-10-31 19:11:22', 'anonymous', '2024-11-18 16:41:35', '1E001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (8, '0', NULL, '2024-10-31 19:29:59', NULL, '2024-11-18 16:41:20', '1A001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (9, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A002', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (10, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:20', '1A003', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (11, '0', NULL, '2024-10-31 19:30:00', NULL, '2024-11-18 16:41:21', '1A00301', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (12, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:21', '1A00302', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (13, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00303', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (14, '0', NULL, '2024-10-31 19:30:01', NULL, '2024-11-18 16:41:22', '1A00304', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (15, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:22', '1A00305', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (16, '0', NULL, '2024-10-31 19:30:02', NULL, '2024-11-18 16:41:23', '1A00306', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (17, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00307', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (18, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:23', '1A00308', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (19, '0', NULL, '2024-10-31 19:30:03', NULL, '2024-11-18 16:41:24', '1M001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (20, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:24', '1M00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (21, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (22, '0', NULL, '2024-10-31 19:30:04', NULL, '2024-11-18 16:41:25', '1M00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (23, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:25', '1M00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (24, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (25, '0', NULL, '2024-10-31 19:30:05', NULL, '2024-11-18 16:41:26', '1M00106', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (26, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:26', '1M00107', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (27, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00108', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (28, '0', NULL, '2024-10-31 19:30:06', NULL, '2024-11-18 16:41:27', '1M00109', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (29, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:27', '1M00110', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (30, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00111', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (31, '0', NULL, '2024-10-31 19:30:07', NULL, '2024-11-18 16:41:28', '1M00112', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (32, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00113', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (33, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1M00114', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (34, '0', NULL, '2024-10-31 19:30:08', NULL, '2024-11-18 16:41:29', '1L001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (35, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (36, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (37, '0', NULL, '2024-10-31 19:30:09', NULL, '2024-11-18 16:41:30', '1L00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (38, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (39, '0', NULL, '2024-10-31 19:30:10', NULL, '2024-11-18 16:41:31', '1L00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (40, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:31', '1L00106', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (41, '0', NULL, '2024-10-31 19:30:11', NULL, '2024-11-18 16:41:32', '1L00107', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (42, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:32', '1L00108', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (43, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00109', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (44, '0', NULL, '2024-10-31 19:30:12', NULL, '2024-11-18 16:41:33', '1L00110', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (45, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:33', '1L00111', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (46, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00112', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (47, '0', NULL, '2024-10-31 19:30:13', NULL, '2024-11-18 16:41:34', '1L00113', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (48, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:34', '1L00114', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (49, '0', NULL, '2024-10-31 19:30:14', NULL, '2024-11-18 16:41:35', '1E00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (50, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:35', '1E00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (51, '0', NULL, '2024-10-31 19:30:15', NULL, '2024-11-18 16:41:36', '1E00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (52, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (53, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:36', '1E00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (54, '0', NULL, '2024-10-31 19:30:16', NULL, '2024-11-18 16:41:37', '1D001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (55, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:37', '1D00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (56, '0', NULL, '2024-10-31 19:30:17', NULL, '2024-11-18 16:41:38', '1D00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (57, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (58, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:38', '1D00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (59, '0', NULL, '2024-10-31 19:30:18', NULL, '2024-11-18 16:41:39', '1D00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (60, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00106', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (61, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:39', '1D00107', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (62, '0', NULL, '2024-10-31 19:30:19', NULL, '2024-11-18 16:41:40', '1D00108', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (63, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:40', '1D00109', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (64, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00110', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (65, '0', NULL, '2024-10-31 19:30:20', NULL, '2024-11-18 16:41:41', '1D00111', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (66, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:41', '1D00112', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (67, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (68, '0', NULL, '2024-10-31 19:30:21', NULL, '2024-11-18 16:41:42', '1J00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (69, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:42', '1J00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (70, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (71, '0', NULL, '2024-10-31 19:30:22', NULL, '2024-11-18 16:41:43', '1J00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (72, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:43', '1J00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (73, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (74, '0', NULL, '2024-10-31 19:30:23', NULL, '2024-11-18 16:41:44', '1K00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (75, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (76, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (77, '0', NULL, '2024-10-31 19:30:24', NULL, '2024-11-18 16:41:45', '1K00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (78, '0', NULL, '2024-10-31 19:30:25', NULL, '2024-11-18 16:41:46', '1K00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (79, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00106', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (80, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:46', '1K00107', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (81, '0', NULL, '2024-10-31 19:30:26', NULL, '2024-11-18 16:41:47', '1K00108', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (82, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00109', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (83, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:47', '1K00110', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (84, '0', NULL, '2024-10-31 19:30:27', NULL, '2024-11-18 16:41:48', '1K00111', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (85, '0', NULL, '2024-10-31 19:30:28', NULL, '2024-11-18 16:41:48', '1H001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (86, '0', NULL, '2024-10-31 19:30:29', NULL, '2024-11-18 16:41:48', '1H00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (87, '0', NULL, '2024-10-31 19:30:30', NULL, '2024-11-18 16:41:49', '1H00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (88, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:49', '1H00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (89, '0', NULL, '2024-10-31 19:30:31', NULL, '2024-11-18 16:41:50', '1H00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (90, '0', NULL, '2024-10-31 19:30:32', NULL, '2024-11-18 16:41:50', '1H00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (91, '0', NULL, '2024-10-31 19:30:33', NULL, '2024-11-18 16:41:50', '1H00106', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (92, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00107', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (93, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00108', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (94, '0', NULL, '2024-10-31 19:30:34', NULL, '2024-11-18 16:41:51', '1H00109', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (95, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00110', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (96, '0', NULL, '2024-10-31 19:30:35', NULL, '2024-11-18 16:41:52', '1H00111', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (97, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:52', '1H00112', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (98, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1H00113', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (99, '0', NULL, '2024-10-31 19:30:36', NULL, '2024-11-18 16:41:53', '1B001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (100, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:53', '1B00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (101, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (102, '0', NULL, '2024-10-31 19:30:37', NULL, '2024-11-18 16:41:54', '1B00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (103, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (104, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:55', '1B00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (105, '0', NULL, '2024-10-31 19:30:38', NULL, '2024-11-18 16:41:56', '1B00106', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (106, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00107', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (107, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:56', '1B00108', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (108, '0', NULL, '2024-10-31 19:30:39', NULL, '2024-11-18 16:41:57', '1B00109', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (109, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (110, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:57', '1F00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (111, '0', NULL, '2024-10-31 19:30:40', NULL, '2024-11-18 16:41:58', '1F00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (112, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (113, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:58', '1F00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (114, '0', NULL, '2024-10-31 19:30:41', NULL, '2024-11-18 16:41:59', '1F00105', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (115, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:41:59', '1F00106', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (116, '0', NULL, '2024-10-31 19:30:42', NULL, '2024-11-18 16:42:00', '1C001', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (117, '0', NULL, '2024-10-31 19:30:43', NULL, '2024-11-18 16:42:00', '1C00101', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (118, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:00', '1C00102', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (119, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00103', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (120, '0', NULL, '2024-10-31 19:30:44', NULL, '2024-11-18 16:42:01', '1C00104', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (121, '0', '', NULL, '', NULL, '1A004', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);
INSERT INTO `large_plat_property_tools` VALUES (122, '0', '', NULL, '', NULL, '1A005', '健康自测', 30, '远程问诊', 10, '', 0, '', 0);

-- ----------------------------
-- Table structure for large_platform_config
-- ----------------------------
DROP TABLE IF EXISTS `large_platform_config`;
CREATE TABLE `large_platform_config`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `label` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '提示信息，显示标题名称',
  `item_key` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '英文别名，作为form标签的name名称',
  `item_value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '存储的值',
  `type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'form表单项类型，radio,text,textarea,select,richText富文本框 timeDiff时间段(不包含日期)',
  `item_group` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分组类型',
  `item_group_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分组名称',
  `group_index` int(11) NULL DEFAULT 0 COMMENT '分组排序',
  `sort` tinyint(3) UNSIGNED NULL DEFAULT 1 COMMENT '排序',
  `tip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '提示信息',
  `prefix` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'input 前后缀 逗号隔开',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '平台配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_platform_config
-- ----------------------------
INSERT INTO `large_platform_config` VALUES (1, '软件协议', 'software_protocol', NULL, 'richText', 'platform', '系统配置', 1, 1, '软件协议', NULL, '0', '', NULL, '', NULL);

-- ----------------------------
-- Table structure for large_qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_blob_triggers`;
CREATE TABLE `large_qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `large_qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `large_qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_calendars`;
CREATE TABLE `large_qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '日历信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_cron_triggers`;
CREATE TABLE `large_qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `large_qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `large_qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_fired_triggers`;
CREATE TABLE `large_qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(20) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(20) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_job_details`;
CREATE TABLE `large_qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_locks`;
CREATE TABLE `large_qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_paused_trigger_grps`;
CREATE TABLE `large_qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_scheduler_state`;
CREATE TABLE `large_qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(20) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(20) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '调度器状态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_simple_triggers`;
CREATE TABLE `large_qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(20) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(20) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(20) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `large_qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `large_qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_simprop_triggers`;
CREATE TABLE `large_qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `large_qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `large_qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for large_qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `large_qrtz_triggers`;
CREATE TABLE `large_qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(20) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(20) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(20) NOT NULL COMMENT '开始时间',
  `end_time` bigint(20) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(6) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name`, `job_name`, `job_group`) USING BTREE,
  CONSTRAINT `large_qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `large_qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for large_sys_config
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_config`;
CREATE TABLE `large_sys_config`  (
  `config_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_config
-- ----------------------------
INSERT INTO `large_sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2022-08-31 09:55:10', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `large_sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2022-08-31 09:55:10', '', NULL, '初始化密码 123456');
INSERT INTO `large_sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2022-08-31 09:55:10', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `large_sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2022-08-31 09:55:10', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `large_sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2022-08-31 09:55:10', '', NULL, '是否开启注册用户功能（true开启，false关闭）');

-- ----------------------------
-- Table structure for large_sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_dict_data`;
CREATE TABLE `large_sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(11) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_dict_data
-- ----------------------------
INSERT INTO `large_sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '性别男');
INSERT INTO `large_sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '性别女');
INSERT INTO `large_sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '性别未知');
INSERT INTO `large_sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '显示菜单');
INSERT INTO `large_sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '隐藏菜单');
INSERT INTO `large_sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '正常状态');
INSERT INTO `large_sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '停用状态');
INSERT INTO `large_sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '正常状态');
INSERT INTO `large_sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '停用状态');
INSERT INTO `large_sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '默认分组');
INSERT INTO `large_sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '系统分组');
INSERT INTO `large_sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '系统默认是');
INSERT INTO `large_sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '系统默认否');
INSERT INTO `large_sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '通知');
INSERT INTO `large_sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '公告');
INSERT INTO `large_sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '正常状态');
INSERT INTO `large_sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '关闭状态');
INSERT INTO `large_sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '其他操作');
INSERT INTO `large_sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '新增操作');
INSERT INTO `large_sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '修改操作');
INSERT INTO `large_sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '删除操作');
INSERT INTO `large_sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '授权操作');
INSERT INTO `large_sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '导出操作');
INSERT INTO `large_sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '导入操作');
INSERT INTO `large_sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '强退操作');
INSERT INTO `large_sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '生成操作');
INSERT INTO `large_sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '清空操作');
INSERT INTO `large_sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '正常状态');
INSERT INTO `large_sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '停用状态');

-- ----------------------------
-- Table structure for large_sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_dict_type`;
CREATE TABLE `large_sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_dict_type
-- ----------------------------
INSERT INTO `large_sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '用户性别列表');
INSERT INTO `large_sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '菜单状态列表');
INSERT INTO `large_sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '系统开关列表');
INSERT INTO `large_sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '任务状态列表');
INSERT INTO `large_sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '任务分组列表');
INSERT INTO `large_sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '系统是否列表');
INSERT INTO `large_sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '通知类型列表');
INSERT INTO `large_sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '通知状态列表');
INSERT INTO `large_sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '操作类型列表');
INSERT INTO `large_sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2022-08-31 09:55:10', '', NULL, '登录状态列表');

-- ----------------------------
-- Table structure for large_sys_job
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_job`;
CREATE TABLE `large_sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_job
-- ----------------------------
INSERT INTO `large_sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_job` VALUES (4, '服务保障中心', 'DEFAULT', 'crontabTask.serviceData', '0 1/10 * * * ?', '1', '1', '1', 'deve', '2024-10-23 15:21:19', 'deve', '2024-10-31 18:51:05', '');
INSERT INTO `large_sys_job` VALUES (5, '楼宇运行监控场景', 'DEFAULT', 'crontabTask.buildData', '0 5/10 * * * ?', '1', '1', '1', 'deve', '2024-10-23 15:42:52', 'deve', '2024-10-23 15:43:16', '');
INSERT INTO `large_sys_job` VALUES (6, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '0 0/10 * * * ?', '1', '1', '1', 'deve', '2024-11-09 14:25:38', '', '2024-11-10 13:51:04', '');

-- ----------------------------
-- Table structure for large_sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_job_log`;
CREATE TABLE `large_sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 150 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_job_log
-- ----------------------------
INSERT INTO `large_sys_job_log` VALUES (1, '服务保障中心', 'DEFAULT', 'crontabTask.countActivityOrderData', '服务保障中心 总共耗时：13毫秒', '1', 'java.lang.NoSuchMethodException: com.project.zcustom.controller.crontab.PlatCrontabTaskController.countActivityOrderData()\r\n	at java.lang.Class.getMethod(Class.java:1814)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:52)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-10-23 15:43:21');
INSERT INTO `large_sys_job_log` VALUES (2, '服务保障中心', 'DEFAULT', 'crontabTask.countActivityOrderData', '服务保障中心 总共耗时：6毫秒', '1', 'java.lang.NoSuchMethodException: com.project.zcustom.controller.crontab.PlatCrontabTaskController.countActivityOrderData()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2277)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:52)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-10-29 18:25:04');
INSERT INTO `large_sys_job_log` VALUES (3, '服务保障中心', 'DEFAULT', 'crontabTask.countActivityOrderData', '服务保障中心 总共耗时：4毫秒', '1', 'java.lang.NoSuchMethodException: com.project.zcustom.controller.crontab.PlatCrontabTaskController.countActivityOrderData()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2277)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:52)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-10-29 18:58:38');
INSERT INTO `large_sys_job_log` VALUES (4, '服务保障中心', 'DEFAULT', 'crontabTask.countActivityOrderData', '服务保障中心 总共耗时：6毫秒', '1', 'java.lang.NoSuchMethodException: com.project.zcustom.controller.crontab.PlatCrontabTaskController.countActivityOrderData()\r\n	at java.base/java.lang.Class.getMethod(Class.java:2277)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:52)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-10-29 19:00:23');
INSERT INTO `large_sys_job_log` VALUES (5, '服务保障中心', 'DEFAULT', 'crontabTask.countActivityOrderData', '服务保障中心 总共耗时：5毫秒', '1', 'java.lang.NoSuchMethodException: com.project.zcustom.controller.crontab.PlatCrontabTaskController.countActivityOrderData()\r\n	at java.lang.Class.getMethod(Class.java:1814)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:52)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\n', '2024-10-31 18:50:09');
INSERT INTO `large_sys_job_log` VALUES (6, '服务保障中心', 'DEFAULT', 'crontabTask.serviceData', '服务保障中心 总共耗时：643毫秒', '0', '', '2024-10-31 18:51:13');
INSERT INTO `large_sys_job_log` VALUES (7, '服务保障中心', 'DEFAULT', 'crontabTask.serviceData', '服务保障中心 总共耗时：515毫秒', '0', '', '2024-10-31 18:51:24');
INSERT INTO `large_sys_job_log` VALUES (8, '服务保障中心', 'DEFAULT', 'crontabTask.serviceData', '服务保障中心 总共耗时：756毫秒', '0', '', '2024-10-31 18:59:19');
INSERT INTO `large_sys_job_log` VALUES (9, '服务保障中心', 'DEFAULT', 'crontabTask.serviceData', '服务保障中心 总共耗时：46283毫秒', '0', '', '2024-10-31 19:03:38');
INSERT INTO `large_sys_job_log` VALUES (10, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21037毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 14:27:35');
INSERT INTO `large_sys_job_log` VALUES (11, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21018毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 14:29:14');
INSERT INTO `large_sys_job_log` VALUES (12, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21011毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 14:39:14');
INSERT INTO `large_sys_job_log` VALUES (13, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 14:49:13');
INSERT INTO `large_sys_job_log` VALUES (14, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 14:59:14');
INSERT INTO `large_sys_job_log` VALUES (15, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 15:09:13');
INSERT INTO `large_sys_job_log` VALUES (16, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 15:19:13');
INSERT INTO `large_sys_job_log` VALUES (17, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21029毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 15:29:13');
INSERT INTO `large_sys_job_log` VALUES (18, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21019毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 15:39:13');
INSERT INTO `large_sys_job_log` VALUES (19, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21032毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 15:49:13');
INSERT INTO `large_sys_job_log` VALUES (20, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 15:59:13');
INSERT INTO `large_sys_job_log` VALUES (21, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 16:09:13');
INSERT INTO `large_sys_job_log` VALUES (22, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 16:19:13');
INSERT INTO `large_sys_job_log` VALUES (23, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 16:29:13');
INSERT INTO `large_sys_job_log` VALUES (24, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 16:39:13');
INSERT INTO `large_sys_job_log` VALUES (25, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21085毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 16:49:13');
INSERT INTO `large_sys_job_log` VALUES (26, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 16:59:13');
INSERT INTO `large_sys_job_log` VALUES (27, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 17:09:13');
INSERT INTO `large_sys_job_log` VALUES (28, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 17:19:13');
INSERT INTO `large_sys_job_log` VALUES (29, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21289毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 17:29:14');
INSERT INTO `large_sys_job_log` VALUES (30, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 17:39:13');
INSERT INTO `large_sys_job_log` VALUES (31, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21118毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 17:49:14');
INSERT INTO `large_sys_job_log` VALUES (32, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21012毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 17:59:13');
INSERT INTO `large_sys_job_log` VALUES (33, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21089毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 18:09:13');
INSERT INTO `large_sys_job_log` VALUES (34, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21060毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 18:29:13');
INSERT INTO `large_sys_job_log` VALUES (35, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21010毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 18:39:13');
INSERT INTO `large_sys_job_log` VALUES (36, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 18:49:13');
INSERT INTO `large_sys_job_log` VALUES (37, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 18:59:13');
INSERT INTO `large_sys_job_log` VALUES (38, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 19:09:13');
INSERT INTO `large_sys_job_log` VALUES (39, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21012毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 19:19:13');
INSERT INTO `large_sys_job_log` VALUES (40, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 19:29:13');
INSERT INTO `large_sys_job_log` VALUES (41, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21010毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 19:39:13');
INSERT INTO `large_sys_job_log` VALUES (42, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21010毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 19:49:13');
INSERT INTO `large_sys_job_log` VALUES (43, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 19:59:13');
INSERT INTO `large_sys_job_log` VALUES (44, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 20:09:13');
INSERT INTO `large_sys_job_log` VALUES (45, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 20:19:13');
INSERT INTO `large_sys_job_log` VALUES (46, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 20:29:13');
INSERT INTO `large_sys_job_log` VALUES (47, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 20:39:13');
INSERT INTO `large_sys_job_log` VALUES (48, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 20:49:13');
INSERT INTO `large_sys_job_log` VALUES (49, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21009毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-09 20:59:13');
INSERT INTO `large_sys_job_log` VALUES (50, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21012毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 21:09:13');
INSERT INTO `large_sys_job_log` VALUES (51, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21010毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 21:19:13');
INSERT INTO `large_sys_job_log` VALUES (52, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 21:29:13');
INSERT INTO `large_sys_job_log` VALUES (53, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21020毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 21:39:13');
INSERT INTO `large_sys_job_log` VALUES (54, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 21:49:13');
INSERT INTO `large_sys_job_log` VALUES (55, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 21:59:13');
INSERT INTO `large_sys_job_log` VALUES (56, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 22:09:13');
INSERT INTO `large_sys_job_log` VALUES (57, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 22:19:13');
INSERT INTO `large_sys_job_log` VALUES (58, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 22:29:13');
INSERT INTO `large_sys_job_log` VALUES (59, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 22:39:13');
INSERT INTO `large_sys_job_log` VALUES (60, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 22:49:13');
INSERT INTO `large_sys_job_log` VALUES (61, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 22:59:13');
INSERT INTO `large_sys_job_log` VALUES (62, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 23:09:13');
INSERT INTO `large_sys_job_log` VALUES (63, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21016毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 23:19:13');
INSERT INTO `large_sys_job_log` VALUES (64, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 23:29:13');
INSERT INTO `large_sys_job_log` VALUES (65, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 23:39:13');
INSERT INTO `large_sys_job_log` VALUES (66, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 23:49:13');
INSERT INTO `large_sys_job_log` VALUES (67, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21014毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-09 23:59:13');
INSERT INTO `large_sys_job_log` VALUES (68, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 00:09:13');
INSERT INTO `large_sys_job_log` VALUES (69, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 00:19:13');
INSERT INTO `large_sys_job_log` VALUES (70, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 00:29:13');
INSERT INTO `large_sys_job_log` VALUES (71, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 00:39:13');
INSERT INTO `large_sys_job_log` VALUES (72, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 00:49:13');
INSERT INTO `large_sys_job_log` VALUES (73, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21009毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 00:59:12');
INSERT INTO `large_sys_job_log` VALUES (74, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 01:09:12');
INSERT INTO `large_sys_job_log` VALUES (75, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 01:19:12');
INSERT INTO `large_sys_job_log` VALUES (76, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 01:29:12');
INSERT INTO `large_sys_job_log` VALUES (77, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 01:39:12');
INSERT INTO `large_sys_job_log` VALUES (78, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21009毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 01:49:12');
INSERT INTO `large_sys_job_log` VALUES (79, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21010毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 01:59:12');
INSERT INTO `large_sys_job_log` VALUES (80, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21002毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 02:09:12');
INSERT INTO `large_sys_job_log` VALUES (81, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21014毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 02:19:12');
INSERT INTO `large_sys_job_log` VALUES (82, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 02:29:12');
INSERT INTO `large_sys_job_log` VALUES (83, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 02:39:12');
INSERT INTO `large_sys_job_log` VALUES (84, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 02:49:12');
INSERT INTO `large_sys_job_log` VALUES (85, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 02:59:12');
INSERT INTO `large_sys_job_log` VALUES (86, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 03:09:12');
INSERT INTO `large_sys_job_log` VALUES (87, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 03:19:12');
INSERT INTO `large_sys_job_log` VALUES (88, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 03:29:12');
INSERT INTO `large_sys_job_log` VALUES (89, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 03:39:12');
INSERT INTO `large_sys_job_log` VALUES (90, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21010毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 03:49:12');
INSERT INTO `large_sys_job_log` VALUES (91, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 03:59:12');
INSERT INTO `large_sys_job_log` VALUES (92, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 04:09:12');
INSERT INTO `large_sys_job_log` VALUES (93, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 04:19:12');
INSERT INTO `large_sys_job_log` VALUES (94, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 04:29:12');
INSERT INTO `large_sys_job_log` VALUES (95, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21009毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 04:39:12');
INSERT INTO `large_sys_job_log` VALUES (96, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 04:49:12');
INSERT INTO `large_sys_job_log` VALUES (97, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 04:59:12');
INSERT INTO `large_sys_job_log` VALUES (98, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 05:09:12');
INSERT INTO `large_sys_job_log` VALUES (99, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 05:19:12');
INSERT INTO `large_sys_job_log` VALUES (100, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 05:29:12');
INSERT INTO `large_sys_job_log` VALUES (101, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 05:39:12');
INSERT INTO `large_sys_job_log` VALUES (102, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 05:49:12');
INSERT INTO `large_sys_job_log` VALUES (103, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21009毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 05:59:12');
INSERT INTO `large_sys_job_log` VALUES (104, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21012毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 06:09:12');
INSERT INTO `large_sys_job_log` VALUES (105, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 06:19:12');
INSERT INTO `large_sys_job_log` VALUES (106, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 06:29:12');
INSERT INTO `large_sys_job_log` VALUES (107, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 06:39:12');
INSERT INTO `large_sys_job_log` VALUES (108, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 06:49:12');
INSERT INTO `large_sys_job_log` VALUES (109, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 06:59:12');
INSERT INTO `large_sys_job_log` VALUES (110, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21003毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 07:09:12');
INSERT INTO `large_sys_job_log` VALUES (111, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 07:19:12');
INSERT INTO `large_sys_job_log` VALUES (112, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 07:29:12');
INSERT INTO `large_sys_job_log` VALUES (113, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21020毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 07:39:12');
INSERT INTO `large_sys_job_log` VALUES (114, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 07:49:12');
INSERT INTO `large_sys_job_log` VALUES (115, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 07:59:12');
INSERT INTO `large_sys_job_log` VALUES (116, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21003毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 08:09:12');
INSERT INTO `large_sys_job_log` VALUES (117, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 08:19:12');
INSERT INTO `large_sys_job_log` VALUES (118, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor438.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 08:29:12');
INSERT INTO `large_sys_job_log` VALUES (119, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21092毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 08:39:12');
INSERT INTO `large_sys_job_log` VALUES (120, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 08:49:12');
INSERT INTO `large_sys_job_log` VALUES (121, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 08:59:12');
INSERT INTO `large_sys_job_log` VALUES (122, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21014毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 09:09:12');
INSERT INTO `large_sys_job_log` VALUES (123, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21003毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 09:19:12');
INSERT INTO `large_sys_job_log` VALUES (124, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21249毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 09:29:12');
INSERT INTO `large_sys_job_log` VALUES (125, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21011毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 09:39:12');
INSERT INTO `large_sys_job_log` VALUES (126, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21217毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 09:49:12');
INSERT INTO `large_sys_job_log` VALUES (127, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 09:59:12');
INSERT INTO `large_sys_job_log` VALUES (128, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 10:09:12');
INSERT INTO `large_sys_job_log` VALUES (129, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 10:19:12');
INSERT INTO `large_sys_job_log` VALUES (130, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 10:29:12');
INSERT INTO `large_sys_job_log` VALUES (131, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 10:39:12');
INSERT INTO `large_sys_job_log` VALUES (132, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21009毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 10:49:12');
INSERT INTO `large_sys_job_log` VALUES (133, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 10:59:12');
INSERT INTO `large_sys_job_log` VALUES (134, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 10 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.Sock', '2024-11-10 11:09:11');
INSERT INTO `large_sys_job_log` VALUES (135, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21025毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 11:19:11');
INSERT INTO `large_sys_job_log` VALUES (136, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 11:29:11');
INSERT INTO `large_sys_job_log` VALUES (137, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 11:39:11');
INSERT INTO `large_sys_job_log` VALUES (138, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21008毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 11:49:11');
INSERT INTO `large_sys_job_log` VALUES (139, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 11:59:11');
INSERT INTO `large_sys_job_log` VALUES (140, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 12:09:11');
INSERT INTO `large_sys_job_log` VALUES (141, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 12:19:11');
INSERT INTO `large_sys_job_log` VALUES (142, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 12:29:11');
INSERT INTO `large_sys_job_log` VALUES (143, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21004毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 12:39:12');
INSERT INTO `large_sys_job_log` VALUES (144, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21006毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 12:49:11');
INSERT INTO `large_sys_job_log` VALUES (145, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 12:59:11');
INSERT INTO `large_sys_job_log` VALUES (146, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21005毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 13:09:11');
INSERT INTO `large_sys_job_log` VALUES (147, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21009毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 13:19:11');
INSERT INTO `large_sys_job_log` VALUES (148, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21007毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 13:29:11');
INSERT INTO `large_sys_job_log` VALUES (149, '摄像头关流', 'DEFAULT', 'crontabTask.doWork', '摄像头关流 总共耗时：21003毫秒', '1', 'java.lang.reflect.InvocationTargetException\r\n	at sun.reflect.GeneratedMethodAccessor486.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:53)\r\n	at com.project.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:31)\r\n	at com.project.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:16)\r\n	at com.project.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:40)\r\n	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)\r\n	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)\r\nCaused by: org.springframework.web.client.ResourceAccessException: I/O error on GET request for \"http://25.39.67.168:10611/statjson\": Connection timed out: connect; nested exception is java.net.ConnectException: Connection timed out: connect\r\n	at org.springframework.web.client.RestTemplate.doExecute(RestTemplate.java:785)\r\n	at org.springframework.web.client.RestTemplate.execute(RestTemplate.java:711)\r\n	at org.springframework.web.client.RestTemplate.exchange(RestTemplate.java:602)\r\n	at com.project.zcustom.controller.crontab.PlatCrontabTaskController.doWork(PlatCrontabTaskController.java:114)\r\n	... 9 more\r\nCaused by: java.net.ConnectException: Connection timed out: connect\r\n	at java.net.DualStackPlainSocketImpl.connect0(Native Method)\r\n	at java.net.DualStackPlainSocketImpl.socketConnect(DualStackPlainSocketImpl.java:79)\r\n	at java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:350)\r\n	at java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:206)\r\n	at java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:188)\r\n	at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:172)\r\n	at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:392)\r\n	at java.net.Socket.connect(Socket.', '2024-11-10 13:39:11');

-- ----------------------------
-- Table structure for large_sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_logininfor`;
CREATE TABLE `large_sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 246 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_logininfor
-- ----------------------------
INSERT INTO `large_sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-08-31 10:16:14');
INSERT INTO `large_sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '验证码错误', '2022-08-31 11:32:05');
INSERT INTO `large_sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-08-31 11:32:09');
INSERT INTO `large_sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-09-01 10:45:36');
INSERT INTO `large_sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-09-01 14:11:35');
INSERT INTO `large_sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-09-01 15:29:39');
INSERT INTO `large_sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '退出成功', '2022-09-01 17:13:19');
INSERT INTO `large_sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '验证码已失效', '2022-09-01 17:15:36');
INSERT INTO `large_sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '验证码错误', '2022-09-01 17:15:39');
INSERT INTO `large_sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-09-01 17:15:43');
INSERT INTO `large_sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-09-02 14:53:19');
INSERT INTO `large_sys_logininfor` VALUES (111, '18300000000', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '登录用户：18300000000 不存在', '2022-09-02 15:51:03');
INSERT INTO `large_sys_logininfor` VALUES (112, '18300000000', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '登录用户：18300000000 不存在', '2022-09-02 15:52:40');
INSERT INTO `large_sys_logininfor` VALUES (113, '18300000000', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '登录用户：18300000000 不存在', '2022-09-02 15:53:44');
INSERT INTO `large_sys_logininfor` VALUES (114, '18300000000', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '登录用户：18300000000 不存在', '2022-09-02 15:54:10');
INSERT INTO `large_sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '用户不存在/密码错误', '2022-09-02 15:54:22');
INSERT INTO `large_sys_logininfor` VALUES (116, 'admin', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '密码输入错误1次', '2022-09-02 15:54:22');
INSERT INTO `large_sys_logininfor` VALUES (117, 'admin', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '用户不存在/密码错误', '2022-09-02 15:54:31');
INSERT INTO `large_sys_logininfor` VALUES (118, 'admin', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '密码输入错误2次', '2022-09-02 15:54:31');
INSERT INTO `large_sys_logininfor` VALUES (119, 'ry', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '用户不存在/密码错误', '2022-09-02 15:54:42');
INSERT INTO `large_sys_logininfor` VALUES (120, 'ry', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '密码输入错误1次', '2022-09-02 15:54:42');
INSERT INTO `large_sys_logininfor` VALUES (121, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误3次', '2022-09-02 15:54:56');
INSERT INTO `large_sys_logininfor` VALUES (122, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:54:56');
INSERT INTO `large_sys_logininfor` VALUES (123, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误4次', '2022-09-02 15:55:02');
INSERT INTO `large_sys_logininfor` VALUES (124, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:55:02');
INSERT INTO `large_sys_logininfor` VALUES (125, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误5次', '2022-09-02 15:55:08');
INSERT INTO `large_sys_logininfor` VALUES (126, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:55:08');
INSERT INTO `large_sys_logininfor` VALUES (127, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2022-09-02 15:55:33');
INSERT INTO `large_sys_logininfor` VALUES (128, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误5次，帐户锁定10分钟', '2022-09-02 15:55:33');
INSERT INTO `large_sys_logininfor` VALUES (129, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误6次', '2022-09-02 15:56:35');
INSERT INTO `large_sys_logininfor` VALUES (130, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:56:35');
INSERT INTO `large_sys_logininfor` VALUES (131, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误7次', '2022-09-02 15:56:38');
INSERT INTO `large_sys_logininfor` VALUES (132, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:56:38');
INSERT INTO `large_sys_logininfor` VALUES (133, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误8次', '2022-09-02 15:56:45');
INSERT INTO `large_sys_logininfor` VALUES (134, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:56:45');
INSERT INTO `large_sys_logininfor` VALUES (135, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误1次', '2022-09-02 15:58:44');
INSERT INTO `large_sys_logininfor` VALUES (136, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:58:44');
INSERT INTO `large_sys_logininfor` VALUES (137, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:58:50');
INSERT INTO `large_sys_logininfor` VALUES (138, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误2次', '2022-09-02 15:58:50');
INSERT INTO `large_sys_logininfor` VALUES (139, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '密码输入错误3次', '2022-09-02 15:59:36');
INSERT INTO `large_sys_logininfor` VALUES (140, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2022-09-02 15:59:42');
INSERT INTO `large_sys_logininfor` VALUES (141, 'admin', '127.0.0.1', '内网IP', 'Chrome 10', 'Windows 10', '0', '登录成功', '2022-09-02 16:01:33');
INSERT INTO `large_sys_logininfor` VALUES (142, 'admin', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '用户不存在/密码错误', '2022-09-02 16:03:11');
INSERT INTO `large_sys_logininfor` VALUES (143, 'admin', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '1', '密码输入错误1次', '2022-09-02 16:03:11');
INSERT INTO `large_sys_logininfor` VALUES (144, 'admin', '127.0.0.1', '内网IP', 'Mobile Safari', 'Mac OS X (iPhone)', '0', '登录成功', '2022-09-02 16:03:16');
INSERT INTO `large_sys_logininfor` VALUES (145, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-05-16 18:37:26');
INSERT INTO `large_sys_logininfor` VALUES (146, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-16 18:37:26');
INSERT INTO `large_sys_logininfor` VALUES (147, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-05-16 18:37:32');
INSERT INTO `large_sys_logininfor` VALUES (148, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-05-16 18:37:35');
INSERT INTO `large_sys_logininfor` VALUES (149, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-16 18:37:35');
INSERT INTO `large_sys_logininfor` VALUES (150, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-05-16 18:38:49');
INSERT INTO `large_sys_logininfor` VALUES (151, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误3次', '2024-05-16 18:38:54');
INSERT INTO `large_sys_logininfor` VALUES (152, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-16 18:38:54');
INSERT INTO `large_sys_logininfor` VALUES (153, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误4次', '2024-05-16 18:39:06');
INSERT INTO `large_sys_logininfor` VALUES (154, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-16 18:39:06');
INSERT INTO `large_sys_logininfor` VALUES (155, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-05-16 18:39:33');
INSERT INTO `large_sys_logininfor` VALUES (156, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-16 18:39:36');
INSERT INTO `large_sys_logininfor` VALUES (157, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-17 18:51:57');
INSERT INTO `large_sys_logininfor` VALUES (158, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 11:22:38');
INSERT INTO `large_sys_logininfor` VALUES (159, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-05-18 11:24:02');
INSERT INTO `large_sys_logininfor` VALUES (160, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-18 11:24:02');
INSERT INTO `large_sys_logininfor` VALUES (161, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-05-18 11:24:08');
INSERT INTO `large_sys_logininfor` VALUES (162, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 11:24:14');
INSERT INTO `large_sys_logininfor` VALUES (163, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 11:25:51');
INSERT INTO `large_sys_logininfor` VALUES (164, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 11:37:44');
INSERT INTO `large_sys_logininfor` VALUES (165, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 11:46:45');
INSERT INTO `large_sys_logininfor` VALUES (166, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码已失效', '2024-05-18 13:38:03');
INSERT INTO `large_sys_logininfor` VALUES (167, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 13:38:15');
INSERT INTO `large_sys_logininfor` VALUES (168, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 14:47:23');
INSERT INTO `large_sys_logininfor` VALUES (169, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 16:05:43');
INSERT INTO `large_sys_logininfor` VALUES (170, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-18 19:06:09');
INSERT INTO `large_sys_logininfor` VALUES (171, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-21 13:42:16');
INSERT INTO `large_sys_logininfor` VALUES (172, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-06-18 13:15:11');
INSERT INTO `large_sys_logininfor` VALUES (173, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-06-18 14:52:07');
INSERT INTO `large_sys_logininfor` VALUES (174, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-06-18 15:55:54');
INSERT INTO `large_sys_logininfor` VALUES (175, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-06-19 10:09:57');
INSERT INTO `large_sys_logininfor` VALUES (176, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '登录用户：deve 不存在', '2024-10-10 09:51:47');
INSERT INTO `large_sys_logininfor` VALUES (177, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-10 09:51:55');
INSERT INTO `large_sys_logininfor` VALUES (178, 'admin', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-10-10 10:01:56');
INSERT INTO `large_sys_logininfor` VALUES (179, 'admin', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-10-10 10:01:56');
INSERT INTO `large_sys_logininfor` VALUES (180, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '登录用户：deve 不存在', '2024-10-18 09:21:00');
INSERT INTO `large_sys_logininfor` VALUES (181, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-10-18 09:21:12');
INSERT INTO `large_sys_logininfor` VALUES (182, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-18 09:21:15');
INSERT INTO `large_sys_logininfor` VALUES (183, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-18 09:54:17');
INSERT INTO `large_sys_logininfor` VALUES (184, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-10-18 09:55:38');
INSERT INTO `large_sys_logininfor` VALUES (185, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-18 09:55:46');
INSERT INTO `large_sys_logininfor` VALUES (186, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-21 09:51:58');
INSERT INTO `large_sys_logininfor` VALUES (187, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-10-21 15:03:43');
INSERT INTO `large_sys_logininfor` VALUES (188, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-10-21 15:03:43');
INSERT INTO `large_sys_logininfor` VALUES (189, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '密码输入错误1次', '2024-10-22 21:54:43');
INSERT INTO `large_sys_logininfor` VALUES (190, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '用户不存在/密码错误', '2024-10-22 21:54:43');
INSERT INTO `large_sys_logininfor` VALUES (191, 'deve', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-10-22 21:54:57');
INSERT INTO `large_sys_logininfor` VALUES (192, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-23 15:12:56');
INSERT INTO `large_sys_logininfor` VALUES (193, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-25 15:18:50');
INSERT INTO `large_sys_logininfor` VALUES (194, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-26 10:13:47');
INSERT INTO `large_sys_logininfor` VALUES (195, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-26 16:50:04');
INSERT INTO `large_sys_logininfor` VALUES (196, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-28 10:11:17');
INSERT INTO `large_sys_logininfor` VALUES (197, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-28 10:51:32');
INSERT INTO `large_sys_logininfor` VALUES (198, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-10-28 13:19:35');
INSERT INTO `large_sys_logininfor` VALUES (199, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-28 13:19:39');
INSERT INTO `large_sys_logininfor` VALUES (200, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-28 15:00:57');
INSERT INTO `large_sys_logininfor` VALUES (201, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-28 15:45:07');
INSERT INTO `large_sys_logininfor` VALUES (202, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-28 15:47:29');
INSERT INTO `large_sys_logininfor` VALUES (203, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-10-29 08:38:51');
INSERT INTO `large_sys_logininfor` VALUES (204, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-29 08:38:54');
INSERT INTO `large_sys_logininfor` VALUES (205, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-29 08:40:24');
INSERT INTO `large_sys_logininfor` VALUES (206, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-29 08:41:14');
INSERT INTO `large_sys_logininfor` VALUES (207, 'admin', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-10-29 18:24:34');
INSERT INTO `large_sys_logininfor` VALUES (208, 'admin', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-10-29 18:24:34');
INSERT INTO `large_sys_logininfor` VALUES (209, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-10-29 18:24:43');
INSERT INTO `large_sys_logininfor` VALUES (210, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-29 18:24:46');
INSERT INTO `large_sys_logininfor` VALUES (211, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-29 18:58:30');
INSERT INTO `large_sys_logininfor` VALUES (212, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-29 19:00:10');
INSERT INTO `large_sys_logininfor` VALUES (213, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-30 13:34:07');
INSERT INTO `large_sys_logininfor` VALUES (214, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-10-31 09:47:22');
INSERT INTO `large_sys_logininfor` VALUES (215, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-10-31 09:47:22');
INSERT INTO `large_sys_logininfor` VALUES (216, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-10-31 09:47:25');
INSERT INTO `large_sys_logininfor` VALUES (217, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-10-31 09:47:25');
INSERT INTO `large_sys_logininfor` VALUES (218, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-10-31 09:47:36');
INSERT INTO `large_sys_logininfor` VALUES (219, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误3次', '2024-10-31 09:47:36');
INSERT INTO `large_sys_logininfor` VALUES (220, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-31 09:47:47');
INSERT INTO `large_sys_logininfor` VALUES (221, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-31 16:52:03');
INSERT INTO `large_sys_logininfor` VALUES (222, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-10-31 17:38:11');
INSERT INTO `large_sys_logininfor` VALUES (223, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-31 17:38:15');
INSERT INTO `large_sys_logininfor` VALUES (224, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-31 18:49:58');
INSERT INTO `large_sys_logininfor` VALUES (225, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-31 18:59:10');
INSERT INTO `large_sys_logininfor` VALUES (226, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-10-31 19:02:44');
INSERT INTO `large_sys_logininfor` VALUES (227, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-01 14:15:58');
INSERT INTO `large_sys_logininfor` VALUES (228, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-01 15:41:07');
INSERT INTO `large_sys_logininfor` VALUES (229, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-01 16:41:22');
INSERT INTO `large_sys_logininfor` VALUES (230, 'admin', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-11-07 14:56:15');
INSERT INTO `large_sys_logininfor` VALUES (231, 'admin', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-11-07 14:56:15');
INSERT INTO `large_sys_logininfor` VALUES (232, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-11-07 14:56:21');
INSERT INTO `large_sys_logininfor` VALUES (233, 'deve', '192.168.1.189', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-07 14:56:27');
INSERT INTO `large_sys_logininfor` VALUES (234, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-08 09:52:36');
INSERT INTO `large_sys_logininfor` VALUES (235, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-08 09:53:56');
INSERT INTO `large_sys_logininfor` VALUES (236, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-11-08 20:30:10');
INSERT INTO `large_sys_logininfor` VALUES (237, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-08 20:30:14');
INSERT INTO `large_sys_logininfor` VALUES (238, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-08 20:56:16');
INSERT INTO `large_sys_logininfor` VALUES (239, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-09 14:02:02');
INSERT INTO `large_sys_logininfor` VALUES (240, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-09 14:24:24');
INSERT INTO `large_sys_logininfor` VALUES (241, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-10 13:50:46');
INSERT INTO `large_sys_logininfor` VALUES (242, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-11 17:26:37');
INSERT INTO `large_sys_logininfor` VALUES (243, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-12 00:07:16');
INSERT INTO `large_sys_logininfor` VALUES (244, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2024-11-12 00:18:07');
INSERT INTO `large_sys_logininfor` VALUES (245, 'deve', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-11-12 00:19:18');

-- ----------------------------
-- Table structure for large_sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_menu`;
CREATE TABLE `large_sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(11) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(11) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(11) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1076 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_menu
-- ----------------------------
INSERT INTO `large_sys_menu` VALUES (1, '系统管理', 0, 1, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2022-08-31 09:55:09', '', NULL, '系统管理目录');
INSERT INTO `large_sys_menu` VALUES (2, '系统监控', 0, 2, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2022-08-31 09:55:09', '', NULL, '系统监控目录');
INSERT INTO `large_sys_menu` VALUES (3, '系统工具', 0, 3, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2022-08-31 09:55:09', '', NULL, '系统工具目录');
INSERT INTO `large_sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2022-08-31 09:55:09', '', NULL, '用户管理菜单');
INSERT INTO `large_sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2022-08-31 09:55:09', '', NULL, '角色管理菜单');
INSERT INTO `large_sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2022-08-31 09:55:09', '', NULL, '菜单管理菜单');
INSERT INTO `large_sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2022-08-31 09:55:09', '', NULL, '字典管理菜单');
INSERT INTO `large_sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2022-08-31 09:55:09', '', NULL, '参数设置菜单');
INSERT INTO `large_sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2022-08-31 09:55:09', '', NULL, '通知公告菜单');
INSERT INTO `large_sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2022-08-31 09:55:09', '', NULL, '日志管理菜单');
INSERT INTO `large_sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2022-08-31 09:55:09', '', NULL, '在线用户菜单');
INSERT INTO `large_sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2022-08-31 09:55:09', '', NULL, '定时任务菜单');
INSERT INTO `large_sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2022-08-31 09:55:09', '', NULL, '数据监控菜单');
INSERT INTO `large_sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2022-08-31 09:55:09', '', NULL, '服务监控菜单');
INSERT INTO `large_sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2022-08-31 09:55:10', '', NULL, '表单构建菜单');
INSERT INTO `large_sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2022-08-31 09:55:10', '', NULL, '代码生成菜单');
INSERT INTO `large_sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2022-08-31 09:55:10', '', NULL, '系统接口菜单');
INSERT INTO `large_sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2022-08-31 09:55:10', '', NULL, '操作日志菜单');
INSERT INTO `large_sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2022-08-31 09:55:10', '', NULL, '登录日志菜单');
INSERT INTO `large_sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2022-08-31 09:55:10', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1068, '平台配置', 3, 1, 'config', 'zcustom/config/index', NULL, 1, 0, 'C', '0', '0', 'zcustom:config:list', '#', 'admin', '2024-05-18 18:09:40', '', NULL, '平台配置菜单');
INSERT INTO `large_sys_menu` VALUES (1069, '平台配置查询', 1068, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'zcustom:config:query', '#', 'admin', '2024-05-18 18:09:40', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1070, '平台配置新增', 1068, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'zcustom:config:add', '#', 'admin', '2024-05-18 18:09:40', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1071, '平台配置修改', 1068, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'zcustom:config:edit', '#', 'admin', '2024-05-18 18:09:40', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1072, '平台配置删除', 1068, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'zcustom:config:remove', '#', 'admin', '2024-05-18 18:09:40', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1073, '平台配置导出', 1068, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'zcustom:config:export', '#', 'admin', '2024-05-18 18:09:40', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1074, '数据大屏', 0, 1, 'screen', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'chart', 'admin', '2024-10-10 09:52:33', '', NULL, '');
INSERT INTO `large_sys_menu` VALUES (1075, '数据大屏', 1074, 1, 'http://192.168.1.189:9529/admin/screen/index', '', NULL, 1, 0, 'C', '0', '0', 'zcustom:screen:index', 'druid', 'admin', '2024-10-10 09:53:51', 'admin', '2024-10-10 10:01:42', '');

-- ----------------------------
-- Table structure for large_sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_notice`;
CREATE TABLE `large_sys_notice`  (
  `notice_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_notice
-- ----------------------------

-- ----------------------------
-- Table structure for large_sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_oper_log`;
CREATE TABLE `large_sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(11) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(11) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(11) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 293 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_oper_log
-- ----------------------------
INSERT INTO `large_sys_oper_log` VALUES (1, '定时任务', 2, 'com.project.quartz.controller.SysJobController.run()', 'POST', 1, 'deve', '/monitor/job/run', '192.168.1.189', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-29 18:58:38');
INSERT INTO `large_sys_oper_log` VALUES (2, '定时任务', 2, 'com.project.quartz.controller.SysJobController.run()', 'POST', 1, 'deve', '/monitor/job/run', '192.168.1.189', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-29 19:00:23');
INSERT INTO `large_sys_oper_log` VALUES (3, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '192.168.1.189', '内网IP', '\"plat_employee_type\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-30 13:34:32');
INSERT INTO `large_sys_oper_log` VALUES (4, '代码生成', 3, 'com.project.generator.controller.GenController.remove()', 'GET', 1, 'deve', '/tool/gen/remove/19,20,21,22,23,24,25', '192.168.1.189', '内网IP', '{tableIds=19,20,21,22,23,24,25}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 09:48:18');
INSERT INTO `large_sys_oper_log` VALUES (5, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '192.168.1.189', '内网IP', '\"plat_green_smart_energy,plat_green_smart_other,plat_green_smart_rank,plat_green_smart_safety,plat_green_smart\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 09:49:26');
INSERT INTO `large_sys_oper_log` VALUES (6, '代码生成', 8, 'com.project.generator.controller.GenController.batchGenCode()', 'GET', 1, 'deve', '/tool/gen/batchGenCode', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 09:49:37');
INSERT INTO `large_sys_oper_log` VALUES (7, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '192.168.1.189', '内网IP', '\"plat_access\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 16:52:36');
INSERT INTO `large_sys_oper_log` VALUES (8, '代码生成', 8, 'com.project.generator.controller.GenController.batchGenCode()', 'GET', 1, 'deve', '/tool/gen/batchGenCode', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 16:52:41');
INSERT INTO `large_sys_oper_log` VALUES (9, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '192.168.1.189', '内网IP', '\"plat_api_record\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 17:40:37');
INSERT INTO `large_sys_oper_log` VALUES (10, '代码生成', 8, 'com.project.generator.controller.GenController.batchGenCode()', 'GET', 1, 'deve', '/tool/gen/batchGenCode', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 17:40:54');
INSERT INTO `large_sys_oper_log` VALUES (11, '定时任务', 2, 'com.project.quartz.controller.SysJobController.run()', 'POST', 1, 'deve', '/monitor/job/run', '192.168.1.189', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 18:50:09');
INSERT INTO `large_sys_oper_log` VALUES (12, '定时任务', 2, 'com.project.quartz.controller.SysJobController.edit()', 'POST', 1, 'deve', '/monitor/job/edit', '192.168.1.189', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"deve\",\"createTime\":\"2024-10-23 15:21:19\",\"cronExpression\":\"0 1/10 * * * ?\",\"invokeTarget\":\"crontabTask.serviceData\",\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"jobName\":\"服务保障中心\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-10-31 19:21:00\",\"params\":{},\"remark\":\"\",\"status\":\"1\",\"updateBy\":\"deve\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 18:51:05');
INSERT INTO `large_sys_oper_log` VALUES (13, '定时任务', 2, 'com.project.quartz.controller.SysJobController.run()', 'POST', 1, 'deve', '/monitor/job/run', '192.168.1.189', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 18:51:12');
INSERT INTO `large_sys_oper_log` VALUES (14, '定时任务', 2, 'com.project.quartz.controller.SysJobController.run()', 'POST', 1, 'deve', '/monitor/job/run', '192.168.1.189', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 18:51:24');
INSERT INTO `large_sys_oper_log` VALUES (15, '定时任务', 2, 'com.project.quartz.controller.SysJobController.run()', 'POST', 1, 'deve', '/monitor/job/run', '192.168.1.189', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 18:59:18');
INSERT INTO `large_sys_oper_log` VALUES (16, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 18:59:59');
INSERT INTO `large_sys_oper_log` VALUES (17, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 19:00:02');
INSERT INTO `large_sys_oper_log` VALUES (18, '定时任务', 2, 'com.project.quartz.controller.SysJobController.run()', 'POST', 1, 'deve', '/monitor/job/run', '192.168.1.189', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":4,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-10-31 19:02:51');
INSERT INTO `large_sys_oper_log` VALUES (19, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:55');
INSERT INTO `large_sys_oper_log` VALUES (20, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:55');
INSERT INTO `large_sys_oper_log` VALUES (21, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:56');
INSERT INTO `large_sys_oper_log` VALUES (22, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:56');
INSERT INTO `large_sys_oper_log` VALUES (23, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:57');
INSERT INTO `large_sys_oper_log` VALUES (24, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:57');
INSERT INTO `large_sys_oper_log` VALUES (25, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:57');
INSERT INTO `large_sys_oper_log` VALUES (26, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:58');
INSERT INTO `large_sys_oper_log` VALUES (27, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:58');
INSERT INTO `large_sys_oper_log` VALUES (28, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:59');
INSERT INTO `large_sys_oper_log` VALUES (29, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:59');
INSERT INTO `large_sys_oper_log` VALUES (30, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:00:59');
INSERT INTO `large_sys_oper_log` VALUES (31, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:00');
INSERT INTO `large_sys_oper_log` VALUES (32, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:00');
INSERT INTO `large_sys_oper_log` VALUES (33, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:00');
INSERT INTO `large_sys_oper_log` VALUES (34, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:01');
INSERT INTO `large_sys_oper_log` VALUES (35, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:01');
INSERT INTO `large_sys_oper_log` VALUES (36, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:01');
INSERT INTO `large_sys_oper_log` VALUES (37, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:02');
INSERT INTO `large_sys_oper_log` VALUES (38, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:02');
INSERT INTO `large_sys_oper_log` VALUES (39, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:02');
INSERT INTO `large_sys_oper_log` VALUES (40, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:03');
INSERT INTO `large_sys_oper_log` VALUES (41, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:03');
INSERT INTO `large_sys_oper_log` VALUES (42, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:04');
INSERT INTO `large_sys_oper_log` VALUES (43, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:04');
INSERT INTO `large_sys_oper_log` VALUES (44, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:04');
INSERT INTO `large_sys_oper_log` VALUES (45, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:05');
INSERT INTO `large_sys_oper_log` VALUES (46, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:06');
INSERT INTO `large_sys_oper_log` VALUES (47, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:06');
INSERT INTO `large_sys_oper_log` VALUES (48, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:06');
INSERT INTO `large_sys_oper_log` VALUES (49, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:07');
INSERT INTO `large_sys_oper_log` VALUES (50, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:07');
INSERT INTO `large_sys_oper_log` VALUES (51, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:07');
INSERT INTO `large_sys_oper_log` VALUES (52, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:08');
INSERT INTO `large_sys_oper_log` VALUES (53, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:08');
INSERT INTO `large_sys_oper_log` VALUES (54, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:09');
INSERT INTO `large_sys_oper_log` VALUES (55, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:09');
INSERT INTO `large_sys_oper_log` VALUES (56, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:09');
INSERT INTO `large_sys_oper_log` VALUES (57, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:10');
INSERT INTO `large_sys_oper_log` VALUES (58, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:10');
INSERT INTO `large_sys_oper_log` VALUES (59, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:10');
INSERT INTO `large_sys_oper_log` VALUES (60, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:11');
INSERT INTO `large_sys_oper_log` VALUES (61, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:11');
INSERT INTO `large_sys_oper_log` VALUES (62, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:12');
INSERT INTO `large_sys_oper_log` VALUES (63, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:12');
INSERT INTO `large_sys_oper_log` VALUES (64, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:12');
INSERT INTO `large_sys_oper_log` VALUES (65, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:13');
INSERT INTO `large_sys_oper_log` VALUES (66, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:13');
INSERT INTO `large_sys_oper_log` VALUES (67, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:13');
INSERT INTO `large_sys_oper_log` VALUES (68, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:14');
INSERT INTO `large_sys_oper_log` VALUES (69, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:14');
INSERT INTO `large_sys_oper_log` VALUES (70, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:14');
INSERT INTO `large_sys_oper_log` VALUES (71, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:15');
INSERT INTO `large_sys_oper_log` VALUES (72, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:15');
INSERT INTO `large_sys_oper_log` VALUES (73, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:15');
INSERT INTO `large_sys_oper_log` VALUES (74, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:16');
INSERT INTO `large_sys_oper_log` VALUES (75, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:16');
INSERT INTO `large_sys_oper_log` VALUES (76, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:17');
INSERT INTO `large_sys_oper_log` VALUES (77, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:17');
INSERT INTO `large_sys_oper_log` VALUES (78, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:17');
INSERT INTO `large_sys_oper_log` VALUES (79, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:18');
INSERT INTO `large_sys_oper_log` VALUES (80, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:18');
INSERT INTO `large_sys_oper_log` VALUES (81, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:18');
INSERT INTO `large_sys_oper_log` VALUES (82, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:19');
INSERT INTO `large_sys_oper_log` VALUES (83, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:19');
INSERT INTO `large_sys_oper_log` VALUES (84, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:19');
INSERT INTO `large_sys_oper_log` VALUES (85, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:20');
INSERT INTO `large_sys_oper_log` VALUES (86, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:20');
INSERT INTO `large_sys_oper_log` VALUES (87, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:20');
INSERT INTO `large_sys_oper_log` VALUES (88, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:21');
INSERT INTO `large_sys_oper_log` VALUES (89, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:21');
INSERT INTO `large_sys_oper_log` VALUES (90, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:21');
INSERT INTO `large_sys_oper_log` VALUES (91, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:22');
INSERT INTO `large_sys_oper_log` VALUES (92, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:22');
INSERT INTO `large_sys_oper_log` VALUES (93, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:22');
INSERT INTO `large_sys_oper_log` VALUES (94, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:23');
INSERT INTO `large_sys_oper_log` VALUES (95, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:23');
INSERT INTO `large_sys_oper_log` VALUES (96, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:24');
INSERT INTO `large_sys_oper_log` VALUES (97, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:24');
INSERT INTO `large_sys_oper_log` VALUES (98, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:24');
INSERT INTO `large_sys_oper_log` VALUES (99, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:25');
INSERT INTO `large_sys_oper_log` VALUES (100, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:25');
INSERT INTO `large_sys_oper_log` VALUES (101, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:26');
INSERT INTO `large_sys_oper_log` VALUES (102, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:26');
INSERT INTO `large_sys_oper_log` VALUES (103, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:26');
INSERT INTO `large_sys_oper_log` VALUES (104, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:27');
INSERT INTO `large_sys_oper_log` VALUES (105, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:27');
INSERT INTO `large_sys_oper_log` VALUES (106, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:27');
INSERT INTO `large_sys_oper_log` VALUES (107, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:28');
INSERT INTO `large_sys_oper_log` VALUES (108, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:28');
INSERT INTO `large_sys_oper_log` VALUES (109, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:28');
INSERT INTO `large_sys_oper_log` VALUES (110, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:29');
INSERT INTO `large_sys_oper_log` VALUES (111, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:29');
INSERT INTO `large_sys_oper_log` VALUES (112, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:29');
INSERT INTO `large_sys_oper_log` VALUES (113, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:30');
INSERT INTO `large_sys_oper_log` VALUES (114, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:30');
INSERT INTO `large_sys_oper_log` VALUES (115, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:30');
INSERT INTO `large_sys_oper_log` VALUES (116, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:31');
INSERT INTO `large_sys_oper_log` VALUES (117, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:31');
INSERT INTO `large_sys_oper_log` VALUES (118, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:31');
INSERT INTO `large_sys_oper_log` VALUES (119, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:32');
INSERT INTO `large_sys_oper_log` VALUES (120, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:32');
INSERT INTO `large_sys_oper_log` VALUES (121, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:33');
INSERT INTO `large_sys_oper_log` VALUES (122, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:33');
INSERT INTO `large_sys_oper_log` VALUES (123, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:33');
INSERT INTO `large_sys_oper_log` VALUES (124, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:34');
INSERT INTO `large_sys_oper_log` VALUES (125, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:36');
INSERT INTO `large_sys_oper_log` VALUES (126, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:38');
INSERT INTO `large_sys_oper_log` VALUES (127, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:40');
INSERT INTO `large_sys_oper_log` VALUES (128, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:44');
INSERT INTO `large_sys_oper_log` VALUES (129, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:44');
INSERT INTO `large_sys_oper_log` VALUES (130, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:45');
INSERT INTO `large_sys_oper_log` VALUES (131, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:45');
INSERT INTO `large_sys_oper_log` VALUES (132, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:45');
INSERT INTO `large_sys_oper_log` VALUES (133, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-10-31 20:01:46');
INSERT INTO `large_sys_oper_log` VALUES (134, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/sxgw/basics/testApi', '127.0.0.1', '内网IP', '{}', NULL, 1, '接口请求失败：', '2024-11-01 09:06:02');
INSERT INTO `large_sys_oper_log` VALUES (135, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '192.168.1.189', '内网IP', '\"plat_build_params,plat_build_year_trend\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-01 15:41:18');
INSERT INTO `large_sys_oper_log` VALUES (136, '代码生成', 8, 'com.project.generator.controller.GenController.batchGenCode()', 'GET', 1, 'deve', '/tool/gen/batchGenCode', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-01 15:41:28');
INSERT INTO `large_sys_oper_log` VALUES (137, '代码生成', 8, 'com.project.generator.controller.GenController.batchGenCode()', 'GET', 1, 'deve', '/tool/gen/batchGenCode', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-01 17:10:19');
INSERT INTO `large_sys_oper_log` VALUES (138, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '192.168.1.189', '内网IP', '\"plat_green_foods\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-01 17:10:29');
INSERT INTO `large_sys_oper_log` VALUES (139, '代码生成', 8, 'com.project.generator.controller.GenController.batchGenCode()', 'GET', 1, 'deve', '/tool/gen/batchGenCode', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-01 17:10:37');
INSERT INTO `large_sys_oper_log` VALUES (140, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"screen_unified_video,znhq_webcam\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-08 20:31:31');
INSERT INTO `large_sys_oper_log` VALUES (141, '定时任务', 1, 'com.project.quartz.controller.SysJobController.add()', 'POST', 1, 'deve', '/monitor/job/add', '127.0.0.1', '内网IP', '{\"concurrent\":\"1\",\"createBy\":\"deve\",\"cronExpression\":\"0 0/10 * * * ?\",\"invokeTarget\":\"crontabTask.doWork\",\"jobGroup\":\"DEFAULT\",\"jobId\":6,\"jobName\":\"摄像头关流\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2024-11-09 14:30:00\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-09 14:25:38');
INSERT INTO `large_sys_oper_log` VALUES (142, '定时任务', 2, 'com.project.quartz.controller.SysJobController.changeStatus()', 'POST', 1, 'deve', '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":6,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-09 14:26:50');
INSERT INTO `large_sys_oper_log` VALUES (143, '定时任务', 2, 'com.project.quartz.controller.SysJobController.run()', 'POST', 1, 'deve', '/monitor/job/run', '127.0.0.1', '内网IP', '{\"jobGroup\":\"DEFAULT\",\"jobId\":6,\"misfirePolicy\":\"0\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-09 14:27:14');
INSERT INTO `large_sys_oper_log` VALUES (144, '定时任务', 2, 'com.project.quartz.controller.SysJobController.changeStatus()', 'POST', 1, 'deve', '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{\"jobId\":6,\"misfirePolicy\":\"0\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-10 13:51:04');
INSERT INTO `large_sys_oper_log` VALUES (145, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:30:59');
INSERT INTO `large_sys_oper_log` VALUES (146, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:30:59');
INSERT INTO `large_sys_oper_log` VALUES (147, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:00');
INSERT INTO `large_sys_oper_log` VALUES (148, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:00');
INSERT INTO `large_sys_oper_log` VALUES (149, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:01');
INSERT INTO `large_sys_oper_log` VALUES (150, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:01');
INSERT INTO `large_sys_oper_log` VALUES (151, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:01');
INSERT INTO `large_sys_oper_log` VALUES (152, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:02');
INSERT INTO `large_sys_oper_log` VALUES (153, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:02');
INSERT INTO `large_sys_oper_log` VALUES (154, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:03');
INSERT INTO `large_sys_oper_log` VALUES (155, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:03');
INSERT INTO `large_sys_oper_log` VALUES (156, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:04');
INSERT INTO `large_sys_oper_log` VALUES (157, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:04');
INSERT INTO `large_sys_oper_log` VALUES (158, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:04');
INSERT INTO `large_sys_oper_log` VALUES (159, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:05');
INSERT INTO `large_sys_oper_log` VALUES (160, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:05');
INSERT INTO `large_sys_oper_log` VALUES (161, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:06');
INSERT INTO `large_sys_oper_log` VALUES (162, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:06');
INSERT INTO `large_sys_oper_log` VALUES (163, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:07');
INSERT INTO `large_sys_oper_log` VALUES (164, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:07');
INSERT INTO `large_sys_oper_log` VALUES (165, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 15:31:07');
INSERT INTO `large_sys_oper_log` VALUES (166, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 1, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: \r\n### Error updating database.  Cause: org.springframework.jdbc.CannotGetJdbcConnectionException: Failed to obtain JDBC Connection; nested exception is java.sql.SQLException: interrupt\r\n### The error may exist in com/project/zcustom/mapper/plat/PlatApiRecordMapper.java (best guess)\r\n### The error may involve com.project.zcustom.mapper.plat.PlatApiRecordMapper.insert\r\n### The error occurred while executing an update\r\n### Cause: org.springframework.jdbc.CannotGetJdbcConnectionException: Failed to obtain JDBC Connection; nested exception is java.sql.SQLException: interrupt', '2024-11-11 15:31:08');
INSERT INTO `large_sys_oper_log` VALUES (167, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"zhhq_large_screen_unit\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-11 17:26:51');
INSERT INTO `large_sys_oper_log` VALUES (168, '代码生成', 8, 'com.project.generator.controller.GenController.batchGenCode()', 'GET', 1, 'deve', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-11-11 17:27:00');
INSERT INTO `large_sys_oper_log` VALUES (169, '代码生成', 3, 'com.project.generator.controller.GenController.remove()', 'GET', 1, 'deve', '/tool/gen/remove/26,27,28,29,30,31,32,33,34,35', '127.0.0.1', '内网IP', '{tableIds=26,27,28,29,30,31,32,33,34,35}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-12 00:07:28');
INSERT INTO `large_sys_oper_log` VALUES (170, '代码生成', 3, 'com.project.generator.controller.GenController.remove()', 'GET', 1, 'deve', '/tool/gen/remove/36,37,38', '127.0.0.1', '内网IP', '{tableIds=36,37,38}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-12 00:07:32');
INSERT INTO `large_sys_oper_log` VALUES (171, '代码生成', 6, 'com.project.generator.controller.GenController.importTableSave()', 'POST', 1, 'deve', '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"large_platform_config,large_plat_green_foods,large_plat_property_tools,large_plat_employee_type_flow,large_plat_property_list,large_plat_employee_type,large_plat_property,large_plat_employee_health_illness,large_plat_post_station_chart,large_plat_employee_health_chart,large_plat_post_station,large_plat_employee_health,large_plat_green_smart_safety,large_plat_build_year_trend,large_plat_green_smart_rank,large_plat_build_params,large_plat_green_smart_other,large_plat_basics_system,large_plat_green_smart_energy,large_plat_green_smart,large_plat_basics_company,large_plat_basics,large_plat_app_org,large_plat_api_record,large_plat_access,large_plat_basics_server\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-11-12 00:08:05');
INSERT INTO `large_sys_oper_log` VALUES (172, '代码生成', 8, 'com.project.generator.controller.GenController.batchGenCode()', 'GET', 1, 'deve', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{}', NULL, 0, NULL, '2024-11-12 00:20:12');
INSERT INTO `large_sys_oper_log` VALUES (173, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 1, '接口请求失败：', '2024-11-18 11:41:00');
INSERT INTO `large_sys_oper_log` VALUES (174, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 1, 'offset 291, character \", line 1, column 292, fastjson-version 2.0.28 {\"twotTool\":\"铁锹\",\"thirdTool\":\"锤子\",\"firstTool\":\"扳手\",\"constructionQuantity\":\"2\",\"unitList\":[{\"stationNum\":\"200\",\"stationName\":\"职工共享驿站\",\"stationAddress\":\"山西省晋源区新晋祠路东侧\"},{\"stationNum\":\"400\",\"stationName\":\"职工共享驿站\",\"stationAddress\":\"山西省晋源区谐园路东侧\"}],\"participateProportion\":\"100.00\",\"completed\":\"2\"\"selfTest\":\"30\",\"consultation\":\"30\"}', '2024-11-18 11:41:39');
INSERT INTO `large_sys_oper_log` VALUES (175, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 1, 'offset 291, character \", line 1, column 292, fastjson-version 2.0.28 {\"twotTool\":\"铁锹\",\"thirdTool\":\"锤子\",\"firstTool\":\"扳手\",\"constructionQuantity\":\"2\",\"unitList\":[{\"stationNum\":\"200\",\"stationName\":\"职工共享驿站\",\"stationAddress\":\"山西省晋源区新晋祠路东侧\"},{\"stationNum\":\"400\",\"stationName\":\"职工共享驿站\",\"stationAddress\":\"山西省晋源区谐园路东侧\"}],\"participateProportion\":\"100.00\",\"completed\":\"2\"\"selfTest\":\"30\",\"consultation\":\"30\"}', '2024-11-18 11:42:16');
INSERT INTO `large_sys_oper_log` VALUES (176, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 1, 'offset 241, character \", line 1, column 242, fastjson-version 2.0.28 {\"constructionQuantity\":\"2\",\"unitList\":[{\"stationNum\":\"200\",\"stationName\":\"职工共享驿站\",\"stationAddress\":\"山西省晋源区新晋祠路东侧\"},{\"stationNum\":\"400\",\"stationName\":\"职工共享驿站\",\"stationAddress\":\"山西省晋源区谐园路东侧\"}],\"participateProportion\":\"100.00\",\"completed\":\"2\"\"selfTest\":\"30\",\"consultation\":\"30\"}', '2024-11-18 11:43:43');
INSERT INTO `large_sys_oper_log` VALUES (177, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 1, '接口请求失败：', '2024-11-18 11:44:52');
INSERT INTO `large_sys_oper_log` VALUES (178, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:12');
INSERT INTO `large_sys_oper_log` VALUES (179, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:13');
INSERT INTO `large_sys_oper_log` VALUES (180, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:14');
INSERT INTO `large_sys_oper_log` VALUES (181, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:14');
INSERT INTO `large_sys_oper_log` VALUES (182, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:15');
INSERT INTO `large_sys_oper_log` VALUES (183, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:15');
INSERT INTO `large_sys_oper_log` VALUES (184, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:16');
INSERT INTO `large_sys_oper_log` VALUES (185, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:16');
INSERT INTO `large_sys_oper_log` VALUES (186, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:17');
INSERT INTO `large_sys_oper_log` VALUES (187, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:17');
INSERT INTO `large_sys_oper_log` VALUES (188, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:17');
INSERT INTO `large_sys_oper_log` VALUES (189, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:19');
INSERT INTO `large_sys_oper_log` VALUES (190, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:19');
INSERT INTO `large_sys_oper_log` VALUES (191, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:20');
INSERT INTO `large_sys_oper_log` VALUES (192, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:20');
INSERT INTO `large_sys_oper_log` VALUES (193, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:21');
INSERT INTO `large_sys_oper_log` VALUES (194, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:21');
INSERT INTO `large_sys_oper_log` VALUES (195, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:21');
INSERT INTO `large_sys_oper_log` VALUES (196, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:22');
INSERT INTO `large_sys_oper_log` VALUES (197, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:22');
INSERT INTO `large_sys_oper_log` VALUES (198, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:23');
INSERT INTO `large_sys_oper_log` VALUES (199, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:23');
INSERT INTO `large_sys_oper_log` VALUES (200, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:23');
INSERT INTO `large_sys_oper_log` VALUES (201, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:24');
INSERT INTO `large_sys_oper_log` VALUES (202, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:24');
INSERT INTO `large_sys_oper_log` VALUES (203, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:24');
INSERT INTO `large_sys_oper_log` VALUES (204, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:25');
INSERT INTO `large_sys_oper_log` VALUES (205, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:25');
INSERT INTO `large_sys_oper_log` VALUES (206, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:25');
INSERT INTO `large_sys_oper_log` VALUES (207, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:26');
INSERT INTO `large_sys_oper_log` VALUES (208, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:26');
INSERT INTO `large_sys_oper_log` VALUES (209, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:26');
INSERT INTO `large_sys_oper_log` VALUES (210, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:27');
INSERT INTO `large_sys_oper_log` VALUES (211, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:27');
INSERT INTO `large_sys_oper_log` VALUES (212, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:28');
INSERT INTO `large_sys_oper_log` VALUES (213, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:28');
INSERT INTO `large_sys_oper_log` VALUES (214, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:28');
INSERT INTO `large_sys_oper_log` VALUES (215, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:29');
INSERT INTO `large_sys_oper_log` VALUES (216, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:29');
INSERT INTO `large_sys_oper_log` VALUES (217, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:30');
INSERT INTO `large_sys_oper_log` VALUES (218, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:30');
INSERT INTO `large_sys_oper_log` VALUES (219, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:30');
INSERT INTO `large_sys_oper_log` VALUES (220, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:31');
INSERT INTO `large_sys_oper_log` VALUES (221, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:31');
INSERT INTO `large_sys_oper_log` VALUES (222, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:31');
INSERT INTO `large_sys_oper_log` VALUES (223, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:32');
INSERT INTO `large_sys_oper_log` VALUES (224, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:32');
INSERT INTO `large_sys_oper_log` VALUES (225, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:32');
INSERT INTO `large_sys_oper_log` VALUES (226, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:33');
INSERT INTO `large_sys_oper_log` VALUES (227, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:33');
INSERT INTO `large_sys_oper_log` VALUES (228, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:34');
INSERT INTO `large_sys_oper_log` VALUES (229, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:34');
INSERT INTO `large_sys_oper_log` VALUES (230, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:34');
INSERT INTO `large_sys_oper_log` VALUES (231, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:35');
INSERT INTO `large_sys_oper_log` VALUES (232, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:35');
INSERT INTO `large_sys_oper_log` VALUES (233, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:36');
INSERT INTO `large_sys_oper_log` VALUES (234, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:36');
INSERT INTO `large_sys_oper_log` VALUES (235, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:36');
INSERT INTO `large_sys_oper_log` VALUES (236, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:37');
INSERT INTO `large_sys_oper_log` VALUES (237, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:37');
INSERT INTO `large_sys_oper_log` VALUES (238, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:37');
INSERT INTO `large_sys_oper_log` VALUES (239, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:38');
INSERT INTO `large_sys_oper_log` VALUES (240, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:38');
INSERT INTO `large_sys_oper_log` VALUES (241, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:39');
INSERT INTO `large_sys_oper_log` VALUES (242, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:39');
INSERT INTO `large_sys_oper_log` VALUES (243, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:39');
INSERT INTO `large_sys_oper_log` VALUES (244, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:40');
INSERT INTO `large_sys_oper_log` VALUES (245, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:40');
INSERT INTO `large_sys_oper_log` VALUES (246, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:40');
INSERT INTO `large_sys_oper_log` VALUES (247, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:41');
INSERT INTO `large_sys_oper_log` VALUES (248, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:41');
INSERT INTO `large_sys_oper_log` VALUES (249, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:42');
INSERT INTO `large_sys_oper_log` VALUES (250, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:42');
INSERT INTO `large_sys_oper_log` VALUES (251, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:42');
INSERT INTO `large_sys_oper_log` VALUES (252, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:43');
INSERT INTO `large_sys_oper_log` VALUES (253, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:43');
INSERT INTO `large_sys_oper_log` VALUES (254, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:44');
INSERT INTO `large_sys_oper_log` VALUES (255, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:44');
INSERT INTO `large_sys_oper_log` VALUES (256, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:44');
INSERT INTO `large_sys_oper_log` VALUES (257, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:45');
INSERT INTO `large_sys_oper_log` VALUES (258, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:45');
INSERT INTO `large_sys_oper_log` VALUES (259, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:46');
INSERT INTO `large_sys_oper_log` VALUES (260, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:46');
INSERT INTO `large_sys_oper_log` VALUES (261, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:46');
INSERT INTO `large_sys_oper_log` VALUES (262, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:47');
INSERT INTO `large_sys_oper_log` VALUES (263, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:47');
INSERT INTO `large_sys_oper_log` VALUES (264, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:47');
INSERT INTO `large_sys_oper_log` VALUES (265, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:48');
INSERT INTO `large_sys_oper_log` VALUES (266, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:48');
INSERT INTO `large_sys_oper_log` VALUES (267, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:48');
INSERT INTO `large_sys_oper_log` VALUES (268, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:49');
INSERT INTO `large_sys_oper_log` VALUES (269, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:49');
INSERT INTO `large_sys_oper_log` VALUES (270, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:49');
INSERT INTO `large_sys_oper_log` VALUES (271, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:50');
INSERT INTO `large_sys_oper_log` VALUES (272, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:50');
INSERT INTO `large_sys_oper_log` VALUES (273, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:51');
INSERT INTO `large_sys_oper_log` VALUES (274, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:51');
INSERT INTO `large_sys_oper_log` VALUES (275, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:51');
INSERT INTO `large_sys_oper_log` VALUES (276, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:52');
INSERT INTO `large_sys_oper_log` VALUES (277, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:52');
INSERT INTO `large_sys_oper_log` VALUES (278, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:52');
INSERT INTO `large_sys_oper_log` VALUES (279, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:53');
INSERT INTO `large_sys_oper_log` VALUES (280, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:53');
INSERT INTO `large_sys_oper_log` VALUES (281, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:53');
INSERT INTO `large_sys_oper_log` VALUES (282, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:54');
INSERT INTO `large_sys_oper_log` VALUES (283, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:54');
INSERT INTO `large_sys_oper_log` VALUES (284, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:55');
INSERT INTO `large_sys_oper_log` VALUES (285, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:55');
INSERT INTO `large_sys_oper_log` VALUES (286, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:55');
INSERT INTO `large_sys_oper_log` VALUES (287, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:56');
INSERT INTO `large_sys_oper_log` VALUES (288, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:56');
INSERT INTO `large_sys_oper_log` VALUES (289, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:56');
INSERT INTO `large_sys_oper_log` VALUES (290, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:57');
INSERT INTO `large_sys_oper_log` VALUES (291, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:57');
INSERT INTO `large_sys_oper_log` VALUES (292, '获取服务保障中心的数据', 0, 'com.project.zcustom.tools.DataTools.getServiceData()', 'GET', 1, NULL, '/basics/testApi', '192.168.1.189', '内网IP', '{}', NULL, 0, NULL, '2024-11-18 11:46:58');

-- ----------------------------
-- Table structure for large_sys_role
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_role`;
CREATE TABLE `large_sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(11) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 ）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_role
-- ----------------------------
INSERT INTO `large_sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, '0', '0', 'admin', '2022-08-31 09:55:09', '', NULL, '超级管理员');
INSERT INTO `large_sys_role` VALUES (2, '管理员', 'adminRole', 1, '1', 1, '0', '0', 'admin', '2024-07-20 13:32:48', 'deve', '2024-10-18 09:56:46', '管理员');
INSERT INTO `large_sys_role` VALUES (3, '普通角色', 'common', 2, '1', 1, '0', '0', 'admin', '2022-08-31 09:55:09', '', '2024-06-19 13:34:09', '普通角色');

-- ----------------------------
-- Table structure for large_sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_role_menu`;
CREATE TABLE `large_sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_role_menu
-- ----------------------------
INSERT INTO `large_sys_role_menu` VALUES (2, 1);
INSERT INTO `large_sys_role_menu` VALUES (2, 3);
INSERT INTO `large_sys_role_menu` VALUES (2, 100);
INSERT INTO `large_sys_role_menu` VALUES (2, 101);
INSERT INTO `large_sys_role_menu` VALUES (2, 102);
INSERT INTO `large_sys_role_menu` VALUES (2, 1000);
INSERT INTO `large_sys_role_menu` VALUES (2, 1001);
INSERT INTO `large_sys_role_menu` VALUES (2, 1002);
INSERT INTO `large_sys_role_menu` VALUES (2, 1003);
INSERT INTO `large_sys_role_menu` VALUES (2, 1004);
INSERT INTO `large_sys_role_menu` VALUES (2, 1005);
INSERT INTO `large_sys_role_menu` VALUES (2, 1006);
INSERT INTO `large_sys_role_menu` VALUES (2, 1007);
INSERT INTO `large_sys_role_menu` VALUES (2, 1008);
INSERT INTO `large_sys_role_menu` VALUES (2, 1009);
INSERT INTO `large_sys_role_menu` VALUES (2, 1010);
INSERT INTO `large_sys_role_menu` VALUES (2, 1011);
INSERT INTO `large_sys_role_menu` VALUES (2, 1012);
INSERT INTO `large_sys_role_menu` VALUES (2, 1013);
INSERT INTO `large_sys_role_menu` VALUES (2, 1014);
INSERT INTO `large_sys_role_menu` VALUES (2, 1015);
INSERT INTO `large_sys_role_menu` VALUES (2, 1068);
INSERT INTO `large_sys_role_menu` VALUES (2, 1069);
INSERT INTO `large_sys_role_menu` VALUES (2, 1070);
INSERT INTO `large_sys_role_menu` VALUES (2, 1071);
INSERT INTO `large_sys_role_menu` VALUES (2, 1072);
INSERT INTO `large_sys_role_menu` VALUES (2, 1073);

-- ----------------------------
-- Table structure for large_sys_user
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_user`;
CREATE TABLE `large_sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 1代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_user
-- ----------------------------
INSERT INTO `large_sys_user` VALUES (1, 'deve', '超管', '00', 'admin@qq.com', '18300000000', '0', '/profile/avatar/2024/07/15/eced9664-5e8f-4ca1-abcf-4bf4e52e1216.jpeg', '$2a$10$gMPCVp0zK.bSUGecl5dcEO16bAxhOX001uHSmOsvjHRkDmRly.db2', '0', '0', '127.0.0.1', '2024-11-12 00:20:32', 'admin', '2022-08-31 09:55:09', '', '2024-11-12 00:19:19', '管理员');
INSERT INTO `large_sys_user` VALUES (2, 'admin', '管理员', '00', 'admin@qq.com', '18100000000', '0', '', '$2a$10$R9Y//Dvj4iuLYAhXUj.gS.LHMx3Ovlycctvv/8C3j8.OwxWHSx34S', '0', '0', '127.0.0.1', '2024-08-20 10:59:33', 'admin', '2024-07-20 13:33:53', 'deve', '2024-08-20 10:35:02', '测试');
INSERT INTO `large_sys_user` VALUES (3, 'ceshi', '测试', '00', '111@aa.com', '13012345678', '0', '', '$2a$10$aYgFTivl/8SXVgbgLMrDjeXfT0w1bpp3USB5yU8xXNNtu/fNHqIN2', '0', '0', '', NULL, 'admin', '2024-06-19 11:41:58', 'admin', '2024-06-22 18:03:06', '1111');

-- ----------------------------
-- Table structure for large_sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `large_sys_user_role`;
CREATE TABLE `large_sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of large_sys_user_role
-- ----------------------------
INSERT INTO `large_sys_user_role` VALUES (1, 1);
INSERT INTO `large_sys_user_role` VALUES (2, 2);
INSERT INTO `large_sys_user_role` VALUES (4, 3);

SET FOREIGN_KEY_CHECKS = 1;
